﻿// This class is "generated" and will be overwritten.
// Your customizations should be made in InventoryQuery.cs

using System;
using System.Data;
using System.Collections;
using System.Runtime;
using System.Data.SqlTypes;
using BaseClasses;
using BaseClasses.Data;
using BaseClasses.Data.SqlProvider;
using Warehouse.Data;

namespace Warehouse.Business
{

/// <summary>
/// The generated superclass for the <see cref="InventoryQuery"></see> class.
/// Provides access to the schema information and record data of the Inventory custom query.
/// </summary>
/// <remarks>
/// The connection details (name, location, etc.) of the database and table(s) and/or view(s) accessed by this class 
/// are resolved at runtime based on the connection string in the application's Web.Config file.
/// <para>
/// This class is not intended to be instantiated directly.  To obtain an instance of this class, use 
/// <see cref="InventoryQuery.Instance">InventoryQuery.Instance</see>.
/// </para>
/// </remarks>
/// <seealso cref="InventoryQuery"></seealso>
[SerializableAttribute()]
public class BaseInventoryQuery : VirtualTable
{

    private readonly string TableDefinitionString = InventoryDefinition.GetXMLString();

    protected BaseInventoryQuery()
    {
        this.Initialize();
    }

    protected virtual void Initialize()
    {
        XmlTableDefinition def = new XmlTableDefinition(TableDefinitionString);
        this.TableDefinition = new TableDefinition();
        def.InitializeTableDefinition(this.TableDefinition);
        this.TableDefinition.TableClassName = System.Reflection.Assembly.CreateQualifiedName("App_Code", "Warehouse.Business.InventoryQuery");
        this.TableDefinition.VirtualFromClauseTable = BaseTable.CreateInstance("Warehouse.Business.Import_itemTable, App_Code").TableDefinition;
        this.TableDefinition.VirtualFromClauseTableAlias = "import_item";
        this.ConnectionName = def.GetConnectionName();
        this.RecordClassName = System.Reflection.Assembly.CreateQualifiedName("App_Code", "Warehouse.Business.InventoryRecord");
        this.ApplicationName = "App_Code";
        this.DataAdapter = new InventorySqlQuery();
        this.TableDefinition.AdapterMetaData = this.DataAdapter.AdapterMetaData;
        ((InventorySqlQuery)this.DataAdapter).ConnectionName = this.ConnectionName;
        
    }
    
    public override BaseClasses.Data.BaseFilter InnerFilter
    {
        get
        {
            if (base.InnerFilter == null)
            {
                base.InnerFilter = this.CreateInnerFilter();
            }

            return base.InnerFilter;
        }

        set
        {
            base.InnerFilter = value;
        }
    }

    protected virtual BaseClasses.Data.BaseFilter CreateInnerFilter()
    {
        CompoundFilter filter = new CompoundFilter(CompoundFilter.CompoundingOperators.And_Operator, null);

		try {
			filter.AddFilter(new BaseClasses.Data.ColumnValueFilter(BaseClasses.Data.BaseTable.CreateInstance(@"Warehouse.Business.InventoryQuery, App_Code").TableDefinition.ColumnList.GetByUniqueName(@"import_item.Raktárban van"), @"1", BaseClasses.Data.BaseFilter.ComparisonOperator.EqualsTo, false));
		} catch (Exception ex) {
			throw new System.Exception(@"No valid filter expression was created for:\n\nfilter.AddFilter(new BaseClasses.Data.ColumnValueFilter(BaseClasses.Data.BaseTable.CreateInstance(Warehouse.Business.InventoryQuery, App_Code).TableDefinition.ColumnList.GetByUniqueName(import_item.Raktárban van), 1, BaseClasses.Data.BaseFilter.ComparisonOperator.EqualsTo, false));\n\nYou may be using a custom function that returns Nothing.\n\n" + ex.Message);
		}

		return filter;

    }

#region "Properties for columns"

    /// <summary>
    /// This is a convenience property that provides direct access to the table's import_item.Fuvarlevél száma column object.
    /// </summary>
    public BaseClasses.Data.StringColumn Fuvarlevél_száma_import_itemColumn
    {
        get
        {
            return (BaseClasses.Data.StringColumn)this.TableDefinition.ColumnList[0];
        }
    }
    

    
    /// <summary>
    /// This is a convenience property that provides direct access to the table's import_item.Fuvarlevél száma column object.
    /// </summary>
    public static BaseClasses.Data.StringColumn Fuvarlevél_száma_import_item
    {
        get
        {
            return InventoryQuery.Instance.Fuvarlevél_száma_import_itemColumn;
        }
    }
    
    
    /// <summary>
    /// This is a convenience property that provides direct access to the table's import_item.Házi fuvarlevél száma column object.
    /// </summary>
    public BaseClasses.Data.StringColumn Házi_fuvarlevél_száma_import_itemColumn
    {
        get
        {
            return (BaseClasses.Data.StringColumn)this.TableDefinition.ColumnList[1];
        }
    }
    

    
    /// <summary>
    /// This is a convenience property that provides direct access to the table's import_item.Házi fuvarlevél száma column object.
    /// </summary>
    public static BaseClasses.Data.StringColumn Házi_fuvarlevél_száma_import_item
    {
        get
        {
            return InventoryQuery.Instance.Házi_fuvarlevél_száma_import_itemColumn;
        }
    }
    
    
    /// <summary>
    /// This is a convenience property that provides direct access to the table's import_item.Csomag darab száma column object.
    /// </summary>
    public BaseClasses.Data.NumberColumn Csomag_darab_száma_import_itemColumn
    {
        get
        {
            return (BaseClasses.Data.NumberColumn)this.TableDefinition.ColumnList[2];
        }
    }
    

    
    /// <summary>
    /// This is a convenience property that provides direct access to the table's import_item.Csomag darab száma column object.
    /// </summary>
    public static BaseClasses.Data.NumberColumn Csomag_darab_száma_import_item
    {
        get
        {
            return InventoryQuery.Instance.Csomag_darab_száma_import_itemColumn;
        }
    }
    
    
    /// <summary>
    /// This is a convenience property that provides direct access to the table's import_item.Mért súly column object.
    /// </summary>
    public BaseClasses.Data.NumberColumn Mért_súly_import_itemColumn
    {
        get
        {
            return (BaseClasses.Data.NumberColumn)this.TableDefinition.ColumnList[3];
        }
    }
    

    
    /// <summary>
    /// This is a convenience property that provides direct access to the table's import_item.Mért súly column object.
    /// </summary>
    public static BaseClasses.Data.NumberColumn Mért_súly_import_item
    {
        get
        {
            return InventoryQuery.Instance.Mért_súly_import_itemColumn;
        }
    }
    
    
    /// <summary>
    /// This is a convenience property that provides direct access to the table's import_item.Pozíció száma column object.
    /// </summary>
    public BaseClasses.Data.StringColumn Pozíció_száma_import_itemColumn
    {
        get
        {
            return (BaseClasses.Data.StringColumn)this.TableDefinition.ColumnList[4];
        }
    }
    

    
    /// <summary>
    /// This is a convenience property that provides direct access to the table's import_item.Pozíció száma column object.
    /// </summary>
    public static BaseClasses.Data.StringColumn Pozíció_száma_import_item
    {
        get
        {
            return InventoryQuery.Instance.Pozíció_száma_import_itemColumn;
        }
    }
    
    
    /// <summary>
    /// This is a convenience property that provides direct access to the table's import_item.id column object.
    /// </summary>
    public BaseClasses.Data.NumberColumn id_import_itemColumn
    {
        get
        {
            return (BaseClasses.Data.NumberColumn)this.TableDefinition.ColumnList[5];
        }
    }
    

    
    /// <summary>
    /// This is a convenience property that provides direct access to the table's import_item.id column object.
    /// </summary>
    public static BaseClasses.Data.NumberColumn id_import_item
    {
        get
        {
            return InventoryQuery.Instance.id_import_itemColumn;
        }
    }
    
    
    /// <summary>
    /// This is a convenience property that provides direct access to the table's import_item.Raktárban van column object.
    /// </summary>
    public BaseClasses.Data.BooleanColumn Raktárban_van_import_itemColumn
    {
        get
        {
            return (BaseClasses.Data.BooleanColumn)this.TableDefinition.ColumnList[6];
        }
    }
    

    
    /// <summary>
    /// This is a convenience property that provides direct access to the table's import_item.Raktárban van column object.
    /// </summary>
    public static BaseClasses.Data.BooleanColumn Raktárban_van_import_item
    {
        get
        {
            return InventoryQuery.Instance.Raktárban_van_import_itemColumn;
        }
    }
    
    
    /// <summary>
    /// This is a convenience property that provides direct access to the table's import_item.Betárolás dátuma column object.
    /// </summary>
    public BaseClasses.Data.DateColumn Betárolás_dátuma_import_itemColumn
    {
        get
        {
            return (BaseClasses.Data.DateColumn)this.TableDefinition.ColumnList[7];
        }
    }
    

    
    /// <summary>
    /// This is a convenience property that provides direct access to the table's import_item.Betárolás dátuma column object.
    /// </summary>
    public static BaseClasses.Data.DateColumn Betárolás_dátuma_import_item
    {
        get
        {
            return InventoryQuery.Instance.Betárolás_dátuma_import_itemColumn;
        }
    }
    
    
    /// <summary>
    /// This is a convenience property that provides direct access to the table's import_item.vámkezelés mód id column object.
    /// </summary>
    public BaseClasses.Data.NumberColumn vámkezelés_mód_id_import_itemColumn
    {
        get
        {
            return (BaseClasses.Data.NumberColumn)this.TableDefinition.ColumnList[8];
        }
    }
    

    
    /// <summary>
    /// This is a convenience property that provides direct access to the table's import_item.vámkezelés mód id column object.
    /// </summary>
    public static BaseClasses.Data.NumberColumn vámkezelés_mód_id_import_item
    {
        get
        {
            return InventoryQuery.Instance.vámkezelés_mód_id_import_itemColumn;
        }
    }
    
    
    /// <summary>
    /// This is a convenience property that provides direct access to the table's import_item.Vámzár 1 column object.
    /// </summary>
    public BaseClasses.Data.StringColumn Vámzár_1_import_itemColumn
    {
        get
        {
            return (BaseClasses.Data.StringColumn)this.TableDefinition.ColumnList[9];
        }
    }
    

    
    /// <summary>
    /// This is a convenience property that provides direct access to the table's import_item.Vámzár 1 column object.
    /// </summary>
    public static BaseClasses.Data.StringColumn Vámzár_1_import_item
    {
        get
        {
            return InventoryQuery.Instance.Vámzár_1_import_itemColumn;
        }
    }
    
    
    /// <summary>
    /// This is a convenience property that provides direct access to the table's import_item.Vámzár 2 column object.
    /// </summary>
    public BaseClasses.Data.StringColumn Vámzár_2_import_itemColumn
    {
        get
        {
            return (BaseClasses.Data.StringColumn)this.TableDefinition.ColumnList[10];
        }
    }
    

    
    /// <summary>
    /// This is a convenience property that provides direct access to the table's import_item.Vámzár 2 column object.
    /// </summary>
    public static BaseClasses.Data.StringColumn Vámzár_2_import_item
    {
        get
        {
            return InventoryQuery.Instance.Vámzár_2_import_itemColumn;
        }
    }
    
    


#endregion

#region "Shared helper methods"

    /// <summary>
    /// This is a shared function that can be used to get an array of InventoryRecord records using a where clause.
    /// </summary>
    public static InventoryRecord[] GetRecords(string where)
    {
        return GetRecords(where, null, BaseTable.MIN_PAGE_NUMBER, BaseTable.MAX_BATCH_SIZE);
    }

    /// <summary>
    /// This is a shared function that can be used to get an array of InventoryRecord records using a where and order by clause.
    /// </summary>
    public static InventoryRecord[] GetRecords(string where, OrderBy orderBy)
    {
        return GetRecords(where, orderBy, BaseTable.MIN_PAGE_NUMBER, BaseTable.MAX_BATCH_SIZE);
    }
    
    /// <summary>
    /// This is a shared function that can be used to get an array of InventoryRecord records using a where and order by clause clause with pagination.
    /// </summary>
    public static InventoryRecord[] GetRecords(string where, OrderBy orderBy, int pageIndex, int pageSize)
    {
        SqlFilter whereFilter = null;
        if (where != null && where.Trim() != "")
        {
           whereFilter = new SqlFilter(where);
        }

        ArrayList recList = InventoryQuery.Instance.GetRecordList(whereFilter, orderBy, pageIndex, pageSize);

        return (InventoryRecord[])recList.ToArray(Type.GetType("Warehouse.Business.InventoryRecord"));
    }   
    
    public static InventoryRecord[] GetRecords(
		WhereClause where,
		OrderBy orderBy,
		int pageIndex,
		int pageSize)
	{

        ArrayList recList = InventoryQuery.Instance.GetRecordList(where.GetFilter(), orderBy, pageIndex, pageSize);

        return (InventoryRecord[])recList.ToArray(Type.GetType("Warehouse.Business.InventoryRecord"));
    }

    /// <summary>
    /// This is a shared function that can be used to get total number of records that will be returned using the where clause.
    /// </summary>
    public static int GetRecordCount(string where)
    {
        SqlFilter whereFilter = null;
        if (where != null && where.Trim() != "")
        {
           whereFilter = new SqlFilter(where);
        }

        return (int)InventoryQuery.Instance.GetRecordListCount(whereFilter, null);
    }
    
    public static int GetRecordCount(WhereClause where)
    {
        return (int)InventoryQuery.Instance.GetRecordListCount(where.GetFilter(), null);
    }
    
    /// <summary>
    /// This is a shared function that can be used to get a InventoryRecord record using a where clause.
    /// </summary>
    public static InventoryRecord GetRecord(string where)
    {
        OrderBy orderBy = null;
        return GetRecord(where, orderBy);
    }
    
    /// <summary>
    /// This is a shared function that can be used to get a InventoryRecord record using a where and order by clause.
    /// </summary>
    public static InventoryRecord GetRecord(string where, OrderBy orderBy)
    {
        SqlFilter whereFilter = null;
        if (where != null && where.Trim() != "")
        {
           whereFilter = new SqlFilter(where);
        }
        
        ArrayList recList = InventoryQuery.Instance.GetRecordList(whereFilter, orderBy, BaseTable.MIN_PAGE_NUMBER, BaseTable.MIN_BATCH_SIZE);

        InventoryRecord rec = null;
        if (recList.Count > 0)
        {
            rec = (InventoryRecord)recList[0];
        }

        return rec;
    }
    
    public static String[] GetValues(
		BaseColumn col,
		WhereClause where,
		OrderBy orderBy,
		int maxItems)
	{

        // Create the filter list.
        SqlBuilderColumnSelection retCol = new SqlBuilderColumnSelection(false, true);
        retCol.AddColumn(col);

        return InventoryQuery.Instance.GetColumnValues(retCol, where.GetFilter(), orderBy, BaseTable.MIN_PAGE_NUMBER, maxItems);

    }
    
    /// <summary>
    /// This is a shared function that can be used to get a DataTable to bound with a data bound control using a where clause.
    /// </summary>
    public static System.Data.DataTable GetDataTable(string where)
    {
        InventoryRecord[] recs = GetRecords(where);
        return  InventoryQuery.Instance.CreateDataTable(recs, null);
    }

    /// <summary>
    /// This is a shared function that can be used to get a DataTable to bound with a data bound control using a where and order by clause.
    /// </summary>
    public static System.Data.DataTable GetDataTable(string where, OrderBy orderBy)
    {
        InventoryRecord[] recs = GetRecords(where, orderBy);
        return  InventoryQuery.Instance.CreateDataTable(recs, null);
    }
    
    /// <summary>
    /// This is a shared function that can be used to get a DataTable to bound with a data bound control using a where and order by clause with pagination.
    /// </summary>
    public static System.Data.DataTable GetDataTable(string where, OrderBy orderBy, int pageIndex, int pageSize)
    {
        InventoryRecord[] recs = GetRecords(where, orderBy, pageIndex, pageSize);
        return  InventoryQuery.Instance.CreateDataTable(recs, null);
    }
    
    /// <summary>
    /// This is a shared function that can be used to delete records using a where clause.
    /// </summary>
    public static void DeleteRecords(string where)
    {
        if (where == null || where.Trim() == "")
        {
           return;
        }
        
        SqlFilter whereFilter = new SqlFilter(where);
        InventoryQuery.Instance.DeleteRecordList(whereFilter);
    }
    
    /// <summary>
    /// This is a shared function that can be used to export records using a where clause.
    /// </summary>
    public static string Export(string where)
    {
        SqlFilter whereFilter = null;
        if (where != null && where.Trim() != "")
        {
           whereFilter = new SqlFilter(where);
        }
        
        return  InventoryQuery.Instance.ExportRecordData(whereFilter);
    }
   
    public static string Export(WhereClause where)
    {
        BaseFilter whereFilter = null;
        if (where != null)
        {
            whereFilter = where.GetFilter();
        }

        return InventoryQuery.Instance.ExportRecordData(whereFilter);
    }
    
	public static string GetSum(
		BaseColumn col,
		WhereClause where,
		OrderBy orderBy,
		int pageIndex,
		int pageSize)
	{
        SqlBuilderColumnSelection colSel = new SqlBuilderColumnSelection(false, false);
        colSel.AddColumn(col, SqlBuilderColumnOperation.OperationType.Sum);

        return InventoryQuery.Instance.GetColumnStatistics(colSel, where.GetFilter(), orderBy, pageIndex, pageSize);
    }
    
    public static string GetCount(
		BaseColumn col,
		WhereClause where,
		OrderBy orderBy,
		int pageIndex,
		int pageSize)
	{
        SqlBuilderColumnSelection colSel = new SqlBuilderColumnSelection(false, false);
        colSel.AddColumn(col, SqlBuilderColumnOperation.OperationType.Count);

        return InventoryQuery.Instance.GetColumnStatistics(colSel, where.GetFilter(), orderBy, pageIndex, pageSize);
    }

    /// <summary>
    ///  This method returns the columns in the table.
    /// </summary>
    public static BaseColumn[] GetColumns() 
    {
        return InventoryQuery.Instance.TableDefinition.Columns;
    }

    /// <summary>
    ///  This method returns the columnlist in the table.
    /// </summary>   
    public static ColumnList GetColumnList() 
    {
        return InventoryQuery.Instance.TableDefinition.ColumnList;
    }

    /// <summary>
    /// This method creates a new record and returns it to be edited.
    /// </summary>
    public static IRecord CreateNewRecord() 
    {
        return InventoryQuery.Instance.CreateRecord();
    }

    /// <summary>
    /// This method creates a new record and returns it to be edited.
    /// </summary>
    /// <param name="tempId">ID of the new record.</param>   
    public static IRecord CreateNewRecord(string tempId) 
    {
        return InventoryQuery.Instance.CreateRecord(tempId);
    }

    /// <summary>
    /// This method checks if column is editable.
    /// </summary>
    /// <param name="columnName">Name of the column to check.</param>
    public static bool isReadOnlyColumn(string columnName) 
    {
        BaseColumn column = GetColumn(columnName);
        if (!(column == null)) 
        {
            return column.IsValuesReadOnly;
        }
        else 
        {
            return true;
        }
    }

    /// <summary>
    /// This method gets the specified column.
    /// </summary>
    /// <param name="uniqueColumnName">Unique name of the column to fetch.</param>
    public static BaseColumn GetColumn(string uniqueColumnName) 
    {
        BaseColumn column = InventoryQuery.Instance.TableDefinition.ColumnList.GetByUniqueName(uniqueColumnName);
        return column;
    }

		/// <summary>
		///  This method deletes a specified record
		/// </summary>
		/// <param name="kv">Keyvalue of the record to be deleted.</param>
		public static void DeleteRecord(KeyValue kv)
		{
			InventoryQuery.Instance.DeleteOneRecord(kv);
		}

		/// <summary>
		/// This method checks if record exist in the database using the keyvalue provided.
		/// </summary>
		/// <param name="kv">Key value of the record.</param>
		public static bool DoesRecordExist(KeyValue kv)
		{
			bool recordExist = true;
			try
			{
				InventoryQuery.GetRecord(kv, false);
			}
			catch (Exception )
			{
				recordExist = false;
			}
			return recordExist;
		}

        //Convenience method for getting a record using a string-based record identifier
        public static InventoryRecord GetRecord(string id, bool bMutable)
        {
            return (InventoryRecord)InventoryQuery.Instance.GetRecordData(id, bMutable);
        }

        //Convenience method for getting a record using a KeyValue record identifier
        public static InventoryRecord GetRecord(KeyValue id, bool bMutable)
        {
            return (InventoryRecord)InventoryQuery.Instance.GetRecordData(id, bMutable);
        }    

        /// <summary>
        ///  This method returns all the primary columns in the table.
        /// </summary>
        public static ColumnList GetPrimaryKeyColumns() 
        {
            if (!(InventoryQuery.Instance.TableDefinition.PrimaryKey == null)) 
            {
                return InventoryQuery.Instance.TableDefinition.PrimaryKey.Columns;
            }
            else 
            {
                return null;
            }
        }

        /// <summary>
        /// This method takes a key and returns a keyvalue.
        /// </summary>
        /// <param name="key">key could be array of primary key values in case of composite primary key or a string containing single primary key value in case of non-composite primary key.</param>
        public static KeyValue GetKeyValue(object key) 
        {
            KeyValue kv = null;
            if (!(InventoryQuery.Instance.TableDefinition.PrimaryKey == null)) 
            {
                bool isCompositePrimaryKey = false;
                isCompositePrimaryKey = InventoryQuery.Instance.TableDefinition.PrimaryKey.IsCompositeKey;
                if ((isCompositePrimaryKey && key.GetType().IsArray)) 
                {
                    //  If the key is composite, then construct a key value.
                    kv = new KeyValue();
                    Array keyArray = ((Array)(key));
                    if (!(keyArray == null)) 
                    {
                        int length = keyArray.Length;
                        ColumnList pkColumns = InventoryQuery.Instance.TableDefinition.PrimaryKey.Columns;
                        int index = 0;
                        foreach (BaseColumn pkColumn in pkColumns) 
                        {
                            string keyString = ((keyArray.GetValue(index)).ToString());
                            if (InventoryQuery.Instance.TableDefinition.TableType == BaseClasses.Data.TableDefinition.TableTypes.Virtual)
                            {
                                kv.AddElement(pkColumn.UniqueName, keyString);
                            }
                            else 
                            {
                                kv.AddElement(pkColumn.InternalName, keyString);
                            }

                            index = (index + 1);
                        }
                    }
                }
                else 
                {
                    //  If the key is not composite, then get the key value.
                    kv = InventoryQuery.Instance.TableDefinition.PrimaryKey.ParseValue(((key).ToString()));
                }
            }
            return kv;
        }

#endregion
}

}
