﻿// This is a "safe" class, meaning that it is created once 
// and never overwritten. Any custom code you add to this class 
// will be preserved when you regenerate your application.
//
// Typical customizations that may be done in this class include
//  - adding custom event handlers
//  - overriding base class methods

using System;
using System.Data.SqlTypes;
using BaseClasses;
using BaseClasses.Data;
using BaseClasses.Data.SqlProvider;

namespace Warehouse.Business
{

/// <summary>
/// Provides access to the schema information and record data of a database table (or view).
/// See <see cref="BaseCustoms_modeTable"></see> for additional information.
/// </summary>
/// <remarks>
/// See <see cref="BaseCustoms_modeTable"></see> for additional information.
/// <para>
/// This class is implemented using the Singleton design pattern.
/// </para>
/// </remarks>
/// <seealso cref="BaseCustoms_modeTable"></seealso>
/// <seealso cref="BaseCustoms_modeSqlTable"></seealso>
/// <seealso cref="Customs_modeSqlTable"></seealso>
/// <seealso cref="Customs_modeDefinition"></seealso>
/// <seealso cref="Customs_modeRecord"></seealso>
/// <seealso cref="BaseCustoms_modeRecord"></seealso>
[SerializableAttribute()]
public class Customs_modeTable : BaseCustoms_modeTable, System.Runtime.Serialization.ISerializable, ISingleton
{

#region "ISerializable Members"

    /// <summary>
    /// Overridden to use the <see cref="Customs_modeTable_SerializationHelper"></see> class 
    /// for deserialization of <see cref="Customs_modeTable"></see> data.
    /// </summary>
    /// <remarks>
    /// Since the <see cref="Customs_modeTable"></see> class is implemented using the Singleton design pattern, 
    /// this method must be overridden to prevent additional instances from being created during deserialization.
    /// </remarks>
    void System.Runtime.Serialization.ISerializable.GetObjectData(
        System.Runtime.Serialization.SerializationInfo info, 
        System.Runtime.Serialization.StreamingContext context)
    {
        info.SetType(typeof(Customs_modeTable_SerializationHelper)); //No other values need to be added
    }

#region "Class Customs_modeTable_SerializationHelper"

    [SerializableAttribute()]
    private class Customs_modeTable_SerializationHelper: System.Runtime.Serialization.IObjectReference
    {
        //Method called after this object is deserialized
        public virtual object GetRealObject(System.Runtime.Serialization.StreamingContext context)
        {
            return Customs_modeTable.Instance;
        }
    }

#endregion

#endregion

    /// <summary>
    /// References the only instance of the <see cref="Customs_modeTable"></see> class.
    /// </summary>
    /// <remarks>
    /// Since the <see cref="Customs_modeTable"></see> class is implemented using the Singleton design pattern, 
    /// this field is the only way to access an instance of the class.
    /// </remarks>
    public readonly static Customs_modeTable Instance = new Customs_modeTable();

    private Customs_modeTable()
    {
    }


} // End class Customs_modeTable

}
