﻿// This is a "safe" class, meaning that it is created once 
// and never overwritten. Any custom code you add to this class 
// will be preserved when you regenerate your application.
//
// Typical customizations that may be done in this class include
//  - adding custom event handlers
//  - overriding base class methods

using System;
using System.Runtime;
using System.Data.SqlTypes;
using BaseClasses;
using BaseClasses.Data;
using BaseClasses.Data.SqlProvider;


namespace Warehouse.Business
{

/// <summary>
/// Provides access to the data in a record associated with a custom query.
/// Also provides access to the <see cref="InventoryQuery"></see> that each record is associated with.
/// </summary>
/// <para>
/// This is a "safe" class, meaning that it is generated once and never overwritten. 
/// Any changes you make to this class will be preserved when you regenerate your application.
/// </para>
/// <seealso cref="InventoryQuery"></seealso>
[SerializableAttribute()]
public class InventoryRecord : BaseInventoryRecord
{
}

}
