﻿// This is a "safe" class, meaning that it is created once 
// and never overwritten. Any custom code you add to this class 
// will be preserved when you regenerate your application.
//
// Typical customizations that may be done in this class include
//  - adding custom event handlers
//  - overriding base class methods

using System;
using System.Data.SqlTypes;
using BaseClasses;
using BaseClasses.Data;
using BaseClasses.Data.SqlProvider;

namespace Warehouse.Business
{

/// <summary>
/// Provides access to the schema information and record data of a database table (or view).
/// See <see cref="BaseUser_rolesTable"></see> for additional information.
/// </summary>
/// <remarks>
/// See <see cref="BaseUser_rolesTable"></see> for additional information.
/// <para>
/// This class is implemented using the Singleton design pattern.
/// </para>
/// </remarks>
/// <seealso cref="BaseUser_rolesTable"></seealso>
/// <seealso cref="BaseUser_rolesSqlTable"></seealso>
/// <seealso cref="User_rolesSqlTable"></seealso>
/// <seealso cref="User_rolesDefinition"></seealso>
/// <seealso cref="User_rolesRecord"></seealso>
/// <seealso cref="BaseUser_rolesRecord"></seealso>
[SerializableAttribute()]
public class User_rolesTable : BaseUser_rolesTable, System.Runtime.Serialization.ISerializable, ISingleton
{

#region "ISerializable Members"

    /// <summary>
    /// Overridden to use the <see cref="User_rolesTable_SerializationHelper"></see> class 
    /// for deserialization of <see cref="User_rolesTable"></see> data.
    /// </summary>
    /// <remarks>
    /// Since the <see cref="User_rolesTable"></see> class is implemented using the Singleton design pattern, 
    /// this method must be overridden to prevent additional instances from being created during deserialization.
    /// </remarks>
    void System.Runtime.Serialization.ISerializable.GetObjectData(
        System.Runtime.Serialization.SerializationInfo info, 
        System.Runtime.Serialization.StreamingContext context)
    {
        info.SetType(typeof(User_rolesTable_SerializationHelper)); //No other values need to be added
    }

#region "Class User_rolesTable_SerializationHelper"

    [SerializableAttribute()]
    private class User_rolesTable_SerializationHelper: System.Runtime.Serialization.IObjectReference
    {
        //Method called after this object is deserialized
        public virtual object GetRealObject(System.Runtime.Serialization.StreamingContext context)
        {
            return User_rolesTable.Instance;
        }
    }

#endregion

#endregion

    /// <summary>
    /// References the only instance of the <see cref="User_rolesTable"></see> class.
    /// </summary>
    /// <remarks>
    /// Since the <see cref="User_rolesTable"></see> class is implemented using the Singleton design pattern, 
    /// this field is the only way to access an instance of the class.
    /// </remarks>
    public readonly static User_rolesTable Instance = new User_rolesTable();

    private User_rolesTable()
    {
    }


} // End class User_rolesTable

}
