﻿
// This file implements the TableControl, TableControlRow, and RecordControl classes for the 
// CustomsOffice.aspx page.  The Row or RecordControl classes are the 
// ideal place to add code customizations. For example, you can override the LoadData, 
// CreateWhereClause, DataBind, SaveData, GetUIData, and Validate methods.

#region "Using statements"    

using Microsoft.VisualBasic;
using BaseClasses.Web.UI.WebControls;
using System;
using System.Collections;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using BaseClasses;
using BaseClasses.Data;
using BaseClasses.Utils;
using ReportTools.ReportCreator;
using ReportTools.Shared;




        
using Warehouse.Business;
using Warehouse.Data;
        

#endregion

  
namespace Warehouse.UI.Controls.CustomsOffice
{
  

#region "Section 1: Place your customizations here."

    
public class Import_itemTableControlRow : BaseImport_itemTableControlRow
{
      
        // The BaseImport_itemTableControlRow implements code for a ROW within the
        // the Import_itemTableControl table.  The BaseImport_itemTableControlRow implements the DataBind and SaveData methods.
        // The loading of data is actually performed by the LoadData method in the base class of Import_itemTableControl.

        // This is the ideal place to add your code customizations. For example, you can override the DataBind, 
        // SaveData, GetUIData, and Validate methods.
        

}

  

public class Import_itemTableControl : BaseImport_itemTableControl
{
        // The BaseImport_itemTableControl class implements the LoadData, DataBind, CreateWhereClause
        // and other methods to load and display the data in a table control.

        // This is the ideal place to add your code customizations. You can override the LoadData and CreateWhereClause,
        // The Import_itemTableControlRow class offers another place where you can customize
        // the DataBind, GetUIData, SaveData and Validate methods specific to each row displayed on the table.

}

  

#endregion

  

#region "Section 2: Do not modify this section."
    
    
// Base class for the Import_itemTableControlRow control on the CustomsOffice page.
// Do not modify this class. Instead override any method in Import_itemTableControlRow.
public class BaseImport_itemTableControlRow : Warehouse.UI.BaseApplicationRecordControl
{
        public BaseImport_itemTableControlRow()
        {
            this.Init += new EventHandler(Control_Init);
            this.Load += new EventHandler(Control_Load);
            this.PreRender += new EventHandler(Control_PreRender);
        }

        // To customize, override this method in Import_itemTableControlRow.
        protected virtual void Control_Init(object sender, System.EventArgs e)
        {
        
        }

        // To customize, override this method in Import_itemTableControlRow.
        protected virtual void Control_Load(object sender, System.EventArgs e)
        {
        
		    // Register the event handlers.
		  	  
        }

        public virtual void LoadData()  
        {
            // Load the data from the database into the DataSource import_item record.
            // It is better to make changes to functions called by LoadData such as
            // CreateWhereClause, rather than making changes here.
        
            // The RecordUniqueId is set the first time a record is loaded, and is
            // used during a PostBack to load the record.
            if (this.RecordUniqueId != null && this.RecordUniqueId.Length > 0) {
                this.DataSource = Import_itemTable.GetRecord(this.RecordUniqueId, true);
                return;
            }
      
            // Since this is a row in the table, the data for this row is loaded by the 
            // LoadData method of the BaseImport_itemTableControl when the data for the entire
            // table is loaded.
            this.DataSource = new Import_itemRecord();
          
        }

        public override void DataBind()
        {
            // The DataBind method binds the user interface controls to the values
            // from the database record.  To do this, it calls the Set methods for 
            // each of the field displayed on the webpage.  It is better to make 
            // changes in the Set methods, rather than making changes here.
            
            base.DataBind();
            
            // Make sure that the DataSource is initialized.
            
            if (this.DataSource == null) {
                return;
            }
              

            // Call the Set methods for each of the user interface controls.
        
            SetAlapnyilvántartási_száma();
            SetBetárolás_dátuma();
            SetCsomag_darab_száma();
            SetElintézési_száma();
            SetFuvarlevél_száma();
            SetMért_súly();
            Setvámkezelés_mód_id();
            SetVámzár_1();
            SetVámzár_2();

            this.IsNewRecord = true;
            if (this.DataSource.IsCreated) {
                this.IsNewRecord = false;
        
                this.RecordUniqueId = this.DataSource.GetID().ToXmlString();
            }

            

            // Now load data for each record and table child UI controls.
            // Ordering is important because child controls get 
            // their parent ids from their parent UI controls.
            bool shouldResetControl = false;
            if (shouldResetControl) { }; // prototype usage to void compiler warnings
            
        }

        
        public virtual void SetAlapnyilvántartási_száma()
        {
            // Set the Alapnyilvántartási száma Literal on the webpage with value from the
            // import_item database record.

            // this.DataSource is the import_item record retrieved from the database.
            // this.Alapnyilvántartási_száma is the ASP:Literal on the webpage.
                  
            if (this.DataSource.Alapnyilvántartási_számaSpecified) {
                // If the Alapnyilvántartási száma is non-NULL, then format the value.
                // The Format method will use the Display Format
                string formattedValue = this.DataSource.Format(Import_itemTable.Alapnyilvántartási_száma);
                formattedValue = HttpUtility.HtmlEncode(formattedValue);
                this.Alapnyilvántartási_száma.Text = formattedValue;
              
               
            } else {  
                // Alapnyilvántartási száma is NULL in the database, so use the Default Value.  
                // Default Value could also be NULL.
                this.Alapnyilvántartási_száma.Text = Import_itemTable.Alapnyilvántartási_száma.Format(Import_itemTable.Alapnyilvántartási_száma.DefaultValue);
                            
            }
                    
            // If the Alapnyilvántartási száma is NULL or blank, then use the value specified  
            // on Properties.
            if (this.Alapnyilvántartási_száma.Text == null ||
                this.Alapnyilvántartási_száma.Text.Trim().Length == 0) {
                // Set the value specified on the Properties.
                this.Alapnyilvántartási_száma.Text = "&nbsp;";
            }
                  
        }
                
        public virtual void SetBetárolás_dátuma()
        {
            // Set the Betárolás dátuma Literal on the webpage with value from the
            // import_item database record.

            // this.DataSource is the import_item record retrieved from the database.
            // this.Betárolás_dátuma is the ASP:Literal on the webpage.
                  
            if (this.DataSource.Betárolás_dátumaSpecified) {
                // If the Betárolás dátuma is non-NULL, then format the value.
                // The Format method will use the Display Format
                string formattedValue = this.DataSource.Format(Import_itemTable.Betárolás_dátuma);
                formattedValue = HttpUtility.HtmlEncode(formattedValue);
                this.Betárolás_dátuma.Text = formattedValue;
              
               
            } else {  
                // Betárolás dátuma is NULL in the database, so use the Default Value.  
                // Default Value could also be NULL.
                this.Betárolás_dátuma.Text = Import_itemTable.Betárolás_dátuma.Format(Import_itemTable.Betárolás_dátuma.DefaultValue);
                            
            }
                    
            // If the Betárolás dátuma is NULL or blank, then use the value specified  
            // on Properties.
            if (this.Betárolás_dátuma.Text == null ||
                this.Betárolás_dátuma.Text.Trim().Length == 0) {
                // Set the value specified on the Properties.
                this.Betárolás_dátuma.Text = "&nbsp;";
            }
                  
        }
                
        public virtual void SetCsomag_darab_száma()
        {
            // Set the Csomag darab száma Literal on the webpage with value from the
            // import_item database record.

            // this.DataSource is the import_item record retrieved from the database.
            // this.Csomag_darab_száma is the ASP:Literal on the webpage.
                  
            if (this.DataSource.Csomag_darab_számaSpecified) {
                // If the Csomag darab száma is non-NULL, then format the value.
                // The Format method will use the Display Format
                string formattedValue = this.DataSource.Format(Import_itemTable.Csomag_darab_száma);
                formattedValue = HttpUtility.HtmlEncode(formattedValue);
                this.Csomag_darab_száma.Text = formattedValue;
              
               
            } else {  
                // Csomag darab száma is NULL in the database, so use the Default Value.  
                // Default Value could also be NULL.
                this.Csomag_darab_száma.Text = Import_itemTable.Csomag_darab_száma.Format(Import_itemTable.Csomag_darab_száma.DefaultValue);
                            
            }
                    
            // If the Csomag darab száma is NULL or blank, then use the value specified  
            // on Properties.
            if (this.Csomag_darab_száma.Text == null ||
                this.Csomag_darab_száma.Text.Trim().Length == 0) {
                // Set the value specified on the Properties.
                this.Csomag_darab_száma.Text = "&nbsp;";
            }
                  
        }
                
        public virtual void SetElintézési_száma()
        {
            // Set the Elintézési száma Literal on the webpage with value from the
            // import_item database record.

            // this.DataSource is the import_item record retrieved from the database.
            // this.Elintézési_száma is the ASP:Literal on the webpage.
                  
            if (this.DataSource.Elintézési_számaSpecified) {
                // If the Elintézési száma is non-NULL, then format the value.
                // The Format method will use the Display Format
                string formattedValue = this.DataSource.Format(Import_itemTable.Elintézési_száma);
                formattedValue = HttpUtility.HtmlEncode(formattedValue);
                this.Elintézési_száma.Text = formattedValue;
              
               
            } else {  
                // Elintézési száma is NULL in the database, so use the Default Value.  
                // Default Value could also be NULL.
                this.Elintézési_száma.Text = Import_itemTable.Elintézési_száma.Format(Import_itemTable.Elintézési_száma.DefaultValue);
                            
            }
                    
            // If the Elintézési száma is NULL or blank, then use the value specified  
            // on Properties.
            if (this.Elintézési_száma.Text == null ||
                this.Elintézési_száma.Text.Trim().Length == 0) {
                // Set the value specified on the Properties.
                this.Elintézési_száma.Text = "&nbsp;";
            }
                  
        }
                
        public virtual void SetFuvarlevél_száma()
        {
            // Set the Fuvarlevél száma Literal on the webpage with value from the
            // import_item database record.

            // this.DataSource is the import_item record retrieved from the database.
            // this.Fuvarlevél_száma is the ASP:Literal on the webpage.
                  
            if (this.DataSource.Fuvarlevél_számaSpecified) {
                // If the Fuvarlevél száma is non-NULL, then format the value.
                // The Format method will use the Display Format
                string formattedValue = this.DataSource.Format(Import_itemTable.Fuvarlevél_száma);
                formattedValue = HttpUtility.HtmlEncode(formattedValue);
                this.Fuvarlevél_száma.Text = formattedValue;
              
               
            } else {  
                // Fuvarlevél száma is NULL in the database, so use the Default Value.  
                // Default Value could also be NULL.
                this.Fuvarlevél_száma.Text = Import_itemTable.Fuvarlevél_száma.Format(Import_itemTable.Fuvarlevél_száma.DefaultValue);
                            
            }
                    
            // If the Fuvarlevél száma is NULL or blank, then use the value specified  
            // on Properties.
            if (this.Fuvarlevél_száma.Text == null ||
                this.Fuvarlevél_száma.Text.Trim().Length == 0) {
                // Set the value specified on the Properties.
                this.Fuvarlevél_száma.Text = "&nbsp;";
            }
                  
        }
                
        public virtual void SetMért_súly()
        {
            // Set the Mért súly Literal on the webpage with value from the
            // import_item database record.

            // this.DataSource is the import_item record retrieved from the database.
            // this.Mért_súly is the ASP:Literal on the webpage.
                  
            if (this.DataSource.Mért_súlySpecified) {
                // If the Mért súly is non-NULL, then format the value.
                // The Format method will use the Display Format
                string formattedValue = this.DataSource.Format(Import_itemTable.Mért_súly);
                formattedValue = HttpUtility.HtmlEncode(formattedValue);
                this.Mért_súly.Text = formattedValue;
              
               
            } else {  
                // Mért súly is NULL in the database, so use the Default Value.  
                // Default Value could also be NULL.
                this.Mért_súly.Text = Import_itemTable.Mért_súly.Format(Import_itemTable.Mért_súly.DefaultValue);
                            
            }
                    
            // If the Mért súly is NULL or blank, then use the value specified  
            // on Properties.
            if (this.Mért_súly.Text == null ||
                this.Mért_súly.Text.Trim().Length == 0) {
                // Set the value specified on the Properties.
                this.Mért_súly.Text = "&nbsp;";
            }
                  
        }
                
        public virtual void Setvámkezelés_mód_id()
        {
            // Set the vámkezelés mód id Literal on the webpage with value from the
            // import_item database record.

            // this.DataSource is the import_item record retrieved from the database.
            // this.vámkezelés_mód_id is the ASP:Literal on the webpage.
                  
            if (this.DataSource.vámkezelés_mód_idSpecified) {
                // If the vámkezelés mód id is non-NULL, then format the value.
                // The Format method will return the Display Foreign Key As (DFKA) value
                string formattedValue = this.DataSource.Format(Import_itemTable.vámkezelés_mód_id);
                formattedValue = HttpUtility.HtmlEncode(formattedValue);
                this.vámkezelés_mód_id.Text = formattedValue;
              
               
            } else {  
                // vámkezelés mód id is NULL in the database, so use the Default Value.  
                // Default Value could also be NULL.
                this.vámkezelés_mód_id.Text = Import_itemTable.vámkezelés_mód_id.Format(Import_itemTable.vámkezelés_mód_id.DefaultValue);
                            
            }
                    
            // If the vámkezelés mód id is NULL or blank, then use the value specified  
            // on Properties.
            if (this.vámkezelés_mód_id.Text == null ||
                this.vámkezelés_mód_id.Text.Trim().Length == 0) {
                // Set the value specified on the Properties.
                this.vámkezelés_mód_id.Text = "&nbsp;";
            }
                  
        }
                
        public virtual void SetVámzár_1()
        {
            // Set the Vámzár 1 Literal on the webpage with value from the
            // import_item database record.

            // this.DataSource is the import_item record retrieved from the database.
            // this.Vámzár_1 is the ASP:Literal on the webpage.
                  
            if (this.DataSource.Vámzár_1Specified) {
                // If the Vámzár 1 is non-NULL, then format the value.
                // The Format method will use the Display Format
                string formattedValue = this.DataSource.Format(Import_itemTable.Vámzár_1);
                formattedValue = HttpUtility.HtmlEncode(formattedValue);
                this.Vámzár_1.Text = formattedValue;
              
               
            } else {  
                // Vámzár 1 is NULL in the database, so use the Default Value.  
                // Default Value could also be NULL.
                this.Vámzár_1.Text = Import_itemTable.Vámzár_1.Format(Import_itemTable.Vámzár_1.DefaultValue);
                            
            }
                    
            // If the Vámzár 1 is NULL or blank, then use the value specified  
            // on Properties.
            if (this.Vámzár_1.Text == null ||
                this.Vámzár_1.Text.Trim().Length == 0) {
                // Set the value specified on the Properties.
                this.Vámzár_1.Text = "&nbsp;";
            }
                  
        }
                
        public virtual void SetVámzár_2()
        {
            // Set the Vámzár 2 Literal on the webpage with value from the
            // import_item database record.

            // this.DataSource is the import_item record retrieved from the database.
            // this.Vámzár_2 is the ASP:Literal on the webpage.
                  
            if (this.DataSource.Vámzár_2Specified) {
                // If the Vámzár 2 is non-NULL, then format the value.
                // The Format method will use the Display Format
                string formattedValue = this.DataSource.Format(Import_itemTable.Vámzár_2);
                formattedValue = HttpUtility.HtmlEncode(formattedValue);
                this.Vámzár_2.Text = formattedValue;
              
               
            } else {  
                // Vámzár 2 is NULL in the database, so use the Default Value.  
                // Default Value could also be NULL.
                this.Vámzár_2.Text = Import_itemTable.Vámzár_2.Format(Import_itemTable.Vámzár_2.DefaultValue);
                            
            }
                    
            // If the Vámzár 2 is NULL or blank, then use the value specified  
            // on Properties.
            if (this.Vámzár_2.Text == null ||
                this.Vámzár_2.Text.Trim().Length == 0) {
                // Set the value specified on the Properties.
                this.Vámzár_2.Text = "&nbsp;";
            }
                  
        }
                

        public virtual void RegisterPostback()
        {
            
        }
    
        

        public virtual void SaveData()
        {
            // Saves the associated record in the database.
            // SaveData calls Validate and Get methods - so it may be more appropriate to
			// customize those methods.

            // 1. Load the existing record from the database. Since we save the entire record, this ensures 
            // that fields that are not displayed are also properly initialized.
            this.LoadData();
        
          
            // 2. Perform any custom validation.
            this.Validate();

            // 3. Set the values in the record with data from UI controls.
            // This calls the Get() method for each of the user interface controls.
            this.GetUIData();
   
            // 4. Save in the database.
            // We should not save the record if the data did not change. This
            // will save a database hit and avoid triggering any database triggers.
            if (this.DataSource.IsAnyValueChanged) {
                // Save record to database but do not commit yet.
                // Auto generated ids are available after saving for use by child (dependent) records.
                this.DataSource.Save();
    
				// Set the DataChanged flag to True for the for the related panels so they get refreshed as well.
                ((Import_itemTableControl)MiscUtils.GetParentControlObject(this, "Import_itemTableControl")).DataChanged = true;
                ((Import_itemTableControl)MiscUtils.GetParentControlObject(this, "Import_itemTableControl")).ResetData = true;
            }
            // Setting the DataChanged to True results in the page being refreshed with
			// the most recent data from the database.  This happens in PreRender event
            // based on the current sort, search and filter criteria.
            this.DataChanged = true;
            this.ResetData = true;
            
            // For Master-Detail relationships, save data on the Detail table(s)
              
        }

        public virtual void GetUIData()
        {
            // The GetUIData method retrieves the updated values from the user interface 
            // controls into a database record in preparation for saving or updating.
            // To do this, it calls the Get methods for each of the field displayed on 
            // the webpage.  It is better to make changes in the Get methods, rather 
            // than making changes here.
        
      
            // Call the Get methods for each of the user interface controls.
        
            GetAlapnyilvántartási_száma();
            GetBetárolás_dátuma();
            GetCsomag_darab_száma();
            GetElintézési_száma();
            GetFuvarlevél_száma();
            GetMért_súly();
            Getvámkezelés_mód_id();
            GetVámzár_1();
            GetVámzár_2();
        }
        
        
        public virtual void GetAlapnyilvántartási_száma()
        {
            
        }
                
        public virtual void GetBetárolás_dátuma()
        {
            
        }
                
        public virtual void GetCsomag_darab_száma()
        {
            
        }
                
        public virtual void GetElintézési_száma()
        {
            
        }
                
        public virtual void GetFuvarlevél_száma()
        {
            
        }
                
        public virtual void GetMért_súly()
        {
            
        }
                
        public virtual void Getvámkezelés_mód_id()
        {
            
        }
                
        public virtual void GetVámzár_1()
        {
            
        }
                
        public virtual void GetVámzár_2()
        {
            
        }
                

        public virtual WhereClause CreateWhereClause()
        {
        
            return null;
          
        }
        
        

        public virtual void Validate()
        {
            // Add custom validation for any control within this panel.
            // Example.  If you have a State ASP:Textbox control
            // If Me.State.Text <> "CA" Then
            //    Throw New Exception("State must be CA (California).")
            // End If

            // The Validate method is common across all controls within
            // this panel so you can validate multiple fields, but report
            // one error message.
        }

        public virtual void Delete()
        {
        
            if (this.IsNewRecord) {
                return;
            }

            KeyValue pkValue = KeyValue.XmlToKey(this.RecordUniqueId);
          Import_itemTable.DeleteRecord(pkValue);
          
			  
            // Setting the DataChanged to True results in the page being refreshed with
			// the most recent data from the database.  This happens in PreRender event
            // based on the current sort, search and filter criteria.
            ((Import_itemTableControl)MiscUtils.GetParentControlObject(this, "Import_itemTableControl")).DataChanged = true;
            ((Import_itemTableControl)MiscUtils.GetParentControlObject(this, "Import_itemTableControl")).ResetData = true;
        }

        protected virtual void Control_PreRender(object sender, System.EventArgs e)
        {
			// PreRender event is raised just before page is being displayed.
            try {
                DbUtils.StartTransaction();
                this.RegisterPostback();
                if (!this.Page.ErrorOnPage && (this.Page.IsPageRefresh || this.DataChanged || this.ResetData)) {
					// Re-load the data and update the web page if necessary.
					// This is typically done during a postback (filter, search button, sort, pagination button).
					// In each of the other click handlers, simply set DataChanged to True to reload the data.
                    this.LoadData();
                    this.DataBind();
                }
            } catch (Exception ex) {
                BaseClasses.Utils.MiscUtils.RegisterJScriptAlert(this, "BUTTON_CLICK_MESSAGE", ex.Message);
            } finally {
                DbUtils.EndTransaction();
            }
        }
        
        
                
        protected override void LoadViewState(object savedState)
        {
            base.LoadViewState(savedState);
            string isNewRecord = (string)ViewState["IsNewRecord"];
            if (isNewRecord != null && isNewRecord.Length > 0) {
                this.IsNewRecord = Boolean.Parse(isNewRecord);
            }
        
            string myCheckSum = (string)ViewState["CheckSum"];
            if (myCheckSum != null && myCheckSum.Length > 0) {
                this.CheckSum = myCheckSum;
            }
        
        }

        protected override object SaveViewState()
        {
            ViewState["IsNewRecord"] = this.IsNewRecord.ToString();
            ViewState["CheckSum"] = this.CheckSum;
        
            return base.SaveViewState();
        }

        
  
        private bool _IsNewRecord = true;
        public virtual bool IsNewRecord {
            get {
                return this._IsNewRecord;
            }
            set {
                this._IsNewRecord = value;
            }
        }

        private bool _DataChanged = false;
        public virtual bool DataChanged {
            get {
                return this._DataChanged;
            }
            set {
                this._DataChanged = value;
            }
        }

        private bool _ResetData = false;
        public virtual bool ResetData {
            get {
                return (this._ResetData);
            }
            set {
                this._ResetData = value;
            }
        }
        
        public String RecordUniqueId {
            get {
                return (string)this.ViewState["BaseImport_itemTableControlRow_Rec"];
            }
            set {
                this.ViewState["BaseImport_itemTableControlRow_Rec"] = value;
            }
        }
        
        private Import_itemRecord _DataSource;
        public Import_itemRecord DataSource {
            get {
                return (this._DataSource);
            }
            set {
                this._DataSource = value;
            }
        }

        private string _checkSum;
        public virtual string CheckSum {
            get {
                return (this._checkSum);
            }
            set {
                this._checkSum = value;
            }
        }
    
        private int _TotalPages;
        public virtual int TotalPages {
            get {
                return (this._TotalPages);
            }
            set {
                this._TotalPages = value;
            }
        }
        
        private int _PageIndex;
        public virtual int PageIndex {
            get {
                return (this._PageIndex);
            }
            set {
                this._PageIndex = value;
            }
        }
        
        private bool _DisplayLastPage;
        public virtual bool DisplayLastPage {
            get {
                return (this._DisplayLastPage);
            }
            set {
                this._DisplayLastPage = value;
            }
        }
        
        
    
        private KeyValue selectedParentKeyValue;
        public KeyValue SelectedParentKeyValue
        {
            get
            {
                return this.selectedParentKeyValue;
            }
            set
            {
                this.selectedParentKeyValue = value;
            }
        }
       
#region "Helper Properties"
        
        public System.Web.UI.WebControls.Literal Alapnyilvántartási_száma {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Alapnyilvántartási_száma");
            }
        }
            
        public System.Web.UI.WebControls.Literal Betárolás_dátuma {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Betárolás_dátuma");
            }
        }
            
        public System.Web.UI.WebControls.Literal Csomag_darab_száma {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Csomag_darab_száma");
            }
        }
            
        public System.Web.UI.WebControls.Literal Elintézési_száma {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Elintézési_száma");
            }
        }
            
        public System.Web.UI.WebControls.Literal Fuvarlevél_száma {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Fuvarlevél_száma");
            }
        }
            
        public System.Web.UI.WebControls.Literal Mért_súly {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Mért_súly");
            }
        }
            
        public System.Web.UI.WebControls.Literal vámkezelés_mód_id {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "vámkezelés_mód_id");
            }
        }
            
        public System.Web.UI.WebControls.Literal Vámzár_1 {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Vámzár_1");
            }
        }
            
        public System.Web.UI.WebControls.Literal Vámzár_2 {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Vámzár_2");
            }
        }
            
#endregion

#region "Helper Functions"
        public override string ModifyRedirectUrl(string url, string arg, bool bEncrypt)
        {
            return this.Page.EvaluateExpressions(url, arg, bEncrypt, this);
        }

        public override string EvaluateExpressions(string url, string arg, bool bEncrypt)
        {
            Import_itemRecord rec = null;
            try {
                rec = this.GetRecord();
            }
            catch (Exception ) {
                // Do Nothing
            }
            
            if (rec == null && url.IndexOf("{") >= 0) {
                // Localization.
                
                throw new Exception(Page.GetResourceValue("Err:RecDataSrcNotInitialized", "Warehouse"));
                    
            }
            return EvaluateExpressions(url, arg, rec, bEncrypt);
        }

        public virtual Import_itemRecord GetRecord()
        {
        
            if (this.DataSource != null) {
                return this.DataSource;
            }
            
            if (this.RecordUniqueId != null) {
                return Import_itemTable.GetRecord(this.RecordUniqueId, true);
            }
            
            // Localization.
            
            throw new Exception(Page.GetResourceValue("Err:RetrieveRec", "Warehouse"));
                
        }

        public new BaseApplicationPage Page
        {
            get {
                return ((BaseApplicationPage)base.Page);
            }
        }

#endregion

}

  
// Base class for the Import_itemTableControl control on the CustomsOffice page.
// Do not modify this class. Instead override any method in Import_itemTableControl.
public class BaseImport_itemTableControl : Warehouse.UI.BaseApplicationTableControl
{
        public BaseImport_itemTableControl()
        {
            this.Init += new EventHandler(Control_Init);
            this.Load += new EventHandler(Control_Load);
            this.PreRender += new EventHandler(Control_PreRender);
        }

        protected virtual void Control_Init(object sender, System.EventArgs e)
        {
	
            // Setup the filter and search events.
        
            if (!this.Page.IsPostBack && this.InSession(this.Betárolás_dátumaFromFilter)) {
                
                this.Betárolás_dátumaFromFilter.Text = this.GetFromSession(this.Betárolás_dátumaFromFilter);
                
            }
            if (!this.Page.IsPostBack && this.InSession(this.Betárolás_dátumaToFilter)) {
                
                this.Betárolás_dátumaToFilter.Text = this.GetFromSession(this.Betárolás_dátumaToFilter);
                
            }
            // Control Initializations.
            // Initialize the table's current sort order.
            if (this.InSession(this, "Order_By")) {
                this.CurrentSortOrder = OrderBy.FromXmlString(this.GetFromSession(this, "Order_By", null));
            } else {
                this.CurrentSortOrder = new OrderBy(true, true);
        
                this.CurrentSortOrder.Add(Import_itemTable.Betárolás_dátuma, OrderByItem.OrderDir.Asc);
          
            }

            // Setup default pagination settings.
    
            this.PageSize = Convert.ToInt32(this.GetFromSession(this, "Page_Size", "5"));
            this.PageIndex = Convert.ToInt32(this.GetFromSession(this, "Page_Index", "0"));
            this.ClearControlsFromSession();
        }

        protected virtual void Control_Load(object sender, EventArgs e)
        {
        
		  // Setup the pagination events.
		  
              this.Import_itemPagination.FirstPage.Click += new ImageClickEventHandler(Import_itemPagination_FirstPage_Click);
        
              this.Import_itemPagination.LastPage.Click += new ImageClickEventHandler(Import_itemPagination_LastPage_Click);
        
              this.Import_itemPagination.NextPage.Click += new ImageClickEventHandler(Import_itemPagination_NextPage_Click);
        
              this.Import_itemPagination.PageSizeButton.Click += new EventHandler(Import_itemPagination_PageSizeButton_Click);
            
              this.Import_itemPagination.PreviousPage.Click += new ImageClickEventHandler(Import_itemPagination_PreviousPage_Click);
        
		  // Setup the sorting events.
		  
              this.Alapnyilvántartási_számaLabel.Click += new EventHandler(Alapnyilvántartási_számaLabel_Click);
            
              this.Betárolás_dátumaLabel.Click += new EventHandler(Betárolás_dátumaLabel_Click);
            
              this.Csomag_darab_számaLabel.Click += new EventHandler(Csomag_darab_számaLabel_Click);
            
              this.Elintézési_számaLabel.Click += new EventHandler(Elintézési_számaLabel_Click);
            
              this.Fuvarlevél_számaLabel.Click += new EventHandler(Fuvarlevél_számaLabel_Click);
            
              this.Mért_súlyLabel.Click += new EventHandler(Mért_súlyLabel_Click);
            
              this.vámkezelés_mód_idLabel.Click += new EventHandler(vámkezelés_mód_idLabel_Click);
            
              this.Vámzár_1Label.Click += new EventHandler(Vámzár_1Label_Click);
            
              this.Vámzár_2Label.Click += new EventHandler(Vámzár_2Label_Click);
            
		  // Setup the button events.
		  
              this.Import_itemExportExcelButton.Click += new ImageClickEventHandler(Import_itemExportExcelButton_Click);
        
              this.Import_itemPDFButton.Click += new ImageClickEventHandler(Import_itemPDFButton_Click);
        
              this.Import_itemRefreshButton.Click += new ImageClickEventHandler(Import_itemRefreshButton_Click);
        
              this.Import_itemResetButton.Click += new ImageClickEventHandler(Import_itemResetButton_Click);
        
              this.Import_itemFilterButton.Button.Click += new EventHandler(Import_itemFilterButton_Click);
        
        }

        public virtual void LoadData()
        {
            // Read data from database. Returns an array of records that can be assigned
            // to the DataSource table control property.
            try {
                // The WHERE clause will be empty when displaying all records in table.
                WhereClause wc = CreateWhereClause();
                if (wc != null && !wc.RunQuery) {
                    // Initialize an empty array of records
                    ArrayList alist = new ArrayList(0);
                    this.DataSource = (Import_itemRecord[])(alist.ToArray(Type.GetType("Warehouse.Business.Import_itemRecord")));
                    // Add records to the list if needed.
                    this.AddNewRecords();
                    return;
                }

                // Call OrderBy to determine the order - either use the order defined
                // on the Query Wizard, or specified by user (by clicking on column heading)
                OrderBy orderBy = CreateOrderBy();

                // Get the pagesize from the pagesize control.
                this.GetPageSize();

                // Get the total number of records to be displayed.
                this.TotalRecords = Import_itemTable.GetRecordCount(wc);

                // Make sure PageIndex (current page) is within bounds.
                if (this.TotalPages <= 0 || this.PageIndex < 0) {
                    this.PageIndex = 0;
                }
                else if (this.DisplayLastPage || this.PageIndex >= this.TotalPages) {
                    this.PageIndex = this.TotalPages - 1;
                }

                // Retrieve the records and set the table DataSource.
                // Only PageSize records are fetched starting at PageIndex (zero based).
                if (this.TotalRecords <= 0) {
                    // No records matching query. Initialize an empty array of records
                    ArrayList alist = new ArrayList(0);
                    this.DataSource = (Import_itemRecord[])(alist.ToArray(Type.GetType("Warehouse.Business.Import_itemRecord")));
                }
                else if (this.AddNewRecord > 0) {
                    // Make sure to preserve the previously entered data on new rows.
                    ArrayList postdata = new ArrayList(0);
                    foreach (Import_itemTableControlRow rc in this.GetRecordControls()) {
                        if (!rc.IsNewRecord) {
                            rc.DataSource = rc.GetRecord();
                            rc.GetUIData();
                            postdata.Add(rc.DataSource);
                        }
                    }
                    this.DataSource = (Import_itemRecord[])(postdata.ToArray(Type.GetType("Warehouse.Business.Import_itemRecord")));
                } 
                else {
                    // Get the records from the database
                    this.DataSource = Import_itemTable.GetRecords(wc, orderBy, this.PageIndex, this.PageSize);
                }
                // Add any new rows desired by the user.
                this.AddNewRecords();
            

                // Initialize the page and grand totals. now
            
            this.Csomag_darab_számaGrandTotal.Text = this.GetCsomag_darab_számaGrandTotal();
            if (this.Csomag_darab_számaGrandTotal.Text == null || 
                this.Csomag_darab_számaGrandTotal.Text.Length == 0) {
                this.Csomag_darab_számaGrandTotal.Text = "&nbsp;";
            }
            this.Mért_súlyGrandTotal.Text = this.GetMért_súlyGrandTotal();
            if (this.Mért_súlyGrandTotal.Text == null || 
                this.Mért_súlyGrandTotal.Text.Length == 0) {
                this.Mért_súlyGrandTotal.Text = "&nbsp;";
            }
            } catch (Exception ex) {
                throw ex;
            }
        }

        public override void DataBind()
        {
            // The DataBind method binds the user interface controls to the values
            // from the database record for each row in the table.  To do this, it calls the
            // DataBind for each of the rows.
            // DataBind also populates any filters above the table, and sets the pagination
            // control to the correct number of records and the current page number.
            
            base.DataBind();
            
            // Make sure that the DataSource is initialized.
            if (this.DataSource == null) {
                return;
            }
           
        
            // Improve performance by prefetching display as records.
            this.PreFetchForeignKeyValues();

            // Setup the pagination controls.
            BindPaginationControls();

            // Populate all filters data.
        

            // Bind the repeater with the list of records to expand the UI.
            System.Web.UI.WebControls.Repeater rep = (System.Web.UI.WebControls.Repeater)(this.FindControl("Import_itemTableControlRepeater"));
            if (rep == null){return;}
            rep.DataSource = this.DataSource;
            rep.DataBind();

            int index = 0;
            foreach (System.Web.UI.WebControls.RepeaterItem repItem in rep.Items)
            {
                // Loop through all rows in the table, set its DataSource and call DataBind().
                Import_itemTableControlRow recControl = (Import_itemTableControlRow)(repItem.FindControl("Import_itemTableControlRow"));
                recControl.DataSource = this.DataSource[index];
                recControl.DataBind();
                recControl.Visible = !this.InDeletedRecordIds(recControl);
                index++;
            }

        
            // setting the state of expand or collapse alternative rows
      
            // Load data for each record and table UI control.
            // Ordering is important because child controls get 
            // their parent ids from their parent UI controls.
                
        }

        
        public void PreFetchForeignKeyValues() {
            if (this.DataSource == null) {
                return;
            }
          
            this.Page.PregetDfkaRecords(Import_itemTable.vámkezelés_mód_id, this.DataSource);
        }
         

        public virtual void RegisterPostback()
        {
        
                  this.Page.RegisterPostBackTrigger(MiscUtils.FindControlRecursively(this,"Import_itemExportExcelButton"));
                        
                  this.Page.RegisterPostBackTrigger(MiscUtils.FindControlRecursively(this,"Import_itemPDFButton"));
                                
        }
        
        
        public virtual void ResetControl()
        {
            
            this.Betárolás_dátumaFromFilter.Text = "";
            
            this.Betárolás_dátumaToFilter.Text = "";
            
            this.CurrentSortOrder.Reset();
            if (this.InSession(this, "Order_By")) {
                this.CurrentSortOrder = OrderBy.FromXmlString(this.GetFromSession(this, "Order_By", null));
            }
            else {
                this.CurrentSortOrder = new OrderBy(true, true);
            
                this.CurrentSortOrder.Add(Import_itemTable.Betárolás_dátuma, OrderByItem.OrderDir.Asc);
              
            }
                
            this.PageIndex = 0;
        }
        
        
        protected virtual void BindPaginationControls()
        {
            // Setup the pagination controls.

            // Bind the buttons for Import_itemTableControl pagination.
        
            this.Import_itemPagination.FirstPage.Enabled = !(this.PageIndex == 0);
            this.Import_itemPagination.LastPage.Enabled = !(this.PageIndex == this.TotalPages - 1);
            if (this.TotalPages == 0) {
                this.Import_itemPagination.LastPage.Enabled = false;
            }
          
            this.Import_itemPagination.NextPage.Enabled = !(this.PageIndex == this.TotalPages - 1);
            if (this.TotalPages == 0) {
                this.Import_itemPagination.NextPage.Enabled = false;
            }
          
            this.Import_itemPagination.PreviousPage.Enabled = !(this.PageIndex == 0);

            // Bind the pagination labels.
        
            if (this.TotalPages > 0) {
                this.Import_itemPagination.CurrentPage.Text = (this.PageIndex + 1).ToString();
            } else {
                this.Import_itemPagination.CurrentPage.Text = "0";
            }
            this.Import_itemPagination.PageSize.Text = this.PageSize.ToString();
            this.Import_itemPagination.TotalItems.Text = this.TotalRecords.ToString();
            this.Import_itemPagination.TotalPages.Text = this.TotalPages.ToString();
        }

        public virtual void SaveData()
        {
            // Save the data from the entire table.  Calls each row's Save Data
            // to save their data.  This function is called by the Click handler of the
            // Save button.  The button handler should Start/Commit/End a transaction.
            
            foreach (Import_itemTableControlRow recCtl in this.GetRecordControls())
            {
        
                if (this.InDeletedRecordIds(recCtl)) {
                    // Delete any pending deletes. 
                    recCtl.Delete();
                }
                else {
                    if (recCtl.Visible) {
                        recCtl.SaveData();
                    }
                }
          
            }

            // Setting the DataChanged to True results in the page being refreshed with
			// the most recent data from the database.  This happens in PreRender event
            // based on the current sort, search and filter criteria.
            this.DataChanged = true;
            this.ResetData = true;
          
            // Set IsNewRecord to False for all records - since everything has been saved and is no longer "new"
            foreach (Import_itemTableControlRow recCtl in this.GetRecordControls()){
                recCtl.IsNewRecord = false;
            }
      
            // Set DeletedRecordsIds to Nothing since we have deleted all pending deletes.
            this.DeletedRecordIds = null;
      
        }
        
        public virtual OrderBy CreateOrderBy()
        {
            // The CurrentSortOrder is initialized to the sort order on the 
            // Query Wizard.  It may be modified by the Click handler for any of
            // the column heading to sort or reverse sort by that column.
            // You can add your own sort order, or modify it on the Query Wizard.
            return this.CurrentSortOrder;
        }
        
        private string parentSelectedKeyValue;
        public string ParentSelectedKeyValue
        {
          get
          {
            return parentSelectedKeyValue;
          }
          set
          {
            parentSelectedKeyValue = value;
          }
        }

        public virtual WhereClause CreateWhereClause()
        {
            // This CreateWhereClause is used for loading the data.
            Import_itemTable.Instance.InnerFilter = null;
            WhereClause wc = new WhereClause();
            // CreateWhereClause() Compose the WHERE clause consiting of:
            // 1. Static clause defined at design time.
            // 2. User selected search criteria.
            // 3. User selected filter criteria.
            
        
            // Get the static clause defined at design time on the Table Panel Wizard
            WhereClause qc = this.CreateQueryClause();
            if (qc != null) {
                wc.iAND(qc);
            }
        
            if (MiscUtils.IsValueSelected(this.Betárolás_dátumaFromFilter)) {
                string val = MiscUtils.GetSelectedValue(this.Betárolás_dátumaFromFilter, this.GetFromSession(this.Betárolás_dátumaFromFilter));
                DateTime d = DateParser.ParseDate(val, DateColumn.DEFAULT_FORMAT);
                val = d.ToShortDateString() + " " + "00:00:00";
                wc.iAND(Import_itemTable.Betárolás_dátuma, BaseFilter.ComparisonOperator.Greater_Than_Or_Equal, val, false, false);
            }
                      
            if (MiscUtils.IsValueSelected(this.Betárolás_dátumaToFilter)) {
                string val = MiscUtils.GetSelectedValue(this.Betárolás_dátumaToFilter, this.GetFromSession(this.Betárolás_dátumaToFilter));
                DateTime d = DateParser.ParseDate(val, DateColumn.DEFAULT_FORMAT);
                val = d.ToShortDateString() + " " + "23:59:59";
                wc.iAND(Import_itemTable.Betárolás_dátuma, BaseFilter.ComparisonOperator.Less_Than_Or_Equal, val, false, false);
            }
                      
            return (wc);
        }
        
         
        protected virtual WhereClause CreateQueryClause()
        {
            // Create a where clause for the Static clause defined at design time.
            CompoundFilter filter = new CompoundFilter(CompoundFilter.CompoundingOperators.And_Operator, null);
        WhereClause whereClause = new WhereClause();

            filter.AddFilter(new BaseClasses.Data.ColumnValueFilter(BaseClasses.Data.BaseTable.CreateInstance(@"Warehouse.Business.Import_itemTable, App_Code").TableDefinition.ColumnList.GetByUniqueName(@"Import_item_.Vámáru"), @"1", BaseClasses.Data.BaseFilter.ComparisonOperator.EqualsTo, false));
            filter.AddFilter(new BaseClasses.Data.ColumnValueFilter(BaseClasses.Data.BaseTable.CreateInstance(@"Warehouse.Business.Import_itemTable, App_Code").TableDefinition.ColumnList.GetByUniqueName(@"Import_item_.Elintézési száma"), null, BaseClasses.Data.BaseFilter.ComparisonOperator.Not_Equals, false));

            whereClause.AddFilter(filter, CompoundFilter.CompoundingOperators.And_Operator);

            return whereClause;

        }
        
    
        protected virtual void GetPageSize()
        {
        
            if (this.Import_itemPagination.PageSize.Text.Length > 0) {
                try {
                    // this.PageSize = Convert.ToInt32(this.Import_itemPagination.PageSize.Text);
                } catch (Exception ) {
                }
            }
        }

        protected virtual void AddNewRecords()
        {
            ArrayList newRecordList = new ArrayList();

            // Loop though all the record controls and if the record control
            // does not have a unique record id set, then create a record
            // and add to the list.
            if (!this.ResetData)
            {
                System.Web.UI.WebControls.Repeater rep = (System.Web.UI.WebControls.Repeater)(this.FindControl("Import_itemTableControlRepeater"));
                if (rep == null){return;}

                foreach (System.Web.UI.WebControls.RepeaterItem repItem in rep.Items)
                {
                    // Loop through all rows in the table, set its DataSource and call DataBind().
                    Import_itemTableControlRow recControl = (Import_itemTableControlRow)(repItem.FindControl("Import_itemTableControlRow"));

                    if (recControl.Visible && recControl.IsNewRecord) {
                        Import_itemRecord rec = new Import_itemRecord();
        
                        if (recControl.Alapnyilvántartási_száma.Text != "") {
                            rec.Parse(recControl.Alapnyilvántartási_száma.Text, Import_itemTable.Alapnyilvántartási_száma);
                  }
                
                        if (recControl.Betárolás_dátuma.Text != "") {
                            rec.Parse(recControl.Betárolás_dátuma.Text, Import_itemTable.Betárolás_dátuma);
                  }
                
                        if (recControl.Csomag_darab_száma.Text != "") {
                            rec.Parse(recControl.Csomag_darab_száma.Text, Import_itemTable.Csomag_darab_száma);
                  }
                
                        if (recControl.Elintézési_száma.Text != "") {
                            rec.Parse(recControl.Elintézési_száma.Text, Import_itemTable.Elintézési_száma);
                  }
                
                        if (recControl.Fuvarlevél_száma.Text != "") {
                            rec.Parse(recControl.Fuvarlevél_száma.Text, Import_itemTable.Fuvarlevél_száma);
                  }
                
                        if (recControl.Mért_súly.Text != "") {
                            rec.Parse(recControl.Mért_súly.Text, Import_itemTable.Mért_súly);
                  }
                
                        if (recControl.vámkezelés_mód_id.Text != "") {
                            rec.Parse(recControl.vámkezelés_mód_id.Text, Import_itemTable.vámkezelés_mód_id);
                  }
                
                        if (recControl.Vámzár_1.Text != "") {
                            rec.Parse(recControl.Vámzár_1.Text, Import_itemTable.Vámzár_1);
                  }
                
                        if (recControl.Vámzár_2.Text != "") {
                            rec.Parse(recControl.Vámzár_2.Text, Import_itemTable.Vámzár_2);
                  }
                
                        newRecordList.Add(rec);
                    }
                }
            }

            // Add any new record to the list.
            for (int count = 1; count <= this.AddNewRecord; count++) {
                newRecordList.Insert(0, new Import_itemRecord());
            }
            this.AddNewRecord = 0;

            // Finally, add any new records to the DataSource.
            if (newRecordList.Count > 0) {
                ArrayList finalList = new ArrayList(this.DataSource);
                finalList.InsertRange(0, newRecordList);

                this.DataSource = (Import_itemRecord[])(finalList.ToArray(Type.GetType("Warehouse.Business.Import_itemRecord")));
            }
        }

        
        public void AddToDeletedRecordIds(Import_itemTableControlRow rec)
        {
            if (rec.IsNewRecord) {
                return;
            }

            if (this.DeletedRecordIds != null && this.DeletedRecordIds.Length > 0) {
                this.DeletedRecordIds += ",";
            }

            this.DeletedRecordIds += "[" + rec.RecordUniqueId + "]";
        }

        protected virtual bool InDeletedRecordIds(Import_itemTableControlRow rec)            
        {
            if (this.DeletedRecordIds == null || this.DeletedRecordIds.Length == 0) {
                return (false);
            }

            return (this.DeletedRecordIds.IndexOf("[" + rec.RecordUniqueId + "]") >= 0);
        }

        private String _DeletedRecordIds;
        public String DeletedRecordIds {
            get {
                return (this._DeletedRecordIds);
            }
            set {
                this._DeletedRecordIds = value;
            }
        }
        
        protected virtual string GetCsomag_darab_számaGrandTotal()
        {
            WhereClause wc = this.CreateWhereClause();
            OrderBy orderBy = this.CreateOrderBy();
              
            string Csomag_darab_számaSum = Import_itemTable.GetSum(Import_itemTable.Csomag_darab_száma, wc, orderBy, BaseTable.MIN_PAGE_NUMBER, BaseTable.MAX_BATCH_SIZE);
                
            return Import_itemTable.Csomag_darab_száma.Format(Csomag_darab_számaSum);
        }
          
        protected virtual string GetMért_súlyGrandTotal()
        {
            WhereClause wc = this.CreateWhereClause();
            OrderBy orderBy = this.CreateOrderBy();
              
            string Mért_súlySum = Import_itemTable.GetSum(Import_itemTable.Mért_súly, wc, orderBy, BaseTable.MIN_PAGE_NUMBER, BaseTable.MAX_BATCH_SIZE);
                
            return Import_itemTable.Mért_súly.Format(Mért_súlySum);
        }
          
        protected virtual void Control_PreRender(object sender, System.EventArgs e)
        {
			// PreRender event is raised just before page is being displayed.
            try {
                DbUtils.StartTransaction();
                this.RegisterPostback();
                if (!this.Page.ErrorOnPage && (this.Page.IsPageRefresh || this.DataChanged || this.ResetData)) {
					// Re-load the data and update the web page if necessary.
					// This is typically done during a postback (filter, search button, sort, pagination button).
					// In each of the other click handlers, simply set DataChanged to True to reload the data.
                    this.LoadData();
                    this.DataBind();
                }
                
            } catch (Exception ex) {
                BaseClasses.Utils.MiscUtils.RegisterJScriptAlert(this, "BUTTON_CLICK_MESSAGE", ex.Message);
            } finally {
                DbUtils.EndTransaction();
            }
        }
        
        protected override void SaveControlsToSession()
        {
            base.SaveControlsToSession();
            // Save filter controls to values to session.
        
            this.SaveToSession(this.Betárolás_dátumaFromFilter, this.Betárolás_dátumaFromFilter.Text);
                  
            this.SaveToSession(this.Betárolás_dátumaToFilter, this.Betárolás_dátumaToFilter.Text);
                  
            
            // Save table control properties to the session.
            if (this.CurrentSortOrder != null) {
                this.SaveToSession(this, "Order_By", this.CurrentSortOrder.ToXmlString());
            }
            this.SaveToSession(this, "Page_Index", this.PageIndex.ToString());
            this.SaveToSession(this, "Page_Size", this.PageSize.ToString());
        
            this.SaveToSession(this, "DeletedRecordIds", this.DeletedRecordIds);
        
        }
        
        
        
        protected override void ClearControlsFromSession()
        {
            base.ClearControlsFromSession();
            // Clear filter controls values from the session.
        
            this.RemoveFromSession(this.Betárolás_dátumaFromFilter);
            this.RemoveFromSession(this.Betárolás_dátumaToFilter);
            
            // Clear table properties from the session.
            this.RemoveFromSession(this, "Order_By");
            this.RemoveFromSession(this, "Page_Index");
            this.RemoveFromSession(this, "Page_Size");
            
            this.RemoveFromSession(this, "DeletedRecordIds");
            
        }

        protected override void LoadViewState(object savedState)
        {
            base.LoadViewState(savedState);

            string orderByStr = (string)ViewState["Import_itemTableControl_OrderBy"];
            if (orderByStr != null && orderByStr.Length > 0) {
                this.CurrentSortOrder = BaseClasses.Data.OrderBy.FromXmlString(orderByStr);
            }
            else {
                this.CurrentSortOrder = new OrderBy(true, true);
            }

            if (ViewState["Page_Index"] != null) {
                this.PageIndex = (int)ViewState["Page_Index"];
            }

            if (ViewState["Page_Size"] != null) {
                this.PageSize = (int)ViewState["Page_Size"];
            }
        
            this.DeletedRecordIds = (string)this.ViewState["DeletedRecordIds"];
        
        }

        protected override object SaveViewState()
        {            
            if (this.CurrentSortOrder != null) {
                this.ViewState["Import_itemTableControl_OrderBy"] = this.CurrentSortOrder.ToXmlString();
            }
            
            this.ViewState["Page_Index"] = this.PageIndex;
            this.ViewState["Page_Size"] = this.PageSize;
        
            this.ViewState["DeletedRecordIds"] = this.DeletedRecordIds;
        
            return (base.SaveViewState());
        }
        
        // Generate the event handling functions for pagination events.
        
        // event handler for ImageButton
        public virtual void Import_itemPagination_FirstPage_Click(object sender, ImageClickEventArgs args)
        {
        
            try {
                
            this.PageIndex = 0;
            this.DataChanged = true;
      
            } catch (Exception ex) {
                  this.Page.ErrorOnPage = true;
      
			// Report the error message to the end user
            BaseClasses.Utils.MiscUtils.RegisterJScriptAlert(this, "BUTTON_CLICK_MESSAGE", ex.Message);
          
            } finally {
    
            }
    
        }
                    
        // event handler for ImageButton
        public virtual void Import_itemPagination_LastPage_Click(object sender, ImageClickEventArgs args)
        {
        
            try {
                
            this.DisplayLastPage = true;
            this.DataChanged = true;
      
            } catch (Exception ex) {
                  this.Page.ErrorOnPage = true;
      
			// Report the error message to the end user
            BaseClasses.Utils.MiscUtils.RegisterJScriptAlert(this, "BUTTON_CLICK_MESSAGE", ex.Message);
          
            } finally {
    
            }
    
        }
                    
        // event handler for ImageButton
        public virtual void Import_itemPagination_NextPage_Click(object sender, ImageClickEventArgs args)
        {
        
            try {
                
            this.PageIndex += 1;
            this.DataChanged = true;
      
            } catch (Exception ex) {
                  this.Page.ErrorOnPage = true;
      
			// Report the error message to the end user
            BaseClasses.Utils.MiscUtils.RegisterJScriptAlert(this, "BUTTON_CLICK_MESSAGE", ex.Message);
          
            } finally {
    
            }
    
        }
                    
        // event handler for LinkButton
        public virtual void Import_itemPagination_PageSizeButton_Click(object sender, EventArgs args)
        {
        
            try {
                
            this.DataChanged = true;
      
            this.PageSize = Convert.ToInt32(this.Import_itemPagination.PageSize.Text);
      
            this.PageIndex = Convert.ToInt32(this.Import_itemPagination.CurrentPage.Text) - 1;
      
            } catch (Exception ex) {
                  this.Page.ErrorOnPage = true;
      
			// Report the error message to the end user
            BaseClasses.Utils.MiscUtils.RegisterJScriptAlert(this, "BUTTON_CLICK_MESSAGE", ex.Message);
          
            } finally {
    
            }
    
        }
            
        // event handler for ImageButton
        public virtual void Import_itemPagination_PreviousPage_Click(object sender, ImageClickEventArgs args)
        {
        
            try {
                
            if (this.PageIndex > 0) {
                this.PageIndex -= 1;
                this.DataChanged = true;
            }
      
            } catch (Exception ex) {
                  this.Page.ErrorOnPage = true;
      
			// Report the error message to the end user
            BaseClasses.Utils.MiscUtils.RegisterJScriptAlert(this, "BUTTON_CLICK_MESSAGE", ex.Message);
          
            } finally {
    
            }
    
        }
                    

        // Generate the event handling functions for sorting events.
        
        public virtual void Alapnyilvántartási_számaLabel_Click(object sender, EventArgs args)
        {
            //Sorts by Alapnyilvántartási száma when clicked.
              
            // Get previous sorting state for Alapnyilvántartási száma.
            OrderByItem sd = this.CurrentSortOrder.Find(Import_itemTable.Alapnyilvántartási_száma);
            if (sd == null) {
                // First time sort, so add sort order for Alapnyilvántartási száma.
                this.CurrentSortOrder.Reset();
                this.CurrentSortOrder.Add(Import_itemTable.Alapnyilvántartási_száma, OrderByItem.OrderDir.Asc);
            } else {
                // Previously sorted by Alapnyilvántartási száma, so just reverse.
                sd.Reverse();
            }

            // Setting the DataChanged to True results in the page being refreshed with
			// the most recent data from the database.  This happens in PreRender event
            // based on the current sort, search and filter criteria.
            this.DataChanged = true;
              
        }
            
        public virtual void Betárolás_dátumaLabel_Click(object sender, EventArgs args)
        {
            //Sorts by Betárolás dátuma when clicked.
              
            // Get previous sorting state for Betárolás dátuma.
            OrderByItem sd = this.CurrentSortOrder.Find(Import_itemTable.Betárolás_dátuma);
            if (sd == null) {
                // First time sort, so add sort order for Betárolás dátuma.
                this.CurrentSortOrder.Reset();
                this.CurrentSortOrder.Add(Import_itemTable.Betárolás_dátuma, OrderByItem.OrderDir.Asc);
            } else {
                // Previously sorted by Betárolás dátuma, so just reverse.
                sd.Reverse();
            }

            // Setting the DataChanged to True results in the page being refreshed with
			// the most recent data from the database.  This happens in PreRender event
            // based on the current sort, search and filter criteria.
            this.DataChanged = true;
              
        }
            
        public virtual void Csomag_darab_számaLabel_Click(object sender, EventArgs args)
        {
            //Sorts by Csomag darab száma when clicked.
              
            // Get previous sorting state for Csomag darab száma.
            OrderByItem sd = this.CurrentSortOrder.Find(Import_itemTable.Csomag_darab_száma);
            if (sd == null) {
                // First time sort, so add sort order for Csomag darab száma.
                this.CurrentSortOrder.Reset();
                this.CurrentSortOrder.Add(Import_itemTable.Csomag_darab_száma, OrderByItem.OrderDir.Asc);
            } else {
                // Previously sorted by Csomag darab száma, so just reverse.
                sd.Reverse();
            }

            // Setting the DataChanged to True results in the page being refreshed with
			// the most recent data from the database.  This happens in PreRender event
            // based on the current sort, search and filter criteria.
            this.DataChanged = true;
              
        }
            
        public virtual void Elintézési_számaLabel_Click(object sender, EventArgs args)
        {
            //Sorts by Elintézési száma when clicked.
              
            // Get previous sorting state for Elintézési száma.
            OrderByItem sd = this.CurrentSortOrder.Find(Import_itemTable.Elintézési_száma);
            if (sd == null) {
                // First time sort, so add sort order for Elintézési száma.
                this.CurrentSortOrder.Reset();
                this.CurrentSortOrder.Add(Import_itemTable.Elintézési_száma, OrderByItem.OrderDir.Asc);
            } else {
                // Previously sorted by Elintézési száma, so just reverse.
                sd.Reverse();
            }

            // Setting the DataChanged to True results in the page being refreshed with
			// the most recent data from the database.  This happens in PreRender event
            // based on the current sort, search and filter criteria.
            this.DataChanged = true;
              
        }
            
        public virtual void Fuvarlevél_számaLabel_Click(object sender, EventArgs args)
        {
            //Sorts by Fuvarlevél száma when clicked.
              
            // Get previous sorting state for Fuvarlevél száma.
            OrderByItem sd = this.CurrentSortOrder.Find(Import_itemTable.Fuvarlevél_száma);
            if (sd == null) {
                // First time sort, so add sort order for Fuvarlevél száma.
                this.CurrentSortOrder.Reset();
                this.CurrentSortOrder.Add(Import_itemTable.Fuvarlevél_száma, OrderByItem.OrderDir.Asc);
            } else {
                // Previously sorted by Fuvarlevél száma, so just reverse.
                sd.Reverse();
            }

            // Setting the DataChanged to True results in the page being refreshed with
			// the most recent data from the database.  This happens in PreRender event
            // based on the current sort, search and filter criteria.
            this.DataChanged = true;
              
        }
            
        public virtual void Mért_súlyLabel_Click(object sender, EventArgs args)
        {
            //Sorts by Mért súly when clicked.
              
            // Get previous sorting state for Mért súly.
            OrderByItem sd = this.CurrentSortOrder.Find(Import_itemTable.Mért_súly);
            if (sd == null) {
                // First time sort, so add sort order for Mért súly.
                this.CurrentSortOrder.Reset();
                this.CurrentSortOrder.Add(Import_itemTable.Mért_súly, OrderByItem.OrderDir.Asc);
            } else {
                // Previously sorted by Mért súly, so just reverse.
                sd.Reverse();
            }

            // Setting the DataChanged to True results in the page being refreshed with
			// the most recent data from the database.  This happens in PreRender event
            // based on the current sort, search and filter criteria.
            this.DataChanged = true;
              
        }
            
        public virtual void vámkezelés_mód_idLabel_Click(object sender, EventArgs args)
        {
            //Sorts by vámkezelés mód id when clicked.
              
            // Get previous sorting state for vámkezelés mód id.
            OrderByItem sd = this.CurrentSortOrder.Find(Import_itemTable.vámkezelés_mód_id);
            if (sd == null) {
                // First time sort, so add sort order for vámkezelés mód id.
                this.CurrentSortOrder.Reset();
                this.CurrentSortOrder.Add(Import_itemTable.vámkezelés_mód_id, OrderByItem.OrderDir.Asc);
            } else {
                // Previously sorted by vámkezelés mód id, so just reverse.
                sd.Reverse();
            }

            // Setting the DataChanged to True results in the page being refreshed with
			// the most recent data from the database.  This happens in PreRender event
            // based on the current sort, search and filter criteria.
            this.DataChanged = true;
              
        }
            
        public virtual void Vámzár_1Label_Click(object sender, EventArgs args)
        {
            //Sorts by Vámzár 1 when clicked.
              
            // Get previous sorting state for Vámzár 1.
            OrderByItem sd = this.CurrentSortOrder.Find(Import_itemTable.Vámzár_1);
            if (sd == null) {
                // First time sort, so add sort order for Vámzár 1.
                this.CurrentSortOrder.Reset();
                this.CurrentSortOrder.Add(Import_itemTable.Vámzár_1, OrderByItem.OrderDir.Asc);
            } else {
                // Previously sorted by Vámzár 1, so just reverse.
                sd.Reverse();
            }

            // Setting the DataChanged to True results in the page being refreshed with
			// the most recent data from the database.  This happens in PreRender event
            // based on the current sort, search and filter criteria.
            this.DataChanged = true;
              
        }
            
        public virtual void Vámzár_2Label_Click(object sender, EventArgs args)
        {
            //Sorts by Vámzár 2 when clicked.
              
            // Get previous sorting state for Vámzár 2.
            OrderByItem sd = this.CurrentSortOrder.Find(Import_itemTable.Vámzár_2);
            if (sd == null) {
                // First time sort, so add sort order for Vámzár 2.
                this.CurrentSortOrder.Reset();
                this.CurrentSortOrder.Add(Import_itemTable.Vámzár_2, OrderByItem.OrderDir.Asc);
            } else {
                // Previously sorted by Vámzár 2, so just reverse.
                sd.Reverse();
            }

            // Setting the DataChanged to True results in the page being refreshed with
			// the most recent data from the database.  This happens in PreRender event
            // based on the current sort, search and filter criteria.
            this.DataChanged = true;
              
        }
            

        // Generate the event handling functions for button events.
        
        // event handler for ImageButton
        public virtual void Import_itemExportExcelButton_Click(object sender, ImageClickEventArgs args)
        {
        
            try {
                // Enclose all database retrieval/update code within a Transaction boundary
				DbUtils.StartTransaction();
				
            // To customize the columns or the format, override this function in Section 1 of the page
            // and modify it to your liking.
            // Build the where clause based on the current filter and search criteria
            // Create the Order By clause based on the user's current sorting preference.
            
                WhereClause wc = CreateWhereClause();
                OrderBy orderBy = null;
                
                orderBy = CreateOrderBy();
                
            // Create an instance of the Excel report class with the table class, where clause and order by.
            ExportData excelReport = new ExportData(Import_itemTable.Instance, wc, orderBy);
            // Add each of the columns in order of export.
            // To customize the data type, change the second parameter of the new ExcelColumn to be
            // a format string from Excel's Format Cell menu. For example "dddd, mmmm dd, yyyy h:mm AM/PM;@", "#,##0.00"
             excelReport.AddColumn(new ExcelColumn(Import_itemTable.Betárolás_dátuma, "Short Date"));
             excelReport.AddColumn(new ExcelColumn(Import_itemTable.Alapnyilvántartási_száma, "Default"));
             excelReport.AddColumn(new ExcelColumn(Import_itemTable.Fuvarlevél_száma, "Default"));
             excelReport.AddColumn(new ExcelColumn(Import_itemTable.Csomag_darab_száma, "0"));
             excelReport.AddColumn(new ExcelColumn(Import_itemTable.Mért_súly, "0"));
             excelReport.AddColumn(new ExcelColumn(Import_itemTable.Elintézési_száma, "Default"));
             excelReport.AddColumn(new ExcelColumn(Import_itemTable.Vámzár_1, "Default"));
             excelReport.AddColumn(new ExcelColumn(Import_itemTable.Vámzár_2, "Default"));
             excelReport.AddColumn(new ExcelColumn(Import_itemTable.vámkezelés_mód_id, "Default"));

            excelReport.ExportToExcel(this.Page.Response);
                    this.Page.CommitTransaction(sender);
    
      
            } catch (Exception ex) {
                  // Upon error, rollback the transaction
                  this.Page.RollBackTransaction(sender);
                  this.Page.ErrorOnPage = true;
      
			// Report the error message to the end user
            BaseClasses.Utils.MiscUtils.RegisterJScriptAlert(this, "BUTTON_CLICK_MESSAGE", ex.Message);
          
            } finally {
                DbUtils.EndTransaction();
            }
    
        }
                    
        // event handler for ImageButton
        public virtual void Import_itemPDFButton_Click(object sender, ImageClickEventArgs args)
        {
        
            try {
                // Enclose all database retrieval/update code within a Transaction boundary
				DbUtils.StartTransaction();
				

        PDFReport report = new PDFReport();

        report.SpecificReportFileName = Page.Server.MapPath("CustomsOffice.Import_itemPDFButton.report");
                // report.Title replaces the value tag of page header and footer containing ${ReportTitle}
                report.Title = "import_item";
                // If CustomsOffice.Import_itemPDFButton.report specifies a valid report template,
                // AddColumn methods will generate a report template.   
                // Each AddColumn method-call specifies a column
                // The 1st parameter represents the text of the column header
                // The 2nd parameter represents the horizontal alignment of the column header
                // The 3rd parameter represents the text format of the column detail
                // The 4th parameter represents the horizontal alignment of the column detail
                // The 5th parameter represents the relative width of the column
                 report.AddColumn(Import_itemTable.Betárolás_dátuma.Name, ReportEnum.Align.Left, "${Import_itemTable.Betárolás_dátuma.Name}", ReportEnum.Align.Left, 20);
                 report.AddColumn(Import_itemTable.Alapnyilvántartási_száma.Name, ReportEnum.Align.Left, "${Import_itemTable.Alapnyilvántartási_száma.Name}", ReportEnum.Align.Left, 22);
                 report.AddColumn(Import_itemTable.Fuvarlevél_száma.Name, ReportEnum.Align.Left, "${Import_itemTable.Fuvarlevél_száma.Name}", ReportEnum.Align.Left, 22);
                 report.AddColumn(Import_itemTable.Csomag_darab_száma.Name, ReportEnum.Align.Right, "${Import_itemTable.Csomag_darab_száma.Name}", ReportEnum.Align.Right, 15);
                 report.AddColumn(Import_itemTable.Mért_súly.Name, ReportEnum.Align.Right, "${Import_itemTable.Mért_súly.Name}", ReportEnum.Align.Right, 15);
                 report.AddColumn(Import_itemTable.Elintézési_száma.Name, ReportEnum.Align.Left, "${Import_itemTable.Elintézési_száma.Name}", ReportEnum.Align.Left, 24);
                 report.AddColumn(Import_itemTable.Vámzár_1.Name, ReportEnum.Align.Left, "${Import_itemTable.Vámzár_1.Name}", ReportEnum.Align.Left, 15);
                 report.AddColumn(Import_itemTable.Vámzár_2.Name, ReportEnum.Align.Left, "${Import_itemTable.Vámzár_2.Name}", ReportEnum.Align.Left, 15);
                 report.AddColumn(Import_itemTable.vámkezelés_mód_id.Name, ReportEnum.Align.Left, "${Import_itemTable.vámkezelés_mód_id.Name}", ReportEnum.Align.Left, 30);

            WhereClause whereClause = CreateWhereClause();
            
            OrderBy orderBy = CreateOrderBy();
                

                int rowsPerQuery = 5000;
                int pageNum = 0;
                int recordCount = 0;
                int totalRecords = Import_itemTable.GetRecordCount(whereClause);
                                
                report.Page = Page.GetResourceValue("Txt:Page", "Warehouse");
                report.ApplicationPath = this.Page.MapPath(Page.Request.ApplicationPath);

                ColumnList columns = Import_itemTable.GetColumnList();
                Import_itemRecord[] records = null;
                do
                {
                    records = Import_itemTable.GetRecords(whereClause, orderBy, pageNum, rowsPerQuery);
                    if (records != null && records.Length > 0 && whereClause.RunQuery)
                    {
                        foreach ( Import_itemRecord record in records)
                        {
                            // AddData method takes four parameters   
                            // The 1st parameter represent the data format
                            // The 2nd parameter represent the data value
                            // The 3rd parameter represent the default alignment of column using the data
                            // The 4th parameter represent the maximum length of the data value being shown
                             report.AddData("${Import_itemTable.Betárolás_dátuma.Name}", record.Format(Import_itemTable.Betárolás_dátuma), ReportEnum.Align.Left, 100);
                             report.AddData("${Import_itemTable.Alapnyilvántartási_száma.Name}", record.Format(Import_itemTable.Alapnyilvántartási_száma), ReportEnum.Align.Left, 100);
                             report.AddData("${Import_itemTable.Fuvarlevél_száma.Name}", record.Format(Import_itemTable.Fuvarlevél_száma), ReportEnum.Align.Left, 100);
                             report.AddData("${Import_itemTable.Csomag_darab_száma.Name}", record.Format(Import_itemTable.Csomag_darab_száma), ReportEnum.Align.Right, 100);
                             report.AddData("${Import_itemTable.Mért_súly.Name}", record.Format(Import_itemTable.Mért_súly), ReportEnum.Align.Right, 100);
                             report.AddData("${Import_itemTable.Elintézési_száma.Name}", record.Format(Import_itemTable.Elintézési_száma), ReportEnum.Align.Left, 100);
                             report.AddData("${Import_itemTable.Vámzár_1.Name}", record.Format(Import_itemTable.Vámzár_1), ReportEnum.Align.Left, 100);
                             report.AddData("${Import_itemTable.Vámzár_2.Name}", record.Format(Import_itemTable.Vámzár_2), ReportEnum.Align.Left, 100);
                             report.AddData("${Import_itemTable.vámkezelés_mód_id.Name}", record.Format(Import_itemTable.vámkezelés_mód_id), ReportEnum.Align.Left, 100);

                            report.WriteRow();
                        }
                        pageNum++;
                        recordCount += records.Length;
                    }
                }
                while (records != null && recordCount < totalRecords && whereClause.RunQuery);
                report.Close();
                BaseClasses.Utils.NetUtils.WriteResponseBinaryAttachment(this.Page.Response, report.Title + ".pdf", report.ReportInByteArray, 0, true);
                      this.Page.CommitTransaction(sender);
    
      
            } catch (Exception ex) {
                  // Upon error, rollback the transaction
                  this.Page.RollBackTransaction(sender);
                  this.Page.ErrorOnPage = true;
      
			// Report the error message to the end user
            BaseClasses.Utils.MiscUtils.RegisterJScriptAlert(this, "BUTTON_CLICK_MESSAGE", ex.Message);
          
            } finally {
                DbUtils.EndTransaction();
            }
    
        }
                    
        // event handler for ImageButton
        public virtual void Import_itemRefreshButton_Click(object sender, ImageClickEventArgs args)
        {
        
            try {
                Import_itemTableControl Import_itemTableControlObj = ((Import_itemTableControl)(this.Page.FindControlRecursively("Import_itemTableControl")));
            Import_itemTableControlObj.ResetData = true;
            
            Import_itemTableControlObj.RemoveFromSession(Import_itemTableControlObj, "DeletedRecordIds");
            Import_itemTableControlObj.DeletedRecordIds = null;
            
            } catch (Exception ex) {
                  this.Page.ErrorOnPage = true;
      
			// Report the error message to the end user
            BaseClasses.Utils.MiscUtils.RegisterJScriptAlert(this, "BUTTON_CLICK_MESSAGE", ex.Message);
          
            } finally {
    
            }
    
        }
                    
        // event handler for ImageButton
        public virtual void Import_itemResetButton_Click(object sender, ImageClickEventArgs args)
        {
        
            try {
                
              this.Betárolás_dátumaFromFilter.Text = "";
            
              this.Betárolás_dátumaToFilter.Text = "";
            
              this.CurrentSortOrder.Reset();
              if (this.InSession(this, "Order_By")) {
              this.CurrentSortOrder = OrderBy.FromXmlString(this.GetFromSession(this, "Order_By", null));
              } else {
              this.CurrentSortOrder = new OrderBy(true, true);
            
              this.CurrentSortOrder.Add(Import_itemTable.Betárolás_dátuma, OrderByItem.OrderDir.Asc);
              
            }
                
            this.Csomag_darab_számaGrandTotal.Text = "&nbsp;";
            
            this.Mért_súlyGrandTotal.Text = "&nbsp;";
            

            // Setting the DataChanged to True results in the page being refreshed with
			// the most recent data from the database.  This happens in PreRender event
            // based on the current sort, search and filter criteria.
            this.DataChanged = true;
                
            } catch (Exception ex) {
                  this.Page.ErrorOnPage = true;
      
			// Report the error message to the end user
            BaseClasses.Utils.MiscUtils.RegisterJScriptAlert(this, "BUTTON_CLICK_MESSAGE", ex.Message);
          
            } finally {
    
            }
    
        }
                    
        // event handler for Button with Layout
        public virtual void Import_itemFilterButton_Click(object sender, EventArgs args)
        {
              
            try {
                
            this.DataChanged = true;
      
            } catch (Exception ex) {
                  this.Page.ErrorOnPage = true;
      
			// Report the error message to the end user
            BaseClasses.Utils.MiscUtils.RegisterJScriptAlert(this, "BUTTON_CLICK_MESSAGE", ex.Message);
          
            } finally {
    
            }
    
        }
            


        // Generate the event handling functions for filter and search events.
        

        // verify the processing details for these properties
        private int _PageSize;
        public int PageSize {
            get {
                return this._PageSize;
            }
            set {
                this._PageSize = value;
            }
        }

        private int _PageIndex;
        public int PageIndex {
            get {
                // _PageSize return (the PageIndex);
                return this._PageIndex;
            }
            set {
                this._PageIndex = value;
            }
        }

        private int _TotalRecords;
        public int TotalRecords {
            get {
                return (this._TotalRecords);
            }
            set {
                if (this.PageSize > 0) {
                    this.TotalPages = Convert.ToInt32(Math.Ceiling(Convert.ToDouble(value) / Convert.ToDouble(this.PageSize)));
                }
                this._TotalRecords = value;
            }
        }

        private int _TotalPages;
        public int TotalPages {
            get {
                return this._TotalPages;
            }
            set {
                this._TotalPages = value;
            }
        }

        private bool _DisplayLastPage;
        public bool DisplayLastPage {
            get {
                return this._DisplayLastPage;
            }
            set {
                this._DisplayLastPage = value;
            }
        }

        private bool _DataChanged = false;
        public bool DataChanged {
            get {
                return this._DataChanged;
            }
            set {
                this._DataChanged = value;
            }
        }

        private bool _ResetData = false;
        public bool ResetData {
            get {
                return this._ResetData;
            }
            set {
                this._ResetData = value;
            }
        }

        private int _AddNewRecord = 0;
        public int AddNewRecord {
            get {
                return this._AddNewRecord;
            }
            set {
                this._AddNewRecord = value;
            }
        }

        private OrderBy _CurrentSortOrder = null;
        public OrderBy CurrentSortOrder {
            get {
                return this._CurrentSortOrder;
            }
            set {
                this._CurrentSortOrder = value;
            }
        }

        private Import_itemRecord[] _DataSource = null;
        public  Import_itemRecord[] DataSource {
            get {
                return this._DataSource;
            }
            set {
                this._DataSource = value;
            }
        }

#region "Helper Properties"
        
        public System.Web.UI.WebControls.LinkButton Alapnyilvántartási_számaLabel {
            get {
                return (System.Web.UI.WebControls.LinkButton)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Alapnyilvántartási_számaLabel");
            }
        }
        
        public System.Web.UI.WebControls.TextBox Betárolás_dátumaFromFilter {
            get {
                return (System.Web.UI.WebControls.TextBox)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Betárolás_dátumaFromFilter");
            }
        }
        
        public System.Web.UI.WebControls.LinkButton Betárolás_dátumaLabel {
            get {
                return (System.Web.UI.WebControls.LinkButton)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Betárolás_dátumaLabel");
            }
        }
        
        public System.Web.UI.WebControls.Literal Betárolás_dátumaLabel1 {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Betárolás_dátumaLabel1");
            }
        }
        
        public System.Web.UI.WebControls.TextBox Betárolás_dátumaToFilter {
            get {
                return (System.Web.UI.WebControls.TextBox)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Betárolás_dátumaToFilter");
            }
        }
        
        public System.Web.UI.WebControls.Label Csomag_darab_számaGrandTotal {
            get {
                return (System.Web.UI.WebControls.Label)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Csomag_darab_számaGrandTotal");
            }
        }
        
        public System.Web.UI.WebControls.LinkButton Csomag_darab_számaLabel {
            get {
                return (System.Web.UI.WebControls.LinkButton)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Csomag_darab_számaLabel");
            }
        }
        
        public System.Web.UI.WebControls.LinkButton Elintézési_számaLabel {
            get {
                return (System.Web.UI.WebControls.LinkButton)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Elintézési_számaLabel");
            }
        }
        
        public System.Web.UI.WebControls.LinkButton Fuvarlevél_számaLabel {
            get {
                return (System.Web.UI.WebControls.LinkButton)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Fuvarlevél_számaLabel");
            }
        }
        
        public System.Web.UI.WebControls.ImageButton Import_itemExportExcelButton {
            get {
                return (System.Web.UI.WebControls.ImageButton)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Import_itemExportExcelButton");
            }
        }
        
        public Warehouse.UI.IThemeButton Import_itemFilterButton {
            get {
                return (Warehouse.UI.IThemeButton)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Import_itemFilterButton");
            }
        }
        
        public Warehouse.UI.IPagination Import_itemPagination {
            get {
                return (Warehouse.UI.IPagination)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Import_itemPagination");
            }
        }
        
        public System.Web.UI.WebControls.ImageButton Import_itemPDFButton {
            get {
                return (System.Web.UI.WebControls.ImageButton)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Import_itemPDFButton");
            }
        }
        
        public System.Web.UI.WebControls.ImageButton Import_itemRefreshButton {
            get {
                return (System.Web.UI.WebControls.ImageButton)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Import_itemRefreshButton");
            }
        }
        
        public System.Web.UI.WebControls.ImageButton Import_itemResetButton {
            get {
                return (System.Web.UI.WebControls.ImageButton)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Import_itemResetButton");
            }
        }
        
        public System.Web.UI.WebControls.Literal Import_itemTitle {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Import_itemTitle");
            }
        }
        
        public System.Web.UI.WebControls.Label Mért_súlyGrandTotal {
            get {
                return (System.Web.UI.WebControls.Label)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Mért_súlyGrandTotal");
            }
        }
        
        public System.Web.UI.WebControls.LinkButton Mért_súlyLabel {
            get {
                return (System.Web.UI.WebControls.LinkButton)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Mért_súlyLabel");
            }
        }
        
        public System.Web.UI.WebControls.LinkButton vámkezelés_mód_idLabel {
            get {
                return (System.Web.UI.WebControls.LinkButton)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "vámkezelés_mód_idLabel");
            }
        }
        
        public System.Web.UI.WebControls.LinkButton Vámzár_1Label {
            get {
                return (System.Web.UI.WebControls.LinkButton)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Vámzár_1Label");
            }
        }
        
        public System.Web.UI.WebControls.LinkButton Vámzár_2Label {
            get {
                return (System.Web.UI.WebControls.LinkButton)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Vámzár_2Label");
            }
        }
        
#endregion

#region "Helper Functions"
        
        public override string ModifyRedirectUrl(string url, string arg, bool bEncrypt)
        {
            return this.Page.EvaluateExpressions(url, arg, bEncrypt, this);
        }
        
        public override string EvaluateExpressions(string url, string arg, bool bEncrypt)
        {
            bool needToProcess = AreAnyUrlParametersForMe(url, arg);
            if (needToProcess) {
                Import_itemTableControlRow recCtl = this.GetSelectedRecordControl();
                if (recCtl == null && url.IndexOf("{") >= 0) {
                    // Localization.
                    throw new Exception(Page.GetResourceValue("Err:NoRecSelected", "Warehouse"));
                }

                Import_itemRecord rec = null;
                if (recCtl != null) {
                    rec = recCtl.GetRecord();
                }
                return EvaluateExpressions(url, arg, rec, bEncrypt);
            }
            return url;
        }
          
        public virtual Import_itemTableControlRow GetSelectedRecordControl()
        {
        
            return null;
          
        }

        public virtual Import_itemTableControlRow[] GetSelectedRecordControls()
        {
        
            return (Import_itemTableControlRow[])((new ArrayList()).ToArray(Type.GetType("Warehouse.UI.Controls.CustomsOffice.Import_itemTableControlRow")));
          
        }

        public virtual void DeleteSelectedRecords(bool deferDeletion)
        {
            Import_itemTableControlRow[] recList = this.GetSelectedRecordControls();
            if (recList.Length == 0) {
                // Localization.
                throw new Exception(Page.GetResourceValue("Err:NoRecSelected", "Warehouse"));
            }
            
            foreach (Import_itemTableControlRow recCtl in recList)
            {
                if (deferDeletion) {
                    if (!recCtl.IsNewRecord) {
                
                        this.AddToDeletedRecordIds(recCtl);
                  
                    }
                    recCtl.Visible = false;
                
                } else {
                
                    recCtl.Delete();
					// Setting the DataChanged to True results in the page being refreshed with
					// the most recent data from the database.  This happens in PreRender event
					// based on the current sort, search and filter criteria.
                    this.DataChanged = true;
                    this.ResetData = true;
                  
                }
            }
        }

        public Import_itemTableControlRow[] GetRecordControls()
        {
            ArrayList recList = new ArrayList();
            System.Web.UI.WebControls.Repeater rep = (System.Web.UI.WebControls.Repeater)this.FindControl("Import_itemTableControlRepeater");
            if (rep == null){return null;}
            foreach (System.Web.UI.WebControls.RepeaterItem repItem in rep.Items)
            {
                Import_itemTableControlRow recControl = (Import_itemTableControlRow)repItem.FindControl("Import_itemTableControlRow");
                recList.Add(recControl);
            }

            return (Import_itemTableControlRow[])recList.ToArray(Type.GetType("Warehouse.UI.Controls.CustomsOffice.Import_itemTableControlRow"));
        }

        public new BaseApplicationPage Page 
        {
            get {
                return ((BaseApplicationPage)base.Page);
            }
        }
#endregion

    

    }
  

#endregion
    
  
}

  