﻿
// This file implements the TableControl, TableControlRow, and RecordControl classes for the 
// InventoryImport.aspx page.  The Row or RecordControl classes are the 
// ideal place to add code customizations. For example, you can override the LoadData, 
// CreateWhereClause, DataBind, SaveData, GetUIData, and Validate methods.

#region "Using statements"    

using Microsoft.VisualBasic;
using BaseClasses.Web.UI.WebControls;
using System;
using System.Collections;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using BaseClasses;
using BaseClasses.Data;
using BaseClasses.Utils;
using ReportTools.ReportCreator;
using ReportTools.Shared;




        
using Warehouse.Business;
using Warehouse.Data;
        

#endregion

  
namespace Warehouse.UI.Controls.InventoryImport
{
  

#region "Section 1: Place your customizations here."

    
public class InventoryTableControlRow : BaseInventoryTableControlRow
{
      
        // The BaseInventoryTableControlRow implements code for a ROW within the
        // the InventoryTableControl table.  The BaseInventoryTableControlRow implements the DataBind and SaveData methods.
        // The loading of data is actually performed by the LoadData method in the base class of InventoryTableControl.

        // This is the ideal place to add your code customizations. For example, you can override the DataBind, 
        // SaveData, GetUIData, and Validate methods.
        

}

  

public class InventoryTableControl : BaseInventoryTableControl
{
        // The BaseInventoryTableControl class implements the LoadData, DataBind, CreateWhereClause
        // and other methods to load and display the data in a table control.

        // This is the ideal place to add your code customizations. You can override the LoadData and CreateWhereClause,
        // The InventoryTableControlRow class offers another place where you can customize
        // the DataBind, GetUIData, SaveData and Validate methods specific to each row displayed on the table.

}

  

#endregion

  

#region "Section 2: Do not modify this section."
    
    
// Base class for the InventoryTableControlRow control on the InventoryImport page.
// Do not modify this class. Instead override any method in InventoryTableControlRow.
public class BaseInventoryTableControlRow : Warehouse.UI.BaseApplicationRecordControl
{
        public BaseInventoryTableControlRow()
        {
            this.Init += new EventHandler(Control_Init);
            this.Load += new EventHandler(Control_Load);
            this.PreRender += new EventHandler(Control_PreRender);
        }

        // To customize, override this method in InventoryTableControlRow.
        protected virtual void Control_Init(object sender, System.EventArgs e)
        {
        
        }

        // To customize, override this method in InventoryTableControlRow.
        protected virtual void Control_Load(object sender, System.EventArgs e)
        {
        
		    // Register the event handlers.
		  	  
        }

        public virtual void LoadData()  
        {
            // Load the data from the database into the DataSource Inventory record.
            // It is better to make changes to functions called by LoadData such as
            // CreateWhereClause, rather than making changes here.
        
            // The RecordUniqueId is set the first time a record is loaded, and is
            // used during a PostBack to load the record.
            if (this.RecordUniqueId != null && this.RecordUniqueId.Length > 0) {
                this.DataSource = InventoryQuery.GetRecord(this.RecordUniqueId, true);
                return;
            }
      
            // Since this is a row in the table, the data for this row is loaded by the 
            // LoadData method of the BaseInventoryTableControl when the data for the entire
            // table is loaded.
            this.DataSource = new InventoryRecord();
          
        }

        public override void DataBind()
        {
            // The DataBind method binds the user interface controls to the values
            // from the database record.  To do this, it calls the Set methods for 
            // each of the field displayed on the webpage.  It is better to make 
            // changes in the Set methods, rather than making changes here.
            
            base.DataBind();
            
            // Make sure that the DataSource is initialized.
            
            if (this.DataSource == null) {
                return;
            }
              

            // Call the Set methods for each of the user interface controls.
        
            SetCsomag_darab_száma();
            SetFuvarlevél_száma();
            SetHázi_fuvarlevél_száma();
            Setimport_item_vámkezelés_mód_id();
            Setimport_item_Vámzár_2();
            SetMért_súly();
            SetPozíció_száma();

            this.IsNewRecord = true;
            if (this.DataSource.IsCreated) {
                this.IsNewRecord = false;
        
                this.RecordUniqueId = this.DataSource.GetID().ToXmlString();
            }

            

            // Now load data for each record and table child UI controls.
            // Ordering is important because child controls get 
            // their parent ids from their parent UI controls.
            bool shouldResetControl = false;
            if (shouldResetControl) { }; // prototype usage to void compiler warnings
            
        }

        
        public virtual void SetCsomag_darab_száma()
        {
            // Set the import_item.Csomag darab száma Literal on the webpage with value from the
            // Inventory database record.

            // this.DataSource is the Inventory record retrieved from the database.
            // this.Csomag_darab_száma is the ASP:Literal on the webpage.
                  
            if (this.DataSource.Csomag_darab_száma_import_itemSpecified) {
                // If the import_item.Csomag darab száma is non-NULL, then format the value.
                // The Format method will use the Display Format
                string formattedValue = this.DataSource.Format(InventoryQuery.Csomag_darab_száma_import_item);
                formattedValue = HttpUtility.HtmlEncode(formattedValue);
                this.Csomag_darab_száma.Text = formattedValue;
              
               
            } else {  
                // import_item.Csomag darab száma is NULL in the database, so use the Default Value.  
                // Default Value could also be NULL.
                this.Csomag_darab_száma.Text = InventoryQuery.Csomag_darab_száma_import_item.Format(InventoryQuery.Csomag_darab_száma_import_item.DefaultValue);
                            
            }
                    
            // If the import_item.Csomag darab száma is NULL or blank, then use the value specified  
            // on Properties.
            if (this.Csomag_darab_száma.Text == null ||
                this.Csomag_darab_száma.Text.Trim().Length == 0) {
                // Set the value specified on the Properties.
                this.Csomag_darab_száma.Text = "&nbsp;";
            }
                  
        }
                
        public virtual void SetFuvarlevél_száma()
        {
            // Set the import_item.Fuvarlevél száma Literal on the webpage with value from the
            // Inventory database record.

            // this.DataSource is the Inventory record retrieved from the database.
            // this.Fuvarlevél_száma is the ASP:Literal on the webpage.
                  
            if (this.DataSource.Fuvarlevél_száma_import_itemSpecified) {
                // If the import_item.Fuvarlevél száma is non-NULL, then format the value.
                // The Format method will use the Display Format
                string formattedValue = this.DataSource.Format(InventoryQuery.Fuvarlevél_száma_import_item);
                formattedValue = HttpUtility.HtmlEncode(formattedValue);
                this.Fuvarlevél_száma.Text = formattedValue;
              
               
            } else {  
                // import_item.Fuvarlevél száma is NULL in the database, so use the Default Value.  
                // Default Value could also be NULL.
                this.Fuvarlevél_száma.Text = InventoryQuery.Fuvarlevél_száma_import_item.Format(InventoryQuery.Fuvarlevél_száma_import_item.DefaultValue);
                            
            }
                    
            // If the import_item.Fuvarlevél száma is NULL or blank, then use the value specified  
            // on Properties.
            if (this.Fuvarlevél_száma.Text == null ||
                this.Fuvarlevél_száma.Text.Trim().Length == 0) {
                // Set the value specified on the Properties.
                this.Fuvarlevél_száma.Text = "&nbsp;";
            }
                  
        }
                
        public virtual void SetHázi_fuvarlevél_száma()
        {
            // Set the import_item.Házi fuvarlevél száma Literal on the webpage with value from the
            // Inventory database record.

            // this.DataSource is the Inventory record retrieved from the database.
            // this.Házi_fuvarlevél_száma is the ASP:Literal on the webpage.
                  
            if (this.DataSource.Házi_fuvarlevél_száma_import_itemSpecified) {
                // If the import_item.Házi fuvarlevél száma is non-NULL, then format the value.
                // The Format method will use the Display Format
                string formattedValue = this.DataSource.Format(InventoryQuery.Házi_fuvarlevél_száma_import_item);
                formattedValue = HttpUtility.HtmlEncode(formattedValue);
                this.Házi_fuvarlevél_száma.Text = formattedValue;
              
               
            } else {  
                // import_item.Házi fuvarlevél száma is NULL in the database, so use the Default Value.  
                // Default Value could also be NULL.
                this.Házi_fuvarlevél_száma.Text = InventoryQuery.Házi_fuvarlevél_száma_import_item.Format(InventoryQuery.Házi_fuvarlevél_száma_import_item.DefaultValue);
                            
            }
                    
            // If the import_item.Házi fuvarlevél száma is NULL or blank, then use the value specified  
            // on Properties.
            if (this.Házi_fuvarlevél_száma.Text == null ||
                this.Házi_fuvarlevél_száma.Text.Trim().Length == 0) {
                // Set the value specified on the Properties.
                this.Házi_fuvarlevél_száma.Text = "&nbsp;";
            }
                  
        }
                
        public virtual void Setimport_item_vámkezelés_mód_id()
        {
            // Set the import_item.vámkezelés mód id Literal on the webpage with value from the
            // Inventory database record.

            // this.DataSource is the Inventory record retrieved from the database.
            // this.import_item_vámkezelés_mód_id is the ASP:Literal on the webpage.
                  
            if (this.DataSource.vámkezelés_mód_id_import_itemSpecified) {
                // If the import_item.vámkezelés mód id is non-NULL, then format the value.
                // The Format method will return the Display Foreign Key As (DFKA) value
                string formattedValue = this.DataSource.Format(InventoryQuery.vámkezelés_mód_id_import_item);
                formattedValue = HttpUtility.HtmlEncode(formattedValue);
                this.import_item_vámkezelés_mód_id.Text = formattedValue;
              
               
            } else {  
                // import_item.vámkezelés mód id is NULL in the database, so use the Default Value.  
                // Default Value could also be NULL.
                this.import_item_vámkezelés_mód_id.Text = InventoryQuery.vámkezelés_mód_id_import_item.Format(InventoryQuery.vámkezelés_mód_id_import_item.DefaultValue);
                            
            }
                    
            // If the import_item.vámkezelés mód id is NULL or blank, then use the value specified  
            // on Properties.
            if (this.import_item_vámkezelés_mód_id.Text == null ||
                this.import_item_vámkezelés_mód_id.Text.Trim().Length == 0) {
                // Set the value specified on the Properties.
                this.import_item_vámkezelés_mód_id.Text = "&nbsp;";
            }
                  
        }
                
        public virtual void Setimport_item_Vámzár_2()
        {
            // Set the import_item.Vámzár 2 Literal on the webpage with value from the
            // Inventory database record.

            // this.DataSource is the Inventory record retrieved from the database.
            // this.import_item_Vámzár_2 is the ASP:Literal on the webpage.
                  
            if (this.DataSource.Vámzár_2_import_itemSpecified) {
                // If the import_item.Vámzár 2 is non-NULL, then format the value.
                // The Format method will use the Display Format
                string formattedValue = this.DataSource.Format(InventoryQuery.Vámzár_2_import_item);
                formattedValue = HttpUtility.HtmlEncode(formattedValue);
                this.import_item_Vámzár_2.Text = formattedValue;
              
               
            } else {  
                // import_item.Vámzár 2 is NULL in the database, so use the Default Value.  
                // Default Value could also be NULL.
                this.import_item_Vámzár_2.Text = InventoryQuery.Vámzár_2_import_item.Format(InventoryQuery.Vámzár_2_import_item.DefaultValue);
                            
            }
                    
            // If the import_item.Vámzár 2 is NULL or blank, then use the value specified  
            // on Properties.
            if (this.import_item_Vámzár_2.Text == null ||
                this.import_item_Vámzár_2.Text.Trim().Length == 0) {
                // Set the value specified on the Properties.
                this.import_item_Vámzár_2.Text = "&nbsp;";
            }
                  
        }
                
        public virtual void SetMért_súly()
        {
            // Set the import_item.Mért súly Literal on the webpage with value from the
            // Inventory database record.

            // this.DataSource is the Inventory record retrieved from the database.
            // this.Mért_súly is the ASP:Literal on the webpage.
                  
            if (this.DataSource.Mért_súly_import_itemSpecified) {
                // If the import_item.Mért súly is non-NULL, then format the value.
                // The Format method will use the Display Format
                string formattedValue = this.DataSource.Format(InventoryQuery.Mért_súly_import_item);
                formattedValue = HttpUtility.HtmlEncode(formattedValue);
                this.Mért_súly.Text = formattedValue;
              
               
            } else {  
                // import_item.Mért súly is NULL in the database, so use the Default Value.  
                // Default Value could also be NULL.
                this.Mért_súly.Text = InventoryQuery.Mért_súly_import_item.Format(InventoryQuery.Mért_súly_import_item.DefaultValue);
                            
            }
                    
            // If the import_item.Mért súly is NULL or blank, then use the value specified  
            // on Properties.
            if (this.Mért_súly.Text == null ||
                this.Mért_súly.Text.Trim().Length == 0) {
                // Set the value specified on the Properties.
                this.Mért_súly.Text = "&nbsp;";
            }
                  
        }
                
        public virtual void SetPozíció_száma()
        {
            // Set the import_item.Pozíció száma Literal on the webpage with value from the
            // Inventory database record.

            // this.DataSource is the Inventory record retrieved from the database.
            // this.Pozíció_száma is the ASP:Literal on the webpage.
                  
            if (this.DataSource.Pozíció_száma_import_itemSpecified) {
                // If the import_item.Pozíció száma is non-NULL, then format the value.
                // The Format method will use the Display Format
                string formattedValue = this.DataSource.Format(InventoryQuery.Pozíció_száma_import_item);
                formattedValue = HttpUtility.HtmlEncode(formattedValue);
                this.Pozíció_száma.Text = formattedValue;
              
               
            } else {  
                // import_item.Pozíció száma is NULL in the database, so use the Default Value.  
                // Default Value could also be NULL.
                this.Pozíció_száma.Text = InventoryQuery.Pozíció_száma_import_item.Format(InventoryQuery.Pozíció_száma_import_item.DefaultValue);
                            
            }
                    
            // If the import_item.Pozíció száma is NULL or blank, then use the value specified  
            // on Properties.
            if (this.Pozíció_száma.Text == null ||
                this.Pozíció_száma.Text.Trim().Length == 0) {
                // Set the value specified on the Properties.
                this.Pozíció_száma.Text = "&nbsp;";
            }
                  
        }
                

        public virtual void RegisterPostback()
        {
            
        }
    
        

        public virtual void SaveData()
        {
            // Saves the associated record in the database.
            // SaveData calls Validate and Get methods - so it may be more appropriate to
			// customize those methods.

            // 1. Load the existing record from the database. Since we save the entire record, this ensures 
            // that fields that are not displayed are also properly initialized.
            this.LoadData();
        
          
            // 2. Perform any custom validation.
            this.Validate();

            // 3. Set the values in the record with data from UI controls.
            // This calls the Get() method for each of the user interface controls.
            this.GetUIData();
   
            // 4. Save in the database.
            // We should not save the record if the data did not change. This
            // will save a database hit and avoid triggering any database triggers.
            if (this.DataSource.IsAnyValueChanged) {
                // Save record to database but do not commit yet.
                // Auto generated ids are available after saving for use by child (dependent) records.
                this.DataSource.Save();
    
				// Set the DataChanged flag to True for the for the related panels so they get refreshed as well.
                ((InventoryTableControl)MiscUtils.GetParentControlObject(this, "InventoryTableControl")).DataChanged = true;
                ((InventoryTableControl)MiscUtils.GetParentControlObject(this, "InventoryTableControl")).ResetData = true;
            }
            // Setting the DataChanged to True results in the page being refreshed with
			// the most recent data from the database.  This happens in PreRender event
            // based on the current sort, search and filter criteria.
            this.DataChanged = true;
            this.ResetData = true;
            
            // For Master-Detail relationships, save data on the Detail table(s)
              
        }

        public virtual void GetUIData()
        {
            // The GetUIData method retrieves the updated values from the user interface 
            // controls into a database record in preparation for saving or updating.
            // To do this, it calls the Get methods for each of the field displayed on 
            // the webpage.  It is better to make changes in the Get methods, rather 
            // than making changes here.
        
      
            // Call the Get methods for each of the user interface controls.
        
            GetCsomag_darab_száma();
            GetFuvarlevél_száma();
            GetHázi_fuvarlevél_száma();
            Getimport_item_vámkezelés_mód_id();
            Getimport_item_Vámzár_2();
            GetMért_súly();
            GetPozíció_száma();
        }
        
        
        public virtual void GetCsomag_darab_száma()
        {
            
        }
                
        public virtual void GetFuvarlevél_száma()
        {
            
        }
                
        public virtual void GetHázi_fuvarlevél_száma()
        {
            
        }
                
        public virtual void Getimport_item_vámkezelés_mód_id()
        {
            
        }
                
        public virtual void Getimport_item_Vámzár_2()
        {
            
        }
                
        public virtual void GetMért_súly()
        {
            
        }
                
        public virtual void GetPozíció_száma()
        {
            
        }
                

        public virtual WhereClause CreateWhereClause()
        {
        
            return null;
          
        }
        
        

        public virtual void Validate()
        {
            // Add custom validation for any control within this panel.
            // Example.  If you have a State ASP:Textbox control
            // If Me.State.Text <> "CA" Then
            //    Throw New Exception("State must be CA (California).")
            // End If

            // The Validate method is common across all controls within
            // this panel so you can validate multiple fields, but report
            // one error message.
        }

        public virtual void Delete()
        {
        
            if (this.IsNewRecord) {
                return;
            }

            KeyValue pkValue = KeyValue.XmlToKey(this.RecordUniqueId);
          InventoryQuery.DeleteRecord(pkValue);
          
			  
            // Setting the DataChanged to True results in the page being refreshed with
			// the most recent data from the database.  This happens in PreRender event
            // based on the current sort, search and filter criteria.
            ((InventoryTableControl)MiscUtils.GetParentControlObject(this, "InventoryTableControl")).DataChanged = true;
            ((InventoryTableControl)MiscUtils.GetParentControlObject(this, "InventoryTableControl")).ResetData = true;
        }

        protected virtual void Control_PreRender(object sender, System.EventArgs e)
        {
			// PreRender event is raised just before page is being displayed.
            try {
                DbUtils.StartTransaction();
                this.RegisterPostback();
                if (!this.Page.ErrorOnPage && (this.Page.IsPageRefresh || this.DataChanged || this.ResetData)) {
					// Re-load the data and update the web page if necessary.
					// This is typically done during a postback (filter, search button, sort, pagination button).
					// In each of the other click handlers, simply set DataChanged to True to reload the data.
                    this.LoadData();
                    this.DataBind();
                }
            } catch (Exception ex) {
                BaseClasses.Utils.MiscUtils.RegisterJScriptAlert(this, "BUTTON_CLICK_MESSAGE", ex.Message);
            } finally {
                DbUtils.EndTransaction();
            }
        }
        
        
                
        protected override void LoadViewState(object savedState)
        {
            base.LoadViewState(savedState);
            string isNewRecord = (string)ViewState["IsNewRecord"];
            if (isNewRecord != null && isNewRecord.Length > 0) {
                this.IsNewRecord = Boolean.Parse(isNewRecord);
            }
        
            string myCheckSum = (string)ViewState["CheckSum"];
            if (myCheckSum != null && myCheckSum.Length > 0) {
                this.CheckSum = myCheckSum;
            }
        
        }

        protected override object SaveViewState()
        {
            ViewState["IsNewRecord"] = this.IsNewRecord.ToString();
            ViewState["CheckSum"] = this.CheckSum;
        
            return base.SaveViewState();
        }

        
  
        private bool _IsNewRecord = true;
        public virtual bool IsNewRecord {
            get {
                return this._IsNewRecord;
            }
            set {
                this._IsNewRecord = value;
            }
        }

        private bool _DataChanged = false;
        public virtual bool DataChanged {
            get {
                return this._DataChanged;
            }
            set {
                this._DataChanged = value;
            }
        }

        private bool _ResetData = false;
        public virtual bool ResetData {
            get {
                return (this._ResetData);
            }
            set {
                this._ResetData = value;
            }
        }
        
        public String RecordUniqueId {
            get {
                return (string)this.ViewState["BaseInventoryTableControlRow_Rec"];
            }
            set {
                this.ViewState["BaseInventoryTableControlRow_Rec"] = value;
            }
        }
        
        private InventoryRecord _DataSource;
        public InventoryRecord DataSource {
            get {
                return (this._DataSource);
            }
            set {
                this._DataSource = value;
            }
        }

        private string _checkSum;
        public virtual string CheckSum {
            get {
                return (this._checkSum);
            }
            set {
                this._checkSum = value;
            }
        }
    
        private int _TotalPages;
        public virtual int TotalPages {
            get {
                return (this._TotalPages);
            }
            set {
                this._TotalPages = value;
            }
        }
        
        private int _PageIndex;
        public virtual int PageIndex {
            get {
                return (this._PageIndex);
            }
            set {
                this._PageIndex = value;
            }
        }
        
        private bool _DisplayLastPage;
        public virtual bool DisplayLastPage {
            get {
                return (this._DisplayLastPage);
            }
            set {
                this._DisplayLastPage = value;
            }
        }
        
        
    
        private KeyValue selectedParentKeyValue;
        public KeyValue SelectedParentKeyValue
        {
            get
            {
                return this.selectedParentKeyValue;
            }
            set
            {
                this.selectedParentKeyValue = value;
            }
        }
       
#region "Helper Properties"
        
        public System.Web.UI.WebControls.Literal Csomag_darab_száma {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Csomag_darab_száma");
            }
        }
            
        public System.Web.UI.WebControls.Literal Fuvarlevél_száma {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Fuvarlevél_száma");
            }
        }
            
        public System.Web.UI.WebControls.Literal Házi_fuvarlevél_száma {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Házi_fuvarlevél_száma");
            }
        }
            
        public System.Web.UI.WebControls.Literal import_item_vámkezelés_mód_id {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "import_item_vámkezelés_mód_id");
            }
        }
            
        public System.Web.UI.WebControls.Literal import_item_Vámzár_2 {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "import_item_Vámzár_2");
            }
        }
            
        public System.Web.UI.WebControls.Literal Mért_súly {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Mért_súly");
            }
        }
            
        public System.Web.UI.WebControls.Literal Pozíció_száma {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Pozíció_száma");
            }
        }
            
#endregion

#region "Helper Functions"
        public override string ModifyRedirectUrl(string url, string arg, bool bEncrypt)
        {
            return this.Page.EvaluateExpressions(url, arg, bEncrypt, this);
        }

        public override string EvaluateExpressions(string url, string arg, bool bEncrypt)
        {
            InventoryRecord rec = null;
            try {
                rec = this.GetRecord();
            }
            catch (Exception ) {
                // Do Nothing
            }
            
            if (rec == null && url.IndexOf("{") >= 0) {
                // Localization.
                
                throw new Exception(Page.GetResourceValue("Err:RecDataSrcNotInitialized", "Warehouse"));
                    
            }
            return EvaluateExpressions(url, arg, rec, bEncrypt);
        }

        public virtual InventoryRecord GetRecord()
        {
        
            if (this.DataSource != null) {
                return this.DataSource;
            }
            
            if (this.RecordUniqueId != null) {
                return InventoryQuery.GetRecord(this.RecordUniqueId, true);
            }
            
            // Localization.
            
            throw new Exception(Page.GetResourceValue("Err:RetrieveRec", "Warehouse"));
                
        }

        public new BaseApplicationPage Page
        {
            get {
                return ((BaseApplicationPage)base.Page);
            }
        }

#endregion

}

  
// Base class for the InventoryTableControl control on the InventoryImport page.
// Do not modify this class. Instead override any method in InventoryTableControl.
public class BaseInventoryTableControl : Warehouse.UI.BaseApplicationTableControl
{
        public BaseInventoryTableControl()
        {
            this.Init += new EventHandler(Control_Init);
            this.Load += new EventHandler(Control_Load);
            this.PreRender += new EventHandler(Control_PreRender);
        }

        protected virtual void Control_Init(object sender, System.EventArgs e)
        {
	
            // Setup the filter and search events.
        
            if (!this.Page.IsPostBack && this.InSession(this.Betárolás_dátumaFromFilter)) {
                
                this.Betárolás_dátumaFromFilter.Text = this.GetFromSession(this.Betárolás_dátumaFromFilter);
                
            }
            if (!this.Page.IsPostBack && this.InSession(this.Betárolás_dátumaToFilter)) {
                
                this.Betárolás_dátumaToFilter.Text = this.GetFromSession(this.Betárolás_dátumaToFilter);
                
            }
            if (!this.Page.IsPostBack && this.InSession(this.InventorySearchArea)) {
                
                this.InventorySearchArea.Text = this.GetFromSession(this.InventorySearchArea);
                
            }
            // Control Initializations.
            // Initialize the table's current sort order.
            if (this.InSession(this, "Order_By")) {
                this.CurrentSortOrder = OrderBy.FromXmlString(this.GetFromSession(this, "Order_By", null));
            } else {
                this.CurrentSortOrder = new OrderBy(true, true);
        
                this.CurrentSortOrder.Add(InventoryQuery.Fuvarlevél_száma_import_item, OrderByItem.OrderDir.Asc);
          
            }

            // Setup default pagination settings.
    
            this.PageSize = Convert.ToInt32(this.GetFromSession(this, "Page_Size", "10"));
            this.PageIndex = Convert.ToInt32(this.GetFromSession(this, "Page_Index", "0"));
            this.ClearControlsFromSession();
        }

        protected virtual void Control_Load(object sender, EventArgs e)
        {
        
		  // Setup the pagination events.
		  
              this.InventoryPagination.FirstPage.Click += new ImageClickEventHandler(InventoryPagination_FirstPage_Click);
        
              this.InventoryPagination.LastPage.Click += new ImageClickEventHandler(InventoryPagination_LastPage_Click);
        
              this.InventoryPagination.NextPage.Click += new ImageClickEventHandler(InventoryPagination_NextPage_Click);
        
              this.InventoryPagination.PageSizeButton.Click += new EventHandler(InventoryPagination_PageSizeButton_Click);
            
              this.InventoryPagination.PreviousPage.Click += new ImageClickEventHandler(InventoryPagination_PreviousPage_Click);
        
		  // Setup the sorting events.
		  
              this.Csomag_darab_számaLabel.Click += new EventHandler(Csomag_darab_számaLabel_Click);
            
              this.Fuvarlevél_számaLabel.Click += new EventHandler(Fuvarlevél_számaLabel_Click);
            
              this.Házi_fuvarlevél_számaLabel.Click += new EventHandler(Házi_fuvarlevél_számaLabel_Click);
            
              this.import_item_vámkezelés_mód_idLabel.Click += new EventHandler(import_item_vámkezelés_mód_idLabel_Click);
            
              this.import_item_Vámzár_1Label.Click += new EventHandler(import_item_Vámzár_1Label_Click);
            
              this.import_item_Vámzár_2Label.Click += new EventHandler(import_item_Vámzár_2Label_Click);
            
              this.Mért_súlyLabel.Click += new EventHandler(Mért_súlyLabel_Click);
            
              this.Pozíció_számaLabel.Click += new EventHandler(Pozíció_számaLabel_Click);
            
		  // Setup the button events.
		  
              this.InventoryExportExcelButton.Click += new ImageClickEventHandler(InventoryExportExcelButton_Click);
        
              this.InventoryPDFButton.Click += new ImageClickEventHandler(InventoryPDFButton_Click);
        
              this.InventoryRefreshButton.Click += new ImageClickEventHandler(InventoryRefreshButton_Click);
        
              this.InventoryResetButton.Click += new ImageClickEventHandler(InventoryResetButton_Click);
        
              this.Import_itemFilterButton.Button.Click += new EventHandler(Import_itemFilterButton_Click);
        
              this.InventorySearchButton.Button.Click += new EventHandler(InventorySearchButton_Click);
        
        }

        public virtual void LoadData()
        {
            // Read data from database. Returns an array of records that can be assigned
            // to the DataSource table control property.
            try {
                // The WHERE clause will be empty when displaying all records in table.
                WhereClause wc = CreateWhereClause();
                if (wc != null && !wc.RunQuery) {
                    // Initialize an empty array of records
                    ArrayList alist = new ArrayList(0);
                    this.DataSource = (InventoryRecord[])(alist.ToArray(Type.GetType("Warehouse.Business.InventoryRecord")));
                    // Add records to the list if needed.
                    this.AddNewRecords();
                    return;
                }

                // Call OrderBy to determine the order - either use the order defined
                // on the Query Wizard, or specified by user (by clicking on column heading)
                OrderBy orderBy = CreateOrderBy();

                // Get the pagesize from the pagesize control.
                this.GetPageSize();

                // Get the total number of records to be displayed.
                this.TotalRecords = InventoryQuery.GetRecordCount(wc);

                // Make sure PageIndex (current page) is within bounds.
                if (this.TotalPages <= 0 || this.PageIndex < 0) {
                    this.PageIndex = 0;
                }
                else if (this.DisplayLastPage || this.PageIndex >= this.TotalPages) {
                    this.PageIndex = this.TotalPages - 1;
                }

                // Retrieve the records and set the table DataSource.
                // Only PageSize records are fetched starting at PageIndex (zero based).
                if (this.TotalRecords <= 0) {
                    // No records matching query. Initialize an empty array of records
                    ArrayList alist = new ArrayList(0);
                    this.DataSource = (InventoryRecord[])(alist.ToArray(Type.GetType("Warehouse.Business.InventoryRecord")));
                }
                else if (this.AddNewRecord > 0) {
                    // Make sure to preserve the previously entered data on new rows.
                    ArrayList postdata = new ArrayList(0);
                    foreach (InventoryTableControlRow rc in this.GetRecordControls()) {
                        if (!rc.IsNewRecord) {
                            rc.DataSource = rc.GetRecord();
                            rc.GetUIData();
                            postdata.Add(rc.DataSource);
                        }
                    }
                    this.DataSource = (InventoryRecord[])(postdata.ToArray(Type.GetType("Warehouse.Business.InventoryRecord")));
                } 
                else {
                    // Get the records from the database
                    this.DataSource = InventoryQuery.GetRecords(wc, orderBy, this.PageIndex, this.PageSize);
                }
                // Add any new rows desired by the user.
                this.AddNewRecords();
            

                // Initialize the page and grand totals. now
            
            this.Csomag_darab_számaGrandTotal.Text = this.GetCsomag_darab_számaGrandTotal();
            if (this.Csomag_darab_számaGrandTotal.Text == null || 
                this.Csomag_darab_számaGrandTotal.Text.Length == 0) {
                this.Csomag_darab_számaGrandTotal.Text = "&nbsp;";
            }
            this.Mért_súlyGrandTotal.Text = this.GetMért_súlyGrandTotal();
            if (this.Mért_súlyGrandTotal.Text == null || 
                this.Mért_súlyGrandTotal.Text.Length == 0) {
                this.Mért_súlyGrandTotal.Text = "&nbsp;";
            }
            } catch (Exception ex) {
                throw ex;
            }
        }

        public override void DataBind()
        {
            // The DataBind method binds the user interface controls to the values
            // from the database record for each row in the table.  To do this, it calls the
            // DataBind for each of the rows.
            // DataBind also populates any filters above the table, and sets the pagination
            // control to the correct number of records and the current page number.
            
            base.DataBind();
            
            // Make sure that the DataSource is initialized.
            if (this.DataSource == null) {
                return;
            }
           
        
            // Improve performance by prefetching display as records.
            this.PreFetchForeignKeyValues();

            // Setup the pagination controls.
            BindPaginationControls();

            // Populate all filters data.
        

            // Bind the repeater with the list of records to expand the UI.
            System.Web.UI.WebControls.Repeater rep = (System.Web.UI.WebControls.Repeater)(this.FindControl("InventoryTableControlRepeater"));
            if (rep == null){return;}
            rep.DataSource = this.DataSource;
            rep.DataBind();

            int index = 0;
            foreach (System.Web.UI.WebControls.RepeaterItem repItem in rep.Items)
            {
                // Loop through all rows in the table, set its DataSource and call DataBind().
                InventoryTableControlRow recControl = (InventoryTableControlRow)(repItem.FindControl("InventoryTableControlRow"));
                recControl.DataSource = this.DataSource[index];
                recControl.DataBind();
                recControl.Visible = !this.InDeletedRecordIds(recControl);
                index++;
            }

        
            // setting the state of expand or collapse alternative rows
      
            // Load data for each record and table UI control.
            // Ordering is important because child controls get 
            // their parent ids from their parent UI controls.
                
        }

        
        public void PreFetchForeignKeyValues() {
            if (this.DataSource == null) {
                return;
            }
          
            this.Page.PregetDfkaRecords(InventoryQuery.vámkezelés_mód_id_import_item, this.DataSource);
        }
         

        public virtual void RegisterPostback()
        {
        
                  this.Page.RegisterPostBackTrigger(MiscUtils.FindControlRecursively(this,"InventoryExportExcelButton"));
                        
                  this.Page.RegisterPostBackTrigger(MiscUtils.FindControlRecursively(this,"InventoryPDFButton"));
                                
        }
        
        
        public virtual void ResetControl()
        {
            
            this.Betárolás_dátumaFromFilter.Text = "";
            
            this.Betárolás_dátumaToFilter.Text = "";
            
            this.InventorySearchArea.Text = "";
            
            this.CurrentSortOrder.Reset();
            if (this.InSession(this, "Order_By")) {
                this.CurrentSortOrder = OrderBy.FromXmlString(this.GetFromSession(this, "Order_By", null));
            }
            else {
                this.CurrentSortOrder = new OrderBy(true, true);
            
                this.CurrentSortOrder.Add(InventoryQuery.Fuvarlevél_száma_import_item, OrderByItem.OrderDir.Asc);
              
            }
                
            this.PageIndex = 0;
        }
        
        
        protected virtual void BindPaginationControls()
        {
            // Setup the pagination controls.

            // Bind the buttons for InventoryTableControl pagination.
        
            this.InventoryPagination.FirstPage.Enabled = !(this.PageIndex == 0);
            this.InventoryPagination.LastPage.Enabled = !(this.PageIndex == this.TotalPages - 1);
            if (this.TotalPages == 0) {
                this.InventoryPagination.LastPage.Enabled = false;
            }
          
            this.InventoryPagination.NextPage.Enabled = !(this.PageIndex == this.TotalPages - 1);
            if (this.TotalPages == 0) {
                this.InventoryPagination.NextPage.Enabled = false;
            }
          
            this.InventoryPagination.PreviousPage.Enabled = !(this.PageIndex == 0);

            // Bind the pagination labels.
        
            if (this.TotalPages > 0) {
                this.InventoryPagination.CurrentPage.Text = (this.PageIndex + 1).ToString();
            } else {
                this.InventoryPagination.CurrentPage.Text = "0";
            }
            this.InventoryPagination.PageSize.Text = this.PageSize.ToString();
            this.InventoryPagination.TotalItems.Text = this.TotalRecords.ToString();
            this.InventoryPagination.TotalPages.Text = this.TotalPages.ToString();
        }

        public virtual void SaveData()
        {
            // Save the data from the entire table.  Calls each row's Save Data
            // to save their data.  This function is called by the Click handler of the
            // Save button.  The button handler should Start/Commit/End a transaction.
            
            foreach (InventoryTableControlRow recCtl in this.GetRecordControls())
            {
        
                if (this.InDeletedRecordIds(recCtl)) {
                    // Delete any pending deletes. 
                    recCtl.Delete();
                }
                else {
                    if (recCtl.Visible) {
                        recCtl.SaveData();
                    }
                }
          
            }

            // Setting the DataChanged to True results in the page being refreshed with
			// the most recent data from the database.  This happens in PreRender event
            // based on the current sort, search and filter criteria.
            this.DataChanged = true;
            this.ResetData = true;
          
            // Set IsNewRecord to False for all records - since everything has been saved and is no longer "new"
            foreach (InventoryTableControlRow recCtl in this.GetRecordControls()){
                recCtl.IsNewRecord = false;
            }
      
            // Set DeletedRecordsIds to Nothing since we have deleted all pending deletes.
            this.DeletedRecordIds = null;
      
        }
        
        public virtual OrderBy CreateOrderBy()
        {
            // The CurrentSortOrder is initialized to the sort order on the 
            // Query Wizard.  It may be modified by the Click handler for any of
            // the column heading to sort or reverse sort by that column.
            // You can add your own sort order, or modify it on the Query Wizard.
            return this.CurrentSortOrder;
        }
        
        private string parentSelectedKeyValue;
        public string ParentSelectedKeyValue
        {
          get
          {
            return parentSelectedKeyValue;
          }
          set
          {
            parentSelectedKeyValue = value;
          }
        }

        public virtual WhereClause CreateWhereClause()
        {
            // This CreateWhereClause is used for loading the data.
            InventoryQuery.Instance.InnerFilter = null;
            WhereClause wc = new WhereClause();
            // CreateWhereClause() Compose the WHERE clause consiting of:
            // 1. Static clause defined at design time.
            // 2. User selected search criteria.
            // 3. User selected filter criteria.
            
        
            // Get the static clause defined at design time on the Table Panel Wizard
            WhereClause qc = this.CreateQueryClause();
            if (qc != null) {
                wc.iAND(qc);
            }
        
            if (MiscUtils.IsValueSelected(this.Betárolás_dátumaFromFilter)) {
                string val = MiscUtils.GetSelectedValue(this.Betárolás_dátumaFromFilter, this.GetFromSession(this.Betárolás_dátumaFromFilter));
                DateTime d = DateParser.ParseDate(val, DateColumn.DEFAULT_FORMAT);
                val = d.ToShortDateString() + " " + "00:00:00";
                wc.iAND(InventoryQuery.Betárolás_dátuma_import_item, BaseFilter.ComparisonOperator.Greater_Than_Or_Equal, val, false, false);
            }
                      
            if (MiscUtils.IsValueSelected(this.Betárolás_dátumaToFilter)) {
                string val = MiscUtils.GetSelectedValue(this.Betárolás_dátumaToFilter, this.GetFromSession(this.Betárolás_dátumaToFilter));
                DateTime d = DateParser.ParseDate(val, DateColumn.DEFAULT_FORMAT);
                val = d.ToShortDateString() + " " + "23:59:59";
                wc.iAND(InventoryQuery.Betárolás_dátuma_import_item, BaseFilter.ComparisonOperator.Less_Than_Or_Equal, val, false, false);
            }
                      
            if (MiscUtils.IsValueSelected(this.InventorySearchArea)) {
                // Strip "..." from begin and ending of the search text, otherwise the search will return 0 values as in database "..." is not stored.
                if (this.InventorySearchArea.Text.StartsWith("...")) {
                    this.InventorySearchArea.Text = this.InventorySearchArea.Text.Substring(3,this.InventorySearchArea.Text.Length-3);
                }
                if (this.InventorySearchArea.Text.EndsWith("...")) {
                    this.InventorySearchArea.Text = this.InventorySearchArea.Text.Substring(0,this.InventorySearchArea.Text.Length-3);
                }
                // After stripping "..." see if the search text is null or empty.
                if (MiscUtils.IsValueSelected(this.InventorySearchArea)) {
                      
                    // These clauses are added depending on operator and fields selected in Control's property page, bindings tab.
                    WhereClause search = new WhereClause();
                    
                    search.iOR(InventoryQuery.Fuvarlevél_száma_import_item, BaseFilter.ComparisonOperator.Contains, MiscUtils.GetSelectedValue(this.InventorySearchArea, this.GetFromSession(this.InventorySearchArea)), true, false);
        
                    search.iOR(InventoryQuery.Házi_fuvarlevél_száma_import_item, BaseFilter.ComparisonOperator.Contains, MiscUtils.GetSelectedValue(this.InventorySearchArea, this.GetFromSession(this.InventorySearchArea)), true, false);
        
                    search.iOR(InventoryQuery.Pozíció_száma_import_item, BaseFilter.ComparisonOperator.Contains, MiscUtils.GetSelectedValue(this.InventorySearchArea, this.GetFromSession(this.InventorySearchArea)), true, false);
        
                    search.iOR(InventoryQuery.Vámzár_1_import_item, BaseFilter.ComparisonOperator.Contains, MiscUtils.GetSelectedValue(this.InventorySearchArea, this.GetFromSession(this.InventorySearchArea)), true, false);
        
                    search.iOR(InventoryQuery.Vámzár_2_import_item, BaseFilter.ComparisonOperator.Contains, MiscUtils.GetSelectedValue(this.InventorySearchArea, this.GetFromSession(this.InventorySearchArea)), true, false);
        
                    wc.iAND(search);
                }
            }
                  
            return (wc);
        }
        
         
        protected virtual WhereClause CreateQueryClause()
        {
            // Create a where clause for the Static clause defined at design time.
            CompoundFilter filter = new CompoundFilter(CompoundFilter.CompoundingOperators.And_Operator, null);
        WhereClause whereClause = new WhereClause();

            filter.AddFilter(new BaseClasses.Data.ColumnValueFilter(BaseClasses.Data.BaseTable.CreateInstance(@"Warehouse.Business.InventoryQuery, App_Code").TableDefinition.ColumnList.GetByUniqueName(@"import_item.Raktárban van"), @"1", BaseClasses.Data.BaseFilter.ComparisonOperator.EqualsTo, false));

            whereClause.AddFilter(filter, CompoundFilter.CompoundingOperators.And_Operator);

            return whereClause;

        }
        
    
        protected virtual void GetPageSize()
        {
        
            if (this.InventoryPagination.PageSize.Text.Length > 0) {
                try {
                    // this.PageSize = Convert.ToInt32(this.InventoryPagination.PageSize.Text);
                } catch (Exception ) {
                }
            }
        }

        protected virtual void AddNewRecords()
        {
            ArrayList newRecordList = new ArrayList();

            // Loop though all the record controls and if the record control
            // does not have a unique record id set, then create a record
            // and add to the list.
            if (!this.ResetData)
            {
                System.Web.UI.WebControls.Repeater rep = (System.Web.UI.WebControls.Repeater)(this.FindControl("InventoryTableControlRepeater"));
                if (rep == null){return;}

                foreach (System.Web.UI.WebControls.RepeaterItem repItem in rep.Items)
                {
                    // Loop through all rows in the table, set its DataSource and call DataBind().
                    InventoryTableControlRow recControl = (InventoryTableControlRow)(repItem.FindControl("InventoryTableControlRow"));

                    if (recControl.Visible && recControl.IsNewRecord) {
                        InventoryRecord rec = new InventoryRecord();
        
                        if (recControl.Csomag_darab_száma.Text != "") {
                            rec.Parse(recControl.Csomag_darab_száma.Text, InventoryQuery.Csomag_darab_száma_import_item);
                  }
                
                        if (recControl.Fuvarlevél_száma.Text != "") {
                            rec.Parse(recControl.Fuvarlevél_száma.Text, InventoryQuery.Fuvarlevél_száma_import_item);
                  }
                
                        if (recControl.Házi_fuvarlevél_száma.Text != "") {
                            rec.Parse(recControl.Házi_fuvarlevél_száma.Text, InventoryQuery.Házi_fuvarlevél_száma_import_item);
                  }
                
                        if (recControl.import_item_vámkezelés_mód_id.Text != "") {
                            rec.Parse(recControl.import_item_vámkezelés_mód_id.Text, InventoryQuery.vámkezelés_mód_id_import_item);
                  }
                
                        if (recControl.import_item_Vámzár_2.Text != "") {
                            rec.Parse(recControl.import_item_Vámzár_2.Text, InventoryQuery.Vámzár_2_import_item);
                  }
                
                        if (recControl.Mért_súly.Text != "") {
                            rec.Parse(recControl.Mért_súly.Text, InventoryQuery.Mért_súly_import_item);
                  }
                
                        if (recControl.Pozíció_száma.Text != "") {
                            rec.Parse(recControl.Pozíció_száma.Text, InventoryQuery.Pozíció_száma_import_item);
                  }
                
                        newRecordList.Add(rec);
                    }
                }
            }

            // Add any new record to the list.
            for (int count = 1; count <= this.AddNewRecord; count++) {
                newRecordList.Insert(0, new InventoryRecord());
            }
            this.AddNewRecord = 0;

            // Finally, add any new records to the DataSource.
            if (newRecordList.Count > 0) {
                ArrayList finalList = new ArrayList(this.DataSource);
                finalList.InsertRange(0, newRecordList);

                this.DataSource = (InventoryRecord[])(finalList.ToArray(Type.GetType("Warehouse.Business.InventoryRecord")));
            }
        }

        
        public void AddToDeletedRecordIds(InventoryTableControlRow rec)
        {
            if (rec.IsNewRecord) {
                return;
            }

            if (this.DeletedRecordIds != null && this.DeletedRecordIds.Length > 0) {
                this.DeletedRecordIds += ",";
            }

            this.DeletedRecordIds += "[" + rec.RecordUniqueId + "]";
        }

        protected virtual bool InDeletedRecordIds(InventoryTableControlRow rec)            
        {
            if (this.DeletedRecordIds == null || this.DeletedRecordIds.Length == 0) {
                return (false);
            }

            return (this.DeletedRecordIds.IndexOf("[" + rec.RecordUniqueId + "]") >= 0);
        }

        private String _DeletedRecordIds;
        public String DeletedRecordIds {
            get {
                return (this._DeletedRecordIds);
            }
            set {
                this._DeletedRecordIds = value;
            }
        }
        
    public virtual WhereClause CreateWhereClause_InventorySearchArea()
    {
	    // Create a where clause for the filter InventorySearchArea.
		// This function is called by the Populate method to load the items 
		// in the InventorySearchArea

        WhereClause wc = new WhereClause();
		// Add additional where clauses to restrict the items shown in the dropdown list.
		// Examples:
		// wc.iAND(., BaseFilter.ComparisonOperator.EqualsTo, "XYZ");
		// wc.iAND(.Active, BaseFilter.ComparisonOperator.EqualsTo, "1");
        return wc;
          
    }
      
        protected virtual string GetCsomag_darab_számaGrandTotal()
        {
            WhereClause wc = this.CreateWhereClause();
            OrderBy orderBy = this.CreateOrderBy();
              
            string Csomag_darab_száma_import_itemSum = InventoryQuery.GetSum(InventoryQuery.Csomag_darab_száma_import_item, wc, orderBy, BaseTable.MIN_PAGE_NUMBER, BaseTable.MAX_BATCH_SIZE);
                
            return InventoryQuery.Csomag_darab_száma_import_item.Format(Csomag_darab_száma_import_itemSum);
        }
          
        protected virtual string GetMért_súlyGrandTotal()
        {
            WhereClause wc = this.CreateWhereClause();
            OrderBy orderBy = this.CreateOrderBy();
              
            string Mért_súly_import_itemSum = InventoryQuery.GetSum(InventoryQuery.Mért_súly_import_item, wc, orderBy, BaseTable.MIN_PAGE_NUMBER, BaseTable.MAX_BATCH_SIZE);
                
            return InventoryQuery.Mért_súly_import_item.Format(Mért_súly_import_itemSum);
        }
          
        protected virtual void Control_PreRender(object sender, System.EventArgs e)
        {
			// PreRender event is raised just before page is being displayed.
            try {
                DbUtils.StartTransaction();
                this.RegisterPostback();
                if (!this.Page.ErrorOnPage && (this.Page.IsPageRefresh || this.DataChanged || this.ResetData)) {
					// Re-load the data and update the web page if necessary.
					// This is typically done during a postback (filter, search button, sort, pagination button).
					// In each of the other click handlers, simply set DataChanged to True to reload the data.
                    this.LoadData();
                    this.DataBind();
                }
                
            } catch (Exception ex) {
                BaseClasses.Utils.MiscUtils.RegisterJScriptAlert(this, "BUTTON_CLICK_MESSAGE", ex.Message);
            } finally {
                DbUtils.EndTransaction();
            }
        }
        
        protected override void SaveControlsToSession()
        {
            base.SaveControlsToSession();
            // Save filter controls to values to session.
        
            this.SaveToSession(this.Betárolás_dátumaFromFilter, this.Betárolás_dátumaFromFilter.Text);
                  
            this.SaveToSession(this.Betárolás_dátumaToFilter, this.Betárolás_dátumaToFilter.Text);
                  
            this.SaveToSession(this.InventorySearchArea, this.InventorySearchArea.Text);
                  
            
            // Save table control properties to the session.
            if (this.CurrentSortOrder != null) {
                this.SaveToSession(this, "Order_By", this.CurrentSortOrder.ToXmlString());
            }
            this.SaveToSession(this, "Page_Index", this.PageIndex.ToString());
            this.SaveToSession(this, "Page_Size", this.PageSize.ToString());
        
            this.SaveToSession(this, "DeletedRecordIds", this.DeletedRecordIds);
        
        }
        
        
        
        protected override void ClearControlsFromSession()
        {
            base.ClearControlsFromSession();
            // Clear filter controls values from the session.
        
            this.RemoveFromSession(this.Betárolás_dátumaFromFilter);
            this.RemoveFromSession(this.Betárolás_dátumaToFilter);
            this.RemoveFromSession(this.InventorySearchArea);
            
            // Clear table properties from the session.
            this.RemoveFromSession(this, "Order_By");
            this.RemoveFromSession(this, "Page_Index");
            this.RemoveFromSession(this, "Page_Size");
            
            this.RemoveFromSession(this, "DeletedRecordIds");
            
        }

        protected override void LoadViewState(object savedState)
        {
            base.LoadViewState(savedState);

            string orderByStr = (string)ViewState["InventoryTableControl_OrderBy"];
            if (orderByStr != null && orderByStr.Length > 0) {
                this.CurrentSortOrder = BaseClasses.Data.OrderBy.FromXmlString(orderByStr);
            }
            else {
                this.CurrentSortOrder = new OrderBy(true, true);
            }

            if (ViewState["Page_Index"] != null) {
                this.PageIndex = (int)ViewState["Page_Index"];
            }

            if (ViewState["Page_Size"] != null) {
                this.PageSize = (int)ViewState["Page_Size"];
            }
        
            this.DeletedRecordIds = (string)this.ViewState["DeletedRecordIds"];
        
        }

        protected override object SaveViewState()
        {            
            if (this.CurrentSortOrder != null) {
                this.ViewState["InventoryTableControl_OrderBy"] = this.CurrentSortOrder.ToXmlString();
            }
            
            this.ViewState["Page_Index"] = this.PageIndex;
            this.ViewState["Page_Size"] = this.PageSize;
        
            this.ViewState["DeletedRecordIds"] = this.DeletedRecordIds;
        
            return (base.SaveViewState());
        }
        
        // Generate the event handling functions for pagination events.
        
        // event handler for ImageButton
        public virtual void InventoryPagination_FirstPage_Click(object sender, ImageClickEventArgs args)
        {
        
            try {
                
            this.PageIndex = 0;
            this.DataChanged = true;
      
            } catch (Exception ex) {
                  this.Page.ErrorOnPage = true;
      
			// Report the error message to the end user
            BaseClasses.Utils.MiscUtils.RegisterJScriptAlert(this, "BUTTON_CLICK_MESSAGE", ex.Message);
          
            } finally {
    
            }
    
        }
                    
        // event handler for ImageButton
        public virtual void InventoryPagination_LastPage_Click(object sender, ImageClickEventArgs args)
        {
        
            try {
                
            this.DisplayLastPage = true;
            this.DataChanged = true;
      
            } catch (Exception ex) {
                  this.Page.ErrorOnPage = true;
      
			// Report the error message to the end user
            BaseClasses.Utils.MiscUtils.RegisterJScriptAlert(this, "BUTTON_CLICK_MESSAGE", ex.Message);
          
            } finally {
    
            }
    
        }
                    
        // event handler for ImageButton
        public virtual void InventoryPagination_NextPage_Click(object sender, ImageClickEventArgs args)
        {
        
            try {
                
            this.PageIndex += 1;
            this.DataChanged = true;
      
            } catch (Exception ex) {
                  this.Page.ErrorOnPage = true;
      
			// Report the error message to the end user
            BaseClasses.Utils.MiscUtils.RegisterJScriptAlert(this, "BUTTON_CLICK_MESSAGE", ex.Message);
          
            } finally {
    
            }
    
        }
                    
        // event handler for LinkButton
        public virtual void InventoryPagination_PageSizeButton_Click(object sender, EventArgs args)
        {
        
            try {
                
            this.DataChanged = true;
      
            this.PageSize = Convert.ToInt32(this.InventoryPagination.PageSize.Text);
      
            this.PageIndex = Convert.ToInt32(this.InventoryPagination.CurrentPage.Text) - 1;
      
            } catch (Exception ex) {
                  this.Page.ErrorOnPage = true;
      
			// Report the error message to the end user
            BaseClasses.Utils.MiscUtils.RegisterJScriptAlert(this, "BUTTON_CLICK_MESSAGE", ex.Message);
          
            } finally {
    
            }
    
        }
            
        // event handler for ImageButton
        public virtual void InventoryPagination_PreviousPage_Click(object sender, ImageClickEventArgs args)
        {
        
            try {
                
            if (this.PageIndex > 0) {
                this.PageIndex -= 1;
                this.DataChanged = true;
            }
      
            } catch (Exception ex) {
                  this.Page.ErrorOnPage = true;
      
			// Report the error message to the end user
            BaseClasses.Utils.MiscUtils.RegisterJScriptAlert(this, "BUTTON_CLICK_MESSAGE", ex.Message);
          
            } finally {
    
            }
    
        }
                    

        // Generate the event handling functions for sorting events.
        
        public virtual void Csomag_darab_számaLabel_Click(object sender, EventArgs args)
        {
            //Sorts by import_item.Csomag darab száma when clicked.
              
            // Get previous sorting state for import_item.Csomag darab száma.
            OrderByItem sd = this.CurrentSortOrder.Find(InventoryQuery.Csomag_darab_száma_import_item);
            if (sd == null) {
                // First time sort, so add sort order for import_item.Csomag darab száma.
                this.CurrentSortOrder.Reset();
                this.CurrentSortOrder.Add(InventoryQuery.Csomag_darab_száma_import_item, OrderByItem.OrderDir.Asc);
            } else {
                // Previously sorted by import_item.Csomag darab száma, so just reverse.
                sd.Reverse();
            }

            // Setting the DataChanged to True results in the page being refreshed with
			// the most recent data from the database.  This happens in PreRender event
            // based on the current sort, search and filter criteria.
            this.DataChanged = true;
              
        }
            
        public virtual void Fuvarlevél_számaLabel_Click(object sender, EventArgs args)
        {
            //Sorts by import_item.Fuvarlevél száma when clicked.
              
            // Get previous sorting state for import_item.Fuvarlevél száma.
            OrderByItem sd = this.CurrentSortOrder.Find(InventoryQuery.Fuvarlevél_száma_import_item);
            if (sd == null) {
                // First time sort, so add sort order for import_item.Fuvarlevél száma.
                this.CurrentSortOrder.Reset();
                this.CurrentSortOrder.Add(InventoryQuery.Fuvarlevél_száma_import_item, OrderByItem.OrderDir.Asc);
            } else {
                // Previously sorted by import_item.Fuvarlevél száma, so just reverse.
                sd.Reverse();
            }

            // Setting the DataChanged to True results in the page being refreshed with
			// the most recent data from the database.  This happens in PreRender event
            // based on the current sort, search and filter criteria.
            this.DataChanged = true;
              
        }
            
        public virtual void Házi_fuvarlevél_számaLabel_Click(object sender, EventArgs args)
        {
            //Sorts by import_item.Házi fuvarlevél száma when clicked.
              
            // Get previous sorting state for import_item.Házi fuvarlevél száma.
            OrderByItem sd = this.CurrentSortOrder.Find(InventoryQuery.Házi_fuvarlevél_száma_import_item);
            if (sd == null) {
                // First time sort, so add sort order for import_item.Házi fuvarlevél száma.
                this.CurrentSortOrder.Reset();
                this.CurrentSortOrder.Add(InventoryQuery.Házi_fuvarlevél_száma_import_item, OrderByItem.OrderDir.Asc);
            } else {
                // Previously sorted by import_item.Házi fuvarlevél száma, so just reverse.
                sd.Reverse();
            }

            // Setting the DataChanged to True results in the page being refreshed with
			// the most recent data from the database.  This happens in PreRender event
            // based on the current sort, search and filter criteria.
            this.DataChanged = true;
              
        }
            
        public virtual void import_item_vámkezelés_mód_idLabel_Click(object sender, EventArgs args)
        {
            //Sorts by import_item.vámkezelés mód id when clicked.
              
            // Get previous sorting state for import_item.vámkezelés mód id.
            OrderByItem sd = this.CurrentSortOrder.Find(InventoryQuery.vámkezelés_mód_id_import_item);
            if (sd == null) {
                // First time sort, so add sort order for import_item.vámkezelés mód id.
                this.CurrentSortOrder.Reset();
                this.CurrentSortOrder.Add(InventoryQuery.vámkezelés_mód_id_import_item, OrderByItem.OrderDir.Asc);
            } else {
                // Previously sorted by import_item.vámkezelés mód id, so just reverse.
                sd.Reverse();
            }

            // Setting the DataChanged to True results in the page being refreshed with
			// the most recent data from the database.  This happens in PreRender event
            // based on the current sort, search and filter criteria.
            this.DataChanged = true;
              
        }
            
        public virtual void import_item_Vámzár_1Label_Click(object sender, EventArgs args)
        {
            //Sorts by import_item.Vámzár 1 when clicked.
              
            // Get previous sorting state for import_item.Vámzár 1.
            OrderByItem sd = this.CurrentSortOrder.Find(InventoryQuery.Vámzár_1_import_item);
            if (sd == null) {
                // First time sort, so add sort order for import_item.Vámzár 1.
                this.CurrentSortOrder.Reset();
                this.CurrentSortOrder.Add(InventoryQuery.Vámzár_1_import_item, OrderByItem.OrderDir.Asc);
            } else {
                // Previously sorted by import_item.Vámzár 1, so just reverse.
                sd.Reverse();
            }

            // Setting the DataChanged to True results in the page being refreshed with
			// the most recent data from the database.  This happens in PreRender event
            // based on the current sort, search and filter criteria.
            this.DataChanged = true;
              
        }
            
        public virtual void import_item_Vámzár_2Label_Click(object sender, EventArgs args)
        {
            //Sorts by import_item.Vámzár 2 when clicked.
              
            // Get previous sorting state for import_item.Vámzár 2.
            OrderByItem sd = this.CurrentSortOrder.Find(InventoryQuery.Vámzár_2_import_item);
            if (sd == null) {
                // First time sort, so add sort order for import_item.Vámzár 2.
                this.CurrentSortOrder.Reset();
                this.CurrentSortOrder.Add(InventoryQuery.Vámzár_2_import_item, OrderByItem.OrderDir.Asc);
            } else {
                // Previously sorted by import_item.Vámzár 2, so just reverse.
                sd.Reverse();
            }

            // Setting the DataChanged to True results in the page being refreshed with
			// the most recent data from the database.  This happens in PreRender event
            // based on the current sort, search and filter criteria.
            this.DataChanged = true;
              
        }
            
        public virtual void Mért_súlyLabel_Click(object sender, EventArgs args)
        {
            //Sorts by import_item.Mért súly when clicked.
              
            // Get previous sorting state for import_item.Mért súly.
            OrderByItem sd = this.CurrentSortOrder.Find(InventoryQuery.Mért_súly_import_item);
            if (sd == null) {
                // First time sort, so add sort order for import_item.Mért súly.
                this.CurrentSortOrder.Reset();
                this.CurrentSortOrder.Add(InventoryQuery.Mért_súly_import_item, OrderByItem.OrderDir.Asc);
            } else {
                // Previously sorted by import_item.Mért súly, so just reverse.
                sd.Reverse();
            }

            // Setting the DataChanged to True results in the page being refreshed with
			// the most recent data from the database.  This happens in PreRender event
            // based on the current sort, search and filter criteria.
            this.DataChanged = true;
              
        }
            
        public virtual void Pozíció_számaLabel_Click(object sender, EventArgs args)
        {
            //Sorts by import_item.Pozíció száma when clicked.
              
            // Get previous sorting state for import_item.Pozíció száma.
            OrderByItem sd = this.CurrentSortOrder.Find(InventoryQuery.Pozíció_száma_import_item);
            if (sd == null) {
                // First time sort, so add sort order for import_item.Pozíció száma.
                this.CurrentSortOrder.Reset();
                this.CurrentSortOrder.Add(InventoryQuery.Pozíció_száma_import_item, OrderByItem.OrderDir.Asc);
            } else {
                // Previously sorted by import_item.Pozíció száma, so just reverse.
                sd.Reverse();
            }

            // Setting the DataChanged to True results in the page being refreshed with
			// the most recent data from the database.  This happens in PreRender event
            // based on the current sort, search and filter criteria.
            this.DataChanged = true;
              
        }
            

        // Generate the event handling functions for button events.
        
        // event handler for ImageButton
        public virtual void InventoryExportExcelButton_Click(object sender, ImageClickEventArgs args)
        {
        
            try {
                // Enclose all database retrieval/update code within a Transaction boundary
				DbUtils.StartTransaction();
				
            // To customize the columns or the format, override this function in Section 1 of the page
            // and modify it to your liking.
            // Build the where clause based on the current filter and search criteria
            // Create the Order By clause based on the user's current sorting preference.
            
                WhereClause wc = CreateWhereClause();
                OrderBy orderBy = null;
                
                orderBy = CreateOrderBy();
                
            // Create an instance of the Excel report class with the table class, where clause and order by.
            ExportData excelReport = new ExportData(InventoryQuery.Instance, wc, orderBy);
            // Add each of the columns in order of export.
            // To customize the data type, change the second parameter of the new ExcelColumn to be
            // a format string from Excel's Format Cell menu. For example "dddd, mmmm dd, yyyy h:mm AM/PM;@", "#,##0.00"
             excelReport.AddColumn(new ExcelColumn(InventoryQuery.Fuvarlevél_száma_import_item, "Default"));
             excelReport.AddColumn(new ExcelColumn(InventoryQuery.Házi_fuvarlevél_száma_import_item, "Default"));
             excelReport.AddColumn(new ExcelColumn(InventoryQuery.Csomag_darab_száma_import_item, "0"));
             excelReport.AddColumn(new ExcelColumn(InventoryQuery.Mért_súly_import_item, "0"));
             excelReport.AddColumn(new ExcelColumn(InventoryQuery.Pozíció_száma_import_item, "Default"));
             excelReport.AddColumn(new ExcelColumn(InventoryQuery.vámkezelés_mód_id_import_item, "Default"));
             excelReport.AddColumn(new ExcelColumn(InventoryQuery.Vámzár_2_import_item, "Default"));

            excelReport.ExportToExcel(this.Page.Response);
                    this.Page.CommitTransaction(sender);
    
      
            } catch (Exception ex) {
                  // Upon error, rollback the transaction
                  this.Page.RollBackTransaction(sender);
                  this.Page.ErrorOnPage = true;
      
			// Report the error message to the end user
            BaseClasses.Utils.MiscUtils.RegisterJScriptAlert(this, "BUTTON_CLICK_MESSAGE", ex.Message);
          
            } finally {
                DbUtils.EndTransaction();
            }
    
        }
                    
        // event handler for ImageButton
        public virtual void InventoryPDFButton_Click(object sender, ImageClickEventArgs args)
        {
        
            try {
                // Enclose all database retrieval/update code within a Transaction boundary
				DbUtils.StartTransaction();
				

        PDFReport report = new PDFReport();

        report.SpecificReportFileName = Page.Server.MapPath("InventoryImport.InventoryPDFButton.report");
                // report.Title replaces the value tag of page header and footer containing ${ReportTitle}
                report.Title = "Inventory";
                // If InventoryImport.InventoryPDFButton.report specifies a valid report template,
                // AddColumn methods will generate a report template.   
                // Each AddColumn method-call specifies a column
                // The 1st parameter represents the text of the column header
                // The 2nd parameter represents the horizontal alignment of the column header
                // The 3rd parameter represents the text format of the column detail
                // The 4th parameter represents the horizontal alignment of the column detail
                // The 5th parameter represents the relative width of the column
                 report.AddColumn(InventoryQuery.Fuvarlevél_száma_import_item.Name, ReportEnum.Align.Left, "${InventoryQuery.Fuvarlevél_száma_import_item.Name}", ReportEnum.Align.Left, 22);
                 report.AddColumn(InventoryQuery.Házi_fuvarlevél_száma_import_item.Name, ReportEnum.Align.Left, "${InventoryQuery.Házi_fuvarlevél_száma_import_item.Name}", ReportEnum.Align.Left, 22);
                 report.AddColumn(InventoryQuery.Csomag_darab_száma_import_item.Name, ReportEnum.Align.Right, "${InventoryQuery.Csomag_darab_száma_import_item.Name}", ReportEnum.Align.Right, 15);
                 report.AddColumn(InventoryQuery.Mért_súly_import_item.Name, ReportEnum.Align.Right, "${InventoryQuery.Mért_súly_import_item.Name}", ReportEnum.Align.Right, 15);
                 report.AddColumn(InventoryQuery.Pozíció_száma_import_item.Name, ReportEnum.Align.Left, "${InventoryQuery.Pozíció_száma_import_item.Name}", ReportEnum.Align.Left, 20);
                 report.AddColumn(InventoryQuery.vámkezelés_mód_id_import_item.Name, ReportEnum.Align.Left, "${InventoryQuery.vámkezelés_mód_id_import_item.Name}", ReportEnum.Align.Left, 30);
                 report.AddColumn(InventoryQuery.Vámzár_2_import_item.Name, ReportEnum.Align.Left, "${InventoryQuery.Vámzár_2_import_item.Name}", ReportEnum.Align.Left, 15);

            WhereClause whereClause = CreateWhereClause();
            
            OrderBy orderBy = CreateOrderBy();
                

                int rowsPerQuery = 5000;
                int pageNum = 0;
                int recordCount = 0;
                int totalRecords = InventoryQuery.GetRecordCount(whereClause);
                                
                report.Page = Page.GetResourceValue("Txt:Page", "Warehouse");
                report.ApplicationPath = this.Page.MapPath(Page.Request.ApplicationPath);

                ColumnList columns = InventoryQuery.GetColumnList();
                InventoryRecord[] records = null;
                do
                {
                    records = InventoryQuery.GetRecords(whereClause, orderBy, pageNum, rowsPerQuery);
                    if (records != null && records.Length > 0 && whereClause.RunQuery)
                    {
                        foreach ( InventoryRecord record in records)
                        {
                            // AddData method takes four parameters   
                            // The 1st parameter represent the data format
                            // The 2nd parameter represent the data value
                            // The 3rd parameter represent the default alignment of column using the data
                            // The 4th parameter represent the maximum length of the data value being shown
                             report.AddData("${InventoryQuery.Fuvarlevél_száma_import_item.Name}", record.Format(InventoryQuery.Fuvarlevél_száma_import_item), ReportEnum.Align.Left, 100);
                             report.AddData("${InventoryQuery.Házi_fuvarlevél_száma_import_item.Name}", record.Format(InventoryQuery.Házi_fuvarlevél_száma_import_item), ReportEnum.Align.Left, 100);
                             report.AddData("${InventoryQuery.Csomag_darab_száma_import_item.Name}", record.Format(InventoryQuery.Csomag_darab_száma_import_item), ReportEnum.Align.Right, 100);
                             report.AddData("${InventoryQuery.Mért_súly_import_item.Name}", record.Format(InventoryQuery.Mért_súly_import_item), ReportEnum.Align.Right, 100);
                             report.AddData("${InventoryQuery.Pozíció_száma_import_item.Name}", record.Format(InventoryQuery.Pozíció_száma_import_item), ReportEnum.Align.Left, 100);
                             report.AddData("${InventoryQuery.vámkezelés_mód_id_import_item.Name}", record.Format(InventoryQuery.vámkezelés_mód_id_import_item), ReportEnum.Align.Left, 100);
                             report.AddData("${InventoryQuery.Vámzár_2_import_item.Name}", record.Format(InventoryQuery.Vámzár_2_import_item), ReportEnum.Align.Left, 100);

                            report.WriteRow();
                        }
                        pageNum++;
                        recordCount += records.Length;
                    }
                }
                while (records != null && recordCount < totalRecords && whereClause.RunQuery);
                report.Close();
                BaseClasses.Utils.NetUtils.WriteResponseBinaryAttachment(this.Page.Response, report.Title + ".pdf", report.ReportInByteArray, 0, true);
                      this.Page.CommitTransaction(sender);
    
      
            } catch (Exception ex) {
                  // Upon error, rollback the transaction
                  this.Page.RollBackTransaction(sender);
                  this.Page.ErrorOnPage = true;
      
			// Report the error message to the end user
            BaseClasses.Utils.MiscUtils.RegisterJScriptAlert(this, "BUTTON_CLICK_MESSAGE", ex.Message);
          
            } finally {
                DbUtils.EndTransaction();
            }
    
        }
                    
        // event handler for ImageButton
        public virtual void InventoryRefreshButton_Click(object sender, ImageClickEventArgs args)
        {
        
            try {
                InventoryTableControl InventoryTableControlObj = ((InventoryTableControl)(this.Page.FindControlRecursively("InventoryTableControl")));
            InventoryTableControlObj.ResetData = true;
            
            InventoryTableControlObj.RemoveFromSession(InventoryTableControlObj, "DeletedRecordIds");
            InventoryTableControlObj.DeletedRecordIds = null;
            
            } catch (Exception ex) {
                  this.Page.ErrorOnPage = true;
      
			// Report the error message to the end user
            BaseClasses.Utils.MiscUtils.RegisterJScriptAlert(this, "BUTTON_CLICK_MESSAGE", ex.Message);
          
            } finally {
    
            }
    
        }
                    
        // event handler for ImageButton
        public virtual void InventoryResetButton_Click(object sender, ImageClickEventArgs args)
        {
        
            try {
                
              this.Betárolás_dátumaFromFilter.Text = "";
            
              this.Betárolás_dátumaToFilter.Text = "";
            
              this.InventorySearchArea.Text = "";
            
              this.CurrentSortOrder.Reset();
              if (this.InSession(this, "Order_By")) {
              this.CurrentSortOrder = OrderBy.FromXmlString(this.GetFromSession(this, "Order_By", null));
              } else {
              this.CurrentSortOrder = new OrderBy(true, true);
            
              this.CurrentSortOrder.Add(InventoryQuery.Fuvarlevél_száma_import_item, OrderByItem.OrderDir.Asc);
              
            }
                
            this.Csomag_darab_számaGrandTotal.Text = "&nbsp;";
            
            this.Mért_súlyGrandTotal.Text = "&nbsp;";
            

            // Setting the DataChanged to True results in the page being refreshed with
			// the most recent data from the database.  This happens in PreRender event
            // based on the current sort, search and filter criteria.
            this.DataChanged = true;
                
            } catch (Exception ex) {
                  this.Page.ErrorOnPage = true;
      
			// Report the error message to the end user
            BaseClasses.Utils.MiscUtils.RegisterJScriptAlert(this, "BUTTON_CLICK_MESSAGE", ex.Message);
          
            } finally {
    
            }
    
        }
                    
        // event handler for Button with Layout
        public virtual void Import_itemFilterButton_Click(object sender, EventArgs args)
        {
              
            try {
                
            this.DataChanged = true;
      
            } catch (Exception ex) {
                  this.Page.ErrorOnPage = true;
      
			// Report the error message to the end user
            BaseClasses.Utils.MiscUtils.RegisterJScriptAlert(this, "BUTTON_CLICK_MESSAGE", ex.Message);
          
            } finally {
    
            }
    
        }
            
        // event handler for Button with Layout
        public virtual void InventorySearchButton_Click(object sender, EventArgs args)
        {
              
            try {
                
            this.DataChanged = true;
      
            } catch (Exception ex) {
                  this.Page.ErrorOnPage = true;
      
			// Report the error message to the end user
            BaseClasses.Utils.MiscUtils.RegisterJScriptAlert(this, "BUTTON_CLICK_MESSAGE", ex.Message);
          
            } finally {
    
            }
    
        }
            


        // Generate the event handling functions for filter and search events.
        

        // verify the processing details for these properties
        private int _PageSize;
        public int PageSize {
            get {
                return this._PageSize;
            }
            set {
                this._PageSize = value;
            }
        }

        private int _PageIndex;
        public int PageIndex {
            get {
                // _PageSize return (the PageIndex);
                return this._PageIndex;
            }
            set {
                this._PageIndex = value;
            }
        }

        private int _TotalRecords;
        public int TotalRecords {
            get {
                return (this._TotalRecords);
            }
            set {
                if (this.PageSize > 0) {
                    this.TotalPages = Convert.ToInt32(Math.Ceiling(Convert.ToDouble(value) / Convert.ToDouble(this.PageSize)));
                }
                this._TotalRecords = value;
            }
        }

        private int _TotalPages;
        public int TotalPages {
            get {
                return this._TotalPages;
            }
            set {
                this._TotalPages = value;
            }
        }

        private bool _DisplayLastPage;
        public bool DisplayLastPage {
            get {
                return this._DisplayLastPage;
            }
            set {
                this._DisplayLastPage = value;
            }
        }

        private bool _DataChanged = false;
        public bool DataChanged {
            get {
                return this._DataChanged;
            }
            set {
                this._DataChanged = value;
            }
        }

        private bool _ResetData = false;
        public bool ResetData {
            get {
                return this._ResetData;
            }
            set {
                this._ResetData = value;
            }
        }

        private int _AddNewRecord = 0;
        public int AddNewRecord {
            get {
                return this._AddNewRecord;
            }
            set {
                this._AddNewRecord = value;
            }
        }

        private OrderBy _CurrentSortOrder = null;
        public OrderBy CurrentSortOrder {
            get {
                return this._CurrentSortOrder;
            }
            set {
                this._CurrentSortOrder = value;
            }
        }

        private InventoryRecord[] _DataSource = null;
        public  InventoryRecord[] DataSource {
            get {
                return this._DataSource;
            }
            set {
                this._DataSource = value;
            }
        }

#region "Helper Properties"
        
        public System.Web.UI.WebControls.TextBox Betárolás_dátumaFromFilter {
            get {
                return (System.Web.UI.WebControls.TextBox)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Betárolás_dátumaFromFilter");
            }
        }
        
        public System.Web.UI.WebControls.Literal Betárolás_dátumaLabel {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Betárolás_dátumaLabel");
            }
        }
        
        public System.Web.UI.WebControls.TextBox Betárolás_dátumaToFilter {
            get {
                return (System.Web.UI.WebControls.TextBox)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Betárolás_dátumaToFilter");
            }
        }
        
        public System.Web.UI.WebControls.Label Csomag_darab_számaGrandTotal {
            get {
                return (System.Web.UI.WebControls.Label)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Csomag_darab_számaGrandTotal");
            }
        }
        
        public System.Web.UI.WebControls.LinkButton Csomag_darab_számaLabel {
            get {
                return (System.Web.UI.WebControls.LinkButton)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Csomag_darab_számaLabel");
            }
        }
        
        public System.Web.UI.WebControls.LinkButton Fuvarlevél_számaLabel {
            get {
                return (System.Web.UI.WebControls.LinkButton)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Fuvarlevél_számaLabel");
            }
        }
        
        public System.Web.UI.WebControls.LinkButton Házi_fuvarlevél_számaLabel {
            get {
                return (System.Web.UI.WebControls.LinkButton)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Házi_fuvarlevél_számaLabel");
            }
        }
        
        public System.Web.UI.WebControls.LinkButton import_item_vámkezelés_mód_idLabel {
            get {
                return (System.Web.UI.WebControls.LinkButton)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "import_item_vámkezelés_mód_idLabel");
            }
        }
        
        public System.Web.UI.WebControls.LinkButton import_item_Vámzár_1Label {
            get {
                return (System.Web.UI.WebControls.LinkButton)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "import_item_Vámzár_1Label");
            }
        }
        
        public System.Web.UI.WebControls.LinkButton import_item_Vámzár_2Label {
            get {
                return (System.Web.UI.WebControls.LinkButton)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "import_item_Vámzár_2Label");
            }
        }
        
        public Warehouse.UI.IThemeButton Import_itemFilterButton {
            get {
                return (Warehouse.UI.IThemeButton)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Import_itemFilterButton");
            }
        }
        
        public System.Web.UI.WebControls.ImageButton InventoryExportExcelButton {
            get {
                return (System.Web.UI.WebControls.ImageButton)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "InventoryExportExcelButton");
            }
        }
        
        public Warehouse.UI.IPagination InventoryPagination {
            get {
                return (Warehouse.UI.IPagination)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "InventoryPagination");
            }
        }
        
        public System.Web.UI.WebControls.ImageButton InventoryPDFButton {
            get {
                return (System.Web.UI.WebControls.ImageButton)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "InventoryPDFButton");
            }
        }
        
        public System.Web.UI.WebControls.ImageButton InventoryRefreshButton {
            get {
                return (System.Web.UI.WebControls.ImageButton)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "InventoryRefreshButton");
            }
        }
        
        public System.Web.UI.WebControls.ImageButton InventoryResetButton {
            get {
                return (System.Web.UI.WebControls.ImageButton)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "InventoryResetButton");
            }
        }
        
        public System.Web.UI.WebControls.TextBox InventorySearchArea {
            get {
                return (System.Web.UI.WebControls.TextBox)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "InventorySearchArea");
            }
        }
        
        public Warehouse.UI.IThemeButton InventorySearchButton {
            get {
                return (Warehouse.UI.IThemeButton)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "InventorySearchButton");
            }
        }
        
        public System.Web.UI.WebControls.Literal InventoryTitle {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "InventoryTitle");
            }
        }
        
        public System.Web.UI.WebControls.Label Mért_súlyGrandTotal {
            get {
                return (System.Web.UI.WebControls.Label)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Mért_súlyGrandTotal");
            }
        }
        
        public System.Web.UI.WebControls.LinkButton Mért_súlyLabel {
            get {
                return (System.Web.UI.WebControls.LinkButton)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Mért_súlyLabel");
            }
        }
        
        public System.Web.UI.WebControls.LinkButton Pozíció_számaLabel {
            get {
                return (System.Web.UI.WebControls.LinkButton)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Pozíció_számaLabel");
            }
        }
        
#endregion

#region "Helper Functions"
        
        public override string ModifyRedirectUrl(string url, string arg, bool bEncrypt)
        {
            return this.Page.EvaluateExpressions(url, arg, bEncrypt, this);
        }
        
        public override string EvaluateExpressions(string url, string arg, bool bEncrypt)
        {
            bool needToProcess = AreAnyUrlParametersForMe(url, arg);
            if (needToProcess) {
                InventoryTableControlRow recCtl = this.GetSelectedRecordControl();
                if (recCtl == null && url.IndexOf("{") >= 0) {
                    // Localization.
                    throw new Exception(Page.GetResourceValue("Err:NoRecSelected", "Warehouse"));
                }

                InventoryRecord rec = null;
                if (recCtl != null) {
                    rec = recCtl.GetRecord();
                }
                return EvaluateExpressions(url, arg, rec, bEncrypt);
            }
            return url;
        }
          
        public virtual InventoryTableControlRow GetSelectedRecordControl()
        {
        
            return null;
          
        }

        public virtual InventoryTableControlRow[] GetSelectedRecordControls()
        {
        
            return (InventoryTableControlRow[])((new ArrayList()).ToArray(Type.GetType("Warehouse.UI.Controls.InventoryImport.InventoryTableControlRow")));
          
        }

        public virtual void DeleteSelectedRecords(bool deferDeletion)
        {
            InventoryTableControlRow[] recList = this.GetSelectedRecordControls();
            if (recList.Length == 0) {
                // Localization.
                throw new Exception(Page.GetResourceValue("Err:NoRecSelected", "Warehouse"));
            }
            
            foreach (InventoryTableControlRow recCtl in recList)
            {
                if (deferDeletion) {
                    if (!recCtl.IsNewRecord) {
                
                        this.AddToDeletedRecordIds(recCtl);
                  
                    }
                    recCtl.Visible = false;
                
                } else {
                
                    recCtl.Delete();
					// Setting the DataChanged to True results in the page being refreshed with
					// the most recent data from the database.  This happens in PreRender event
					// based on the current sort, search and filter criteria.
                    this.DataChanged = true;
                    this.ResetData = true;
                  
                }
            }
        }

        public InventoryTableControlRow[] GetRecordControls()
        {
            ArrayList recList = new ArrayList();
            System.Web.UI.WebControls.Repeater rep = (System.Web.UI.WebControls.Repeater)this.FindControl("InventoryTableControlRepeater");
            if (rep == null){return null;}
            foreach (System.Web.UI.WebControls.RepeaterItem repItem in rep.Items)
            {
                InventoryTableControlRow recControl = (InventoryTableControlRow)repItem.FindControl("InventoryTableControlRow");
                recList.Add(recControl);
            }

            return (InventoryTableControlRow[])recList.ToArray(Type.GetType("Warehouse.UI.Controls.InventoryImport.InventoryTableControlRow"));
        }

        public new BaseApplicationPage Page 
        {
            get {
                return ((BaseApplicationPage)base.Page);
            }
        }
#endregion

    

    }
  

#endregion
    
  
}

  