﻿
// This file implements the TableControl, TableControlRow, and RecordControl classes for the 
// AddExport_itemPage.aspx page.  The Row or RecordControl classes are the 
// ideal place to add code customizations. For example, you can override the LoadData, 
// CreateWhereClause, DataBind, SaveData, GetUIData, and Validate methods.

#region "Using statements"    

using Microsoft.VisualBasic;
using BaseClasses.Web.UI.WebControls;
using System;
using System.Collections;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using BaseClasses;
using BaseClasses.Data;
using BaseClasses.Utils;
using ReportTools.ReportCreator;
using ReportTools.Shared;




        
using Warehouse.Business;
using Warehouse.Data;
        

#endregion

  
namespace Warehouse.UI.Controls.AddExport_itemPage
{
  

#region "Section 1: Place your customizations here."

    
public class Export_itemRecordControl : BaseExport_itemRecordControl
{
      
        // The BaseExport_itemRecordControl implements the LoadData, DataBind and other
        // methods to load and display the data in a table control.

        // This is the ideal place to add your code customizations. For example, you can override the LoadData, 
        // CreateWhereClause, DataBind, SaveData, GetUIData, and Validate methods.
        

}

  

#endregion

  

#region "Section 2: Do not modify this section."
    
    
// Base class for the Export_itemRecordControl control on the AddExport_itemPage page.
// Do not modify this class. Instead override any method in Export_itemRecordControl.
public class BaseExport_itemRecordControl : Warehouse.UI.BaseApplicationRecordControl
{
        public BaseExport_itemRecordControl()
        {
            this.Init += new EventHandler(Control_Init);
            this.Load += new EventHandler(Control_Load);
            this.PreRender += new EventHandler(Control_PreRender);
        }

        // To customize, override this method in Export_itemRecordControl.
        protected virtual void Control_Init(object sender, System.EventArgs e)
        {
            
      
          // Setup the pagination events.
        
          
        // Setup the filter and search events.
        
      
            // Register the event handlers.
        
        }

        // To customize, override this method in Export_itemRecordControl.
        protected virtual void Control_Load(object sender, System.EventArgs e)
        {
        
        }

        // Read data from database. To customize, override this method in Export_itemRecordControl.
        public virtual void LoadData()  
        {
        
        if (this.RecordUniqueId != null && this.RecordUniqueId.Length > 0) {
          this.DataSource = Export_itemTable.GetRecord(this.RecordUniqueId, true);
        return;
        }
      
            WhereClause wc = this.CreateWhereClause();
			
            if (wc == null || !(wc.RunQuery)) {
              this.DataSource = new Export_itemRecord();
              
              return;
            }
                        
          

            // Retrieve the record from the database.
            Export_itemRecord[] recList = Export_itemTable.GetRecords(wc, null, 0, 2);
            if (recList.Length == 0) {
                
                wc.RunQuery = false;
                                
                return;
            }
              
            this.DataSource = (Export_itemRecord)Export_itemRecord.Copy(recList[0], false);
                  


    }

    // Populate the UI controls using the DataSource. To customize, override this method in Export_itemRecordControl.
        public override void DataBind()
        {
            base.DataBind();

            // Make sure that the DataSource is initialized.
            
                if (this.DataSource == null) {
                return;
                }
              

            // For each field, check to see if a value is specified.  If a value is specified,
            // then format the value for display.  If no value is specified, use the default value (formatted).

        
			this.Betárolás_dátuma.Text = Export_itemTable.Betárolás_dátuma.Format(DateTime.Now.ToString(), @"g");
				
            if (this.DataSource.Csomag_darab_számaSpecified) {
                      
                string formattedValue = this.DataSource.Format(Export_itemTable.Csomag_darab_száma);
                this.Csomag_darab_száma.Text = formattedValue;
              
               
            } else {  
                this.Csomag_darab_száma.Text = Export_itemTable.Csomag_darab_száma.Format(Export_itemTable.Csomag_darab_száma.DefaultValue);
                            
            }
                    
            if (this.DataSource.Házi_fuvarlevél_számaSpecified) {
                      
                string formattedValue = this.DataSource.Format(Export_itemTable.Házi_fuvarlevél_száma);
                this.Házi_fuvarlevél_száma.Text = formattedValue;
              
               
            } else {  
                this.Házi_fuvarlevél_száma.Text = Export_itemTable.Házi_fuvarlevél_száma.Format(Export_itemTable.Házi_fuvarlevél_száma.DefaultValue);
                            
            }
                    
            if (this.DataSource.Kiadás_dátumaSpecified) {
                      
                string formattedValue = this.DataSource.Format(Export_itemTable.Kiadás_dátuma);
                this.Kiadás_dátuma.Text = formattedValue;
              
               
            } else {  
                this.Kiadás_dátuma.Text = Export_itemTable.Kiadás_dátuma.Format(Export_itemTable.Kiadás_dátuma.DefaultValue);
                            
            }
                    
            if (this.DataSource.Pozíció_számaSpecified) {
                      
                string formattedValue = this.DataSource.Format(Export_itemTable.Pozíció_száma);
                this.Pozíció_száma.Text = formattedValue;
              
               
            } else {  
                this.Pozíció_száma.Text = Export_itemTable.Pozíció_száma.Format(Export_itemTable.Pozíció_száma.DefaultValue);
                            
            }
                    
            if (this.DataSource.RendszámSpecified) {
                      
                string formattedValue = this.DataSource.Format(Export_itemTable.Rendszám);
                this.Rendszám.Text = formattedValue;
              
               
            } else {  
                this.Rendszám.Text = Export_itemTable.Rendszám.Format(Export_itemTable.Rendszám.DefaultValue);
                            
            }
                    
            if (this.DataSource.SúlySpecified) {
                      
                string formattedValue = this.DataSource.Format(Export_itemTable.Súly);
                this.Súly.Text = formattedValue;
              
               
            } else {  
                this.Súly.Text = Export_itemTable.Súly.Format(Export_itemTable.Súly.DefaultValue);
                            
            }
                    
            this.IsNewRecord = true;
            if (this.DataSource.IsCreated) {
                this.IsNewRecord = false;
        
                this.RecordUniqueId = this.DataSource.GetID().ToXmlString();
            }

            

            // Load data for each record and table UI control.
            // Ordering is important because child controls get 
            // their parent ids from their parent UI controls.
            bool shouldResetControl = false;
            if (shouldResetControl) { }; // prototype usage to void compiler warnings
            
        }


        
        public virtual void ResetControl()
        {
        
          
          }
        

        //  To customize, override this method in Export_itemRecordControl.
        public virtual void SaveData()
        {
            // 1. Load the existing record from the database. Since we save the entire record, this ensures 
            // that fields that are not displayed also properly initialized.
            this.LoadData();
        


          // 2. Validate the data.  Override in Export_itemRecordControl to add custom validation.
          this.Validate();

           // 3. Set the values in the record with data from UI controls.  Override in Export_itemRecordControl to set additional fields.
          this.GetUIData();
   
    

     
          // 4. Save in the database.
          // We should not save the record if the data did not change. This
          // will save a database hit and avoid triggering any database triggers.
          if (this.DataSource.IsAnyValueChanged) {
          // Save record to database but do not commit.
          // Auto generated ids are available after saving for use by child (dependent) records.
          this.DataSource.Save();
    
            }
            // Reseting of this.IsNewRecord is moved to Save button's click even handler.
            // this.IsNewRecord = false;
            this.DataChanged = true;
            this.ResetData = true;
                
    }

        //  To customize, override this method in Export_itemRecordControl.
        public virtual void GetUIData()
        {
        
            bool clearDataSource = false;
            foreach(BaseColumn col in Export_itemRecord.TableUtils.TableDefinition.Columns){
                if ((col.ColumnType == BaseColumn.ColumnTypes.Unique_Identifier)){
                    clearDataSource = true;
                }
            }

            if (clearDataSource){
                this.DataSource = new Export_itemRecord();
            }
        
            this.DataSource.Parse(this.Betárolás_dátuma.Text, Export_itemTable.Betárolás_dátuma);
              
            this.DataSource.Parse(this.Csomag_darab_száma.Text, Export_itemTable.Csomag_darab_száma);
              
            this.DataSource.Parse(this.Házi_fuvarlevél_száma.Text, Export_itemTable.Házi_fuvarlevél_száma);
              
            this.DataSource.Parse(this.Kiadás_dátuma.Text, Export_itemTable.Kiadás_dátuma);
              
            this.DataSource.Parse(this.Pozíció_száma.Text, Export_itemTable.Pozíció_száma);
              
            this.DataSource.Parse(this.Rendszám.Text, Export_itemTable.Rendszám);
              
            this.DataSource.Parse(this.Súly.Text, Export_itemTable.Súly);
              
      }

      

        //  To customize, override this method in Export_itemRecordControl.
        public virtual WhereClause CreateWhereClause()
        {
        
            WhereClause wc;
            Export_itemTable.Instance.InnerFilter = null;
            wc = new WhereClause();
            // Compose the WHERE clause consiting of:
            // 1. Static clause defined at design time.
            // 2. User selected filter criteria.
            // 3. User selected search criteria.

            
            // Retrieve the record id from the URL parameter.
            string recId = this.Page.Request.QueryString["Export_item"];
            if (recId == null || recId.Length == 0) {
                return null;
            }
                       
            HttpContext.Current.Session["QueryString in AddExport_itemPage"] = recId;
              
            if (KeyValue.IsXmlKey(recId)) {
                KeyValue pkValue = KeyValue.XmlToKey(recId);
                
                wc.iAND(Export_itemTable.id0, BaseFilter.ComparisonOperator.EqualsTo, pkValue.GetColumnValue(Export_itemTable.id0).ToString());
            } else {
                
                wc.iAND(Export_itemTable.id0, BaseFilter.ComparisonOperator.EqualsTo, recId);
            }
              
            return wc;  
          
        }
        
        

        //  To customize, override this method in Export_itemRecordControl.
        public virtual void Validate()
        {
            // Initially empty.  Override to add custom validation.
        }

        public virtual void Delete()
        {
        
            if (this.IsNewRecord) {
                return;
            }

            KeyValue pk = KeyValue.XmlToKey(this.RecordUniqueId);
            Export_itemTable.DeleteRecord(pk);

          
        }

        protected virtual void Control_PreRender(object sender, System.EventArgs e)
        {
            try {
                DbUtils.StartTransaction();

                if (!this.Page.ErrorOnPage && (this.Page.IsPageRefresh || this.DataChanged || this.ResetData)) {
                    this.LoadData();
                    this.DataBind();
                }

            } catch (Exception ex) {
                BaseClasses.Utils.MiscUtils.RegisterJScriptAlert(this, "BUTTON_CLICK_MESSAGE", ex.Message);
            } finally {
                DbUtils.EndTransaction();
            }
        }
        
        
                
        protected override void LoadViewState(object savedState)
        {
            base.LoadViewState(savedState);
            string isNewRecord = (string)ViewState["IsNewRecord"];
            if (isNewRecord != null && isNewRecord.Length > 0) {
                this.IsNewRecord = Boolean.Parse(isNewRecord);
            }
        
            string myCheckSum = (string)ViewState["CheckSum"];
            if (myCheckSum != null && myCheckSum.Length > 0) {
                this.CheckSum = myCheckSum;
            }
        
        }

        protected override object SaveViewState()
        {
            ViewState["IsNewRecord"] = this.IsNewRecord.ToString();
            ViewState["CheckSum"] = this.CheckSum;
        
            return base.SaveViewState();
        }

        
        // Generate the event handling functions for pagination events.
            
      
        // Generate the event handling functions for filter and search events.
            
  
        private bool _IsNewRecord = true;
        public virtual bool IsNewRecord {
            get {
                return this._IsNewRecord;
            }
            set {
                this._IsNewRecord = value;
            }
        }

        private bool _DataChanged = false;
        public virtual bool DataChanged {
            get {
                return this._DataChanged;
            }
            set {
                this._DataChanged = value;
            }
        }

        private bool _ResetData = false;
        public virtual bool ResetData {
            get {
                return (this._ResetData);
            }
            set {
                this._ResetData = value;
            }
        }
        
        public String RecordUniqueId {
            get {
                return (string)this.ViewState["BaseExport_itemRecordControl_Rec"];
            }
            set {
                this.ViewState["BaseExport_itemRecordControl_Rec"] = value;
            }
        }
        
        private Export_itemRecord _DataSource;
        public Export_itemRecord DataSource {
            get {
                return (this._DataSource);
            }
            set {
                this._DataSource = value;
            }
        }

        private string _checkSum;
        public virtual string CheckSum {
            get {
                return (this._checkSum);
            }
            set {
                this._checkSum = value;
            }
        }
    
        private int _TotalPages;
        public virtual int TotalPages {
            get {
                return (this._TotalPages);
            }
            set {
                this._TotalPages = value;
            }
        }
        
        private int _PageIndex;
        public virtual int PageIndex {
            get {
                return (this._PageIndex);
            }
            set {
                this._PageIndex = value;
            }
        }
    
    private int _PageSize;
    public int PageSize {
      get {
        return this._PageSize;
      }
      set {
        this._PageSize = value;
      }
    }
      
    private int _TotalRecords;
    public int TotalRecords {
      get {
        return (this._TotalRecords);
      }
      set {
        if (this.PageSize > 0) {
          this.TotalPages = Convert.ToInt32(Math.Ceiling(Convert.ToDouble(value) / Convert.ToDouble(this.PageSize)));
        }
        this._TotalRecords = value;
      }
    }
        
        private bool _DisplayLastPage;
        public virtual bool DisplayLastPage {
            get {
                return (this._DisplayLastPage);
            }
            set {
                this._DisplayLastPage = value;
            }
        }
        
        
    
        private KeyValue selectedParentKeyValue;
        public KeyValue SelectedParentKeyValue
        {
            get
            {
                return this.selectedParentKeyValue;
            }
            set
            {
                this.selectedParentKeyValue = value;
            }
        }
       
#region "Helper Properties"
        
        public System.Web.UI.WebControls.TextBox Betárolás_dátuma {
            get {
                return (System.Web.UI.WebControls.TextBox)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Betárolás_dátuma");
            }
        }
            
        public System.Web.UI.WebControls.Literal Betárolás_dátumaLabel {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Betárolás_dátumaLabel");
            }
        }
        
        public System.Web.UI.WebControls.TextBox Csomag_darab_száma {
            get {
                return (System.Web.UI.WebControls.TextBox)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Csomag_darab_száma");
            }
        }
            
        public System.Web.UI.WebControls.Literal Csomag_darab_számaLabel {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Csomag_darab_számaLabel");
            }
        }
        
        public System.Web.UI.WebControls.Literal Export_itemTitle {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Export_itemTitle");
            }
        }
        
        public System.Web.UI.WebControls.TextBox Házi_fuvarlevél_száma {
            get {
                return (System.Web.UI.WebControls.TextBox)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Házi_fuvarlevél_száma");
            }
        }
            
        public System.Web.UI.WebControls.Literal Házi_fuvarlevél_számaLabel {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Házi_fuvarlevél_számaLabel");
            }
        }
        
        public System.Web.UI.WebControls.TextBox Kiadás_dátuma {
            get {
                return (System.Web.UI.WebControls.TextBox)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Kiadás_dátuma");
            }
        }
            
        public System.Web.UI.WebControls.Literal Kiadás_dátumaLabel {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Kiadás_dátumaLabel");
            }
        }
        
        public System.Web.UI.WebControls.TextBox Pozíció_száma {
            get {
                return (System.Web.UI.WebControls.TextBox)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Pozíció_száma");
            }
        }
            
        public System.Web.UI.WebControls.Literal Pozíció_számaLabel {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Pozíció_számaLabel");
            }
        }
        
        public System.Web.UI.WebControls.TextBox Rendszám {
            get {
                return (System.Web.UI.WebControls.TextBox)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Rendszám");
            }
        }
            
        public System.Web.UI.WebControls.Literal RendszámLabel {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "RendszámLabel");
            }
        }
        
        public System.Web.UI.WebControls.TextBox Súly {
            get {
                return (System.Web.UI.WebControls.TextBox)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Súly");
            }
        }
            
        public System.Web.UI.WebControls.Literal SúlyLabel {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "SúlyLabel");
            }
        }
        
#endregion

#region "Helper Functions"
        public override string ModifyRedirectUrl(string url, string arg, bool bEncrypt)
    {
      return this.Page.EvaluateExpressions(url, arg, bEncrypt, this);
    }

        public override string EvaluateExpressions(string url, string arg, bool bEncrypt)
        {
            Export_itemRecord rec = null;
            try {
                rec = this.GetRecord();
            }
            catch (Exception ) {
                // Do Nothing
            }
            
      if (rec == null && url.IndexOf("{") >= 0) {
                // Localization.
                
            throw new Exception(Page.GetResourceValue("Err:RecDataSrcNotInitialized", "Warehouse"));
                    
            }
        return EvaluateExpressions(url, arg, rec, bEncrypt);
        }

        public virtual Export_itemRecord GetRecord()
        {
        
            if (this.DataSource != null) {
              return this.DataSource;
            }
            
            return new Export_itemRecord();
          
        }

        public new BaseApplicationPage Page
        {
            get {
                return ((BaseApplicationPage)base.Page);
            }
        }

#endregion

}

  

#endregion
    
  
}

  