﻿
// This file implements the TableControl, TableControlRow, and RecordControl classes for the 
// ShowExport_itemTablePage.aspx page.  The Row or RecordControl classes are the 
// ideal place to add code customizations. For example, you can override the LoadData, 
// CreateWhereClause, DataBind, SaveData, GetUIData, and Validate methods.

#region "Using statements"    

using Microsoft.VisualBasic;
using BaseClasses.Web.UI.WebControls;
using System;
using System.Collections;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using BaseClasses;
using BaseClasses.Data;
using BaseClasses.Utils;
using ReportTools.ReportCreator;
using ReportTools.Shared;




        
using Warehouse.Business;
using Warehouse.Data;
        

#endregion

  
namespace Warehouse.UI.Controls.ShowExport_itemTablePage
{
  

#region "Section 1: Place your customizations here."

    
public class Export_itemTableControlRow : BaseExport_itemTableControlRow
{
      
        // The BaseExport_itemTableControlRow implements code for a ROW within the
        // the Export_itemTableControl table.  The BaseExport_itemTableControlRow implements the DataBind and SaveData methods.
        // The loading of data is actually performed by the LoadData method in the base class of Export_itemTableControl.

        // This is the ideal place to add your code customizations. For example, you can override the DataBind, 
        // SaveData, GetUIData, and Validate methods.
        

}

  

public class Export_itemTableControl : BaseExport_itemTableControl
{
        // The BaseExport_itemTableControl class implements the LoadData, DataBind, CreateWhereClause
        // and other methods to load and display the data in a table control.

        // This is the ideal place to add your code customizations. You can override the LoadData and CreateWhereClause,
        // The Export_itemTableControlRow class offers another place where you can customize
        // the DataBind, GetUIData, SaveData and Validate methods specific to each row displayed on the table.

}

  

#endregion

  

#region "Section 2: Do not modify this section."
    
    
// Base class for the Export_itemTableControlRow control on the ShowExport_itemTablePage page.
// Do not modify this class. Instead override any method in Export_itemTableControlRow.
public class BaseExport_itemTableControlRow : Warehouse.UI.BaseApplicationRecordControl
{
        public BaseExport_itemTableControlRow()
        {
            this.Init += new EventHandler(Control_Init);
            this.Load += new EventHandler(Control_Load);
            this.PreRender += new EventHandler(Control_PreRender);
        }

        // To customize, override this method in Export_itemTableControlRow.
        protected virtual void Control_Init(object sender, System.EventArgs e)
        {
            
      
      
            // Register the event handlers.
        
              this.Export_itemRowEditButton.Click += new ImageClickEventHandler(Export_itemRowEditButton_Click);
              
        }

        // To customize, override this method in Export_itemTableControlRow.
        protected virtual void Control_Load(object sender, System.EventArgs e)
        {
        
        }

        // Read data from database. To customize, override this method in Export_itemTableControlRow.
        public virtual void LoadData()  
        {
        
        if (this.RecordUniqueId != null && this.RecordUniqueId.Length > 0) {
          this.DataSource = Export_itemTable.GetRecord(this.RecordUniqueId, true);
        return;
        }
      
            // Since this is a row in the table, the data for this row is loaded by the 
            // LoadData method of the BaseExport_itemTableControl when the data for the entire
            // table is loaded.
            this.DataSource = new Export_itemRecord();
          


    }

    // Populate the UI controls using the DataSource. To customize, override this method in Export_itemTableControlRow.
        public override void DataBind()
        {
            base.DataBind();

            // Make sure that the DataSource is initialized.
            
                if (this.DataSource == null) {
                return;
                }
              

            // For each field, check to see if a value is specified.  If a value is specified,
            // then format the value for display.  If no value is specified, use the default value (formatted).

        
            if (this.DataSource.Betárolás_dátumaSpecified) {
                      
                string formattedValue = this.DataSource.Format(Export_itemTable.Betárolás_dátuma, @"g");
                formattedValue = HttpUtility.HtmlEncode(formattedValue);
                if(formattedValue != null){
                    
                    int maxLength = formattedValue.Length;
                    if (maxLength > (int)(100)){
                        maxLength = (int)(100);
                        
                    }
                    if (maxLength == (int)(100)) {
                        formattedValue = NetUtils.EncodeStringForHtmlDisplay(formattedValue.Substring(0,maxLength));
                        formattedValue = formattedValue + "...";
                    }
                                       
                }                              
                    
                this.Betárolás_dátuma.Text = formattedValue;
              
               
            } else {  
                this.Betárolás_dátuma.Text = Export_itemTable.Betárolás_dátuma.Format(Export_itemTable.Betárolás_dátuma.DefaultValue, @"g");
                            
            }
                    
            if (this.Betárolás_dátuma.Text == null ||
                this.Betárolás_dátuma.Text.Trim().Length == 0) {
                this.Betárolás_dátuma.Text = "&nbsp;";
            }
                  
            if (this.DataSource.Csomag_darab_számaSpecified) {
                      
                string formattedValue = this.DataSource.Format(Export_itemTable.Csomag_darab_száma);
                formattedValue = HttpUtility.HtmlEncode(formattedValue);
                if(formattedValue != null){
                    
                    int maxLength = formattedValue.Length;
                    if (maxLength > (int)(100)){
                        maxLength = (int)(100);
                        
                    }
                    if (maxLength == (int)(100)) {
                        formattedValue = NetUtils.EncodeStringForHtmlDisplay(formattedValue.Substring(0,maxLength));
                        formattedValue = formattedValue + "...";
                    }
                                       
                }                              
                    
                this.Csomag_darab_száma.Text = formattedValue;
              
               
            } else {  
                this.Csomag_darab_száma.Text = Export_itemTable.Csomag_darab_száma.Format(Export_itemTable.Csomag_darab_száma.DefaultValue);
                            
            }
                    
            if (this.Csomag_darab_száma.Text == null ||
                this.Csomag_darab_száma.Text.Trim().Length == 0) {
                this.Csomag_darab_száma.Text = "&nbsp;";
            }
                  
            if (this.DataSource.Házi_fuvarlevél_számaSpecified) {
                      
                string formattedValue = this.DataSource.Format(Export_itemTable.Házi_fuvarlevél_száma);
                formattedValue = HttpUtility.HtmlEncode(formattedValue);
                if(formattedValue != null){
                    
                    int maxLength = formattedValue.Length;
                    if (maxLength > (int)(100)){
                        maxLength = (int)(100);
                        
                    }
                    if (maxLength == (int)(100)) {
                        formattedValue = NetUtils.EncodeStringForHtmlDisplay(formattedValue.Substring(0,maxLength));
                        formattedValue = formattedValue + "...";
                    }
                                       
                }                              
                    
                this.Házi_fuvarlevél_száma.Text = formattedValue;
              
               
            } else {  
                this.Házi_fuvarlevél_száma.Text = Export_itemTable.Házi_fuvarlevél_száma.Format(Export_itemTable.Házi_fuvarlevél_száma.DefaultValue);
                            
            }
                    
            if (this.Házi_fuvarlevél_száma.Text == null ||
                this.Házi_fuvarlevél_száma.Text.Trim().Length == 0) {
                this.Házi_fuvarlevél_száma.Text = "&nbsp;";
            }
                  
            if (this.DataSource.Kiadás_dátumaSpecified) {
                      
                string formattedValue = this.DataSource.Format(Export_itemTable.Kiadás_dátuma, @"f");
                formattedValue = HttpUtility.HtmlEncode(formattedValue);
                if(formattedValue != null){
                    
                    int maxLength = formattedValue.Length;
                    if (maxLength > (int)(100)){
                        maxLength = (int)(100);
                        
                    }
                    if (maxLength == (int)(100)) {
                        formattedValue = NetUtils.EncodeStringForHtmlDisplay(formattedValue.Substring(0,maxLength));
                        formattedValue = formattedValue + "...";
                    }
                                       
                }                              
                    
                this.Kiadás_dátuma.Text = formattedValue;
              
               
            } else {  
                this.Kiadás_dátuma.Text = Export_itemTable.Kiadás_dátuma.Format(Export_itemTable.Kiadás_dátuma.DefaultValue, @"f");
                            
            }
                    
            if (this.Kiadás_dátuma.Text == null ||
                this.Kiadás_dátuma.Text.Trim().Length == 0) {
                this.Kiadás_dátuma.Text = "&nbsp;";
            }
                  
            if (this.DataSource.Pozíció_számaSpecified) {
                      
                string formattedValue = this.DataSource.Format(Export_itemTable.Pozíció_száma);
                formattedValue = HttpUtility.HtmlEncode(formattedValue);
                if(formattedValue != null){
                    
                    int maxLength = formattedValue.Length;
                    if (maxLength > (int)(100)){
                        maxLength = (int)(100);
                        
                    }
                    if (maxLength == (int)(100)) {
                        formattedValue = NetUtils.EncodeStringForHtmlDisplay(formattedValue.Substring(0,maxLength));
                        formattedValue = formattedValue + "...";
                    }
                                       
                }                              
                    
                this.Pozíció_száma.Text = formattedValue;
              
               
            } else {  
                this.Pozíció_száma.Text = Export_itemTable.Pozíció_száma.Format(Export_itemTable.Pozíció_száma.DefaultValue);
                            
            }
                    
            if (this.Pozíció_száma.Text == null ||
                this.Pozíció_száma.Text.Trim().Length == 0) {
                this.Pozíció_száma.Text = "&nbsp;";
            }
                  
            if (this.DataSource.RendszámSpecified) {
                      
                string formattedValue = this.DataSource.Format(Export_itemTable.Rendszám);
                formattedValue = HttpUtility.HtmlEncode(formattedValue);
                if(formattedValue != null){
                    
                    int maxLength = formattedValue.Length;
                    if (maxLength > (int)(100)){
                        maxLength = (int)(100);
                        
                    }
                    if (maxLength == (int)(100)) {
                        formattedValue = NetUtils.EncodeStringForHtmlDisplay(formattedValue.Substring(0,maxLength));
                        formattedValue = formattedValue + "...";
                    }
                                       
                }                              
                    
                this.Rendszám.Text = formattedValue;
              
               
            } else {  
                this.Rendszám.Text = Export_itemTable.Rendszám.Format(Export_itemTable.Rendszám.DefaultValue);
                            
            }
                    
            if (this.Rendszám.Text == null ||
                this.Rendszám.Text.Trim().Length == 0) {
                this.Rendszám.Text = "&nbsp;";
            }
                  
            if (this.DataSource.SúlySpecified) {
                      
                string formattedValue = this.DataSource.Format(Export_itemTable.Súly);
                formattedValue = HttpUtility.HtmlEncode(formattedValue);
                if(formattedValue != null){
                    
                    int maxLength = formattedValue.Length;
                    if (maxLength > (int)(100)){
                        maxLength = (int)(100);
                        
                    }
                    if (maxLength == (int)(100)) {
                        formattedValue = NetUtils.EncodeStringForHtmlDisplay(formattedValue.Substring(0,maxLength));
                        formattedValue = formattedValue + "...";
                    }
                                       
                }                              
                    
                this.Súly.Text = formattedValue;
              
               
            } else {  
                this.Súly.Text = Export_itemTable.Súly.Format(Export_itemTable.Súly.DefaultValue);
                            
            }
                    
            if (this.Súly.Text == null ||
                this.Súly.Text.Trim().Length == 0) {
                this.Súly.Text = "&nbsp;";
            }
                  
            if (this.DataSource.Törlés_dátumaSpecified) {
                      
                string formattedValue = this.DataSource.Format(Export_itemTable.Törlés_dátuma);
                formattedValue = HttpUtility.HtmlEncode(formattedValue);
                if(formattedValue != null){
                    
                    int maxLength = formattedValue.Length;
                    if (maxLength > (int)(100)){
                        maxLength = (int)(100);
                        
                    }
                    if (maxLength == (int)(100)) {
                        formattedValue = NetUtils.EncodeStringForHtmlDisplay(formattedValue.Substring(0,maxLength));
                        formattedValue = formattedValue + "...";
                    }
                                       
                }                              
                    
                this.Törlés_dátuma.Text = formattedValue;
              
               
            } else {  
                this.Törlés_dátuma.Text = Export_itemTable.Törlés_dátuma.Format(Export_itemTable.Törlés_dátuma.DefaultValue);
                            
            }
                    
            if (this.Törlés_dátuma.Text == null ||
                this.Törlés_dátuma.Text.Trim().Length == 0) {
                this.Törlés_dátuma.Text = "&nbsp;";
            }
                  
            if (this.DataSource.TörölteSpecified) {
                      
                string formattedValue = this.DataSource.Format(Export_itemTable.Törölte);
                formattedValue = HttpUtility.HtmlEncode(formattedValue);
                if(formattedValue != null){
                    
                    int maxLength = formattedValue.Length;
                    if (maxLength > (int)(100)){
                        maxLength = (int)(100);
                        
                    }
                    if (maxLength == (int)(100)) {
                        formattedValue = NetUtils.EncodeStringForHtmlDisplay(formattedValue.Substring(0,maxLength));
                        formattedValue = formattedValue + "...";
                    }
                                       
                }                              
                    
                this.Törölte.Text = formattedValue;
              
               
            } else {  
                this.Törölte.Text = Export_itemTable.Törölte.Format(Export_itemTable.Törölte.DefaultValue);
                            
            }
                    
            if (this.Törölte.Text == null ||
                this.Törölte.Text.Trim().Length == 0) {
                this.Törölte.Text = "&nbsp;";
            }
                  
            if (this.DataSource.TörölveSpecified) {
                      
                string formattedValue = this.DataSource.Format(Export_itemTable.Törölve);
                formattedValue = HttpUtility.HtmlEncode(formattedValue);
                if(formattedValue != null){
                    
                    int maxLength = formattedValue.Length;
                    if (maxLength > (int)(100)){
                        maxLength = (int)(100);
                        
                    }
                    if (maxLength == (int)(100)) {
                        formattedValue = NetUtils.EncodeStringForHtmlDisplay(formattedValue.Substring(0,maxLength));
                        formattedValue = formattedValue + "...";
                    }
                                       
                }                              
                    
                this.Törölve.Text = formattedValue;
              
               
            } else {  
                this.Törölve.Text = Export_itemTable.Törölve.Format(Export_itemTable.Törölve.DefaultValue);
                            
            }
                    
            if (this.Törölve.Text == null ||
                this.Törölve.Text.Trim().Length == 0) {
                this.Törölve.Text = "&nbsp;";
            }
                  
            this.IsNewRecord = true;
            if (this.DataSource.IsCreated) {
                this.IsNewRecord = false;
        
                this.RecordUniqueId = this.DataSource.GetID().ToXmlString();
            }

            

            // Load data for each record and table UI control.
            // Ordering is important because child controls get 
            // their parent ids from their parent UI controls.
            bool shouldResetControl = false;
            if (shouldResetControl) { }; // prototype usage to void compiler warnings
            
        }


        

        //  To customize, override this method in Export_itemTableControlRow.
        public virtual void SaveData()
        {
            // 1. Load the existing record from the database. Since we save the entire record, this ensures 
            // that fields that are not displayed also properly initialized.
            this.LoadData();
        


          // 2. Validate the data.  Override in Export_itemTableControlRow to add custom validation.
          this.Validate();

           // 3. Set the values in the record with data from UI controls.  Override in Export_itemTableControlRow to set additional fields.
          this.GetUIData();
   
    

     
          // 4. Save in the database.
          // We should not save the record if the data did not change. This
          // will save a database hit and avoid triggering any database triggers.
          if (this.DataSource.IsAnyValueChanged) {
          // Save record to database but do not commit.
          // Auto generated ids are available after saving for use by child (dependent) records.
          this.DataSource.Save();
    
                ((Export_itemTableControl)MiscUtils.GetParentControlObject(this, "Export_itemTableControl")).DataChanged = true;
                ((Export_itemTableControl)MiscUtils.GetParentControlObject(this, "Export_itemTableControl")).ResetData = true;
            }
            // Reseting of this.IsNewRecord is moved to Save button's click even handler.
            // this.IsNewRecord = false;
            this.DataChanged = true;
            this.ResetData = true;
                
    }

        //  To customize, override this method in Export_itemTableControlRow.
        public virtual void GetUIData()
        {
        
      }

      

        //  To customize, override this method in Export_itemTableControlRow.
        public virtual WhereClause CreateWhereClause()
        {
        
            return null;
          
        }
        
        

        //  To customize, override this method in Export_itemTableControlRow.
        public virtual void Validate()
        {
            // Initially empty.  Override to add custom validation.
        }

        public virtual void Delete()
        {
        
            if (this.IsNewRecord) {
                return;
            }

            KeyValue pk = KeyValue.XmlToKey(this.RecordUniqueId);
            Export_itemTable.DeleteRecord(pk);

          
            ((Export_itemTableControl)MiscUtils.GetParentControlObject(this, "Export_itemTableControl")).DataChanged = true;
            ((Export_itemTableControl)MiscUtils.GetParentControlObject(this, "Export_itemTableControl")).ResetData = true;
        }

        protected virtual void Control_PreRender(object sender, System.EventArgs e)
        {
            try {
                DbUtils.StartTransaction();

                if (!this.Page.ErrorOnPage && (this.Page.IsPageRefresh || this.DataChanged || this.ResetData)) {
                    this.LoadData();
                    this.DataBind();
                }

            } catch (Exception ex) {
                BaseClasses.Utils.MiscUtils.RegisterJScriptAlert(this, "BUTTON_CLICK_MESSAGE", ex.Message);
            } finally {
                DbUtils.EndTransaction();
            }
        }
        
        
                
        protected override void LoadViewState(object savedState)
        {
            base.LoadViewState(savedState);
            string isNewRecord = (string)ViewState["IsNewRecord"];
            if (isNewRecord != null && isNewRecord.Length > 0) {
                this.IsNewRecord = Boolean.Parse(isNewRecord);
            }
        
            string myCheckSum = (string)ViewState["CheckSum"];
            if (myCheckSum != null && myCheckSum.Length > 0) {
                this.CheckSum = myCheckSum;
            }
        
        }

        protected override object SaveViewState()
        {
            ViewState["IsNewRecord"] = this.IsNewRecord.ToString();
            ViewState["CheckSum"] = this.CheckSum;
        
            return base.SaveViewState();
        }

        
        // event handler for ImageButton
        public virtual void Export_itemRowEditButton_Click(object sender, ImageClickEventArgs args)
        {
        
            string url = @"../export_item/EditExport_itemPage.aspx?Export_item={PK}";
            bool shouldRedirect = true;
            string TargetKey;
            string tk = null;
            TargetKey = tk;
            
            try {
                DbUtils.StartTransaction();
                
                url = this.ModifyRedirectUrl(url, "",false);
                url = this.Page.ModifyRedirectUrl(url, "",false);
                        this.Page.CommitTransaction(sender);
    
      
            } catch (Exception ex) {
                this.Page.RollBackTransaction(sender);
                shouldRedirect = false;
                this.Page.ErrorOnPage = true;
    
            BaseClasses.Utils.MiscUtils.RegisterJScriptAlert(this, "BUTTON_CLICK_MESSAGE", ex.Message);
          
            } finally {
                DbUtils.EndTransaction();
            }
            if (shouldRedirect) {
                this.Page.ShouldSaveControlsToSession = true;
                this.Page.Response.Redirect(url);
            }
        
            else if (TargetKey != null && !shouldRedirect){
            this.Page.ShouldSaveControlsToSession = true ; 
            this.Page.CloseWindow(true);
            }
        
        }
            
  
        private bool _IsNewRecord = true;
        public virtual bool IsNewRecord {
            get {
                return this._IsNewRecord;
            }
            set {
                this._IsNewRecord = value;
            }
        }

        private bool _DataChanged = false;
        public virtual bool DataChanged {
            get {
                return this._DataChanged;
            }
            set {
                this._DataChanged = value;
            }
        }

        private bool _ResetData = false;
        public virtual bool ResetData {
            get {
                return (this._ResetData);
            }
            set {
                this._ResetData = value;
            }
        }
        
        public String RecordUniqueId {
            get {
                return (string)this.ViewState["BaseExport_itemTableControlRow_Rec"];
            }
            set {
                this.ViewState["BaseExport_itemTableControlRow_Rec"] = value;
            }
        }
        
        private Export_itemRecord _DataSource;
        public Export_itemRecord DataSource {
            get {
                return (this._DataSource);
            }
            set {
                this._DataSource = value;
            }
        }

        private string _checkSum;
        public virtual string CheckSum {
            get {
                return (this._checkSum);
            }
            set {
                this._checkSum = value;
            }
        }
    
        private int _TotalPages;
        public virtual int TotalPages {
            get {
                return (this._TotalPages);
            }
            set {
                this._TotalPages = value;
            }
        }
        
        private int _PageIndex;
        public virtual int PageIndex {
            get {
                return (this._PageIndex);
            }
            set {
                this._PageIndex = value;
            }
        }
    
        private bool _DisplayLastPage;
        public virtual bool DisplayLastPage {
            get {
                return (this._DisplayLastPage);
            }
            set {
                this._DisplayLastPage = value;
            }
        }
        
        
    
        private KeyValue selectedParentKeyValue;
        public KeyValue SelectedParentKeyValue
        {
            get
            {
                return this.selectedParentKeyValue;
            }
            set
            {
                this.selectedParentKeyValue = value;
            }
        }
       
#region "Helper Properties"
        
        public System.Web.UI.WebControls.Literal Betárolás_dátuma {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Betárolás_dátuma");
            }
        }
            
        public System.Web.UI.WebControls.Literal Csomag_darab_száma {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Csomag_darab_száma");
            }
        }
            
        public System.Web.UI.WebControls.ImageButton Export_itemRowEditButton {
            get {
                return (System.Web.UI.WebControls.ImageButton)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Export_itemRowEditButton");
            }
        }
        
        public System.Web.UI.WebControls.Literal Házi_fuvarlevél_száma {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Házi_fuvarlevél_száma");
            }
        }
            
        public System.Web.UI.WebControls.Literal Kiadás_dátuma {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Kiadás_dátuma");
            }
        }
            
        public System.Web.UI.WebControls.Literal Pozíció_száma {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Pozíció_száma");
            }
        }
            
        public System.Web.UI.WebControls.Literal Rendszám {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Rendszám");
            }
        }
            
        public System.Web.UI.WebControls.Literal Súly {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Súly");
            }
        }
            
        public System.Web.UI.WebControls.Literal Törlés_dátuma {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Törlés_dátuma");
            }
        }
            
        public System.Web.UI.WebControls.Literal Törölte {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Törölte");
            }
        }
            
        public System.Web.UI.WebControls.Literal Törölve {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Törölve");
            }
        }
            
#endregion

#region "Helper Functions"
        public override string ModifyRedirectUrl(string url, string arg, bool bEncrypt)
    {
      return this.Page.EvaluateExpressions(url, arg, bEncrypt, this);
    }

        public override string EvaluateExpressions(string url, string arg, bool bEncrypt)
        {
            Export_itemRecord rec = null;
            try {
                rec = this.GetRecord();
            }
            catch (Exception ) {
                // Do Nothing
            }
            
      if (rec == null && url.IndexOf("{") >= 0) {
                // Localization.
                
            throw new Exception(Page.GetResourceValue("Err:RecDataSrcNotInitialized", "Warehouse"));
                    
            }
        return EvaluateExpressions(url, arg, rec, bEncrypt);
        }

        public virtual Export_itemRecord GetRecord()
        {
        
            if (this.DataSource != null) {
                return this.DataSource;
            }
            
            if (this.RecordUniqueId != null) {
                return Export_itemTable.GetRecord(this.RecordUniqueId, true);
            }
            
            // Localization.
            
            throw new Exception(Page.GetResourceValue("Err:RetrieveRec", "Warehouse"));
                
        }

        public new BaseApplicationPage Page
        {
            get {
                return ((BaseApplicationPage)base.Page);
            }
        }

#endregion

}

  
// Base class for the Export_itemTableControl control on the ShowExport_itemTablePage page.
// Do not modify this class. Instead override any method in Export_itemTableControl.
public class BaseExport_itemTableControl : Warehouse.UI.BaseApplicationTableControl
{
        public BaseExport_itemTableControl()
        {
            this.Init += new EventHandler(Control_Init);
            this.Load += new EventHandler(Control_Load);
            this.PreRender += new EventHandler(Control_PreRender);
        }

        protected virtual void Control_Init(object sender, System.EventArgs e)
        {
            // Setup the pagination events.
        
              this.Export_itemPagination.FirstPage.Click += new ImageClickEventHandler(Export_itemPagination_FirstPage_Click);
              
              this.Export_itemPagination.LastPage.Click += new ImageClickEventHandler(Export_itemPagination_LastPage_Click);
              
              this.Export_itemPagination.NextPage.Click += new ImageClickEventHandler(Export_itemPagination_NextPage_Click);
              
              this.Export_itemPagination.PageSizeButton.Click += new EventHandler(Export_itemPagination_PageSizeButton_Click);
            
              this.Export_itemPagination.PreviousPage.Click += new ImageClickEventHandler(Export_itemPagination_PreviousPage_Click);
              

            // Setup the sorting events.
        
              this.Betárolás_dátumaLabel1.Click += new EventHandler(Betárolás_dátumaLabel1_Click);
            
              this.Csomag_darab_számaLabel.Click += new EventHandler(Csomag_darab_számaLabel_Click);
            
              this.Házi_fuvarlevél_számaLabel.Click += new EventHandler(Házi_fuvarlevél_számaLabel_Click);
            
              this.Kiadás_dátumaLabel.Click += new EventHandler(Kiadás_dátumaLabel_Click);
            
              this.Pozíció_számaLabel.Click += new EventHandler(Pozíció_számaLabel_Click);
            
              this.RendszámLabel.Click += new EventHandler(RendszámLabel_Click);
            
              this.SúlyLabel.Click += new EventHandler(SúlyLabel_Click);
            
              this.Törlés_dátumaLabel.Click += new EventHandler(Törlés_dátumaLabel_Click);
            
              this.TörölteLabel1.Click += new EventHandler(TörölteLabel1_Click);
            
              this.TörölveLabel.Click += new EventHandler(TörölveLabel_Click);
            

            // Setup the button events.
        
              this.Export_itemDeleteButton.Click += new ImageClickEventHandler(Export_itemDeleteButton_Click);
              
              this.Export_itemExportExcelButton.Click += new ImageClickEventHandler(Export_itemExportExcelButton_Click);
              
              this.Page.RegisterPostBackTrigger(MiscUtils.FindControlRecursively(this,"Export_itemExportExcelButton"), MiscUtils.GetParentControlObject(this,"Export_itemTableControlUpdatePanel"));
                      
              this.Export_itemNewButton.Click += new ImageClickEventHandler(Export_itemNewButton_Click);
              
              this.Export_itemPDFButton.Click += new ImageClickEventHandler(Export_itemPDFButton_Click);
              
              this.Page.RegisterPostBackTrigger(MiscUtils.FindControlRecursively(this,"Export_itemPDFButton"), MiscUtils.GetParentControlObject(this,"Export_itemTableControlUpdatePanel"));
                      
              this.Export_itemRefreshButton.Click += new ImageClickEventHandler(Export_itemRefreshButton_Click);
              
              this.Export_itemResetButton.Click += new ImageClickEventHandler(Export_itemResetButton_Click);
              
              this.Export_itemFilterButton.Button.Click += new EventHandler(Export_itemFilterButton_Click);
              
              this.Export_itemSearchButton.Button.Click += new EventHandler(Export_itemSearchButton_Click);
              

            // Setup the filter and search events.
        
            this.RendszámFilter.SelectedIndexChanged += new EventHandler(RendszámFilter_SelectedIndexChanged);
            if (!this.Page.IsPostBack && this.InSession(this.Betárolás_dátumaFromFilter)) {
                
                this.Betárolás_dátumaFromFilter.Text = this.GetFromSession(this.Betárolás_dátumaFromFilter);
                
            }
            if (!this.Page.IsPostBack && this.InSession(this.Betárolás_dátumaToFilter)) {
                
                this.Betárolás_dátumaToFilter.Text = this.GetFromSession(this.Betárolás_dátumaToFilter);
                
            }
            if (!this.Page.IsPostBack && this.InSession(this.Csomag_darab_számaFromFilter)) {
                
                this.Csomag_darab_számaFromFilter.Text = this.GetFromSession(this.Csomag_darab_számaFromFilter);
                
            }
            if (!this.Page.IsPostBack && this.InSession(this.Csomag_darab_számaToFilter)) {
                
                this.Csomag_darab_számaToFilter.Text = this.GetFromSession(this.Csomag_darab_számaToFilter);
                
            }
            if (!this.Page.IsPostBack && this.InSession(this.Export_itemSearchArea)) {
                
                this.Export_itemSearchArea.Text = this.GetFromSession(this.Export_itemSearchArea);
                
            }
            if (!this.Page.IsPostBack && this.InSession(this.Kiadás_dátumaFromFilter)) {
                
                this.Kiadás_dátumaFromFilter.Text = this.GetFromSession(this.Kiadás_dátumaFromFilter);
                
            }
            if (!this.Page.IsPostBack && this.InSession(this.Kiadás_dátumaToFilter)) {
                
                this.Kiadás_dátumaToFilter.Text = this.GetFromSession(this.Kiadás_dátumaToFilter);
                
            }
            if (!this.Page.IsPostBack && this.InSession(this.RendszámFilter)) {
                this.RendszámFilter.Items.Add(new ListItem(this.GetFromSession(this.RendszámFilter), this.GetFromSession(this.RendszámFilter)));
                this.RendszámFilter.SelectedValue = this.GetFromSession(this.RendszámFilter);
                
            }
            if (!this.Page.IsPostBack && this.InSession(this.SúlyFromFilter)) {
                
                this.SúlyFromFilter.Text = this.GetFromSession(this.SúlyFromFilter);
                
            }
            if (!this.Page.IsPostBack && this.InSession(this.SúlyToFilter)) {
                
                this.SúlyToFilter.Text = this.GetFromSession(this.SúlyToFilter);
                
            }

            // Control Initializations.
            // Initialize the table's current sort order.
            if (this.InSession(this, "Order_By")) {
                this.CurrentSortOrder = OrderBy.FromXmlString(this.GetFromSession(this, "Order_By", null));
            } else {
                this.CurrentSortOrder = new OrderBy(true, true);
        
            }

    // Setup default pagination settings.
    
            this.PageSize = Convert.ToInt32(this.GetFromSession(this, "Page_Size", "10"));
            this.PageIndex = Convert.ToInt32(this.GetFromSession(this, "Page_Index", "0"));
            this.ClearControlsFromSession();
        }

        protected virtual void Control_Load(object sender, EventArgs e)
        {
        
                // Show confirmation message on Click
                this.Export_itemDeleteButton.Attributes.Add("onClick", "return (confirm('" + ((BaseApplicationPage)this.Page).GetResourceValue("DeleteConfirm", "Warehouse") + "'));");
    }

    // Read data from database. Returns an array of records that can be assigned
    // to the DataSource table control property.
    public virtual void LoadData()
    {
    try {


      
                // The WHERE clause will be empty when displaying all records in table.
                WhereClause wc = CreateWhereClause();
                if (wc != null && !wc.RunQuery) {
                    // Initialize an empty array of records
                    ArrayList alist = new ArrayList(0);
                    this.DataSource = (Export_itemRecord[])(alist.ToArray(Type.GetType("Warehouse.Business.Export_itemRecord")));
                    // Add records to the list if needed.
                    this.AddNewRecords();
                    return;
                }

                OrderBy orderBy = CreateOrderBy();

                // Get the pagesize from the pagesize control.
                this.GetPageSize();

                // Get the total number of records to be displayed.
                this.TotalRecords = Export_itemTable.GetRecordCount(wc);

                // Go to the last page.
                if (this.TotalPages <= 0 || this.PageIndex < 0) {
                    this.PageIndex = 0;
                } else if (this.DisplayLastPage || this.PageIndex >= this.TotalPages) {
                    this.PageIndex = this.TotalPages - 1;
                }

                // Retrieve the records and set the table DataSource.
                // Only PageSize records are fetched starting at PageIndex (zero based).
                if (this.TotalRecords <= 0) {
                    // Initialize an empty array of records
                    ArrayList alist = new ArrayList(0);
                    this.DataSource = (Export_itemRecord[])(alist.ToArray(Type.GetType("Warehouse.Business.Export_itemRecord")));
                } else if (this.AddNewRecord > 0) {
                    // Get the records from the posted data
                    ArrayList postdata = new ArrayList(0);
                    foreach (Export_itemTableControlRow rc in this.GetRecordControls()) {
                        if (!rc.IsNewRecord) {
                            rc.DataSource = rc.GetRecord();
                            rc.GetUIData();
                            postdata.Add(rc.DataSource);
                        }
                    }
                    this.DataSource = (Export_itemRecord[])(postdata.ToArray(Type.GetType("Warehouse.Business.Export_itemRecord")));
                } else {
                    // Get the records from the database
                    this.DataSource = Export_itemTable.GetRecords(wc, orderBy, this.PageIndex, this.PageSize);
                }
                // Add records to the list.
                this.AddNewRecords();
            

                // Initialize the page and grand totals. now
            
            } catch (Exception ex) {
                throw ex;
            }
        }

        // Populate the UI controls.
        public override void DataBind()
        {
            base.DataBind();
            
         
            // Make sure that the DataSource is initialized.
            if (this.DataSource == null) {
                return;
            }
           
            // Improve performance by prefetching display as records.
            this.PreFetchForeignKeyValues();

            // Setup the pagination controls.
            BindPaginationControls();

            // Populate all filters data.
        
            this.PopulateRendszámFilter(MiscUtils.GetSelectedValue(this.RendszámFilter, this.GetFromSession(this.RendszámFilter)), 500);
                    

            // Bind the repeater with the list of records to expand the UI.
            System.Web.UI.WebControls.Repeater rep = (System.Web.UI.WebControls.Repeater)(this.FindControl("Export_itemTableControlRepeater"));
      if (rep == null){return;}
            rep.DataSource = this.DataSource;
            rep.DataBind();


            int index = 0;
            foreach (System.Web.UI.WebControls.RepeaterItem repItem in rep.Items)
            {
                // Loop through all rows in the table, set its DataSource and call DataBind().
                Export_itemTableControlRow recControl = (Export_itemTableControlRow)(repItem.FindControl("Export_itemTableControlRow"));
                recControl.DataSource = this.DataSource[index];
                recControl.DataBind();
                recControl.Visible = !this.InDeletedRecordIds(recControl);
                index++;
            }

        
      // setting the state of expand or collapse alternative rows
      
}

        
        public void PreFetchForeignKeyValues() {
            if (this.DataSource == null) {
                return;
            }
          
            this.Page.PregetDfkaRecords(Export_itemTable.Törölte, this.DataSource);
        }
         

        public virtual void ResetControl()
        {
            
              this.RendszámFilter.ClearSelection();
            
              this.Betárolás_dátumaFromFilter.Text = "";
            
              this.Betárolás_dátumaToFilter.Text = "";
            
              this.Csomag_darab_számaFromFilter.Text = "";
            
              this.Csomag_darab_számaToFilter.Text = "";
            
              this.Export_itemSearchArea.Text = "";
            
              this.Kiadás_dátumaFromFilter.Text = "";
            
              this.Kiadás_dátumaToFilter.Text = "";
            
              this.SúlyFromFilter.Text = "";
            
              this.SúlyToFilter.Text = "";
            
              this.CurrentSortOrder.Reset();
              if (this.InSession(this, "Order_By")) {
              this.CurrentSortOrder = OrderBy.FromXmlString(this.GetFromSession(this, "Order_By", null));
              } else {
              this.CurrentSortOrder = new OrderBy(true, true);
            
            }
                
            this.PageIndex = 0;
        }
        
        
        protected virtual void BindPaginationControls()
        {
            // Setup the pagination controls.

            // Bind the buttons for Export_itemTableControl pagination.
        
            this.Export_itemPagination.FirstPage.Enabled = !(this.PageIndex == 0);
            this.Export_itemPagination.LastPage.Enabled = !(this.PageIndex == this.TotalPages - 1);
            if (this.TotalPages == 0) {
                this.Export_itemPagination.LastPage.Enabled = false;
            }
          
            this.Export_itemPagination.NextPage.Enabled = !(this.PageIndex == this.TotalPages - 1);
            if (this.TotalPages == 0) {
                this.Export_itemPagination.NextPage.Enabled = false;
            }
          
            this.Export_itemPagination.PreviousPage.Enabled = !(this.PageIndex == 0);

            // Bind the pagination labels.
        
            if (this.TotalPages > 0) {
                this.Export_itemPagination.CurrentPage.Text = (this.PageIndex + 1).ToString();
            } else {
                this.Export_itemPagination.CurrentPage.Text = "0";
            }
            this.Export_itemPagination.PageSize.Text = this.PageSize.ToString();
            this.Export_itemPagination.TotalItems.Text = this.TotalRecords.ToString();
            this.Export_itemPagination.TotalPages.Text = this.TotalPages.ToString();
        }

        public virtual void SaveData()
        {
            foreach (Export_itemTableControlRow recCtl in this.GetRecordControls())
            {
        
                if (this.InDeletedRecordIds(recCtl)) {
                    recCtl.Delete();
                } else {
                    if (recCtl.Visible) {
                        recCtl.SaveData();
                    }
                }
          
            }
            
            this.DataChanged = true;
            this.ResetData = true;
            
            
          
          // When one tries to add two duplicate records, an exception is thrown.Before throwing an exception, the first record's IsNewRecord property is set to false. 
          // Now when one tries to delete these two records simultaneously, since the first record's IsNewRecord property is false, the server tries to delete it from the database, which result in an error.
          // To avoid this problem every record's IsNewRecord property is set to false only after all the records are saved in the database. 
          foreach (Export_itemTableControlRow recCtl in this.GetRecordControls()){
              recCtl.IsNewRecord = false;
          }
      
          // Whenever an existing record is deleted and saved and then tried to add the same record, it does not display the newly added record after saving, because, while displaying each records DeletedRecordIds is checked to see if it is waiting to be deleted.
          // Since DeletedRecordIds is not reset after each record deletion, when one tries to add the same record it sees record id in DeleteReordIds and does not display it. 
          // To overcome this problem, DeletedRecordIds is reset.
          this.DeletedRecordIds = null;
          
      
            
            
        }
        
        public virtual OrderBy CreateOrderBy()
        {
            return this.CurrentSortOrder;
        }
        
        private string parentSelectedKeyValue;
        public string ParentSelectedKeyValue
        {
          get
          {
            return parentSelectedKeyValue;
          }
          set
          {
            parentSelectedKeyValue = value;
          }
        }

        // This CreateWhereClause is used for loading the data.
        public virtual WhereClause CreateWhereClause()
        {
            Export_itemTable.Instance.InnerFilter = null;
      WhereClause wc = new WhereClause();
      // CreateWhereClause() Compose the WHERE clause consiting of:
      // 1. Static clause defined at design time.
      // 2. User selected filter criteria.
      // 3. User selected search criteria.

        
            if (MiscUtils.IsValueSelected(this.Betárolás_dátumaFromFilter)) {
                string val = MiscUtils.GetSelectedValue(this.Betárolás_dátumaFromFilter, this.GetFromSession(this.Betárolás_dátumaFromFilter));
                DateTime d = DateParser.ParseDate(val, DateColumn.DEFAULT_FORMAT);
                val = d.ToShortDateString() + " " + "00:00:00";
                wc.iAND(Export_itemTable.Betárolás_dátuma, BaseFilter.ComparisonOperator.Greater_Than_Or_Equal, val, false, false);
            }
                      
            if (MiscUtils.IsValueSelected(this.Betárolás_dátumaToFilter)) {
                string val = MiscUtils.GetSelectedValue(this.Betárolás_dátumaToFilter, this.GetFromSession(this.Betárolás_dátumaToFilter));
                DateTime d = DateParser.ParseDate(val, DateColumn.DEFAULT_FORMAT);
                val = d.ToShortDateString() + " " + "23:59:59";
                wc.iAND(Export_itemTable.Betárolás_dátuma, BaseFilter.ComparisonOperator.Less_Than_Or_Equal, val, false, false);
            }
                      
            if (MiscUtils.IsValueSelected(this.Csomag_darab_számaFromFilter)) {
                        
                wc.iAND(Export_itemTable.Csomag_darab_száma, BaseFilter.ComparisonOperator.Greater_Than_Or_Equal, MiscUtils.GetSelectedValue(this.Csomag_darab_számaFromFilter, this.GetFromSession(this.Csomag_darab_számaFromFilter)), false, false);
                    
            }
                      
            if (MiscUtils.IsValueSelected(this.Csomag_darab_számaToFilter)) {
                        
                wc.iAND(Export_itemTable.Csomag_darab_száma, BaseFilter.ComparisonOperator.Less_Than_Or_Equal, MiscUtils.GetSelectedValue(this.Csomag_darab_számaToFilter, this.GetFromSession(this.Csomag_darab_számaToFilter)), false, false);
                    
            }
                      
            if (MiscUtils.IsValueSelected(this.Export_itemSearchArea)) {
                // Strip "..." from begin and ending of the search text, otherwise the search will return 0 values as in database "..." is not stored.
                if (this.Export_itemSearchArea.Text.StartsWith("...")) {
                    this.Export_itemSearchArea.Text = this.Export_itemSearchArea.Text.Substring(3,this.Export_itemSearchArea.Text.Length-3);
                }
                if (this.Export_itemSearchArea.Text.EndsWith("...")) {
                    this.Export_itemSearchArea.Text = this.Export_itemSearchArea.Text.Substring(0,this.Export_itemSearchArea.Text.Length-3);
                }
                // After stripping "..." see if the search text is null or empty.
                if (MiscUtils.IsValueSelected(this.Export_itemSearchArea)) {
                      
                    // These clauses are added depending on operator and fields selected in Control's property page, bindings tab.
                    WhereClause search = new WhereClause();
                    
                    search.iOR(Export_itemTable.Házi_fuvarlevél_száma, BaseFilter.ComparisonOperator.Contains, MiscUtils.GetSelectedValue(this.Export_itemSearchArea, this.GetFromSession(this.Export_itemSearchArea)), true, false);
        
                    search.iOR(Export_itemTable.Pozíció_száma, BaseFilter.ComparisonOperator.Contains, MiscUtils.GetSelectedValue(this.Export_itemSearchArea, this.GetFromSession(this.Export_itemSearchArea)), true, false);
        
                    wc.iAND(search);
                }
            }
                  
            if (MiscUtils.IsValueSelected(this.Kiadás_dátumaFromFilter)) {
                string val = MiscUtils.GetSelectedValue(this.Kiadás_dátumaFromFilter, this.GetFromSession(this.Kiadás_dátumaFromFilter));
                DateTime d = DateParser.ParseDate(val, DateColumn.DEFAULT_FORMAT);
                val = d.ToShortDateString() + " " + "00:00:00";
                wc.iAND(Export_itemTable.Kiadás_dátuma, BaseFilter.ComparisonOperator.Greater_Than_Or_Equal, val, false, false);
            }
                      
            if (MiscUtils.IsValueSelected(this.Kiadás_dátumaToFilter)) {
                string val = MiscUtils.GetSelectedValue(this.Kiadás_dátumaToFilter, this.GetFromSession(this.Kiadás_dátumaToFilter));
                DateTime d = DateParser.ParseDate(val, DateColumn.DEFAULT_FORMAT);
                val = d.ToShortDateString() + " " + "23:59:59";
                wc.iAND(Export_itemTable.Kiadás_dátuma, BaseFilter.ComparisonOperator.Less_Than_Or_Equal, val, false, false);
            }
                      
            if (MiscUtils.IsValueSelected(this.RendszámFilter)) {
                        
                wc.iAND(Export_itemTable.Rendszám, BaseFilter.ComparisonOperator.EqualsTo, MiscUtils.GetSelectedValue(this.RendszámFilter, this.GetFromSession(this.RendszámFilter)), false, false);
                    
            }
                      
            if (MiscUtils.IsValueSelected(this.SúlyFromFilter)) {
                        
                wc.iAND(Export_itemTable.Súly, BaseFilter.ComparisonOperator.Greater_Than_Or_Equal, MiscUtils.GetSelectedValue(this.SúlyFromFilter, this.GetFromSession(this.SúlyFromFilter)), false, false);
                    
            }
                      
            if (MiscUtils.IsValueSelected(this.SúlyToFilter)) {
                        
                wc.iAND(Export_itemTable.Súly, BaseFilter.ComparisonOperator.Less_Than_Or_Equal, MiscUtils.GetSelectedValue(this.SúlyToFilter, this.GetFromSession(this.SúlyToFilter)), false, false);
                    
            }
                      
            return (wc);
        }
        
         
    
        protected virtual void GetPageSize()
        {
        
            if (this.Export_itemPagination.PageSize.Text.Length > 0) {
                try {
                    // this.PageSize = Convert.ToInt32(this.Export_itemPagination.PageSize.Text);
                } catch (Exception ) {
                }
            }
        }

        protected virtual void AddNewRecords()
        {
            ArrayList newRecordList = new ArrayList();

            // Loop though all the record controls and if the record control
            // does not have a unique record id set, then create a record
            // and add to the list.
            if (!this.ResetData)
            {
                System.Web.UI.WebControls.Repeater rep = (System.Web.UI.WebControls.Repeater)(this.FindControl("Export_itemTableControlRepeater"));
        if (rep == null){return;}

                foreach (System.Web.UI.WebControls.RepeaterItem repItem in rep.Items)
                {
                    // Loop through all rows in the table, set its DataSource and call DataBind().
                    Export_itemTableControlRow recControl = (Export_itemTableControlRow)(repItem.FindControl("Export_itemTableControlRow"));

                    if (recControl.Visible && recControl.IsNewRecord) {
                        Export_itemRecord rec = new Export_itemRecord();
        
                        if (recControl.Betárolás_dátuma.Text != "") {
                            rec.Parse(recControl.Betárolás_dátuma.Text, Export_itemTable.Betárolás_dátuma);
                  }
                
                        if (recControl.Csomag_darab_száma.Text != "") {
                            rec.Parse(recControl.Csomag_darab_száma.Text, Export_itemTable.Csomag_darab_száma);
                  }
                
                        if (recControl.Házi_fuvarlevél_száma.Text != "") {
                            rec.Parse(recControl.Házi_fuvarlevél_száma.Text, Export_itemTable.Házi_fuvarlevél_száma);
                  }
                
                        if (recControl.Kiadás_dátuma.Text != "") {
                            rec.Parse(recControl.Kiadás_dátuma.Text, Export_itemTable.Kiadás_dátuma);
                  }
                
                        if (recControl.Pozíció_száma.Text != "") {
                            rec.Parse(recControl.Pozíció_száma.Text, Export_itemTable.Pozíció_száma);
                  }
                
                        if (recControl.Rendszám.Text != "") {
                            rec.Parse(recControl.Rendszám.Text, Export_itemTable.Rendszám);
                  }
                
                        if (recControl.Súly.Text != "") {
                            rec.Parse(recControl.Súly.Text, Export_itemTable.Súly);
                  }
                
                        if (recControl.Törlés_dátuma.Text != "") {
                            rec.Parse(recControl.Törlés_dátuma.Text, Export_itemTable.Törlés_dátuma);
                  }
                
                        if (recControl.Törölte.Text != "") {
                            rec.Parse(recControl.Törölte.Text, Export_itemTable.Törölte);
                  }
                
                        if (recControl.Törölve.Text != "") {
                            rec.Parse(recControl.Törölve.Text, Export_itemTable.Törölve);
                  }
                
                        newRecordList.Add(rec);
                    }
                }
            }

            // Add any new record to the list.
            for (int count = 1; count <= this.AddNewRecord; count++) {
                newRecordList.Insert(0, new Export_itemRecord());
            }
            this.AddNewRecord = 0;

            // Finally , add any new records to the DataSource.
            if (newRecordList.Count > 0) {
                ArrayList finalList = new ArrayList(this.DataSource);
                finalList.InsertRange(0, newRecordList);

                this.DataSource = (Export_itemRecord[])(finalList.ToArray(Type.GetType("Warehouse.Business.Export_itemRecord")));
            }
        }

        
        public void AddToDeletedRecordIds(Export_itemTableControlRow rec)
        {
            if (rec.IsNewRecord) {
                return;
            }

            if (this.DeletedRecordIds != null && this.DeletedRecordIds.Length > 0) {
                this.DeletedRecordIds += ",";
            }

            this.DeletedRecordIds += "[" + rec.RecordUniqueId + "]";
        }

        protected virtual bool InDeletedRecordIds(Export_itemTableControlRow rec)            
        {
            if (this.DeletedRecordIds == null || this.DeletedRecordIds.Length == 0) {
                return (false);
            }

            return (this.DeletedRecordIds.IndexOf("[" + rec.RecordUniqueId + "]") >= 0);
        }

        private String _DeletedRecordIds;
        public String DeletedRecordIds {
            get {
                return (this._DeletedRecordIds);
            }
            set {
                this._DeletedRecordIds = value;
            }
        }
        
        // Get the filters' data for RendszámFilter.
                
        protected virtual void PopulateRendszámFilter(string selectedValue, int maxItems)
                    
        {
        
              
            // Setup the WHERE clause, 
                
            WhereClause wc = this.CreateWhereClause_RendszámFilter();

                  
            OrderBy orderBy = new OrderBy(false, true);
            orderBy.Add(Export_itemTable.Rendszám, OrderByItem.OrderDir.Asc);

            string[] list = Export_itemTable.GetValues(Export_itemTable.Rendszám, wc, orderBy, maxItems);
            
            this.RendszámFilter.Items.Clear();
            
            foreach (string itemValue in list)
            {
                // Create the item and add to the list.
                string fvalue;
                if ( Export_itemTable.Rendszám.IsColumnValueTypeBoolean()) {
                    fvalue = itemValue;
                }else {
                    fvalue = Export_itemTable.Rendszám.Format(itemValue);
                }
                ListItem item = new ListItem(fvalue, itemValue);
                this.RendszámFilter.Items.Add(item);
            }
                    
      // Add the All item.
            this.RendszámFilter.Items.Insert(0, new ListItem(Page.GetResourceValue("Txt:All", "Warehouse"), "--ANY--"));		
        
      
            // Set the selected value.
            MiscUtils.SetSelectedValue(this.RendszámFilter, selectedValue);

            
        }
            
    // Create a where clause for the filter Export_itemSearchArea.
    public virtual WhereClause CreateWhereClause_Export_itemSearchArea()
    {
        
      return new WhereClause();
          
    }
      
    // Create a where clause for the filter RendszámFilter.
    public virtual WhereClause CreateWhereClause_RendszámFilter()
    {
        
      return new WhereClause();
          
    }
      
        protected virtual void Control_PreRender(object sender, System.EventArgs e)
        {
            try {
                DbUtils.StartTransaction();
                
                if (!this.Page.ErrorOnPage && (this.Page.IsPageRefresh || this.DataChanged || this.ResetData)) {
                    this.LoadData();
                    this.DataBind();
                }
                
            } catch (Exception ex) {
                BaseClasses.Utils.MiscUtils.RegisterJScriptAlert(this, "BUTTON_CLICK_MESSAGE", ex.Message);
            } finally {
                DbUtils.EndTransaction();
            }
        }
        
        protected override void SaveControlsToSession()
        {
            base.SaveControlsToSession();

            // Save filter controls to values to session.
        
            this.SaveToSession(this.Betárolás_dátumaFromFilter, this.Betárolás_dátumaFromFilter.Text);
                  
            this.SaveToSession(this.Betárolás_dátumaToFilter, this.Betárolás_dátumaToFilter.Text);
                  
            this.SaveToSession(this.Csomag_darab_számaFromFilter, this.Csomag_darab_számaFromFilter.Text);
                  
            this.SaveToSession(this.Csomag_darab_számaToFilter, this.Csomag_darab_számaToFilter.Text);
                  
            this.SaveToSession(this.Export_itemSearchArea, this.Export_itemSearchArea.Text);
                  
            this.SaveToSession(this.Kiadás_dátumaFromFilter, this.Kiadás_dátumaFromFilter.Text);
                  
            this.SaveToSession(this.Kiadás_dátumaToFilter, this.Kiadás_dátumaToFilter.Text);
                  
            this.SaveToSession(this.RendszámFilter, this.RendszámFilter.SelectedValue);
                  
            this.SaveToSession(this.SúlyFromFilter, this.SúlyFromFilter.Text);
                  
            this.SaveToSession(this.SúlyToFilter, this.SúlyToFilter.Text);
                  
            
            // Save table control properties to the session.
            if (this.CurrentSortOrder != null) {
                this.SaveToSession(this, "Order_By", this.CurrentSortOrder.ToXmlString());
            }
            this.SaveToSession(this, "Page_Index", this.PageIndex.ToString());
            this.SaveToSession(this, "Page_Size", this.PageSize.ToString());
        
            this.SaveToSession(this, "DeletedRecordIds", this.DeletedRecordIds);
        
        }
        
        protected override void ClearControlsFromSession()
        {
            base.ClearControlsFromSession();

            // Clear filter controls values from the session.
        
            this.RemoveFromSession(this.Betárolás_dátumaFromFilter);
            this.RemoveFromSession(this.Betárolás_dátumaToFilter);
            this.RemoveFromSession(this.Csomag_darab_számaFromFilter);
            this.RemoveFromSession(this.Csomag_darab_számaToFilter);
            this.RemoveFromSession(this.Export_itemSearchArea);
            this.RemoveFromSession(this.Kiadás_dátumaFromFilter);
            this.RemoveFromSession(this.Kiadás_dátumaToFilter);
            this.RemoveFromSession(this.RendszámFilter);
            this.RemoveFromSession(this.SúlyFromFilter);
            this.RemoveFromSession(this.SúlyToFilter);
            
            // Clear table properties from the session.
            this.RemoveFromSession(this, "Order_By");
            this.RemoveFromSession(this, "Page_Index");
            this.RemoveFromSession(this, "Page_Size");
            
            this.RemoveFromSession(this, "DeletedRecordIds");
            
        }

        protected override void LoadViewState(object savedState)
        {
            base.LoadViewState(savedState);

            string orderByStr = (string)ViewState["Export_itemTableControl_OrderBy"];
            if (orderByStr != null && orderByStr.Length > 0) {
                this.CurrentSortOrder = BaseClasses.Data.OrderBy.FromXmlString(orderByStr);
            } else {
                this.CurrentSortOrder = new OrderBy(true, true);
            }

            if (ViewState["Page_Index"] != null) {
                this.PageIndex = (int)ViewState["Page_Index"];
            }

            if (ViewState["Page_Size"] != null) {
                this.PageSize = (int)ViewState["Page_Size"];
            }
        
            this.DeletedRecordIds = (string)this.ViewState["DeletedRecordIds"];
        
        }

        protected override object SaveViewState()
        {            
            if (this.CurrentSortOrder != null) {
                this.ViewState["Export_itemTableControl_OrderBy"] = this.CurrentSortOrder.ToXmlString();
            }
            
            this.ViewState["Page_Index"] = this.PageIndex;
            this.ViewState["Page_Size"] = this.PageSize;
        
            this.ViewState["DeletedRecordIds"] = this.DeletedRecordIds;
        
            return (base.SaveViewState());
        }

        // Generate the event handling functions for pagination events.
        
        // event handler for ImageButton
        public virtual void Export_itemPagination_FirstPage_Click(object sender, ImageClickEventArgs args)
        {
        
            try {
                
            this.PageIndex = 0;
            this.DataChanged = true;
      
            } catch (Exception ex) {
                this.Page.ErrorOnPage = true;
    
            BaseClasses.Utils.MiscUtils.RegisterJScriptAlert(this, "BUTTON_CLICK_MESSAGE", ex.Message);
          
            } finally {
    
            }
    
        }
            
        // event handler for ImageButton
        public virtual void Export_itemPagination_LastPage_Click(object sender, ImageClickEventArgs args)
        {
        
            try {
                
            this.DisplayLastPage = true;
            this.DataChanged = true;
      
            } catch (Exception ex) {
                this.Page.ErrorOnPage = true;
    
            BaseClasses.Utils.MiscUtils.RegisterJScriptAlert(this, "BUTTON_CLICK_MESSAGE", ex.Message);
          
            } finally {
    
            }
    
        }
            
        // event handler for ImageButton
        public virtual void Export_itemPagination_NextPage_Click(object sender, ImageClickEventArgs args)
        {
        
            try {
                
            this.PageIndex += 1;
            this.DataChanged = true;
      
            } catch (Exception ex) {
                this.Page.ErrorOnPage = true;
    
            BaseClasses.Utils.MiscUtils.RegisterJScriptAlert(this, "BUTTON_CLICK_MESSAGE", ex.Message);
          
            } finally {
    
            }
    
        }
            
        // event handler for LinkButton
        public virtual void Export_itemPagination_PageSizeButton_Click(object sender, EventArgs args)
        {
        
            try {
                
            this.DataChanged = true;
      
            this.PageSize = Convert.ToInt32(this.Export_itemPagination.PageSize.Text);
      
            this.PageIndex = Convert.ToInt32(this.Export_itemPagination.CurrentPage.Text) - 1;
      
            } catch (Exception ex) {
                this.Page.ErrorOnPage = true;
    
            BaseClasses.Utils.MiscUtils.RegisterJScriptAlert(this, "BUTTON_CLICK_MESSAGE", ex.Message);
          
            } finally {
    
            }
    
        }
            
        // event handler for ImageButton
        public virtual void Export_itemPagination_PreviousPage_Click(object sender, ImageClickEventArgs args)
        {
        
            try {
                
            if (this.PageIndex > 0) {
                this.PageIndex -= 1;
                this.DataChanged = true;
            }
      
            } catch (Exception ex) {
                this.Page.ErrorOnPage = true;
    
            BaseClasses.Utils.MiscUtils.RegisterJScriptAlert(this, "BUTTON_CLICK_MESSAGE", ex.Message);
          
            } finally {
    
            }
    
        }
            

        // Generate the event handling functions for sorting events.
        
        // event handler for FieldSort
        public virtual void Betárolás_dátumaLabel1_Click(object sender, EventArgs args)
        {
              
            OrderByItem sd = this.CurrentSortOrder.Find(Export_itemTable.Betárolás_dátuma);
            if (sd != null) {
                sd.Reverse();
            } else {
                this.CurrentSortOrder.Reset();
                this.CurrentSortOrder.Add(Export_itemTable.Betárolás_dátuma, OrderByItem.OrderDir.Asc);
            }

            this.DataChanged = true;
              
        }
            
        // event handler for FieldSort
        public virtual void Csomag_darab_számaLabel_Click(object sender, EventArgs args)
        {
              
            OrderByItem sd = this.CurrentSortOrder.Find(Export_itemTable.Csomag_darab_száma);
            if (sd != null) {
                sd.Reverse();
            } else {
                this.CurrentSortOrder.Reset();
                this.CurrentSortOrder.Add(Export_itemTable.Csomag_darab_száma, OrderByItem.OrderDir.Asc);
            }

            this.DataChanged = true;
              
        }
            
        // event handler for FieldSort
        public virtual void Házi_fuvarlevél_számaLabel_Click(object sender, EventArgs args)
        {
              
            OrderByItem sd = this.CurrentSortOrder.Find(Export_itemTable.Házi_fuvarlevél_száma);
            if (sd != null) {
                sd.Reverse();
            } else {
                this.CurrentSortOrder.Reset();
                this.CurrentSortOrder.Add(Export_itemTable.Házi_fuvarlevél_száma, OrderByItem.OrderDir.Asc);
            }

            this.DataChanged = true;
              
        }
            
        // event handler for FieldSort
        public virtual void Kiadás_dátumaLabel_Click(object sender, EventArgs args)
        {
              
            OrderByItem sd = this.CurrentSortOrder.Find(Export_itemTable.Kiadás_dátuma);
            if (sd != null) {
                sd.Reverse();
            } else {
                this.CurrentSortOrder.Reset();
                this.CurrentSortOrder.Add(Export_itemTable.Kiadás_dátuma, OrderByItem.OrderDir.Asc);
            }

            this.DataChanged = true;
              
        }
            
        // event handler for FieldSort
        public virtual void Pozíció_számaLabel_Click(object sender, EventArgs args)
        {
              
            OrderByItem sd = this.CurrentSortOrder.Find(Export_itemTable.Pozíció_száma);
            if (sd != null) {
                sd.Reverse();
            } else {
                this.CurrentSortOrder.Reset();
                this.CurrentSortOrder.Add(Export_itemTable.Pozíció_száma, OrderByItem.OrderDir.Asc);
            }

            this.DataChanged = true;
              
        }
            
        // event handler for FieldSort
        public virtual void RendszámLabel_Click(object sender, EventArgs args)
        {
              
            OrderByItem sd = this.CurrentSortOrder.Find(Export_itemTable.Rendszám);
            if (sd != null) {
                sd.Reverse();
            } else {
                this.CurrentSortOrder.Reset();
                this.CurrentSortOrder.Add(Export_itemTable.Rendszám, OrderByItem.OrderDir.Asc);
            }

            this.DataChanged = true;
              
        }
            
        // event handler for FieldSort
        public virtual void SúlyLabel_Click(object sender, EventArgs args)
        {
              
            OrderByItem sd = this.CurrentSortOrder.Find(Export_itemTable.Súly);
            if (sd != null) {
                sd.Reverse();
            } else {
                this.CurrentSortOrder.Reset();
                this.CurrentSortOrder.Add(Export_itemTable.Súly, OrderByItem.OrderDir.Asc);
            }

            this.DataChanged = true;
              
        }
            
        // event handler for FieldSort
        public virtual void Törlés_dátumaLabel_Click(object sender, EventArgs args)
        {
              
            OrderByItem sd = this.CurrentSortOrder.Find(Export_itemTable.Törlés_dátuma);
            if (sd != null) {
                sd.Reverse();
            } else {
                this.CurrentSortOrder.Reset();
                this.CurrentSortOrder.Add(Export_itemTable.Törlés_dátuma, OrderByItem.OrderDir.Asc);
            }

            this.DataChanged = true;
              
        }
            
        // event handler for FieldSort
        public virtual void TörölteLabel1_Click(object sender, EventArgs args)
        {
              
            OrderByItem sd = this.CurrentSortOrder.Find(Export_itemTable.Törölte);
            if (sd != null) {
                sd.Reverse();
            } else {
                this.CurrentSortOrder.Reset();
                this.CurrentSortOrder.Add(Export_itemTable.Törölte, OrderByItem.OrderDir.Asc);
            }

            this.DataChanged = true;
              
        }
            
        // event handler for FieldSort
        public virtual void TörölveLabel_Click(object sender, EventArgs args)
        {
              
            OrderByItem sd = this.CurrentSortOrder.Find(Export_itemTable.Törölve);
            if (sd != null) {
                sd.Reverse();
            } else {
                this.CurrentSortOrder.Reset();
                this.CurrentSortOrder.Add(Export_itemTable.Törölve, OrderByItem.OrderDir.Asc);
            }

            this.DataChanged = true;
              
        }
            

        // Generate the event handling functions for button events.
        
        // event handler for ImageButton
        public virtual void Export_itemDeleteButton_Click(object sender, ImageClickEventArgs args)
        {
        
            try {
                DbUtils.StartTransaction();
                
            if (!this.Page.IsPageRefresh) {
        
                this.DeleteSelectedRecords(false);
          
            }
                this.Page.CommitTransaction(sender);
    
      
            } catch (Exception ex) {
                this.Page.RollBackTransaction(sender);
                this.Page.ErrorOnPage = true;
    
            BaseClasses.Utils.MiscUtils.RegisterJScriptAlert(this, "BUTTON_CLICK_MESSAGE", ex.Message);
          
            } finally {
                DbUtils.EndTransaction();
            }
    
        }
            
        // event handler for ImageButton
        public virtual void Export_itemExportExcelButton_Click(object sender, ImageClickEventArgs args)
        {
        
            try {
                DbUtils.StartTransaction();
                
            // To customize the columns or the format, override this function in Section 1 of the page
            // and modify it to your liking.
            // Build the where clause based on the current filter and search criteria
            // Create the Order By clause based on the user's current sorting preference.
            
                WhereClause wc = CreateWhereClause();
                OrderBy orderBy = null;
                
                orderBy = CreateOrderBy();
                
            // Create an instance of the Excel report class with the table class, where clause and order by.
            ExportData excelReport = new ExportData(Export_itemTable.Instance, wc, orderBy);
            // Add each of the columns in order of export.
            // To customize the data type, change the second parameter of the new ExcelColumn to be
            // a format string from Excel's Format Cell menu. For example "dddd, mmmm dd, yyyy h:mm AM/PM;@", "#,##0.00"
             excelReport.AddColumn(new ExcelColumn(Export_itemTable.Betárolás_dátuma, @"Short Date"));
             excelReport.AddColumn(new ExcelColumn(Export_itemTable.Házi_fuvarlevél_száma, @"Default"));
             excelReport.AddColumn(new ExcelColumn(Export_itemTable.Csomag_darab_száma, @"0"));
             excelReport.AddColumn(new ExcelColumn(Export_itemTable.Súly, @"0"));
             excelReport.AddColumn(new ExcelColumn(Export_itemTable.Pozíció_száma, @"Default"));
             excelReport.AddColumn(new ExcelColumn(Export_itemTable.Kiadás_dátuma, @"Short Date"));
             excelReport.AddColumn(new ExcelColumn(Export_itemTable.Rendszám, @"Default"));
             excelReport.AddColumn(new ExcelColumn(Export_itemTable.Törölve, @"Default"));
             excelReport.AddColumn(new ExcelColumn(Export_itemTable.Törölte, @"Default"));
             excelReport.AddColumn(new ExcelColumn(Export_itemTable.Törlés_dátuma, @"Short Date"));

            excelReport.ExportToExcel(this.Page.Response);
                    this.Page.CommitTransaction(sender);
    
      
            } catch (Exception ex) {
                this.Page.RollBackTransaction(sender);
                this.Page.ErrorOnPage = true;
    
            BaseClasses.Utils.MiscUtils.RegisterJScriptAlert(this, "BUTTON_CLICK_MESSAGE", ex.Message);
          
            } finally {
                DbUtils.EndTransaction();
            }
    
        }
            
        // event handler for ImageButton
        public virtual void Export_itemNewButton_Click(object sender, ImageClickEventArgs args)
        {
        
            string url = @"../export_item/AddExport_itemPage.aspx";
            bool shouldRedirect = true;
            string TargetKey;
            string tk = null;
            TargetKey = tk;
            
            try {
                DbUtils.StartTransaction();
                
                url = this.ModifyRedirectUrl(url, "",false);
                url = this.Page.ModifyRedirectUrl(url, "",false);
                        this.Page.CommitTransaction(sender);
    
      
            } catch (Exception ex) {
                this.Page.RollBackTransaction(sender);
                shouldRedirect = false;
                this.Page.ErrorOnPage = true;
    
            BaseClasses.Utils.MiscUtils.RegisterJScriptAlert(this, "BUTTON_CLICK_MESSAGE", ex.Message);
          
            } finally {
                DbUtils.EndTransaction();
            }
            if (shouldRedirect) {
                this.Page.ShouldSaveControlsToSession = true;
                this.Page.Response.Redirect(url);
            }
        
            else if (TargetKey != null && !shouldRedirect){
            this.Page.ShouldSaveControlsToSession = true ; 
            this.Page.CloseWindow(true);
            }
        
        }
            
        // event handler for ImageButton
        public virtual void Export_itemPDFButton_Click(object sender, ImageClickEventArgs args)
        {
        
            try {
                DbUtils.StartTransaction();
                

        PDFReport report = new PDFReport();

        report.SpecificReportFileName = Page.Server.MapPath("ShowExport_itemTablePage.Export_itemPDFButton.report");
                // report.Title replaces the value tag of page header and footer containing ${ReportTitle}
                report.Title = "export_item";
                // If ShowExport_itemTablePage.Export_itemPDFButton.report specifies a valid report template,
                // AddColumn methods will generate a report template.   
                // Each AddColumn method-call specifies a column
                // The 1st parameter represents the text of the column header
                // The 2nd parameter represents the horizontal alignment of the column header
                // The 3rd parameter represents the text format of the column detail
                // The 4th parameter represents the horizontal alignment of the column detail
                // The 5th parameter represents the relative width of the column
                 report.AddColumn(Export_itemTable.Betárolás_dátuma.Name, ReportEnum.Align.Left, "${Export_itemTable.Betárolás_dátuma.Name}", ReportEnum.Align.Left, 20);
                 report.AddColumn(Export_itemTable.Házi_fuvarlevél_száma.Name, ReportEnum.Align.Left, "${Export_itemTable.Házi_fuvarlevél_száma.Name}", ReportEnum.Align.Left, 22);
                 report.AddColumn(Export_itemTable.Csomag_darab_száma.Name, ReportEnum.Align.Right, "${Export_itemTable.Csomag_darab_száma.Name}", ReportEnum.Align.Right, 15);
                 report.AddColumn(Export_itemTable.Súly.Name, ReportEnum.Align.Right, "${Export_itemTable.Súly.Name}", ReportEnum.Align.Right, 15);
                 report.AddColumn(Export_itemTable.Pozíció_száma.Name, ReportEnum.Align.Left, "${Export_itemTable.Pozíció_száma.Name}", ReportEnum.Align.Left, 20);
                 report.AddColumn(Export_itemTable.Kiadás_dátuma.Name, ReportEnum.Align.Left, "${Export_itemTable.Kiadás_dátuma.Name}", ReportEnum.Align.Left, 20);
                 report.AddColumn(Export_itemTable.Rendszám.Name, ReportEnum.Align.Left, "${Export_itemTable.Rendszám.Name}", ReportEnum.Align.Left, 30);
                 report.AddColumn(Export_itemTable.Törölve.Name, ReportEnum.Align.Left, "${Export_itemTable.Törölve.Name}", ReportEnum.Align.Left, 15);
                 report.AddColumn(Export_itemTable.Törölte.Name, ReportEnum.Align.Left, "${Export_itemTable.Törölte.Name}", ReportEnum.Align.Left, 30);
                 report.AddColumn(Export_itemTable.Törlés_dátuma.Name, ReportEnum.Align.Left, "${Export_itemTable.Törlés_dátuma.Name}", ReportEnum.Align.Left, 20);

            WhereClause whereClause = CreateWhereClause();
            
            OrderBy orderBy = CreateOrderBy();
                

                int rowsPerQuery = 1000;
                int pageNum = 0;
                int recordCount = 0;
                int totalRecords = Export_itemTable.GetRecordCount(whereClause);
                                
                report.Page = Page.GetResourceValue("Txt:Page", "Warehouse");
                report.ApplicationPath = this.Page.MapPath(Page.Request.ApplicationPath);

                ColumnList columns = Export_itemTable.GetColumnList();
                Export_itemRecord[] records = null;
                do
                {
                    records = Export_itemTable.GetRecords(whereClause, orderBy, pageNum, rowsPerQuery);
                    if (records != null && records.Length > 0 && whereClause.RunQuery)
                    {
                        foreach ( Export_itemRecord record in records)
                        {
                            // AddData method takes four parameters   
                            // The 1st parameter represent the data format
                            // The 2nd parameter represent the data value
                            // The 3rd parameter represent the default alignment of column using the data
                            // The 4th parameter represent the maximum length of the data value being shown
                             report.AddData("${Export_itemTable.Betárolás_dátuma.Name}", record.Format(Export_itemTable.Betárolás_dátuma), ReportEnum.Align.Left, 100);
                             report.AddData("${Export_itemTable.Házi_fuvarlevél_száma.Name}", record.Format(Export_itemTable.Házi_fuvarlevél_száma), ReportEnum.Align.Left, 100);
                             report.AddData("${Export_itemTable.Csomag_darab_száma.Name}", record.Format(Export_itemTable.Csomag_darab_száma), ReportEnum.Align.Right, 100);
                             report.AddData("${Export_itemTable.Súly.Name}", record.Format(Export_itemTable.Súly), ReportEnum.Align.Right, 100);
                             report.AddData("${Export_itemTable.Pozíció_száma.Name}", record.Format(Export_itemTable.Pozíció_száma), ReportEnum.Align.Left, 100);
                             report.AddData("${Export_itemTable.Kiadás_dátuma.Name}", record.Format(Export_itemTable.Kiadás_dátuma), ReportEnum.Align.Left, 100);
                             report.AddData("${Export_itemTable.Rendszám.Name}", record.Format(Export_itemTable.Rendszám), ReportEnum.Align.Left, 100);
                             report.AddData("${Export_itemTable.Törölve.Name}", record.Format(Export_itemTable.Törölve), ReportEnum.Align.Left, 100);
                             report.AddData("${Export_itemTable.Törölte.Name}", record.Format(Export_itemTable.Törölte), ReportEnum.Align.Left, 100);
                             report.AddData("${Export_itemTable.Törlés_dátuma.Name}", record.Format(Export_itemTable.Törlés_dátuma), ReportEnum.Align.Left, 100);

                            report.WriteRow();
                        }
                        pageNum++;
                        recordCount += records.Length;
                    }
                }
                while (records != null && recordCount < totalRecords && whereClause.RunQuery);
                report.Close();
                BaseClasses.Utils.NetUtils.WriteResponseBinaryAttachment(this.Page.Response, report.Title + ".pdf", report.ReportInByteArray, 0, true);
                      this.Page.CommitTransaction(sender);
    
      
            } catch (Exception ex) {
                this.Page.RollBackTransaction(sender);
                this.Page.ErrorOnPage = true;
    
            BaseClasses.Utils.MiscUtils.RegisterJScriptAlert(this, "BUTTON_CLICK_MESSAGE", ex.Message);
          
            } finally {
                DbUtils.EndTransaction();
            }
    
        }
            
        // event handler for ImageButton
        public virtual void Export_itemRefreshButton_Click(object sender, ImageClickEventArgs args)
        {
        
            try {
                
            ((Export_itemTableControl)(this.Page.FindControlRecursively("Export_itemTableControl"))).ResetData = true;
                
            } catch (Exception ex) {
                this.Page.ErrorOnPage = true;
    
            BaseClasses.Utils.MiscUtils.RegisterJScriptAlert(this, "BUTTON_CLICK_MESSAGE", ex.Message);
          
            } finally {
    
            }
    
        }
            
        // event handler for ImageButton
        public virtual void Export_itemResetButton_Click(object sender, ImageClickEventArgs args)
        {
        
            try {
                
              this.RendszámFilter.ClearSelection();
            
              this.Betárolás_dátumaFromFilter.Text = "";
            
              this.Betárolás_dátumaToFilter.Text = "";
            
              this.Csomag_darab_számaFromFilter.Text = "";
            
              this.Csomag_darab_számaToFilter.Text = "";
            
              this.Export_itemSearchArea.Text = "";
            
              this.Kiadás_dátumaFromFilter.Text = "";
            
              this.Kiadás_dátumaToFilter.Text = "";
            
              this.SúlyFromFilter.Text = "";
            
              this.SúlyToFilter.Text = "";
            
              this.CurrentSortOrder.Reset();
              if (this.InSession(this, "Order_By")) {
              this.CurrentSortOrder = OrderBy.FromXmlString(this.GetFromSession(this, "Order_By", null));
              } else {
              this.CurrentSortOrder = new OrderBy(true, true);
            
            }
                

            this.DataChanged = true;
                
            } catch (Exception ex) {
                this.Page.ErrorOnPage = true;
    
            BaseClasses.Utils.MiscUtils.RegisterJScriptAlert(this, "BUTTON_CLICK_MESSAGE", ex.Message);
          
            } finally {
    
            }
    
        }
            
        // event handler for Button with Layout
        public virtual void Export_itemFilterButton_Click(object sender, EventArgs args)
        {
              
            try {
                
            this.DataChanged = true;
      
            } catch (Exception ex) {
                this.Page.ErrorOnPage = true;
    
            BaseClasses.Utils.MiscUtils.RegisterJScriptAlert(this, "BUTTON_CLICK_MESSAGE", ex.Message);
          
            } finally {
    
            }
    
        }
            
        // event handler for Button with Layout
        public virtual void Export_itemSearchButton_Click(object sender, EventArgs args)
        {
              
            try {
                
            this.DataChanged = true;
      
            } catch (Exception ex) {
                this.Page.ErrorOnPage = true;
    
            BaseClasses.Utils.MiscUtils.RegisterJScriptAlert(this, "BUTTON_CLICK_MESSAGE", ex.Message);
          
            } finally {
    
            }
    
        }
            

        // Generate the event handling functions for filter and search events.
        
        // event handler for FieldFilter
        protected virtual void RendszámFilter_SelectedIndexChanged(object sender, EventArgs args)
        {
            this.DataChanged = true;
        }
            

        // verify the processing details for these properties
        private int _PageSize;
        public int PageSize {
            get {
                return this._PageSize;
            }
            set {
                this._PageSize = value;
            }
        }

        private int _PageIndex;
        public int PageIndex {
            get {
                // _PageSize return (the PageIndex);
                return this._PageIndex;
            }
            set {
                this._PageIndex = value;
            }
        }

        private int _TotalRecords;
        public int TotalRecords {
            get {
                return (this._TotalRecords);
            }
            set {
                if (this.PageSize > 0) {
                    this.TotalPages = Convert.ToInt32(Math.Ceiling(Convert.ToDouble(value) / Convert.ToDouble(this.PageSize)));
                }
                this._TotalRecords = value;
            }
        }

        private int _TotalPages;
        public int TotalPages {
            get {
                return this._TotalPages;
            }
            set {
                this._TotalPages = value;
            }
        }

        private bool _DisplayLastPage;
        public bool DisplayLastPage {
            get {
                return this._DisplayLastPage;
            }
            set {
                this._DisplayLastPage = value;
            }
        }

        private bool _DataChanged = false;
        public bool DataChanged {
            get {
                return this._DataChanged;
            }
            set {
                this._DataChanged = value;
            }
        }

        private bool _ResetData = false;
        public bool ResetData {
            get {
                return this._ResetData;
            }
            set {
                this._ResetData = value;
            }
        }

        private int _AddNewRecord = 0;
        public int AddNewRecord {
            get {
                return this._AddNewRecord;
            }
            set {
                this._AddNewRecord = value;
            }
        }

        private OrderBy _CurrentSortOrder = null;
        public OrderBy CurrentSortOrder {
            get {
                return this._CurrentSortOrder;
            }
            set {
                this._CurrentSortOrder = value;
            }
        }

        private Export_itemRecord[] _DataSource = null;
        public  Export_itemRecord[] DataSource {
            get {
                return this._DataSource;
            }
            set {
                this._DataSource = value;
            }
        }

#region "Helper Properties"
        
        public System.Web.UI.WebControls.TextBox Betárolás_dátumaFromFilter {
            get {
                return (System.Web.UI.WebControls.TextBox)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Betárolás_dátumaFromFilter");
            }
        }
        
        public System.Web.UI.WebControls.Literal Betárolás_dátumaLabel {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Betárolás_dátumaLabel");
            }
        }
        
        public System.Web.UI.WebControls.LinkButton Betárolás_dátumaLabel1 {
            get {
                return (System.Web.UI.WebControls.LinkButton)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Betárolás_dátumaLabel1");
            }
        }
        
        public System.Web.UI.WebControls.TextBox Betárolás_dátumaToFilter {
            get {
                return (System.Web.UI.WebControls.TextBox)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Betárolás_dátumaToFilter");
            }
        }
        
        public System.Web.UI.WebControls.TextBox Csomag_darab_számaFromFilter {
            get {
                return (System.Web.UI.WebControls.TextBox)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Csomag_darab_számaFromFilter");
            }
        }
        
        public System.Web.UI.WebControls.LinkButton Csomag_darab_számaLabel {
            get {
                return (System.Web.UI.WebControls.LinkButton)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Csomag_darab_számaLabel");
            }
        }
        
        public System.Web.UI.WebControls.Literal Csomag_darab_számaLabel1 {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Csomag_darab_számaLabel1");
            }
        }
        
        public System.Web.UI.WebControls.TextBox Csomag_darab_számaToFilter {
            get {
                return (System.Web.UI.WebControls.TextBox)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Csomag_darab_számaToFilter");
            }
        }
        
        public System.Web.UI.WebControls.ImageButton Export_itemDeleteButton {
            get {
                return (System.Web.UI.WebControls.ImageButton)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Export_itemDeleteButton");
            }
        }
        
        public System.Web.UI.WebControls.ImageButton Export_itemExportExcelButton {
            get {
                return (System.Web.UI.WebControls.ImageButton)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Export_itemExportExcelButton");
            }
        }
        
        public Warehouse.UI.IThemeButton Export_itemFilterButton {
            get {
                return (Warehouse.UI.IThemeButton)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Export_itemFilterButton");
            }
        }
        
        public System.Web.UI.WebControls.ImageButton Export_itemNewButton {
            get {
                return (System.Web.UI.WebControls.ImageButton)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Export_itemNewButton");
            }
        }
        
        public Warehouse.UI.IPagination Export_itemPagination {
            get {
                return (Warehouse.UI.IPagination)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Export_itemPagination");
            }
        }
        
        public System.Web.UI.WebControls.ImageButton Export_itemPDFButton {
            get {
                return (System.Web.UI.WebControls.ImageButton)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Export_itemPDFButton");
            }
        }
        
        public System.Web.UI.WebControls.ImageButton Export_itemRefreshButton {
            get {
                return (System.Web.UI.WebControls.ImageButton)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Export_itemRefreshButton");
            }
        }
        
        public System.Web.UI.WebControls.ImageButton Export_itemResetButton {
            get {
                return (System.Web.UI.WebControls.ImageButton)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Export_itemResetButton");
            }
        }
        
        public System.Web.UI.WebControls.TextBox Export_itemSearchArea {
            get {
                return (System.Web.UI.WebControls.TextBox)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Export_itemSearchArea");
            }
        }
        
        public Warehouse.UI.IThemeButton Export_itemSearchButton {
            get {
                return (Warehouse.UI.IThemeButton)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Export_itemSearchButton");
            }
        }
        
        public System.Web.UI.WebControls.Literal Export_itemTitle {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Export_itemTitle");
            }
        }
        
        public System.Web.UI.WebControls.LinkButton Házi_fuvarlevél_számaLabel {
            get {
                return (System.Web.UI.WebControls.LinkButton)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Házi_fuvarlevél_számaLabel");
            }
        }
        
        public System.Web.UI.WebControls.TextBox Kiadás_dátumaFromFilter {
            get {
                return (System.Web.UI.WebControls.TextBox)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Kiadás_dátumaFromFilter");
            }
        }
        
        public System.Web.UI.WebControls.LinkButton Kiadás_dátumaLabel {
            get {
                return (System.Web.UI.WebControls.LinkButton)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Kiadás_dátumaLabel");
            }
        }
        
        public System.Web.UI.WebControls.Literal Kiadás_dátumaLabel1 {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Kiadás_dátumaLabel1");
            }
        }
        
        public System.Web.UI.WebControls.TextBox Kiadás_dátumaToFilter {
            get {
                return (System.Web.UI.WebControls.TextBox)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Kiadás_dátumaToFilter");
            }
        }
        
        public System.Web.UI.WebControls.LinkButton Pozíció_számaLabel {
            get {
                return (System.Web.UI.WebControls.LinkButton)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Pozíció_számaLabel");
            }
        }
        
        public System.Web.UI.WebControls.DropDownList RendszámFilter {
            get {
                return (System.Web.UI.WebControls.DropDownList)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "RendszámFilter");
            }
        }
        
        public System.Web.UI.WebControls.LinkButton RendszámLabel {
            get {
                return (System.Web.UI.WebControls.LinkButton)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "RendszámLabel");
            }
        }
        
        public System.Web.UI.WebControls.Literal RendszámLabel1 {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "RendszámLabel1");
            }
        }
        
        public System.Web.UI.WebControls.TextBox SúlyFromFilter {
            get {
                return (System.Web.UI.WebControls.TextBox)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "SúlyFromFilter");
            }
        }
        
        public System.Web.UI.WebControls.LinkButton SúlyLabel {
            get {
                return (System.Web.UI.WebControls.LinkButton)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "SúlyLabel");
            }
        }
        
        public System.Web.UI.WebControls.Literal SúlyLabel1 {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "SúlyLabel1");
            }
        }
        
        public System.Web.UI.WebControls.TextBox SúlyToFilter {
            get {
                return (System.Web.UI.WebControls.TextBox)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "SúlyToFilter");
            }
        }
        
        public System.Web.UI.WebControls.LinkButton Törlés_dátumaLabel {
            get {
                return (System.Web.UI.WebControls.LinkButton)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Törlés_dátumaLabel");
            }
        }
        
        public System.Web.UI.WebControls.LinkButton TörölteLabel1 {
            get {
                return (System.Web.UI.WebControls.LinkButton)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "TörölteLabel1");
            }
        }
        
        public System.Web.UI.WebControls.LinkButton TörölveLabel {
            get {
                return (System.Web.UI.WebControls.LinkButton)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "TörölveLabel");
            }
        }
        
#endregion

#region "Helper Functions"
        
        public override string ModifyRedirectUrl(string url, string arg, bool bEncrypt)
        {
            return this.Page.EvaluateExpressions(url, arg, bEncrypt, this);
        }
        
        public override string EvaluateExpressions(string url, string arg, bool bEncrypt)
        {
            bool needToProcess = AreAnyUrlParametersForMe(url, arg);
            if (needToProcess) {
                Export_itemTableControlRow recCtl = this.GetSelectedRecordControl();
                if (recCtl == null && url.IndexOf("{") >= 0) {
                    // Localization.
                    throw new Exception(Page.GetResourceValue("Err:NoRecSelected", "Warehouse"));
                }

                Export_itemRecord rec = null;
                if (recCtl != null) {
                    rec = recCtl.GetRecord();
                }
                return EvaluateExpressions(url, arg, rec, bEncrypt);
            }
            return url;
        }
          
        public virtual Export_itemTableControlRow GetSelectedRecordControl()
        {
        
            return null;
          
        }

        public virtual Export_itemTableControlRow[] GetSelectedRecordControls()
        {
        
            return (Export_itemTableControlRow[])((new ArrayList()).ToArray(Type.GetType("Warehouse.UI.Controls.ShowExport_itemTablePage.Export_itemTableControlRow")));
          
        }

        public virtual void DeleteSelectedRecords(bool deferDeletion)
        {
            Export_itemTableControlRow[] recList = this.GetSelectedRecordControls();
            if (recList.Length == 0) {
                // Localization.
                throw new Exception(Page.GetResourceValue("Err:NoRecSelected", "Warehouse"));
            }
            
            foreach (Export_itemTableControlRow recCtl in recList)
            {
                if (deferDeletion) {
                    if (!recCtl.IsNewRecord) {
                
                        this.AddToDeletedRecordIds(recCtl);
                  
                    }
                    recCtl.Visible = false;
                
                } else {
                
                    recCtl.Delete();
                    this.DataChanged = true;
                    this.ResetData = true;
                  
                }
            }
        }

        public Export_itemTableControlRow[] GetRecordControls()
        {
            ArrayList recList = new ArrayList();
            System.Web.UI.WebControls.Repeater rep = (System.Web.UI.WebControls.Repeater)this.FindControl("Export_itemTableControlRepeater");
      if (rep == null){return null;}

            foreach (System.Web.UI.WebControls.RepeaterItem repItem in rep.Items)
            {
                Export_itemTableControlRow recControl = (Export_itemTableControlRow)repItem.FindControl("Export_itemTableControlRow");
                recList.Add(recControl);
            }

            return (Export_itemTableControlRow[])recList.ToArray(Type.GetType("Warehouse.UI.Controls.ShowExport_itemTablePage.Export_itemTableControlRow"));
        }

        public new BaseApplicationPage Page {
            get {
                return ((BaseApplicationPage)base.Page);
            }
        }

    #endregion

    

    }
  

#endregion
    
  
}

  