﻿
// This file implements the TableControl, TableControlRow, and RecordControl classes for the 
// AddImport_itemPage.aspx page.  The Row or RecordControl classes are the 
// ideal place to add code customizations. For example, you can override the LoadData, 
// CreateWhereClause, DataBind, SaveData, GetUIData, and Validate methods.

#region "Using statements"    

using Microsoft.VisualBasic;
using BaseClasses.Web.UI.WebControls;
using System;
using System.Collections;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using BaseClasses;
using BaseClasses.Data;
using BaseClasses.Utils;
using ReportTools.ReportCreator;
using ReportTools.Shared;




        
using Warehouse.Business;
using Warehouse.Data;
        

#endregion

  
namespace Warehouse.UI.Controls.AddImport_itemPage
{
  

#region "Section 1: Place your customizations here."

    
public class Import_itemRecordControl : BaseImport_itemRecordControl
{
      
        // The BaseImport_itemRecordControl implements the LoadData, DataBind and other
        // methods to load and display the data in a table control.

        // This is the ideal place to add your code customizations. For example, you can override the LoadData, 
        // CreateWhereClause, DataBind, SaveData, GetUIData, and Validate methods.
        

}

  

#endregion

  

#region "Section 2: Do not modify this section."
    
    
// Base class for the Import_itemRecordControl control on the AddImport_itemPage page.
// Do not modify this class. Instead override any method in Import_itemRecordControl.
public class BaseImport_itemRecordControl : Warehouse.UI.BaseApplicationRecordControl
{
        public BaseImport_itemRecordControl()
        {
            this.Init += new EventHandler(Control_Init);
            this.Load += new EventHandler(Control_Load);
            this.PreRender += new EventHandler(Control_PreRender);
        }

        // To customize, override this method in Import_itemRecordControl.
        protected virtual void Control_Init(object sender, System.EventArgs e)
        {
        
            // Setup the filter and search events.
        
        }

        // To customize, override this method in Import_itemRecordControl.
        protected virtual void Control_Load(object sender, System.EventArgs e)
        {
        
		    // Setup the pagination events.	  
         
		    // Register the event handlers.
		  
              this.vámkezelés_mód_id.SelectedIndexChanged += new EventHandler(vámkezelés_mód_id_SelectedIndexChanged);
            	  
        }

        public virtual void LoadData()  
        {
            // Load the data from the database into the DataSource import_item record.
            // It is better to make changes to functions called by LoadData such as
            // CreateWhereClause, rather than making changes here.
        
            // The RecordUniqueId is set the first time a record is loaded, and is
            // used during a PostBack to load the record.
            if (this.RecordUniqueId != null && this.RecordUniqueId.Length > 0) {
                this.DataSource = Import_itemTable.GetRecord(this.RecordUniqueId, true);
                return;
            }
      
            // This is the first time a record is being retrieved from the database.
            // So create a Where Clause based on the staic Where clause specified
            // on the Query wizard and the dynamic part specified by the end user
            // on the search and filter controls (if any).
            WhereClause wc = this.CreateWhereClause();
            
            // If there is no Where clause, then simply create a new, blank record.
            if (wc == null || !(wc.RunQuery)) {
                this.DataSource = new Import_itemRecord();
              
                return;
            }
          
            // Retrieve the record from the database.  It is possible
            Import_itemRecord[] recList = Import_itemTable.GetRecords(wc, null, 0, 2);
            if (recList.Length == 0) {
                // There is no data for this Where clause.
                wc.RunQuery = false;
                
                return;
            }
              
            // Set DataSource based on record retrieved from the database.
            this.DataSource = (Import_itemRecord)Import_itemRecord.Copy(recList[0], false);
                  
        }

        public override void DataBind()
        {
            // The DataBind method binds the user interface controls to the values
            // from the database record.  To do this, it calls the Set methods for 
            // each of the field displayed on the webpage.  It is better to make 
            // changes in the Set methods, rather than making changes here.
            
            base.DataBind();
            
            // Make sure that the DataSource is initialized.
            
            if (this.DataSource == null) {
                return;
            }
              

            // Call the Set methods for each of the user interface controls.
        
            SetAlapnyilvántartási_száma();
            SetBetárolás_dátuma();
            SetCímzett();
            SetCsomag_darab_száma();
            SetElintézés_dátuma();
            SetElintézési_száma();
            SetEV_pótsorok_száma();
            SetFeladó();
            SetFuvarlevél_száma();
            SetHázi_fuvarlevél_száma();
            SetMért_súly();
            SetPozíció_száma();
            SetRendszám();
            SetSérülések();
            SetSúly();
            SetSzemle();
            SetVámáru();
            Setvámkezelés_mód_id();
            SetVámzár_1();
            SetVámzár_2();
            SetVPID();

            this.IsNewRecord = true;
            if (this.DataSource.IsCreated) {
                this.IsNewRecord = false;
        
                this.RecordUniqueId = this.DataSource.GetID().ToXmlString();
            }

            

            // Now load data for each record and table child UI controls.
            // Ordering is important because child controls get 
            // their parent ids from their parent UI controls.
            bool shouldResetControl = false;
            if (shouldResetControl) { }; // prototype usage to void compiler warnings
            
        }

        
        public virtual void SetAlapnyilvántartási_száma()
        {
            // Set the Alapnyilvántartási száma TextBox on the webpage with value from the
            // import_item database record.

            // this.DataSource is the import_item record retrieved from the database.
            // this.Alapnyilvántartási_száma is the ASP:TextBox on the webpage.
                  
            if (this.DataSource.Alapnyilvántartási_számaSpecified) {
                // If the Alapnyilvántartási száma is non-NULL, then format the value.
                // The Format method will use the Display Format
                string formattedValue = this.DataSource.Format(Import_itemTable.Alapnyilvántartási_száma);
                this.Alapnyilvántartási_száma.Text = formattedValue;
              
               
            } else {  
                // Alapnyilvántartási száma is NULL in the database, so use the Default Value.  
                // Default Value could also be NULL.
                this.Alapnyilvántartási_száma.Text = Import_itemTable.Alapnyilvántartási_száma.Format(Import_itemTable.Alapnyilvántartási_száma.DefaultValue);
                            
            }
                    
        }
                
        public virtual void SetBetárolás_dátuma()
        {
            // Set the Betárolás dátuma TextBox on the webpage with value from the
            // import_item database record.

            // this.DataSource is the import_item record retrieved from the database.
            // this.Betárolás_dátuma is the ASP:TextBox on the webpage.
                  
            if (this.DataSource.Betárolás_dátumaSpecified) {
                // If the Betárolás dátuma is non-NULL, then format the value.
                // The Format method will use the Display Format
                string formattedValue = this.DataSource.Format(Import_itemTable.Betárolás_dátuma, @"g");
                this.Betárolás_dátuma.Text = formattedValue;
              
               
            } else {  
                // Betárolás dátuma is NULL in the database, so use the Default Value.  
                // Default Value could also be NULL.
                this.Betárolás_dátuma.Text = Import_itemTable.Betárolás_dátuma.Format(Import_itemTable.Betárolás_dátuma.DefaultValue, @"g");
                            
            }
                    
        }
                
        public virtual void SetCímzett()
        {
            // Set the Címzett TextBox on the webpage with value from the
            // import_item database record.

            // this.DataSource is the import_item record retrieved from the database.
            // this.Címzett is the ASP:TextBox on the webpage.
                  
            if (this.DataSource.CímzettSpecified) {
                // If the Címzett is non-NULL, then format the value.
                // The Format method will use the Display Format
                string formattedValue = this.DataSource.Format(Import_itemTable.Címzett);
                this.Címzett.Text = formattedValue;
              
               
            } else {  
                // Címzett is NULL in the database, so use the Default Value.  
                // Default Value could also be NULL.
                this.Címzett.Text = Import_itemTable.Címzett.Format(Import_itemTable.Címzett.DefaultValue);
                            
            }
                    
        }
                
        public virtual void SetCsomag_darab_száma()
        {
            // Set the Csomag darab száma TextBox on the webpage with value from the
            // import_item database record.

            // this.DataSource is the import_item record retrieved from the database.
            // this.Csomag_darab_száma is the ASP:TextBox on the webpage.
                  
            if (this.DataSource.Csomag_darab_számaSpecified) {
                // If the Csomag darab száma is non-NULL, then format the value.
                // The Format method will use the Display Format
                string formattedValue = this.DataSource.Format(Import_itemTable.Csomag_darab_száma);
                this.Csomag_darab_száma.Text = formattedValue;
              
               
            } else {  
                // Csomag darab száma is NULL in the database, so use the Default Value.  
                // Default Value could also be NULL.
                this.Csomag_darab_száma.Text = Import_itemTable.Csomag_darab_száma.Format(Import_itemTable.Csomag_darab_száma.DefaultValue);
                            
            }
                    
        }
                
        public virtual void SetElintézés_dátuma()
        {
            // Set the Elintézés dátuma TextBox on the webpage with value from the
            // import_item database record.

            // this.DataSource is the import_item record retrieved from the database.
            // this.Elintézés_dátuma is the ASP:TextBox on the webpage.
                  
            if (this.DataSource.Elintézés_dátumaSpecified) {
                // If the Elintézés dátuma is non-NULL, then format the value.
                // The Format method will use the Display Format
                string formattedValue = this.DataSource.Format(Import_itemTable.Elintézés_dátuma, @"g");
                this.Elintézés_dátuma.Text = formattedValue;
              
               
            } else {  
                // Elintézés dátuma is NULL in the database, so use the Default Value.  
                // Default Value could also be NULL.
                this.Elintézés_dátuma.Text = Import_itemTable.Elintézés_dátuma.Format(Import_itemTable.Elintézés_dátuma.DefaultValue, @"g");
                            
            }
                    
        }
                
        public virtual void SetElintézési_száma()
        {
            // Set the Elintézési száma TextBox on the webpage with value from the
            // import_item database record.

            // this.DataSource is the import_item record retrieved from the database.
            // this.Elintézési_száma is the ASP:TextBox on the webpage.
                  
            if (this.DataSource.Elintézési_számaSpecified) {
                // If the Elintézési száma is non-NULL, then format the value.
                // The Format method will use the Display Format
                string formattedValue = this.DataSource.Format(Import_itemTable.Elintézési_száma);
                this.Elintézési_száma.Text = formattedValue;
              
               
            } else {  
                // Elintézési száma is NULL in the database, so use the Default Value.  
                // Default Value could also be NULL.
                this.Elintézési_száma.Text = Import_itemTable.Elintézési_száma.Format(Import_itemTable.Elintézési_száma.DefaultValue);
                            
            }
                    
        }
                
        public virtual void SetEV_pótsorok_száma()
        {
            // Set the EV pótsorok száma TextBox on the webpage with value from the
            // import_item database record.

            // this.DataSource is the import_item record retrieved from the database.
            // this.EV_pótsorok_száma is the ASP:TextBox on the webpage.
                  
            if (this.DataSource.EV_pótsorok_számaSpecified) {
                // If the EV pótsorok száma is non-NULL, then format the value.
                // The Format method will use the Display Format
                string formattedValue = this.DataSource.Format(Import_itemTable.EV_pótsorok_száma);
                this.EV_pótsorok_száma.Text = formattedValue;
              
               
            } else {  
                // EV pótsorok száma is NULL in the database, so use the Default Value.  
                // Default Value could also be NULL.
                this.EV_pótsorok_száma.Text = Import_itemTable.EV_pótsorok_száma.Format(Import_itemTable.EV_pótsorok_száma.DefaultValue);
                            
            }
                    
        }
                
        public virtual void SetFeladó()
        {
            // Set the Feladó TextBox on the webpage with value from the
            // import_item database record.

            // this.DataSource is the import_item record retrieved from the database.
            // this.Feladó is the ASP:TextBox on the webpage.
                  
            if (this.DataSource.FeladóSpecified) {
                // If the Feladó is non-NULL, then format the value.
                // The Format method will use the Display Format
                string formattedValue = this.DataSource.Format(Import_itemTable.Feladó);
                this.Feladó.Text = formattedValue;
              
               
            } else {  
                // Feladó is NULL in the database, so use the Default Value.  
                // Default Value could also be NULL.
                this.Feladó.Text = Import_itemTable.Feladó.Format(Import_itemTable.Feladó.DefaultValue);
                            
            }
                    
        }
                
        public virtual void SetFuvarlevél_száma()
        {
            // Set the Fuvarlevél száma TextBox on the webpage with value from the
            // import_item database record.

            // this.DataSource is the import_item record retrieved from the database.
            // this.Fuvarlevél_száma is the ASP:TextBox on the webpage.
                  
            if (this.DataSource.Fuvarlevél_számaSpecified) {
                // If the Fuvarlevél száma is non-NULL, then format the value.
                // The Format method will use the Display Format
                string formattedValue = this.DataSource.Format(Import_itemTable.Fuvarlevél_száma);
                this.Fuvarlevél_száma.Text = formattedValue;
              
               
            } else {  
                // Fuvarlevél száma is NULL in the database, so use the Default Value.  
                // Default Value could also be NULL.
                this.Fuvarlevél_száma.Text = Import_itemTable.Fuvarlevél_száma.Format(Import_itemTable.Fuvarlevél_száma.DefaultValue);
                            
            }
                    
        }
                
        public virtual void SetHázi_fuvarlevél_száma()
        {
            // Set the Házi fuvarlevél száma TextBox on the webpage with value from the
            // import_item database record.

            // this.DataSource is the import_item record retrieved from the database.
            // this.Házi_fuvarlevél_száma is the ASP:TextBox on the webpage.
                  
            if (this.DataSource.Házi_fuvarlevél_számaSpecified) {
                // If the Házi fuvarlevél száma is non-NULL, then format the value.
                // The Format method will use the Display Format
                string formattedValue = this.DataSource.Format(Import_itemTable.Házi_fuvarlevél_száma);
                this.Házi_fuvarlevél_száma.Text = formattedValue;
              
               
            } else {  
                // Házi fuvarlevél száma is NULL in the database, so use the Default Value.  
                // Default Value could also be NULL.
                this.Házi_fuvarlevél_száma.Text = Import_itemTable.Házi_fuvarlevél_száma.Format(Import_itemTable.Házi_fuvarlevél_száma.DefaultValue);
                            
            }
                    
        }
                
        public virtual void SetMért_súly()
        {
            // Set the Mért súly TextBox on the webpage with value from the
            // import_item database record.

            // this.DataSource is the import_item record retrieved from the database.
            // this.Mért_súly is the ASP:TextBox on the webpage.
                  
            if (this.DataSource.Mért_súlySpecified) {
                // If the Mért súly is non-NULL, then format the value.
                // The Format method will use the Display Format
                string formattedValue = this.DataSource.Format(Import_itemTable.Mért_súly);
                this.Mért_súly.Text = formattedValue;
              
               
            } else {  
                // Mért súly is NULL in the database, so use the Default Value.  
                // Default Value could also be NULL.
                this.Mért_súly.Text = Import_itemTable.Mért_súly.Format(Import_itemTable.Mért_súly.DefaultValue);
                            
            }
                    
        }
                
        public virtual void SetPozíció_száma()
        {
            // Set the Pozíció száma TextBox on the webpage with value from the
            // import_item database record.

            // this.DataSource is the import_item record retrieved from the database.
            // this.Pozíció_száma is the ASP:TextBox on the webpage.
                  
            if (this.DataSource.Pozíció_számaSpecified) {
                // If the Pozíció száma is non-NULL, then format the value.
                // The Format method will use the Display Format
                string formattedValue = this.DataSource.Format(Import_itemTable.Pozíció_száma);
                this.Pozíció_száma.Text = formattedValue;
              
               
            } else {  
                // Pozíció száma is NULL in the database, so use the Default Value.  
                // Default Value could also be NULL.
                this.Pozíció_száma.Text = Import_itemTable.Pozíció_száma.Format(Import_itemTable.Pozíció_száma.DefaultValue);
                            
            }
                    
        }
                
        public virtual void SetRendszám()
        {
            // Set the Rendszám TextBox on the webpage with value from the
            // import_item database record.

            // this.DataSource is the import_item record retrieved from the database.
            // this.Rendszám is the ASP:TextBox on the webpage.
                  
            if (this.DataSource.RendszámSpecified) {
                // If the Rendszám is non-NULL, then format the value.
                // The Format method will use the Display Format
                string formattedValue = this.DataSource.Format(Import_itemTable.Rendszám);
                this.Rendszám.Text = formattedValue;
              
               
            } else {  
                // Rendszám is NULL in the database, so use the Default Value.  
                // Default Value could also be NULL.
                this.Rendszám.Text = Import_itemTable.Rendszám.Format(Import_itemTable.Rendszám.DefaultValue);
                            
            }
                    
        }
                
        public virtual void SetSérülések()
        {
            // Set the Sérülések TextBox on the webpage with value from the
            // import_item database record.

            // this.DataSource is the import_item record retrieved from the database.
            // this.Sérülések is the ASP:TextBox on the webpage.
                  
            if (this.DataSource.SérülésekSpecified) {
                // If the Sérülések is non-NULL, then format the value.
                // The Format method will use the Display Format
                string formattedValue = this.DataSource.Format(Import_itemTable.Sérülések);
                this.Sérülések.Text = formattedValue;
              
               
            } else {  
                // Sérülések is NULL in the database, so use the Default Value.  
                // Default Value could also be NULL.
                this.Sérülések.Text = Import_itemTable.Sérülések.Format(Import_itemTable.Sérülések.DefaultValue);
                            
            }
                    
        }
                
        public virtual void SetSúly()
        {
            // Set the Súly TextBox on the webpage with value from the
            // import_item database record.

            // this.DataSource is the import_item record retrieved from the database.
            // this.Súly is the ASP:TextBox on the webpage.
                  
            if (this.DataSource.SúlySpecified) {
                // If the Súly is non-NULL, then format the value.
                // The Format method will use the Display Format
                string formattedValue = this.DataSource.Format(Import_itemTable.Súly);
                this.Súly.Text = formattedValue;
              
               
            } else {  
                // Súly is NULL in the database, so use the Default Value.  
                // Default Value could also be NULL.
                this.Súly.Text = Import_itemTable.Súly.Format(Import_itemTable.Súly.DefaultValue);
                            
            }
                    
        }
                
        public virtual void SetSzemle()
        {
            // Set the Szemle CheckBox on the webpage with value from the
            // import_item database record.

            // this.DataSource is the import_item record retrieved from the database.
            // this.Szemle is the ASP:CheckBox on the webpage.
                  
            if (this.DataSource.SzemleSpecified) {
                // If the Szemle is non-NULL, then format the value.
                // The Format method will use the Display Format
                this.Szemle.Checked = this.DataSource.Szemle;
            } else {
                // Szemle is NULL in the database, so use the Default Value.  
                // Default Value could also be NULL.
                if (!this.DataSource.IsCreated) {
                    this.Szemle.Checked = Import_itemTable.Szemle.ParseValue(Import_itemTable.Szemle.DefaultValue).ToBoolean();
                }
            }
                    
        }
                
        public virtual void SetVámáru()
        {
            // Set the Vámáru CheckBox on the webpage with value from the
            // import_item database record.

            // this.DataSource is the import_item record retrieved from the database.
            // this.Vámáru is the ASP:CheckBox on the webpage.
                  
            if (this.DataSource.VámáruSpecified) {
                // If the Vámáru is non-NULL, then format the value.
                // The Format method will use the Display Format
                this.Vámáru.Checked = this.DataSource.Vámáru;
            } else {
                // Vámáru is NULL in the database, so use the Default Value.  
                // Default Value could also be NULL.
                if (!this.DataSource.IsCreated) {
                    this.Vámáru.Checked = Import_itemTable.Vámáru.ParseValue(Import_itemTable.Vámáru.DefaultValue).ToBoolean();
                }
            }
                    
        }
                
        public virtual void Setvámkezelés_mód_id()
        {
            // Set the vámkezelés mód id DropDownList on the webpage with value from the
            // import_item database record.
            
            // this.DataSource is the import_item record retrieved from the database.
            // this.vámkezelés_mód_id is the ASP:DropDownList on the webpage.
			
            // You can modify this method directly, or replace it with a call to
            //     base.Setvámkezelés_mód_id();
            // and add your own custom code before or after the call to the base function.

            if (this.DataSource.vámkezelés_mód_idSpecified) {
                // If the vámkezelés mód id is non-NULL, then format the value.
                // The Format method will return the Display Foreign Key As (DFKA) value
                this.Populatevámkezelés_mód_idDropDownList(this.DataSource.vámkezelés_mód_id.ToString(), 100);
            } else {
                // vámkezelés mód id is NULL in the database, so use the Default Value.  
                // Default Value could also be NULL.
                if (!this.DataSource.IsCreated) {
                    this.Populatevámkezelés_mód_idDropDownList(Import_itemTable.vámkezelés_mód_id.DefaultValue, 100);
                } else {
                this.Populatevámkezelés_mód_idDropDownList(null, 100);
                }
            }
        }
                
        public virtual void SetVámzár_1()
        {
            // Set the Vámzár 1 TextBox on the webpage with value from the
            // import_item database record.

            // this.DataSource is the import_item record retrieved from the database.
            // this.Vámzár_1 is the ASP:TextBox on the webpage.
                  
            if (this.DataSource.Vámzár_1Specified) {
                // If the Vámzár 1 is non-NULL, then format the value.
                // The Format method will use the Display Format
                string formattedValue = this.DataSource.Format(Import_itemTable.Vámzár_1);
                this.Vámzár_1.Text = formattedValue;
              
               
            } else {  
                // Vámzár 1 is NULL in the database, so use the Default Value.  
                // Default Value could also be NULL.
                this.Vámzár_1.Text = Import_itemTable.Vámzár_1.Format(Import_itemTable.Vámzár_1.DefaultValue);
                            
            }
                    
        }
                
        public virtual void SetVámzár_2()
        {
            // Set the Vámzár 2 TextBox on the webpage with value from the
            // import_item database record.

            // this.DataSource is the import_item record retrieved from the database.
            // this.Vámzár_2 is the ASP:TextBox on the webpage.
                  
            if (this.DataSource.Vámzár_2Specified) {
                // If the Vámzár 2 is non-NULL, then format the value.
                // The Format method will use the Display Format
                string formattedValue = this.DataSource.Format(Import_itemTable.Vámzár_2);
                this.Vámzár_2.Text = formattedValue;
              
               
            } else {  
                // Vámzár 2 is NULL in the database, so use the Default Value.  
                // Default Value could also be NULL.
                this.Vámzár_2.Text = Import_itemTable.Vámzár_2.Format(Import_itemTable.Vámzár_2.DefaultValue);
                            
            }
                    
        }
                
        public virtual void SetVPID()
        {
            // Set the VPID TextBox on the webpage with value from the
            // import_item database record.

            // this.DataSource is the import_item record retrieved from the database.
            // this.VPID is the ASP:TextBox on the webpage.
                  
            if (this.DataSource.VPIDSpecified) {
                // If the VPID is non-NULL, then format the value.
                // The Format method will use the Display Format
                string formattedValue = this.DataSource.Format(Import_itemTable.VPID);
                this.VPID.Text = formattedValue;
              
               
            } else {  
                // VPID is NULL in the database, so use the Default Value.  
                // Default Value could also be NULL.
                this.VPID.Text = Import_itemTable.VPID.Format(Import_itemTable.VPID.DefaultValue);
                            
            }
                    
        }
                
        public virtual void ResetControl()
        {
          
        }
        

        public virtual void RegisterPostback()
        {
            
        }
    
        

        public virtual void SaveData()
        {
            // Saves the associated record in the database.
            // SaveData calls Validate and Get methods - so it may be more appropriate to
			// customize those methods.

            // 1. Load the existing record from the database. Since we save the entire record, this ensures 
            // that fields that are not displayed are also properly initialized.
            this.LoadData();
        
          
            // 2. Perform any custom validation.
            this.Validate();

            // 3. Set the values in the record with data from UI controls.
            // This calls the Get() method for each of the user interface controls.
            this.GetUIData();
   
            // 4. Save in the database.
            // We should not save the record if the data did not change. This
            // will save a database hit and avoid triggering any database triggers.
            if (this.DataSource.IsAnyValueChanged) {
                // Save record to database but do not commit yet.
                // Auto generated ids are available after saving for use by child (dependent) records.
                this.DataSource.Save();
    
            }
            // Setting the DataChanged to True results in the page being refreshed with
			// the most recent data from the database.  This happens in PreRender event
            // based on the current sort, search and filter criteria.
            this.DataChanged = true;
            this.ResetData = true;
            
            // For Master-Detail relationships, save data on the Detail table(s)
              
        }

        public virtual void GetUIData()
        {
            // The GetUIData method retrieves the updated values from the user interface 
            // controls into a database record in preparation for saving or updating.
            // To do this, it calls the Get methods for each of the field displayed on 
            // the webpage.  It is better to make changes in the Get methods, rather 
            // than making changes here.
        
            bool clearDataSource = false;
            foreach(BaseColumn col in Import_itemRecord.TableUtils.TableDefinition.Columns){
                if ((col.ColumnType == BaseColumn.ColumnTypes.Unique_Identifier)){
                    clearDataSource = true;
                }
            }

            if (clearDataSource){
                this.DataSource = new Import_itemRecord();
            }
        
      
            // Call the Get methods for each of the user interface controls.
        
            GetAlapnyilvántartási_száma();
            GetBetárolás_dátuma();
            GetCímzett();
            GetCsomag_darab_száma();
            GetElintézés_dátuma();
            GetElintézési_száma();
            GetEV_pótsorok_száma();
            GetFeladó();
            GetFuvarlevél_száma();
            GetHázi_fuvarlevél_száma();
            GetMért_súly();
            GetPozíció_száma();
            GetRendszám();
            GetSérülések();
            GetSúly();
            GetSzemle();
            GetVámáru();
            Getvámkezelés_mód_id();
            GetVámzár_1();
            GetVámzár_2();
            GetVPID();
        }
        
        
        public virtual void GetAlapnyilvántartási_száma()
        {
            // Retrieve the value entered by the user on the Alapnyilvántartási száma ASP:TextBox, and
            // save it into the Alapnyilvántartási száma field in DataSource import_item record.
            
            // Custom validation should be performed in Validate, not here.
                    
            this.DataSource.Parse(this.Alapnyilvántartási_száma.Text, Import_itemTable.Alapnyilvántartási_száma);
              
        }
                
        public virtual void GetBetárolás_dátuma()
        {
            // Retrieve the value entered by the user on the Betárolás dátuma ASP:TextBox, and
            // save it into the Betárolás dátuma field in DataSource import_item record.
            // Parse will also validate the date to ensure it is of the proper format
            // and a valid date.  The format is verified based on the current culture 
            // settings including the order of month, day and year and the separator character.
            // Parse throws an exception if the date is invalid.
            // Custom validation should be performed in Validate, not here.
                    
            this.DataSource.Parse(this.Betárolás_dátuma.Text, Import_itemTable.Betárolás_dátuma);
              
        }
                
        public virtual void GetCímzett()
        {
            // Retrieve the value entered by the user on the Címzett ASP:TextBox, and
            // save it into the Címzett field in DataSource import_item record.
            
            // Custom validation should be performed in Validate, not here.
                    
            this.DataSource.Parse(this.Címzett.Text, Import_itemTable.Címzett);
              
        }
                
        public virtual void GetCsomag_darab_száma()
        {
            // Retrieve the value entered by the user on the Csomag darab száma ASP:TextBox, and
            // save it into the Csomag darab száma field in DataSource import_item record.
            
            // Custom validation should be performed in Validate, not here.
                    
            this.DataSource.Parse(this.Csomag_darab_száma.Text, Import_itemTable.Csomag_darab_száma);
              
        }
                
        public virtual void GetElintézés_dátuma()
        {
            // Retrieve the value entered by the user on the Elintézés dátuma ASP:TextBox, and
            // save it into the Elintézés dátuma field in DataSource import_item record.
            // Parse will also validate the date to ensure it is of the proper format
            // and a valid date.  The format is verified based on the current culture 
            // settings including the order of month, day and year and the separator character.
            // Parse throws an exception if the date is invalid.
            // Custom validation should be performed in Validate, not here.
                    
            this.DataSource.Parse(this.Elintézés_dátuma.Text, Import_itemTable.Elintézés_dátuma);
              
        }
                
        public virtual void GetElintézési_száma()
        {
            // Retrieve the value entered by the user on the Elintézési száma ASP:TextBox, and
            // save it into the Elintézési száma field in DataSource import_item record.
            
            // Custom validation should be performed in Validate, not here.
                    
            this.DataSource.Parse(this.Elintézési_száma.Text, Import_itemTable.Elintézési_száma);
              
        }
                
        public virtual void GetEV_pótsorok_száma()
        {
            // Retrieve the value entered by the user on the EV pótsorok száma ASP:TextBox, and
            // save it into the EV pótsorok száma field in DataSource import_item record.
            
            // Custom validation should be performed in Validate, not here.
                    
            this.DataSource.Parse(this.EV_pótsorok_száma.Text, Import_itemTable.EV_pótsorok_száma);
              
        }
                
        public virtual void GetFeladó()
        {
            // Retrieve the value entered by the user on the Feladó ASP:TextBox, and
            // save it into the Feladó field in DataSource import_item record.
            
            // Custom validation should be performed in Validate, not here.
                    
            this.DataSource.Parse(this.Feladó.Text, Import_itemTable.Feladó);
              
        }
                
        public virtual void GetFuvarlevél_száma()
        {
            // Retrieve the value entered by the user on the Fuvarlevél száma ASP:TextBox, and
            // save it into the Fuvarlevél száma field in DataSource import_item record.
            
            // Custom validation should be performed in Validate, not here.
                    
            this.DataSource.Parse(this.Fuvarlevél_száma.Text, Import_itemTable.Fuvarlevél_száma);
              
        }
                
        public virtual void GetHázi_fuvarlevél_száma()
        {
            // Retrieve the value entered by the user on the Házi fuvarlevél száma ASP:TextBox, and
            // save it into the Házi fuvarlevél száma field in DataSource import_item record.
            
            // Custom validation should be performed in Validate, not here.
                    
            this.DataSource.Parse(this.Házi_fuvarlevél_száma.Text, Import_itemTable.Házi_fuvarlevél_száma);
              
        }
                
        public virtual void GetMért_súly()
        {
            // Retrieve the value entered by the user on the Mért súly ASP:TextBox, and
            // save it into the Mért súly field in DataSource import_item record.
            
            // Custom validation should be performed in Validate, not here.
                    
            this.DataSource.Parse(this.Mért_súly.Text, Import_itemTable.Mért_súly);
              
        }
                
        public virtual void GetPozíció_száma()
        {
            // Retrieve the value entered by the user on the Pozíció száma ASP:TextBox, and
            // save it into the Pozíció száma field in DataSource import_item record.
            
            // Custom validation should be performed in Validate, not here.
                    
            this.DataSource.Parse(this.Pozíció_száma.Text, Import_itemTable.Pozíció_száma);
              
        }
                
        public virtual void GetRendszám()
        {
            // Retrieve the value entered by the user on the Rendszám ASP:TextBox, and
            // save it into the Rendszám field in DataSource import_item record.
            
            // Custom validation should be performed in Validate, not here.
                    
            this.DataSource.Parse(this.Rendszám.Text, Import_itemTable.Rendszám);
              
        }
                
        public virtual void GetSérülések()
        {
            // Retrieve the value entered by the user on the Sérülések ASP:TextBox, and
            // save it into the Sérülések field in DataSource import_item record.
            
            // Custom validation should be performed in Validate, not here.
                    
            this.DataSource.Parse(this.Sérülések.Text, Import_itemTable.Sérülések);
              
        }
                
        public virtual void GetSúly()
        {
            // Retrieve the value entered by the user on the Súly ASP:TextBox, and
            // save it into the Súly field in DataSource import_item record.
            
            // Custom validation should be performed in Validate, not here.
                    
            this.DataSource.Parse(this.Súly.Text, Import_itemTable.Súly);
              
        }
                
        public virtual void GetSzemle()
        {
            // Retrieve the value entered by the user on the Szemle ASP:CheckBox, and
            // save it into the Szemle field in DataSource import_item record.
            // Custom validation should be performed in Validate, not here.
                  
            this.DataSource.Szemle = this.Szemle.Checked;
                    
        }
                
        public virtual void GetVámáru()
        {
            // Retrieve the value entered by the user on the Vámáru ASP:CheckBox, and
            // save it into the Vámáru field in DataSource import_item record.
            // Custom validation should be performed in Validate, not here.
                  
            this.DataSource.Vámáru = this.Vámáru.Checked;
                    
        }
                
        public virtual void Getvámkezelés_mód_id()
        {
                  // Retrieve the value entered by the user on the vámkezelés mód id ASP:DropDownList, and
            // save it into the vámkezelés mód id field in DataSource import_item record.
            
            // Custom validation should be performed in Validate, not here.
            this.DataSource.Parse(MiscUtils.GetValueSelectedPageRequest(this.vámkezelés_mód_id), Import_itemTable.vámkezelés_mód_id);
                  
        }
                
        public virtual void GetVámzár_1()
        {
            // Retrieve the value entered by the user on the Vámzár 1 ASP:TextBox, and
            // save it into the Vámzár 1 field in DataSource import_item record.
            
            // Custom validation should be performed in Validate, not here.
                    
            this.DataSource.Parse(this.Vámzár_1.Text, Import_itemTable.Vámzár_1);
              
        }
                
        public virtual void GetVámzár_2()
        {
            // Retrieve the value entered by the user on the Vámzár 2 ASP:TextBox, and
            // save it into the Vámzár 2 field in DataSource import_item record.
            
            // Custom validation should be performed in Validate, not here.
                    
            this.DataSource.Parse(this.Vámzár_2.Text, Import_itemTable.Vámzár_2);
              
        }
                
        public virtual void GetVPID()
        {
            // Retrieve the value entered by the user on the VPID ASP:TextBox, and
            // save it into the VPID field in DataSource import_item record.
            
            // Custom validation should be performed in Validate, not here.
                    
            this.DataSource.Parse(this.VPID.Text, Import_itemTable.VPID);
              
        }
                

        public virtual WhereClause CreateWhereClause()
        {
        
            WhereClause wc;
            Import_itemTable.Instance.InnerFilter = null;
            wc = new WhereClause();
            // Compose the WHERE clause consiting of:
            // 1. Static clause defined at design time.
            // 2. User selected search criteria.
            // 3. User selected filter criteria.

            
            // Retrieve the record id from the URL parameter.
            string recId = this.Page.Request.QueryString["Import_item"];
            if (recId == null || recId.Length == 0) {
                return null;
            }
                       
            HttpContext.Current.Session["QueryString in AddImport_itemPage"] = recId;
              
            if (KeyValue.IsXmlKey(recId)) {
                // Keys are typically passed as XML structures to handle composite keys.
                // If XML, then add a Where clause based on the Primary Key in the XML.
                KeyValue pkValue = KeyValue.XmlToKey(recId);
                
                wc.iAND(Import_itemTable.id0, BaseFilter.ComparisonOperator.EqualsTo, pkValue.GetColumnValue(Import_itemTable.id0).ToString());
        
            }
            else {
                // The URL parameter contains the actual value, not an XML structure.
                
                wc.iAND(Import_itemTable.id0, BaseFilter.ComparisonOperator.EqualsTo, recId);
        
            }
                
            return wc;
            
        }
        
        

        public virtual void Validate()
        {
            // Add custom validation for any control within this panel.
            // Example.  If you have a State ASP:Textbox control
            // If Me.State.Text <> "CA" Then
            //    Throw New Exception("State must be CA (California).")
            // End If

            // The Validate method is common across all controls within
            // this panel so you can validate multiple fields, but report
            // one error message.
        }

        public virtual void Delete()
        {
        
            if (this.IsNewRecord) {
                return;
            }

            KeyValue pkValue = KeyValue.XmlToKey(this.RecordUniqueId);
          Import_itemTable.DeleteRecord(pkValue);
          
        }

        protected virtual void Control_PreRender(object sender, System.EventArgs e)
        {
			// PreRender event is raised just before page is being displayed.
            try {
                DbUtils.StartTransaction();
                this.RegisterPostback();
                if (!this.Page.ErrorOnPage && (this.Page.IsPageRefresh || this.DataChanged || this.ResetData)) {
					// Re-load the data and update the web page if necessary.
					// This is typically done during a postback (filter, search button, sort, pagination button).
					// In each of the other click handlers, simply set DataChanged to True to reload the data.
                    this.LoadData();
                    this.DataBind();
                }
            } catch (Exception ex) {
                BaseClasses.Utils.MiscUtils.RegisterJScriptAlert(this, "BUTTON_CLICK_MESSAGE", ex.Message);
            } finally {
                DbUtils.EndTransaction();
            }
        }
        
        
                
        protected override void LoadViewState(object savedState)
        {
            base.LoadViewState(savedState);
            string isNewRecord = (string)ViewState["IsNewRecord"];
            if (isNewRecord != null && isNewRecord.Length > 0) {
                this.IsNewRecord = Boolean.Parse(isNewRecord);
            }
        
            string myCheckSum = (string)ViewState["CheckSum"];
            if (myCheckSum != null && myCheckSum.Length > 0) {
                this.CheckSum = myCheckSum;
            }
        
        }

        protected override object SaveViewState()
        {
            ViewState["IsNewRecord"] = this.IsNewRecord.ToString();
            ViewState["CheckSum"] = this.CheckSum;
        
            return base.SaveViewState();
        }

        
        // Generate the event handling functions for pagination events.
            
      
        // Generate the event handling functions for filter and search events.
            

        public virtual WhereClause CreateWhereClause_vámkezelés_mód_idDropDownList() {
			WhereClause wc = new WhereClause();
			// By default, we simply return a new WhereClause.
			// This WhereClause is for the customs_mode table.
			// Add additional where clauses to restrict the items shown in the dropdown list.
			// Examples:
			// wc.iAND(Customs_modeTable.Vámkezelés_módja, BaseFilter.ComparisonOperator.EqualsTo, "XYZ");
			// wc.iAND(Customs_modeTable.Active, BaseFilter.ComparisonOperator.EqualsTo, "1");
            return wc;
        }
                
        // Fill the vámkezelés_mód_id list.
        protected virtual void Populatevámkezelés_mód_idDropDownList
                (string selectedValue, int maxItems) {
                  
            // Populate the vámkezelés_mód_idDropDownList with the
			// foreign key values from the customs_mode table.

			// This is a four step process.
			// 1. Set up the WHERE and the ORDER BY clause to read from the customs_mode.
			// 2. Read a total of maxItems from the database and insert them into the vámkezelés_mód_idDropDownList.
			// 3. Set the selected value (insert if not already present).
			// 4. Insert the language specific "Please Select" item at the top.
			
			// 1. Set up the WHERE and the ORDER BY clause by calling the CreateWhereClause_vámkezelés_mód_idDropDownList function.
			// It is better to customize the where clause there.
            WhereClause wc = CreateWhereClause_vámkezelés_mód_idDropDownList();
            OrderBy orderBy = new OrderBy(false, true);
            orderBy.Add(Customs_modeTable.Vámkezelés_módja, OrderByItem.OrderDir.Asc);

			// 2. Read a total of maxItems from the database and insert them into the vámkezelés_mód_idDropDownList.
            this.vámkezelés_mód_id.Items.Clear();
            foreach (Customs_modeRecord itemValue in Customs_modeTable.GetRecords(wc, orderBy, 0, maxItems)) {
                // Create the item and add to the list.
                string cvalue = null;
                string fvalue = null;
                if (itemValue.vámkezelés_mód_idSpecified) {
                    cvalue = itemValue.vámkezelés_mód_id.ToString().ToString();
                    fvalue = itemValue.Format(Customs_modeTable.Vámkezelés_módja);
                }

                ListItem item = new ListItem(fvalue, cvalue);
                this.vámkezelés_mód_id.Items.Add(item);
            }
                    
            // 3. Set the selected value (insert if not already present).
            if (selectedValue != null &&
                selectedValue.Length > 0 &&
                !MiscUtils.SetSelectedValue(this.vámkezelés_mód_id, selectedValue) &&
                !MiscUtils.SetSelectedValue(this.vámkezelés_mód_id, Import_itemTable.vámkezelés_mód_id.Format(selectedValue))) {
                string fvalue = Import_itemTable.vámkezelés_mód_id.Format(selectedValue);
                ListItem item = new ListItem(fvalue, selectedValue);
                item.Selected = true;
                this.vámkezelés_mód_id.Items.Insert(0, item);
            }

                  
			// 4. Insert the language specific "Please Select" item at the top.
            this.vámkezelés_mód_id.Items.Insert(0, new ListItem(Page.GetResourceValue("Txt:PleaseSelect", "Warehouse"), "--PLEASE_SELECT--"));
                  
        }
                
        protected virtual void vámkezelés_mód_id_SelectedIndexChanged(object sender, EventArgs args)
        {
		    // If a large list selector or a Quick Add link is used, the dropdown list
			// will contain an item that was not in the original (smaller) list.  During postbacks,
			// this new item will not be in the list - since the list is based on the original values
			// read from the database. This function adds the value back if necessary.
            string selectedValue = MiscUtils.GetValueSelectedPageRequest(this.vámkezelés_mód_id);
            if (selectedValue != null &&
               selectedValue.Length > 0 &&
               !MiscUtils.SetSelectedValue(this.vámkezelés_mód_id, selectedValue) &&
               !MiscUtils.SetSelectedValue(this.vámkezelés_mód_id, Import_itemTable.vámkezelés_mód_id.Format(selectedValue))) 
		    {
                string fvalue = Import_itemTable.vámkezelés_mód_id.Format(selectedValue);
                ListItem item = new ListItem(fvalue, selectedValue);
                item.Selected = true;
                this.vámkezelés_mód_id.Items.Insert(0, item);
            }
        }
            
  
        private bool _IsNewRecord = true;
        public virtual bool IsNewRecord {
            get {
                return this._IsNewRecord;
            }
            set {
                this._IsNewRecord = value;
            }
        }

        private bool _DataChanged = false;
        public virtual bool DataChanged {
            get {
                return this._DataChanged;
            }
            set {
                this._DataChanged = value;
            }
        }

        private bool _ResetData = false;
        public virtual bool ResetData {
            get {
                return (this._ResetData);
            }
            set {
                this._ResetData = value;
            }
        }
        
        public String RecordUniqueId {
            get {
                return (string)this.ViewState["BaseImport_itemRecordControl_Rec"];
            }
            set {
                this.ViewState["BaseImport_itemRecordControl_Rec"] = value;
            }
        }
        
        private Import_itemRecord _DataSource;
        public Import_itemRecord DataSource {
            get {
                return (this._DataSource);
            }
            set {
                this._DataSource = value;
            }
        }

        private string _checkSum;
        public virtual string CheckSum {
            get {
                return (this._checkSum);
            }
            set {
                this._checkSum = value;
            }
        }
    
        private int _TotalPages;
        public virtual int TotalPages {
            get {
                return (this._TotalPages);
            }
            set {
                this._TotalPages = value;
            }
        }
        
        private int _PageIndex;
        public virtual int PageIndex {
            get {
                return (this._PageIndex);
            }
            set {
                this._PageIndex = value;
            }
        }
        
        private int _PageSize;
        public int PageSize {
          get {
            return this._PageSize;
          }
          set {
            this._PageSize = value;
          }
        }
      
        private int _TotalRecords;
        public int TotalRecords {
          get {
            return (this._TotalRecords);
          }
          set {
            if (this.PageSize > 0) {
              this.TotalPages = Convert.ToInt32(Math.Ceiling(Convert.ToDouble(value) / Convert.ToDouble(this.PageSize)));
            }
            this._TotalRecords = value;
          }
        }
        
        private bool _DisplayLastPage;
        public virtual bool DisplayLastPage {
            get {
                return (this._DisplayLastPage);
            }
            set {
                this._DisplayLastPage = value;
            }
        }
        
        
    
        private KeyValue selectedParentKeyValue;
        public KeyValue SelectedParentKeyValue
        {
            get
            {
                return this.selectedParentKeyValue;
            }
            set
            {
                this.selectedParentKeyValue = value;
            }
        }
       
#region "Helper Properties"
        
        public System.Web.UI.WebControls.TextBox Alapnyilvántartási_száma {
            get {
                return (System.Web.UI.WebControls.TextBox)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Alapnyilvántartási_száma");
            }
        }
            
        public System.Web.UI.WebControls.Literal Alapnyilvántartási_számaLabel {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Alapnyilvántartási_számaLabel");
            }
        }
        
        public System.Web.UI.WebControls.TextBox Betárolás_dátuma {
            get {
                return (System.Web.UI.WebControls.TextBox)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Betárolás_dátuma");
            }
        }
            
        public System.Web.UI.WebControls.Literal Betárolás_dátumaLabel {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Betárolás_dátumaLabel");
            }
        }
        
        public System.Web.UI.WebControls.TextBox Címzett {
            get {
                return (System.Web.UI.WebControls.TextBox)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Címzett");
            }
        }
            
        public System.Web.UI.WebControls.Literal CímzettLabel {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "CímzettLabel");
            }
        }
        
        public System.Web.UI.WebControls.TextBox Csomag_darab_száma {
            get {
                return (System.Web.UI.WebControls.TextBox)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Csomag_darab_száma");
            }
        }
            
        public System.Web.UI.WebControls.Literal Csomag_darab_számaLabel {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Csomag_darab_számaLabel");
            }
        }
        
        public System.Web.UI.WebControls.TextBox Elintézés_dátuma {
            get {
                return (System.Web.UI.WebControls.TextBox)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Elintézés_dátuma");
            }
        }
            
        public System.Web.UI.WebControls.Literal Elintézés_dátumaLabel {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Elintézés_dátumaLabel");
            }
        }
        
        public System.Web.UI.WebControls.TextBox Elintézési_száma {
            get {
                return (System.Web.UI.WebControls.TextBox)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Elintézési_száma");
            }
        }
            
        public System.Web.UI.WebControls.Literal Elintézési_számaLabel {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Elintézési_számaLabel");
            }
        }
        
        public System.Web.UI.WebControls.TextBox EV_pótsorok_száma {
            get {
                return (System.Web.UI.WebControls.TextBox)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "EV_pótsorok_száma");
            }
        }
            
        public System.Web.UI.WebControls.Literal EV_pótsorok_számaLabel {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "EV_pótsorok_számaLabel");
            }
        }
        
        public System.Web.UI.WebControls.TextBox Feladó {
            get {
                return (System.Web.UI.WebControls.TextBox)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Feladó");
            }
        }
            
        public System.Web.UI.WebControls.Literal FeladóLabel {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "FeladóLabel");
            }
        }
        
        public System.Web.UI.WebControls.TextBox Fuvarlevél_száma {
            get {
                return (System.Web.UI.WebControls.TextBox)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Fuvarlevél_száma");
            }
        }
            
        public System.Web.UI.WebControls.Literal Fuvarlevél_számaLabel {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Fuvarlevél_számaLabel");
            }
        }
        
        public System.Web.UI.WebControls.TextBox Házi_fuvarlevél_száma {
            get {
                return (System.Web.UI.WebControls.TextBox)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Házi_fuvarlevél_száma");
            }
        }
            
        public System.Web.UI.WebControls.Literal Házi_fuvarlevél_számaLabel {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Házi_fuvarlevél_számaLabel");
            }
        }
        
        public System.Web.UI.WebControls.Literal Import_itemTitle {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Import_itemTitle");
            }
        }
        
        public System.Web.UI.WebControls.TextBox Mért_súly {
            get {
                return (System.Web.UI.WebControls.TextBox)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Mért_súly");
            }
        }
            
        public System.Web.UI.WebControls.Literal Mért_súlyLabel {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Mért_súlyLabel");
            }
        }
        
        public System.Web.UI.WebControls.TextBox Pozíció_száma {
            get {
                return (System.Web.UI.WebControls.TextBox)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Pozíció_száma");
            }
        }
            
        public System.Web.UI.WebControls.Literal Pozíció_számaLabel {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Pozíció_számaLabel");
            }
        }
        
        public System.Web.UI.WebControls.TextBox Rendszám {
            get {
                return (System.Web.UI.WebControls.TextBox)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Rendszám");
            }
        }
            
        public System.Web.UI.WebControls.Literal RendszámLabel {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "RendszámLabel");
            }
        }
        
        public System.Web.UI.WebControls.TextBox Sérülések {
            get {
                return (System.Web.UI.WebControls.TextBox)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Sérülések");
            }
        }
            
        public System.Web.UI.WebControls.Literal SérülésekLabel {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "SérülésekLabel");
            }
        }
        
        public System.Web.UI.WebControls.TextBox Súly {
            get {
                return (System.Web.UI.WebControls.TextBox)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Súly");
            }
        }
            
        public System.Web.UI.WebControls.Literal SúlyLabel {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "SúlyLabel");
            }
        }
        
        public System.Web.UI.WebControls.CheckBox Szemle {
            get {
                return (System.Web.UI.WebControls.CheckBox)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Szemle");
            }
        }
            
        public System.Web.UI.WebControls.Literal SzemleLabel {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "SzemleLabel");
            }
        }
        
        public System.Web.UI.WebControls.CheckBox Vámáru {
            get {
                return (System.Web.UI.WebControls.CheckBox)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Vámáru");
            }
        }
            
        public System.Web.UI.WebControls.Literal VámáruLabel {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "VámáruLabel");
            }
        }
        
        public System.Web.UI.WebControls.DropDownList vámkezelés_mód_id {
            get {
                return (System.Web.UI.WebControls.DropDownList)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "vámkezelés_mód_id");
            }
        }
            
        public System.Web.UI.WebControls.Literal vámkezelés_mód_idLabel {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "vámkezelés_mód_idLabel");
            }
        }
        
        public System.Web.UI.WebControls.TextBox Vámzár_1 {
            get {
                return (System.Web.UI.WebControls.TextBox)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Vámzár_1");
            }
        }
            
        public System.Web.UI.WebControls.Literal Vámzár_1Label {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Vámzár_1Label");
            }
        }
        
        public System.Web.UI.WebControls.TextBox Vámzár_2 {
            get {
                return (System.Web.UI.WebControls.TextBox)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Vámzár_2");
            }
        }
            
        public System.Web.UI.WebControls.Literal Vámzár_2Label {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Vámzár_2Label");
            }
        }
        
        public System.Web.UI.WebControls.TextBox VPID {
            get {
                return (System.Web.UI.WebControls.TextBox)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "VPID");
            }
        }
            
        public System.Web.UI.WebControls.Literal VPIDLabel {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "VPIDLabel");
            }
        }
        
#endregion

#region "Helper Functions"
        public override string ModifyRedirectUrl(string url, string arg, bool bEncrypt)
        {
            return this.Page.EvaluateExpressions(url, arg, bEncrypt, this);
        }

        public override string EvaluateExpressions(string url, string arg, bool bEncrypt)
        {
            Import_itemRecord rec = null;
            try {
                rec = this.GetRecord();
            }
            catch (Exception ) {
                // Do Nothing
            }
            
            if (rec == null && url.IndexOf("{") >= 0) {
                // Localization.
                
                throw new Exception(Page.GetResourceValue("Err:RecDataSrcNotInitialized", "Warehouse"));
                    
            }
            return EvaluateExpressions(url, arg, rec, bEncrypt);
        }

        public virtual Import_itemRecord GetRecord()
        {
        
            if (this.DataSource != null) {
                return this.DataSource;
            }
            return new Import_itemRecord();
          
        }

        public new BaseApplicationPage Page
        {
            get {
                return ((BaseApplicationPage)base.Page);
            }
        }

#endregion

}

  

#endregion
    
  
}

  