﻿
// This file implements the TableControl, TableControlRow, and RecordControl classes for the 
// EditImport_itemPage.aspx page.  The Row or RecordControl classes are the 
// ideal place to add code customizations. For example, you can override the LoadData, 
// CreateWhereClause, DataBind, SaveData, GetUIData, and Validate methods.

#region "Using statements"    

using Microsoft.VisualBasic;
using BaseClasses.Web.UI.WebControls;
using System;
using System.Collections;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using BaseClasses;
using BaseClasses.Data;
using BaseClasses.Utils;
using ReportTools.ReportCreator;
using ReportTools.Shared;




        
using Warehouse.Business;
using Warehouse.Data;
        

#endregion

  
namespace Warehouse.UI.Controls.EditImport_itemPage
{
  

#region "Section 1: Place your customizations here."

    
public class Import_itemRecordControl : BaseImport_itemRecordControl
{
      
        // The BaseImport_itemRecordControl implements the LoadData, DataBind and other
        // methods to load and display the data in a table control.

        // This is the ideal place to add your code customizations. For example, you can override the LoadData, 
        // CreateWhereClause, DataBind, SaveData, GetUIData, and Validate methods.
        

}

  

public class Import_logTableControl : BaseImport_logTableControl
{
        // The BaseImport_logTableControl class implements the LoadData, DataBind, CreateWhereClause
        // and other methods to load and display the data in a table control.

        // This is the ideal place to add your code customizations. You can override the LoadData and CreateWhereClause,
        // The Import_logTableControlRow class offers another place where you can customize
        // the DataBind, GetUIData, SaveData and Validate methods specific to each row displayed on the table.

}
public class Import_logTableControlRow : BaseImport_logTableControlRow
{
      
        // The BaseImport_logTableControlRow implements code for a ROW within the
        // the Import_logTableControl table.  The BaseImport_logTableControlRow implements the DataBind and SaveData methods.
        // The loading of data is actually performed by the LoadData method in the base class of Import_logTableControl.

        // This is the ideal place to add your code customizations. For example, you can override the DataBind, 
        // SaveData, GetUIData, and Validate methods.
        

}
#endregion

  

#region "Section 2: Do not modify this section."
    
    
// Base class for the Import_logTableControlRow control on the EditImport_itemPage page.
// Do not modify this class. Instead override any method in Import_logTableControlRow.
public class BaseImport_logTableControlRow : Warehouse.UI.BaseApplicationRecordControl
{
        public BaseImport_logTableControlRow()
        {
            this.Init += new EventHandler(Control_Init);
            this.Load += new EventHandler(Control_Load);
            this.PreRender += new EventHandler(Control_PreRender);
        }

        // To customize, override this method in Import_logTableControlRow.
        protected virtual void Control_Init(object sender, System.EventArgs e)
        {
        
        }

        // To customize, override this method in Import_logTableControlRow.
        protected virtual void Control_Load(object sender, System.EventArgs e)
        {
        
		    // Register the event handlers.
		  	  
        }

        public virtual void LoadData()  
        {
            // Load the data from the database into the DataSource import_log record.
            // It is better to make changes to functions called by LoadData such as
            // CreateWhereClause, rather than making changes here.
        
            // The RecordUniqueId is set the first time a record is loaded, and is
            // used during a PostBack to load the record.
            if (this.RecordUniqueId != null && this.RecordUniqueId.Length > 0) {
                this.DataSource = Import_logTable.GetRecord(this.RecordUniqueId, true);
                return;
            }
      
            // Since this is a row in the table, the data for this row is loaded by the 
            // LoadData method of the BaseImport_logTableControl when the data for the entire
            // table is loaded.
            this.DataSource = new Import_logRecord();
          
        }

        public override void DataBind()
        {
            // The DataBind method binds the user interface controls to the values
            // from the database record.  To do this, it calls the Set methods for 
            // each of the field displayed on the webpage.  It is better to make 
            // changes in the Set methods, rather than making changes here.
            
            base.DataBind();
            
            // Make sure that the DataSource is initialized.
            
            if (this.DataSource == null) {
                return;
            }
              

            // Call the Set methods for each of the user interface controls.
        
            SetDátum();
            SetEredeti_Betárolás_dátuma();
            SetEredeti_darab();
            SetEredeti_fuvarlevél_száma();
            SetEredeti_házi_fuvarlevél_száma();
            SetEredeti_mért_súly();
            SetEredeti_súly();
            SetÚj_Betárolás_dátuma();
            SetÚj_darab();
            SetÚj_fuvarlevél_száma();
            SetÚj_házi_fuvarlevél_száma();
            SetÚj_mért_súly();
            SetÚj_súly();

            this.IsNewRecord = true;
            if (this.DataSource.IsCreated) {
                this.IsNewRecord = false;
        
                this.RecordUniqueId = this.DataSource.GetID().ToXmlString();
            }

            

            // Now load data for each record and table child UI controls.
            // Ordering is important because child controls get 
            // their parent ids from their parent UI controls.
            bool shouldResetControl = false;
            if (shouldResetControl) { }; // prototype usage to void compiler warnings
            
        }

        
        public virtual void SetDátum()
        {
            // Set the Dátum Literal on the webpage with value from the
            // import_log database record.

            // this.DataSource is the import_log record retrieved from the database.
            // this.Dátum is the ASP:Literal on the webpage.
                  
            if (this.DataSource.DátumSpecified) {
                // If the Dátum is non-NULL, then format the value.
                // The Format method will use the Display Format
                string formattedValue = this.DataSource.Format(Import_logTable.Dátum, @"G");
                formattedValue = HttpUtility.HtmlEncode(formattedValue);
                this.Dátum.Text = formattedValue;
              
               
            } else {  
                // Dátum is NULL in the database, so use the Default Value.  
                // Default Value could also be NULL.
                this.Dátum.Text = Import_logTable.Dátum.Format(Import_logTable.Dátum.DefaultValue, @"G");
                            
            }
                    
        }
                
        public virtual void SetEredeti_Betárolás_dátuma()
        {
            // Set the Eredeti Betárolás dátuma Literal on the webpage with value from the
            // import_log database record.

            // this.DataSource is the import_log record retrieved from the database.
            // this.Eredeti_Betárolás_dátuma is the ASP:Literal on the webpage.
                  
            if (this.DataSource.Eredeti_Betárolás_dátumaSpecified) {
                // If the Eredeti Betárolás dátuma is non-NULL, then format the value.
                // The Format method will use the Display Format
                string formattedValue = this.DataSource.Format(Import_logTable.Eredeti_Betárolás_dátuma);
                formattedValue = HttpUtility.HtmlEncode(formattedValue);
                this.Eredeti_Betárolás_dátuma.Text = formattedValue;
              
               
            } else {  
                // Eredeti Betárolás dátuma is NULL in the database, so use the Default Value.  
                // Default Value could also be NULL.
                this.Eredeti_Betárolás_dátuma.Text = Import_logTable.Eredeti_Betárolás_dátuma.Format(Import_logTable.Eredeti_Betárolás_dátuma.DefaultValue);
                            
            }
                    
        }
                
        public virtual void SetEredeti_darab()
        {
            // Set the Eredeti darab Literal on the webpage with value from the
            // import_log database record.

            // this.DataSource is the import_log record retrieved from the database.
            // this.Eredeti_darab is the ASP:Literal on the webpage.
                  
            if (this.DataSource.Eredeti_darabSpecified) {
                // If the Eredeti darab is non-NULL, then format the value.
                // The Format method will use the Display Format
                string formattedValue = this.DataSource.Format(Import_logTable.Eredeti_darab);
                formattedValue = HttpUtility.HtmlEncode(formattedValue);
                this.Eredeti_darab.Text = formattedValue;
              
               
            } else {  
                // Eredeti darab is NULL in the database, so use the Default Value.  
                // Default Value could also be NULL.
                this.Eredeti_darab.Text = Import_logTable.Eredeti_darab.Format(Import_logTable.Eredeti_darab.DefaultValue);
                            
            }
                    
        }
                
        public virtual void SetEredeti_fuvarlevél_száma()
        {
            // Set the Eredeti fuvarlevél száma Literal on the webpage with value from the
            // import_log database record.

            // this.DataSource is the import_log record retrieved from the database.
            // this.Eredeti_fuvarlevél_száma is the ASP:Literal on the webpage.
                  
            if (this.DataSource.Eredeti_fuvarlevél_számaSpecified) {
                // If the Eredeti fuvarlevél száma is non-NULL, then format the value.
                // The Format method will use the Display Format
                string formattedValue = this.DataSource.Format(Import_logTable.Eredeti_fuvarlevél_száma);
                formattedValue = HttpUtility.HtmlEncode(formattedValue);
                this.Eredeti_fuvarlevél_száma.Text = formattedValue;
              
               
            } else {  
                // Eredeti fuvarlevél száma is NULL in the database, so use the Default Value.  
                // Default Value could also be NULL.
                this.Eredeti_fuvarlevél_száma.Text = Import_logTable.Eredeti_fuvarlevél_száma.Format(Import_logTable.Eredeti_fuvarlevél_száma.DefaultValue);
                            
            }
                    
        }
                
        public virtual void SetEredeti_házi_fuvarlevél_száma()
        {
            // Set the Eredeti házi fuvarlevél száma Literal on the webpage with value from the
            // import_log database record.

            // this.DataSource is the import_log record retrieved from the database.
            // this.Eredeti_házi_fuvarlevél_száma is the ASP:Literal on the webpage.
                  
            if (this.DataSource.Eredeti_házi_fuvarlevél_számaSpecified) {
                // If the Eredeti házi fuvarlevél száma is non-NULL, then format the value.
                // The Format method will use the Display Format
                string formattedValue = this.DataSource.Format(Import_logTable.Eredeti_házi_fuvarlevél_száma);
                formattedValue = HttpUtility.HtmlEncode(formattedValue);
                this.Eredeti_házi_fuvarlevél_száma.Text = formattedValue;
              
               
            } else {  
                // Eredeti házi fuvarlevél száma is NULL in the database, so use the Default Value.  
                // Default Value could also be NULL.
                this.Eredeti_házi_fuvarlevél_száma.Text = Import_logTable.Eredeti_házi_fuvarlevél_száma.Format(Import_logTable.Eredeti_házi_fuvarlevél_száma.DefaultValue);
                            
            }
                    
        }
                
        public virtual void SetEredeti_mért_súly()
        {
            // Set the Eredeti mért súly Literal on the webpage with value from the
            // import_log database record.

            // this.DataSource is the import_log record retrieved from the database.
            // this.Eredeti_mért_súly is the ASP:Literal on the webpage.
                  
            if (this.DataSource.Eredeti_mért_súlySpecified) {
                // If the Eredeti mért súly is non-NULL, then format the value.
                // The Format method will use the Display Format
                string formattedValue = this.DataSource.Format(Import_logTable.Eredeti_mért_súly);
                formattedValue = HttpUtility.HtmlEncode(formattedValue);
                this.Eredeti_mért_súly.Text = formattedValue;
              
               
            } else {  
                // Eredeti mért súly is NULL in the database, so use the Default Value.  
                // Default Value could also be NULL.
                this.Eredeti_mért_súly.Text = Import_logTable.Eredeti_mért_súly.Format(Import_logTable.Eredeti_mért_súly.DefaultValue);
                            
            }
                    
        }
                
        public virtual void SetEredeti_súly()
        {
            // Set the Eredeti súly Literal on the webpage with value from the
            // import_log database record.

            // this.DataSource is the import_log record retrieved from the database.
            // this.Eredeti_súly is the ASP:Literal on the webpage.
                  
            if (this.DataSource.Eredeti_súlySpecified) {
                // If the Eredeti súly is non-NULL, then format the value.
                // The Format method will use the Display Format
                string formattedValue = this.DataSource.Format(Import_logTable.Eredeti_súly);
                formattedValue = HttpUtility.HtmlEncode(formattedValue);
                this.Eredeti_súly.Text = formattedValue;
              
               
            } else {  
                // Eredeti súly is NULL in the database, so use the Default Value.  
                // Default Value could also be NULL.
                this.Eredeti_súly.Text = Import_logTable.Eredeti_súly.Format(Import_logTable.Eredeti_súly.DefaultValue);
                            
            }
                    
        }
                
        public virtual void SetÚj_Betárolás_dátuma()
        {
            // Set the Új Betárolás dátuma Literal on the webpage with value from the
            // import_log database record.

            // this.DataSource is the import_log record retrieved from the database.
            // this.Új_Betárolás_dátuma is the ASP:Literal on the webpage.
                  
            if (this.DataSource.Új_Betárolás_dátumaSpecified) {
                // If the Új Betárolás dátuma is non-NULL, then format the value.
                // The Format method will use the Display Format
                string formattedValue = this.DataSource.Format(Import_logTable.Új_Betárolás_dátuma);
                formattedValue = HttpUtility.HtmlEncode(formattedValue);
                this.Új_Betárolás_dátuma.Text = formattedValue;
              
               
            } else {  
                // Új Betárolás dátuma is NULL in the database, so use the Default Value.  
                // Default Value could also be NULL.
                this.Új_Betárolás_dátuma.Text = Import_logTable.Új_Betárolás_dátuma.Format(Import_logTable.Új_Betárolás_dátuma.DefaultValue);
                            
            }
                    
        }
                
        public virtual void SetÚj_darab()
        {
            // Set the Új darab Literal on the webpage with value from the
            // import_log database record.

            // this.DataSource is the import_log record retrieved from the database.
            // this.Új_darab is the ASP:Literal on the webpage.
                  
            if (this.DataSource.Új_darabSpecified) {
                // If the Új darab is non-NULL, then format the value.
                // The Format method will use the Display Format
                string formattedValue = this.DataSource.Format(Import_logTable.Új_darab);
                formattedValue = HttpUtility.HtmlEncode(formattedValue);
                this.Új_darab.Text = formattedValue;
              
               
            } else {  
                // Új darab is NULL in the database, so use the Default Value.  
                // Default Value could also be NULL.
                this.Új_darab.Text = Import_logTable.Új_darab.Format(Import_logTable.Új_darab.DefaultValue);
                            
            }
                    
        }
                
        public virtual void SetÚj_fuvarlevél_száma()
        {
            // Set the Új fuvarlevél száma Literal on the webpage with value from the
            // import_log database record.

            // this.DataSource is the import_log record retrieved from the database.
            // this.Új_fuvarlevél_száma is the ASP:Literal on the webpage.
                  
            if (this.DataSource.Új_fuvarlevél_számaSpecified) {
                // If the Új fuvarlevél száma is non-NULL, then format the value.
                // The Format method will use the Display Format
                string formattedValue = this.DataSource.Format(Import_logTable.Új_fuvarlevél_száma);
                formattedValue = HttpUtility.HtmlEncode(formattedValue);
                this.Új_fuvarlevél_száma.Text = formattedValue;
              
               
            } else {  
                // Új fuvarlevél száma is NULL in the database, so use the Default Value.  
                // Default Value could also be NULL.
                this.Új_fuvarlevél_száma.Text = Import_logTable.Új_fuvarlevél_száma.Format(Import_logTable.Új_fuvarlevél_száma.DefaultValue);
                            
            }
                    
        }
                
        public virtual void SetÚj_házi_fuvarlevél_száma()
        {
            // Set the Új házi fuvarlevél száma Literal on the webpage with value from the
            // import_log database record.

            // this.DataSource is the import_log record retrieved from the database.
            // this.Új_házi_fuvarlevél_száma is the ASP:Literal on the webpage.
                  
            if (this.DataSource.Új_házi_fuvarlevél_számaSpecified) {
                // If the Új házi fuvarlevél száma is non-NULL, then format the value.
                // The Format method will use the Display Format
                string formattedValue = this.DataSource.Format(Import_logTable.Új_házi_fuvarlevél_száma);
                formattedValue = HttpUtility.HtmlEncode(formattedValue);
                this.Új_házi_fuvarlevél_száma.Text = formattedValue;
              
               
            } else {  
                // Új házi fuvarlevél száma is NULL in the database, so use the Default Value.  
                // Default Value could also be NULL.
                this.Új_házi_fuvarlevél_száma.Text = Import_logTable.Új_házi_fuvarlevél_száma.Format(Import_logTable.Új_házi_fuvarlevél_száma.DefaultValue);
                            
            }
                    
        }
                
        public virtual void SetÚj_mért_súly()
        {
            // Set the Új mért súly Literal on the webpage with value from the
            // import_log database record.

            // this.DataSource is the import_log record retrieved from the database.
            // this.Új_mért_súly is the ASP:Literal on the webpage.
                  
            if (this.DataSource.Új_mért_súlySpecified) {
                // If the Új mért súly is non-NULL, then format the value.
                // The Format method will use the Display Format
                string formattedValue = this.DataSource.Format(Import_logTable.Új_mért_súly);
                formattedValue = HttpUtility.HtmlEncode(formattedValue);
                this.Új_mért_súly.Text = formattedValue;
              
               
            } else {  
                // Új mért súly is NULL in the database, so use the Default Value.  
                // Default Value could also be NULL.
                this.Új_mért_súly.Text = Import_logTable.Új_mért_súly.Format(Import_logTable.Új_mért_súly.DefaultValue);
                            
            }
                    
        }
                
        public virtual void SetÚj_súly()
        {
            // Set the Új súly Literal on the webpage with value from the
            // import_log database record.

            // this.DataSource is the import_log record retrieved from the database.
            // this.Új_súly is the ASP:Literal on the webpage.
                  
            if (this.DataSource.Új_súlySpecified) {
                // If the Új súly is non-NULL, then format the value.
                // The Format method will use the Display Format
                string formattedValue = this.DataSource.Format(Import_logTable.Új_súly);
                formattedValue = HttpUtility.HtmlEncode(formattedValue);
                this.Új_súly.Text = formattedValue;
              
               
            } else {  
                // Új súly is NULL in the database, so use the Default Value.  
                // Default Value could also be NULL.
                this.Új_súly.Text = Import_logTable.Új_súly.Format(Import_logTable.Új_súly.DefaultValue);
                            
            }
                    
        }
                

        public virtual void RegisterPostback()
        {
            
        }
    
        

        public virtual void SaveData()
        {
            // Saves the associated record in the database.
            // SaveData calls Validate and Get methods - so it may be more appropriate to
			// customize those methods.

            // 1. Load the existing record from the database. Since we save the entire record, this ensures 
            // that fields that are not displayed are also properly initialized.
            this.LoadData();
        Import_itemRecordControl import_itemRecordControlObj;
      import_itemRecordControlObj = (Import_itemRecordControl)this.Page.FindControlRecursively("Import_itemRecordControl");
          if (import_itemRecordControlObj != null && import_itemRecordControlObj.DataSource == null) {
                // Load the record if it is not loaded yet.
                import_itemRecordControlObj.LoadData();
            }
            if (import_itemRecordControlObj == null || import_itemRecordControlObj.DataSource == null) {
                // Get the error message from the application resource file.
                throw new Exception(Page.GetResourceValue("Err:NoParentRecId", "Warehouse"));
            }
            
            this.DataSource.import_id = import_itemRecordControlObj.DataSource.id0;
            
          
            // 2. Perform any custom validation.
            this.Validate();

            // 3. Set the values in the record with data from UI controls.
            // This calls the Get() method for each of the user interface controls.
            this.GetUIData();
   
            // 4. Save in the database.
            // We should not save the record if the data did not change. This
            // will save a database hit and avoid triggering any database triggers.
            if (this.DataSource.IsAnyValueChanged) {
                // Save record to database but do not commit yet.
                // Auto generated ids are available after saving for use by child (dependent) records.
                this.DataSource.Save();
    
				// Set the DataChanged flag to True for the for the related panels so they get refreshed as well.
                ((Import_logTableControl)MiscUtils.GetParentControlObject(this, "Import_logTableControl")).DataChanged = true;
                ((Import_logTableControl)MiscUtils.GetParentControlObject(this, "Import_logTableControl")).ResetData = true;
            }
            // Setting the DataChanged to True results in the page being refreshed with
			// the most recent data from the database.  This happens in PreRender event
            // based on the current sort, search and filter criteria.
            this.DataChanged = true;
            this.ResetData = true;
            
            // For Master-Detail relationships, save data on the Detail table(s)
              
        }

        public virtual void GetUIData()
        {
            // The GetUIData method retrieves the updated values from the user interface 
            // controls into a database record in preparation for saving or updating.
            // To do this, it calls the Get methods for each of the field displayed on 
            // the webpage.  It is better to make changes in the Get methods, rather 
            // than making changes here.
        
      
            // Call the Get methods for each of the user interface controls.
        
            GetDátum();
            GetEredeti_Betárolás_dátuma();
            GetEredeti_darab();
            GetEredeti_fuvarlevél_száma();
            GetEredeti_házi_fuvarlevél_száma();
            GetEredeti_mért_súly();
            GetEredeti_súly();
            GetÚj_Betárolás_dátuma();
            GetÚj_darab();
            GetÚj_fuvarlevél_száma();
            GetÚj_házi_fuvarlevél_száma();
            GetÚj_mért_súly();
            GetÚj_súly();
        }
        
        
        public virtual void GetDátum()
        {
            
        }
                
        public virtual void GetEredeti_Betárolás_dátuma()
        {
            
        }
                
        public virtual void GetEredeti_darab()
        {
            
        }
                
        public virtual void GetEredeti_fuvarlevél_száma()
        {
            
        }
                
        public virtual void GetEredeti_házi_fuvarlevél_száma()
        {
            
        }
                
        public virtual void GetEredeti_mért_súly()
        {
            
        }
                
        public virtual void GetEredeti_súly()
        {
            
        }
                
        public virtual void GetÚj_Betárolás_dátuma()
        {
            
        }
                
        public virtual void GetÚj_darab()
        {
            
        }
                
        public virtual void GetÚj_fuvarlevél_száma()
        {
            
        }
                
        public virtual void GetÚj_házi_fuvarlevél_száma()
        {
            
        }
                
        public virtual void GetÚj_mért_súly()
        {
            
        }
                
        public virtual void GetÚj_súly()
        {
            
        }
                

        public virtual WhereClause CreateWhereClause()
        {
        
            return null;
          
        }
        
        

        public virtual void Validate()
        {
            // Add custom validation for any control within this panel.
            // Example.  If you have a State ASP:Textbox control
            // If Me.State.Text <> "CA" Then
            //    Throw New Exception("State must be CA (California).")
            // End If

            // The Validate method is common across all controls within
            // this panel so you can validate multiple fields, but report
            // one error message.
        }

        public virtual void Delete()
        {
        
            if (this.IsNewRecord) {
                return;
            }

            KeyValue pkValue = KeyValue.XmlToKey(this.RecordUniqueId);
          Import_logTable.DeleteRecord(pkValue);
          
			  
            // Setting the DataChanged to True results in the page being refreshed with
			// the most recent data from the database.  This happens in PreRender event
            // based on the current sort, search and filter criteria.
            ((Import_logTableControl)MiscUtils.GetParentControlObject(this, "Import_logTableControl")).DataChanged = true;
            ((Import_logTableControl)MiscUtils.GetParentControlObject(this, "Import_logTableControl")).ResetData = true;
        }

        protected virtual void Control_PreRender(object sender, System.EventArgs e)
        {
			// PreRender event is raised just before page is being displayed.
            try {
                DbUtils.StartTransaction();
                this.RegisterPostback();
                if (!this.Page.ErrorOnPage && (this.Page.IsPageRefresh || this.DataChanged || this.ResetData)) {
					// Re-load the data and update the web page if necessary.
					// This is typically done during a postback (filter, search button, sort, pagination button).
					// In each of the other click handlers, simply set DataChanged to True to reload the data.
                    this.LoadData();
                    this.DataBind();
                }
            } catch (Exception ex) {
                BaseClasses.Utils.MiscUtils.RegisterJScriptAlert(this, "BUTTON_CLICK_MESSAGE", ex.Message);
            } finally {
                DbUtils.EndTransaction();
            }
        }
        
        
                
        protected override void LoadViewState(object savedState)
        {
            base.LoadViewState(savedState);
            string isNewRecord = (string)ViewState["IsNewRecord"];
            if (isNewRecord != null && isNewRecord.Length > 0) {
                this.IsNewRecord = Boolean.Parse(isNewRecord);
            }
        
            string myCheckSum = (string)ViewState["CheckSum"];
            if (myCheckSum != null && myCheckSum.Length > 0) {
                this.CheckSum = myCheckSum;
            }
        
        }

        protected override object SaveViewState()
        {
            ViewState["IsNewRecord"] = this.IsNewRecord.ToString();
            ViewState["CheckSum"] = this.CheckSum;
        
            return base.SaveViewState();
        }

        
  
        private bool _IsNewRecord = true;
        public virtual bool IsNewRecord {
            get {
                return this._IsNewRecord;
            }
            set {
                this._IsNewRecord = value;
            }
        }

        private bool _DataChanged = false;
        public virtual bool DataChanged {
            get {
                return this._DataChanged;
            }
            set {
                this._DataChanged = value;
            }
        }

        private bool _ResetData = false;
        public virtual bool ResetData {
            get {
                return (this._ResetData);
            }
            set {
                this._ResetData = value;
            }
        }
        
        public String RecordUniqueId {
            get {
                return (string)this.ViewState["BaseImport_logTableControlRow_Rec"];
            }
            set {
                this.ViewState["BaseImport_logTableControlRow_Rec"] = value;
            }
        }
        
        private Import_logRecord _DataSource;
        public Import_logRecord DataSource {
            get {
                return (this._DataSource);
            }
            set {
                this._DataSource = value;
            }
        }

        private string _checkSum;
        public virtual string CheckSum {
            get {
                return (this._checkSum);
            }
            set {
                this._checkSum = value;
            }
        }
    
        private int _TotalPages;
        public virtual int TotalPages {
            get {
                return (this._TotalPages);
            }
            set {
                this._TotalPages = value;
            }
        }
        
        private int _PageIndex;
        public virtual int PageIndex {
            get {
                return (this._PageIndex);
            }
            set {
                this._PageIndex = value;
            }
        }
        
        private bool _DisplayLastPage;
        public virtual bool DisplayLastPage {
            get {
                return (this._DisplayLastPage);
            }
            set {
                this._DisplayLastPage = value;
            }
        }
        
        
    
        private KeyValue selectedParentKeyValue;
        public KeyValue SelectedParentKeyValue
        {
            get
            {
                return this.selectedParentKeyValue;
            }
            set
            {
                this.selectedParentKeyValue = value;
            }
        }
       
#region "Helper Properties"
        
        public System.Web.UI.WebControls.Literal Dátum {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Dátum");
            }
        }
            
        public System.Web.UI.WebControls.Literal Eredeti_Betárolás_dátuma {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Eredeti_Betárolás_dátuma");
            }
        }
            
        public System.Web.UI.WebControls.Literal Eredeti_darab {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Eredeti_darab");
            }
        }
            
        public System.Web.UI.WebControls.Literal Eredeti_fuvarlevél_száma {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Eredeti_fuvarlevél_száma");
            }
        }
            
        public System.Web.UI.WebControls.Literal Eredeti_házi_fuvarlevél_száma {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Eredeti_házi_fuvarlevél_száma");
            }
        }
            
        public System.Web.UI.WebControls.Literal Eredeti_mért_súly {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Eredeti_mért_súly");
            }
        }
            
        public System.Web.UI.WebControls.Literal Eredeti_súly {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Eredeti_súly");
            }
        }
            
        public System.Web.UI.WebControls.Literal Új_Betárolás_dátuma {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Új_Betárolás_dátuma");
            }
        }
            
        public System.Web.UI.WebControls.Literal Új_darab {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Új_darab");
            }
        }
            
        public System.Web.UI.WebControls.Literal Új_fuvarlevél_száma {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Új_fuvarlevél_száma");
            }
        }
            
        public System.Web.UI.WebControls.Literal Új_házi_fuvarlevél_száma {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Új_házi_fuvarlevél_száma");
            }
        }
            
        public System.Web.UI.WebControls.Literal Új_mért_súly {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Új_mért_súly");
            }
        }
            
        public System.Web.UI.WebControls.Literal Új_súly {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Új_súly");
            }
        }
            
#endregion

#region "Helper Functions"
        public override string ModifyRedirectUrl(string url, string arg, bool bEncrypt)
        {
            return this.Page.EvaluateExpressions(url, arg, bEncrypt, this);
        }

        public override string EvaluateExpressions(string url, string arg, bool bEncrypt)
        {
            Import_logRecord rec = null;
            try {
                rec = this.GetRecord();
            }
            catch (Exception ) {
                // Do Nothing
            }
            
            if (rec == null && url.IndexOf("{") >= 0) {
                // Localization.
                
                throw new Exception(Page.GetResourceValue("Err:RecDataSrcNotInitialized", "Warehouse"));
                    
            }
            return EvaluateExpressions(url, arg, rec, bEncrypt);
        }

        public virtual Import_logRecord GetRecord()
        {
        
            if (this.DataSource != null) {
                return this.DataSource;
            }
            
            if (this.RecordUniqueId != null) {
                return Import_logTable.GetRecord(this.RecordUniqueId, true);
            }
            
            // Localization.
            
            return null;
                
        }

        public new BaseApplicationPage Page
        {
            get {
                return ((BaseApplicationPage)base.Page);
            }
        }

#endregion

}

  
// Base class for the Import_logTableControl control on the EditImport_itemPage page.
// Do not modify this class. Instead override any method in Import_logTableControl.
public class BaseImport_logTableControl : Warehouse.UI.BaseApplicationTableControl
{
        public BaseImport_logTableControl()
        {
            this.Init += new EventHandler(Control_Init);
            this.Load += new EventHandler(Control_Load);
            this.PreRender += new EventHandler(Control_PreRender);
        }

        protected virtual void Control_Init(object sender, System.EventArgs e)
        {
	
            // Setup the filter and search events.
        
            // Control Initializations.
            // Initialize the table's current sort order.
            if (this.InSession(this, "Order_By")) {
                this.CurrentSortOrder = OrderBy.FromXmlString(this.GetFromSession(this, "Order_By", null));
            } else {
                this.CurrentSortOrder = new OrderBy(true, true);
        
            }

            // Setup default pagination settings.
    
            this.PageSize = Convert.ToInt32(this.GetFromSession(this, "Page_Size", "100"));
            this.PageIndex = Convert.ToInt32(this.GetFromSession(this, "Page_Index", "0"));
            this.ClearControlsFromSession();
        }

        protected virtual void Control_Load(object sender, EventArgs e)
        {
        
		  // Setup the pagination events.
		  
              this.Import_logPagination.FirstPage.Click += new ImageClickEventHandler(Import_logPagination_FirstPage_Click);
        
              this.Import_logPagination.LastPage.Click += new ImageClickEventHandler(Import_logPagination_LastPage_Click);
        
              this.Import_logPagination.NextPage.Click += new ImageClickEventHandler(Import_logPagination_NextPage_Click);
        
              this.Import_logPagination.PageSizeButton.Click += new EventHandler(Import_logPagination_PageSizeButton_Click);
            
              this.Import_logPagination.PreviousPage.Click += new ImageClickEventHandler(Import_logPagination_PreviousPage_Click);
        
		  // Setup the sorting events.
		  
              this.DátumLabel1.Click += new EventHandler(DátumLabel1_Click);
            
              this.Eredeti_Betárolás_dátumaLabel.Click += new EventHandler(Eredeti_Betárolás_dátumaLabel_Click);
            
              this.Eredeti_darabLabel.Click += new EventHandler(Eredeti_darabLabel_Click);
            
              this.Eredeti_fuvarlevél_számaLabel.Click += new EventHandler(Eredeti_fuvarlevél_számaLabel_Click);
            
              this.Eredeti_házi_fuvarlevél_számaLabel.Click += new EventHandler(Eredeti_házi_fuvarlevél_számaLabel_Click);
            
              this.Eredeti_mért_súlyLabel.Click += new EventHandler(Eredeti_mért_súlyLabel_Click);
            
              this.Eredeti_súlyLabel.Click += new EventHandler(Eredeti_súlyLabel_Click);
            
              this.Új_Betárolás_dátumaLabel.Click += new EventHandler(Új_Betárolás_dátumaLabel_Click);
            
              this.Új_darabLabel.Click += new EventHandler(Új_darabLabel_Click);
            
              this.Új_fuvarlevél_számaLabel.Click += new EventHandler(Új_fuvarlevél_számaLabel_Click);
            
              this.Új_házi_fuvarlevél_számaLabel.Click += new EventHandler(Új_házi_fuvarlevél_számaLabel_Click);
            
              this.Új_mért_súlyLabel.Click += new EventHandler(Új_mért_súlyLabel_Click);
            
              this.Új_súlyLabel.Click += new EventHandler(Új_súlyLabel_Click);
            
		  // Setup the button events.
		  
        }

        public virtual void LoadData()
        {
            // Read data from database. Returns an array of records that can be assigned
            // to the DataSource table control property.
            try {
                // The WHERE clause will be empty when displaying all records in table.
                WhereClause wc = CreateWhereClause();
                if (wc != null && !wc.RunQuery) {
                    // Initialize an empty array of records
                    ArrayList alist = new ArrayList(0);
                    this.DataSource = (Import_logRecord[])(alist.ToArray(Type.GetType("Warehouse.Business.Import_logRecord")));
                    // Add records to the list if needed.
                    this.AddNewRecords();
                    return;
                }

                // Call OrderBy to determine the order - either use the order defined
                // on the Query Wizard, or specified by user (by clicking on column heading)
                OrderBy orderBy = CreateOrderBy();

                // Get the pagesize from the pagesize control.
                this.GetPageSize();

                // Get the total number of records to be displayed.
                this.TotalRecords = Import_logTable.GetRecordCount(wc);

                // Make sure PageIndex (current page) is within bounds.
                if (this.TotalPages <= 0 || this.PageIndex < 0) {
                    this.PageIndex = 0;
                }
                else if (this.DisplayLastPage || this.PageIndex >= this.TotalPages) {
                    this.PageIndex = this.TotalPages - 1;
                }

                // Retrieve the records and set the table DataSource.
                // Only PageSize records are fetched starting at PageIndex (zero based).
                if (this.TotalRecords <= 0) {
                    // No records matching query. Initialize an empty array of records
                    ArrayList alist = new ArrayList(0);
                    this.DataSource = (Import_logRecord[])(alist.ToArray(Type.GetType("Warehouse.Business.Import_logRecord")));
                }
                else if (this.AddNewRecord > 0) {
                    // Make sure to preserve the previously entered data on new rows.
                    ArrayList postdata = new ArrayList(0);
                    foreach (Import_logTableControlRow rc in this.GetRecordControls()) {
                        if (!rc.IsNewRecord) {
                            rc.DataSource = rc.GetRecord();
                            rc.GetUIData();
                            postdata.Add(rc.DataSource);
                        }
                    }
                    this.DataSource = (Import_logRecord[])(postdata.ToArray(Type.GetType("Warehouse.Business.Import_logRecord")));
                } 
                else {
                    // Get the records from the database
                    this.DataSource = Import_logTable.GetRecords(wc, orderBy, this.PageIndex, this.PageSize);
                }
                // Add any new rows desired by the user.
                this.AddNewRecords();
            

                // Initialize the page and grand totals. now
            
            } catch (Exception ex) {
                throw ex;
            }
        }

        public override void DataBind()
        {
            // The DataBind method binds the user interface controls to the values
            // from the database record for each row in the table.  To do this, it calls the
            // DataBind for each of the rows.
            // DataBind also populates any filters above the table, and sets the pagination
            // control to the correct number of records and the current page number.
            
            base.DataBind();
            
            // Make sure that the DataSource is initialized.
            if (this.DataSource == null) {
                return;
            }
           
        

            // Setup the pagination controls.
            BindPaginationControls();

            // Populate all filters data.
        

            // Bind the repeater with the list of records to expand the UI.
            System.Web.UI.WebControls.Repeater rep = (System.Web.UI.WebControls.Repeater)(this.FindControl("Import_logTableControlRepeater"));
            if (rep == null){return;}
            rep.DataSource = this.DataSource;
            rep.DataBind();

            int index = 0;
            foreach (System.Web.UI.WebControls.RepeaterItem repItem in rep.Items)
            {
                // Loop through all rows in the table, set its DataSource and call DataBind().
                Import_logTableControlRow recControl = (Import_logTableControlRow)(repItem.FindControl("Import_logTableControlRow"));
                recControl.DataSource = this.DataSource[index];
                recControl.DataBind();
                recControl.Visible = !this.InDeletedRecordIds(recControl);
                index++;
            }

        
            // setting the state of expand or collapse alternative rows
      
            // Load data for each record and table UI control.
            // Ordering is important because child controls get 
            // their parent ids from their parent UI controls.
                
        }

         

        public virtual void RegisterPostback()
        {
                
        }
        
        
        public virtual void ResetControl()
        {
            
            this.CurrentSortOrder.Reset();
            if (this.InSession(this, "Order_By")) {
                this.CurrentSortOrder = OrderBy.FromXmlString(this.GetFromSession(this, "Order_By", null));
            }
            else {
                this.CurrentSortOrder = new OrderBy(true, true);
            
            }
                
            this.PageIndex = 0;
        }
        
        
        protected virtual void BindPaginationControls()
        {
            // Setup the pagination controls.

            // Bind the buttons for Import_logTableControl pagination.
        
            this.Import_logPagination.FirstPage.Enabled = !(this.PageIndex == 0);
            this.Import_logPagination.LastPage.Enabled = !(this.PageIndex == this.TotalPages - 1);
            if (this.TotalPages == 0) {
                this.Import_logPagination.LastPage.Enabled = false;
            }
          
            this.Import_logPagination.NextPage.Enabled = !(this.PageIndex == this.TotalPages - 1);
            if (this.TotalPages == 0) {
                this.Import_logPagination.NextPage.Enabled = false;
            }
          
            this.Import_logPagination.PreviousPage.Enabled = !(this.PageIndex == 0);

            // Bind the pagination labels.
        
            if (this.TotalPages > 0) {
                this.Import_logPagination.CurrentPage.Text = (this.PageIndex + 1).ToString();
            } else {
                this.Import_logPagination.CurrentPage.Text = "0";
            }
            this.Import_logPagination.PageSize.Text = this.PageSize.ToString();
            this.Import_logPagination.TotalItems.Text = this.TotalRecords.ToString();
            this.Import_logPagination.TotalPages.Text = this.TotalPages.ToString();
        }

        public virtual void SaveData()
        {
            // Save the data from the entire table.  Calls each row's Save Data
            // to save their data.  This function is called by the Click handler of the
            // Save button.  The button handler should Start/Commit/End a transaction.
            
            foreach (Import_logTableControlRow recCtl in this.GetRecordControls())
            {
        
                if (this.InDeletedRecordIds(recCtl)) {
                    // Delete any pending deletes. 
                    recCtl.Delete();
                }
                else {
                    if (recCtl.Visible) {
                        recCtl.SaveData();
                    }
                }
          
            }

            // Setting the DataChanged to True results in the page being refreshed with
			// the most recent data from the database.  This happens in PreRender event
            // based on the current sort, search and filter criteria.
            this.DataChanged = true;
            this.ResetData = true;
          
            // Set IsNewRecord to False for all records - since everything has been saved and is no longer "new"
            foreach (Import_logTableControlRow recCtl in this.GetRecordControls()){
                recCtl.IsNewRecord = false;
            }
      
            // Set DeletedRecordsIds to Nothing since we have deleted all pending deletes.
            this.DeletedRecordIds = null;
      
        }
        
        public virtual OrderBy CreateOrderBy()
        {
            // The CurrentSortOrder is initialized to the sort order on the 
            // Query Wizard.  It may be modified by the Click handler for any of
            // the column heading to sort or reverse sort by that column.
            // You can add your own sort order, or modify it on the Query Wizard.
            return this.CurrentSortOrder;
        }
        
        private string parentSelectedKeyValue;
        public string ParentSelectedKeyValue
        {
          get
          {
            return parentSelectedKeyValue;
          }
          set
          {
            parentSelectedKeyValue = value;
          }
        }

        public virtual WhereClause CreateWhereClause()
        {
            // This CreateWhereClause is used for loading the data.
            Import_logTable.Instance.InnerFilter = null;
            WhereClause wc = new WhereClause();
            // CreateWhereClause() Compose the WHERE clause consiting of:
            // 1. Static clause defined at design time.
            // 2. User selected search criteria.
            // 3. User selected filter criteria.
            
        
          KeyValue selectedRecordKeyValue = new KeyValue();
        Import_itemRecordControl import_itemRecordControlObj = (MiscUtils.FindControlRecursively(this.Page , "Import_itemRecordControl") as Import_itemRecordControl);
              
                if (import_itemRecordControlObj != null && import_itemRecordControlObj.GetRecord() != null)
                {
                    wc.iAND(Import_logTable.import_id, BaseFilter.ComparisonOperator.EqualsTo, import_itemRecordControlObj.GetRecord().id0.ToString());
                    selectedRecordKeyValue.AddElement(Import_logTable.import_id.InternalName, import_itemRecordControlObj.GetRecord().id0.ToString());
                }    
                else
                {
                    wc.RunQuery = false;
                    return wc;                    
                }              
                
              
          HttpContext.Current.Session["Import_logTableControlWhereClause"] = selectedRecordKeyValue.ToXmlString();
        
            return (wc);
        }
        
         
    
        protected virtual void GetPageSize()
        {
        
            if (this.Import_logPagination.PageSize.Text.Length > 0) {
                try {
                    // this.PageSize = Convert.ToInt32(this.Import_logPagination.PageSize.Text);
                } catch (Exception ) {
                }
            }
        }

        protected virtual void AddNewRecords()
        {
            ArrayList newRecordList = new ArrayList();

            // Loop though all the record controls and if the record control
            // does not have a unique record id set, then create a record
            // and add to the list.
            if (!this.ResetData)
            {
                System.Web.UI.WebControls.Repeater rep = (System.Web.UI.WebControls.Repeater)(this.FindControl("Import_logTableControlRepeater"));
                if (rep == null){return;}

                foreach (System.Web.UI.WebControls.RepeaterItem repItem in rep.Items)
                {
                    // Loop through all rows in the table, set its DataSource and call DataBind().
                    Import_logTableControlRow recControl = (Import_logTableControlRow)(repItem.FindControl("Import_logTableControlRow"));

                    if (recControl.Visible && recControl.IsNewRecord) {
                        Import_logRecord rec = new Import_logRecord();
        
                        if (recControl.Dátum.Text != "") {
                            rec.Parse(recControl.Dátum.Text, Import_logTable.Dátum);
                  }
                
                        if (recControl.Eredeti_Betárolás_dátuma.Text != "") {
                            rec.Parse(recControl.Eredeti_Betárolás_dátuma.Text, Import_logTable.Eredeti_Betárolás_dátuma);
                  }
                
                        if (recControl.Eredeti_darab.Text != "") {
                            rec.Parse(recControl.Eredeti_darab.Text, Import_logTable.Eredeti_darab);
                  }
                
                        if (recControl.Eredeti_fuvarlevél_száma.Text != "") {
                            rec.Parse(recControl.Eredeti_fuvarlevél_száma.Text, Import_logTable.Eredeti_fuvarlevél_száma);
                  }
                
                        if (recControl.Eredeti_házi_fuvarlevél_száma.Text != "") {
                            rec.Parse(recControl.Eredeti_házi_fuvarlevél_száma.Text, Import_logTable.Eredeti_házi_fuvarlevél_száma);
                  }
                
                        if (recControl.Eredeti_mért_súly.Text != "") {
                            rec.Parse(recControl.Eredeti_mért_súly.Text, Import_logTable.Eredeti_mért_súly);
                  }
                
                        if (recControl.Eredeti_súly.Text != "") {
                            rec.Parse(recControl.Eredeti_súly.Text, Import_logTable.Eredeti_súly);
                  }
                
                        if (recControl.Új_Betárolás_dátuma.Text != "") {
                            rec.Parse(recControl.Új_Betárolás_dátuma.Text, Import_logTable.Új_Betárolás_dátuma);
                  }
                
                        if (recControl.Új_darab.Text != "") {
                            rec.Parse(recControl.Új_darab.Text, Import_logTable.Új_darab);
                  }
                
                        if (recControl.Új_fuvarlevél_száma.Text != "") {
                            rec.Parse(recControl.Új_fuvarlevél_száma.Text, Import_logTable.Új_fuvarlevél_száma);
                  }
                
                        if (recControl.Új_házi_fuvarlevél_száma.Text != "") {
                            rec.Parse(recControl.Új_házi_fuvarlevél_száma.Text, Import_logTable.Új_házi_fuvarlevél_száma);
                  }
                
                        if (recControl.Új_mért_súly.Text != "") {
                            rec.Parse(recControl.Új_mért_súly.Text, Import_logTable.Új_mért_súly);
                  }
                
                        if (recControl.Új_súly.Text != "") {
                            rec.Parse(recControl.Új_súly.Text, Import_logTable.Új_súly);
                  }
                
                        newRecordList.Add(rec);
                    }
                }
            }

            // Add any new record to the list.
            for (int count = 1; count <= this.AddNewRecord; count++) {
                newRecordList.Insert(0, new Import_logRecord());
            }
            this.AddNewRecord = 0;

            // Finally, add any new records to the DataSource.
            if (newRecordList.Count > 0) {
                ArrayList finalList = new ArrayList(this.DataSource);
                finalList.InsertRange(0, newRecordList);

                this.DataSource = (Import_logRecord[])(finalList.ToArray(Type.GetType("Warehouse.Business.Import_logRecord")));
            }
        }

        
        public void AddToDeletedRecordIds(Import_logTableControlRow rec)
        {
            if (rec.IsNewRecord) {
                return;
            }

            if (this.DeletedRecordIds != null && this.DeletedRecordIds.Length > 0) {
                this.DeletedRecordIds += ",";
            }

            this.DeletedRecordIds += "[" + rec.RecordUniqueId + "]";
        }

        protected virtual bool InDeletedRecordIds(Import_logTableControlRow rec)            
        {
            if (this.DeletedRecordIds == null || this.DeletedRecordIds.Length == 0) {
                return (false);
            }

            return (this.DeletedRecordIds.IndexOf("[" + rec.RecordUniqueId + "]") >= 0);
        }

        private String _DeletedRecordIds;
        public String DeletedRecordIds {
            get {
                return (this._DeletedRecordIds);
            }
            set {
                this._DeletedRecordIds = value;
            }
        }
        
        protected virtual void Control_PreRender(object sender, System.EventArgs e)
        {
			// PreRender event is raised just before page is being displayed.
            try {
                DbUtils.StartTransaction();
                this.RegisterPostback();
                if (!this.Page.ErrorOnPage && (this.Page.IsPageRefresh || this.DataChanged || this.ResetData)) {
					// Re-load the data and update the web page if necessary.
					// This is typically done during a postback (filter, search button, sort, pagination button).
					// In each of the other click handlers, simply set DataChanged to True to reload the data.
                    this.LoadData();
                    this.DataBind();
                }
                
            } catch (Exception ex) {
                BaseClasses.Utils.MiscUtils.RegisterJScriptAlert(this, "BUTTON_CLICK_MESSAGE", ex.Message);
            } finally {
                DbUtils.EndTransaction();
            }
        }
        
        protected override void SaveControlsToSession()
        {
            base.SaveControlsToSession();
            // Save filter controls to values to session.
        
            
            // Save table control properties to the session.
            if (this.CurrentSortOrder != null) {
                this.SaveToSession(this, "Order_By", this.CurrentSortOrder.ToXmlString());
            }
            this.SaveToSession(this, "Page_Index", this.PageIndex.ToString());
            this.SaveToSession(this, "Page_Size", this.PageSize.ToString());
        
            this.SaveToSession(this, "DeletedRecordIds", this.DeletedRecordIds);
        
        }
        
        
        
        protected override void ClearControlsFromSession()
        {
            base.ClearControlsFromSession();
            // Clear filter controls values from the session.
        
            
            // Clear table properties from the session.
            this.RemoveFromSession(this, "Order_By");
            this.RemoveFromSession(this, "Page_Index");
            this.RemoveFromSession(this, "Page_Size");
            
            this.RemoveFromSession(this, "DeletedRecordIds");
            
        }

        protected override void LoadViewState(object savedState)
        {
            base.LoadViewState(savedState);

            string orderByStr = (string)ViewState["Import_logTableControl_OrderBy"];
            if (orderByStr != null && orderByStr.Length > 0) {
                this.CurrentSortOrder = BaseClasses.Data.OrderBy.FromXmlString(orderByStr);
            }
            else {
                this.CurrentSortOrder = new OrderBy(true, true);
            }

            if (ViewState["Page_Index"] != null) {
                this.PageIndex = (int)ViewState["Page_Index"];
            }

            if (ViewState["Page_Size"] != null) {
                this.PageSize = (int)ViewState["Page_Size"];
            }
        
            this.DeletedRecordIds = (string)this.ViewState["DeletedRecordIds"];
        
        }

        protected override object SaveViewState()
        {            
            if (this.CurrentSortOrder != null) {
                this.ViewState["Import_logTableControl_OrderBy"] = this.CurrentSortOrder.ToXmlString();
            }
            
            this.ViewState["Page_Index"] = this.PageIndex;
            this.ViewState["Page_Size"] = this.PageSize;
        
            this.ViewState["DeletedRecordIds"] = this.DeletedRecordIds;
        
            return (base.SaveViewState());
        }
        
        // Generate the event handling functions for pagination events.
        
        // event handler for ImageButton
        public virtual void Import_logPagination_FirstPage_Click(object sender, ImageClickEventArgs args)
        {
        
            try {
                
            this.PageIndex = 0;
            this.DataChanged = true;
      
            } catch (Exception ex) {
                  this.Page.ErrorOnPage = true;
      
			// Report the error message to the end user
            BaseClasses.Utils.MiscUtils.RegisterJScriptAlert(this, "BUTTON_CLICK_MESSAGE", ex.Message);
          
            } finally {
    
            }
    
        }
                    
        // event handler for ImageButton
        public virtual void Import_logPagination_LastPage_Click(object sender, ImageClickEventArgs args)
        {
        
            try {
                
            this.DisplayLastPage = true;
            this.DataChanged = true;
      
            } catch (Exception ex) {
                  this.Page.ErrorOnPage = true;
      
			// Report the error message to the end user
            BaseClasses.Utils.MiscUtils.RegisterJScriptAlert(this, "BUTTON_CLICK_MESSAGE", ex.Message);
          
            } finally {
    
            }
    
        }
                    
        // event handler for ImageButton
        public virtual void Import_logPagination_NextPage_Click(object sender, ImageClickEventArgs args)
        {
        
            try {
                
            this.PageIndex += 1;
            this.DataChanged = true;
      
            } catch (Exception ex) {
                  this.Page.ErrorOnPage = true;
      
			// Report the error message to the end user
            BaseClasses.Utils.MiscUtils.RegisterJScriptAlert(this, "BUTTON_CLICK_MESSAGE", ex.Message);
          
            } finally {
    
            }
    
        }
                    
        // event handler for LinkButton
        public virtual void Import_logPagination_PageSizeButton_Click(object sender, EventArgs args)
        {
        
            try {
                
            this.DataChanged = true;
      
            this.PageSize = Convert.ToInt32(this.Import_logPagination.PageSize.Text);
      
            this.PageIndex = Convert.ToInt32(this.Import_logPagination.CurrentPage.Text) - 1;
      
            } catch (Exception ex) {
                  this.Page.ErrorOnPage = true;
      
			// Report the error message to the end user
            BaseClasses.Utils.MiscUtils.RegisterJScriptAlert(this, "BUTTON_CLICK_MESSAGE", ex.Message);
          
            } finally {
    
            }
    
        }
            
        // event handler for ImageButton
        public virtual void Import_logPagination_PreviousPage_Click(object sender, ImageClickEventArgs args)
        {
        
            try {
                
            if (this.PageIndex > 0) {
                this.PageIndex -= 1;
                this.DataChanged = true;
            }
      
            } catch (Exception ex) {
                  this.Page.ErrorOnPage = true;
      
			// Report the error message to the end user
            BaseClasses.Utils.MiscUtils.RegisterJScriptAlert(this, "BUTTON_CLICK_MESSAGE", ex.Message);
          
            } finally {
    
            }
    
        }
                    

        // Generate the event handling functions for sorting events.
        
        public virtual void DátumLabel1_Click(object sender, EventArgs args)
        {
            //Sorts by Dátum when clicked.
              
            // Get previous sorting state for Dátum.
            OrderByItem sd = this.CurrentSortOrder.Find(Import_logTable.Dátum);
            if (sd == null) {
                // First time sort, so add sort order for Dátum.
                this.CurrentSortOrder.Reset();
                this.CurrentSortOrder.Add(Import_logTable.Dátum, OrderByItem.OrderDir.Asc);
            } else {
                // Previously sorted by Dátum, so just reverse.
                sd.Reverse();
            }

            // Setting the DataChanged to True results in the page being refreshed with
			// the most recent data from the database.  This happens in PreRender event
            // based on the current sort, search and filter criteria.
            this.DataChanged = true;
              
        }
            
        public virtual void Eredeti_Betárolás_dátumaLabel_Click(object sender, EventArgs args)
        {
            //Sorts by Eredeti Betárolás dátuma when clicked.
              
            // Get previous sorting state for Eredeti Betárolás dátuma.
            OrderByItem sd = this.CurrentSortOrder.Find(Import_logTable.Eredeti_Betárolás_dátuma);
            if (sd == null) {
                // First time sort, so add sort order for Eredeti Betárolás dátuma.
                this.CurrentSortOrder.Reset();
                this.CurrentSortOrder.Add(Import_logTable.Eredeti_Betárolás_dátuma, OrderByItem.OrderDir.Asc);
            } else {
                // Previously sorted by Eredeti Betárolás dátuma, so just reverse.
                sd.Reverse();
            }

            // Setting the DataChanged to True results in the page being refreshed with
			// the most recent data from the database.  This happens in PreRender event
            // based on the current sort, search and filter criteria.
            this.DataChanged = true;
              
        }
            
        public virtual void Eredeti_darabLabel_Click(object sender, EventArgs args)
        {
            //Sorts by Eredeti darab when clicked.
              
            // Get previous sorting state for Eredeti darab.
            OrderByItem sd = this.CurrentSortOrder.Find(Import_logTable.Eredeti_darab);
            if (sd == null) {
                // First time sort, so add sort order for Eredeti darab.
                this.CurrentSortOrder.Reset();
                this.CurrentSortOrder.Add(Import_logTable.Eredeti_darab, OrderByItem.OrderDir.Asc);
            } else {
                // Previously sorted by Eredeti darab, so just reverse.
                sd.Reverse();
            }

            // Setting the DataChanged to True results in the page being refreshed with
			// the most recent data from the database.  This happens in PreRender event
            // based on the current sort, search and filter criteria.
            this.DataChanged = true;
              
        }
            
        public virtual void Eredeti_fuvarlevél_számaLabel_Click(object sender, EventArgs args)
        {
            //Sorts by Eredeti fuvarlevél száma when clicked.
              
            // Get previous sorting state for Eredeti fuvarlevél száma.
            OrderByItem sd = this.CurrentSortOrder.Find(Import_logTable.Eredeti_fuvarlevél_száma);
            if (sd == null) {
                // First time sort, so add sort order for Eredeti fuvarlevél száma.
                this.CurrentSortOrder.Reset();
                this.CurrentSortOrder.Add(Import_logTable.Eredeti_fuvarlevél_száma, OrderByItem.OrderDir.Asc);
            } else {
                // Previously sorted by Eredeti fuvarlevél száma, so just reverse.
                sd.Reverse();
            }

            // Setting the DataChanged to True results in the page being refreshed with
			// the most recent data from the database.  This happens in PreRender event
            // based on the current sort, search and filter criteria.
            this.DataChanged = true;
              
        }
            
        public virtual void Eredeti_házi_fuvarlevél_számaLabel_Click(object sender, EventArgs args)
        {
            //Sorts by Eredeti házi fuvarlevél száma when clicked.
              
            // Get previous sorting state for Eredeti házi fuvarlevél száma.
            OrderByItem sd = this.CurrentSortOrder.Find(Import_logTable.Eredeti_házi_fuvarlevél_száma);
            if (sd == null) {
                // First time sort, so add sort order for Eredeti házi fuvarlevél száma.
                this.CurrentSortOrder.Reset();
                this.CurrentSortOrder.Add(Import_logTable.Eredeti_házi_fuvarlevél_száma, OrderByItem.OrderDir.Asc);
            } else {
                // Previously sorted by Eredeti házi fuvarlevél száma, so just reverse.
                sd.Reverse();
            }

            // Setting the DataChanged to True results in the page being refreshed with
			// the most recent data from the database.  This happens in PreRender event
            // based on the current sort, search and filter criteria.
            this.DataChanged = true;
              
        }
            
        public virtual void Eredeti_mért_súlyLabel_Click(object sender, EventArgs args)
        {
            //Sorts by Eredeti mért súly when clicked.
              
            // Get previous sorting state for Eredeti mért súly.
            OrderByItem sd = this.CurrentSortOrder.Find(Import_logTable.Eredeti_mért_súly);
            if (sd == null) {
                // First time sort, so add sort order for Eredeti mért súly.
                this.CurrentSortOrder.Reset();
                this.CurrentSortOrder.Add(Import_logTable.Eredeti_mért_súly, OrderByItem.OrderDir.Asc);
            } else {
                // Previously sorted by Eredeti mért súly, so just reverse.
                sd.Reverse();
            }

            // Setting the DataChanged to True results in the page being refreshed with
			// the most recent data from the database.  This happens in PreRender event
            // based on the current sort, search and filter criteria.
            this.DataChanged = true;
              
        }
            
        public virtual void Eredeti_súlyLabel_Click(object sender, EventArgs args)
        {
            //Sorts by Eredeti súly when clicked.
              
            // Get previous sorting state for Eredeti súly.
            OrderByItem sd = this.CurrentSortOrder.Find(Import_logTable.Eredeti_súly);
            if (sd == null) {
                // First time sort, so add sort order for Eredeti súly.
                this.CurrentSortOrder.Reset();
                this.CurrentSortOrder.Add(Import_logTable.Eredeti_súly, OrderByItem.OrderDir.Asc);
            } else {
                // Previously sorted by Eredeti súly, so just reverse.
                sd.Reverse();
            }

            // Setting the DataChanged to True results in the page being refreshed with
			// the most recent data from the database.  This happens in PreRender event
            // based on the current sort, search and filter criteria.
            this.DataChanged = true;
              
        }
            
        public virtual void Új_Betárolás_dátumaLabel_Click(object sender, EventArgs args)
        {
            //Sorts by Új Betárolás dátuma when clicked.
              
            // Get previous sorting state for Új Betárolás dátuma.
            OrderByItem sd = this.CurrentSortOrder.Find(Import_logTable.Új_Betárolás_dátuma);
            if (sd == null) {
                // First time sort, so add sort order for Új Betárolás dátuma.
                this.CurrentSortOrder.Reset();
                this.CurrentSortOrder.Add(Import_logTable.Új_Betárolás_dátuma, OrderByItem.OrderDir.Asc);
            } else {
                // Previously sorted by Új Betárolás dátuma, so just reverse.
                sd.Reverse();
            }

            // Setting the DataChanged to True results in the page being refreshed with
			// the most recent data from the database.  This happens in PreRender event
            // based on the current sort, search and filter criteria.
            this.DataChanged = true;
              
        }
            
        public virtual void Új_darabLabel_Click(object sender, EventArgs args)
        {
            //Sorts by Új darab when clicked.
              
            // Get previous sorting state for Új darab.
            OrderByItem sd = this.CurrentSortOrder.Find(Import_logTable.Új_darab);
            if (sd == null) {
                // First time sort, so add sort order for Új darab.
                this.CurrentSortOrder.Reset();
                this.CurrentSortOrder.Add(Import_logTable.Új_darab, OrderByItem.OrderDir.Asc);
            } else {
                // Previously sorted by Új darab, so just reverse.
                sd.Reverse();
            }

            // Setting the DataChanged to True results in the page being refreshed with
			// the most recent data from the database.  This happens in PreRender event
            // based on the current sort, search and filter criteria.
            this.DataChanged = true;
              
        }
            
        public virtual void Új_fuvarlevél_számaLabel_Click(object sender, EventArgs args)
        {
            //Sorts by Új fuvarlevél száma when clicked.
              
            // Get previous sorting state for Új fuvarlevél száma.
            OrderByItem sd = this.CurrentSortOrder.Find(Import_logTable.Új_fuvarlevél_száma);
            if (sd == null) {
                // First time sort, so add sort order for Új fuvarlevél száma.
                this.CurrentSortOrder.Reset();
                this.CurrentSortOrder.Add(Import_logTable.Új_fuvarlevél_száma, OrderByItem.OrderDir.Asc);
            } else {
                // Previously sorted by Új fuvarlevél száma, so just reverse.
                sd.Reverse();
            }

            // Setting the DataChanged to True results in the page being refreshed with
			// the most recent data from the database.  This happens in PreRender event
            // based on the current sort, search and filter criteria.
            this.DataChanged = true;
              
        }
            
        public virtual void Új_házi_fuvarlevél_számaLabel_Click(object sender, EventArgs args)
        {
            //Sorts by Új házi fuvarlevél száma when clicked.
              
            // Get previous sorting state for Új házi fuvarlevél száma.
            OrderByItem sd = this.CurrentSortOrder.Find(Import_logTable.Új_házi_fuvarlevél_száma);
            if (sd == null) {
                // First time sort, so add sort order for Új házi fuvarlevél száma.
                this.CurrentSortOrder.Reset();
                this.CurrentSortOrder.Add(Import_logTable.Új_házi_fuvarlevél_száma, OrderByItem.OrderDir.Asc);
            } else {
                // Previously sorted by Új házi fuvarlevél száma, so just reverse.
                sd.Reverse();
            }

            // Setting the DataChanged to True results in the page being refreshed with
			// the most recent data from the database.  This happens in PreRender event
            // based on the current sort, search and filter criteria.
            this.DataChanged = true;
              
        }
            
        public virtual void Új_mért_súlyLabel_Click(object sender, EventArgs args)
        {
            //Sorts by Új mért súly when clicked.
              
            // Get previous sorting state for Új mért súly.
            OrderByItem sd = this.CurrentSortOrder.Find(Import_logTable.Új_mért_súly);
            if (sd == null) {
                // First time sort, so add sort order for Új mért súly.
                this.CurrentSortOrder.Reset();
                this.CurrentSortOrder.Add(Import_logTable.Új_mért_súly, OrderByItem.OrderDir.Asc);
            } else {
                // Previously sorted by Új mért súly, so just reverse.
                sd.Reverse();
            }

            // Setting the DataChanged to True results in the page being refreshed with
			// the most recent data from the database.  This happens in PreRender event
            // based on the current sort, search and filter criteria.
            this.DataChanged = true;
              
        }
            
        public virtual void Új_súlyLabel_Click(object sender, EventArgs args)
        {
            //Sorts by Új súly when clicked.
              
            // Get previous sorting state for Új súly.
            OrderByItem sd = this.CurrentSortOrder.Find(Import_logTable.Új_súly);
            if (sd == null) {
                // First time sort, so add sort order for Új súly.
                this.CurrentSortOrder.Reset();
                this.CurrentSortOrder.Add(Import_logTable.Új_súly, OrderByItem.OrderDir.Asc);
            } else {
                // Previously sorted by Új súly, so just reverse.
                sd.Reverse();
            }

            // Setting the DataChanged to True results in the page being refreshed with
			// the most recent data from the database.  This happens in PreRender event
            // based on the current sort, search and filter criteria.
            this.DataChanged = true;
              
        }
            

        // Generate the event handling functions for button events.
        


        // Generate the event handling functions for filter and search events.
        

        // verify the processing details for these properties
        private int _PageSize;
        public int PageSize {
            get {
                return this._PageSize;
            }
            set {
                this._PageSize = value;
            }
        }

        private int _PageIndex;
        public int PageIndex {
            get {
                // _PageSize return (the PageIndex);
                return this._PageIndex;
            }
            set {
                this._PageIndex = value;
            }
        }

        private int _TotalRecords;
        public int TotalRecords {
            get {
                return (this._TotalRecords);
            }
            set {
                if (this.PageSize > 0) {
                    this.TotalPages = Convert.ToInt32(Math.Ceiling(Convert.ToDouble(value) / Convert.ToDouble(this.PageSize)));
                }
                this._TotalRecords = value;
            }
        }

        private int _TotalPages;
        public int TotalPages {
            get {
                return this._TotalPages;
            }
            set {
                this._TotalPages = value;
            }
        }

        private bool _DisplayLastPage;
        public bool DisplayLastPage {
            get {
                return this._DisplayLastPage;
            }
            set {
                this._DisplayLastPage = value;
            }
        }

        private bool _DataChanged = false;
        public bool DataChanged {
            get {
                return this._DataChanged;
            }
            set {
                this._DataChanged = value;
            }
        }

        private bool _ResetData = false;
        public bool ResetData {
            get {
                return this._ResetData;
            }
            set {
                this._ResetData = value;
            }
        }

        private int _AddNewRecord = 0;
        public int AddNewRecord {
            get {
                return this._AddNewRecord;
            }
            set {
                this._AddNewRecord = value;
            }
        }

        private OrderBy _CurrentSortOrder = null;
        public OrderBy CurrentSortOrder {
            get {
                return this._CurrentSortOrder;
            }
            set {
                this._CurrentSortOrder = value;
            }
        }

        private Import_logRecord[] _DataSource = null;
        public  Import_logRecord[] DataSource {
            get {
                return this._DataSource;
            }
            set {
                this._DataSource = value;
            }
        }

#region "Helper Properties"
        
        public System.Web.UI.WebControls.LinkButton DátumLabel1 {
            get {
                return (System.Web.UI.WebControls.LinkButton)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "DátumLabel1");
            }
        }
        
        public System.Web.UI.WebControls.LinkButton Eredeti_Betárolás_dátumaLabel {
            get {
                return (System.Web.UI.WebControls.LinkButton)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Eredeti_Betárolás_dátumaLabel");
            }
        }
        
        public System.Web.UI.WebControls.LinkButton Eredeti_darabLabel {
            get {
                return (System.Web.UI.WebControls.LinkButton)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Eredeti_darabLabel");
            }
        }
        
        public System.Web.UI.WebControls.LinkButton Eredeti_fuvarlevél_számaLabel {
            get {
                return (System.Web.UI.WebControls.LinkButton)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Eredeti_fuvarlevél_számaLabel");
            }
        }
        
        public System.Web.UI.WebControls.LinkButton Eredeti_házi_fuvarlevél_számaLabel {
            get {
                return (System.Web.UI.WebControls.LinkButton)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Eredeti_házi_fuvarlevél_számaLabel");
            }
        }
        
        public System.Web.UI.WebControls.LinkButton Eredeti_mért_súlyLabel {
            get {
                return (System.Web.UI.WebControls.LinkButton)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Eredeti_mért_súlyLabel");
            }
        }
        
        public System.Web.UI.WebControls.LinkButton Eredeti_súlyLabel {
            get {
                return (System.Web.UI.WebControls.LinkButton)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Eredeti_súlyLabel");
            }
        }
        
        public Warehouse.UI.IPagination Import_logPagination {
            get {
                return (Warehouse.UI.IPagination)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Import_logPagination");
            }
        }
        
        public System.Web.UI.WebControls.Literal Import_logTitle {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Import_logTitle");
            }
        }
        
        public System.Web.UI.WebControls.LinkButton Új_Betárolás_dátumaLabel {
            get {
                return (System.Web.UI.WebControls.LinkButton)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Új_Betárolás_dátumaLabel");
            }
        }
        
        public System.Web.UI.WebControls.LinkButton Új_darabLabel {
            get {
                return (System.Web.UI.WebControls.LinkButton)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Új_darabLabel");
            }
        }
        
        public System.Web.UI.WebControls.LinkButton Új_fuvarlevél_számaLabel {
            get {
                return (System.Web.UI.WebControls.LinkButton)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Új_fuvarlevél_számaLabel");
            }
        }
        
        public System.Web.UI.WebControls.LinkButton Új_házi_fuvarlevél_számaLabel {
            get {
                return (System.Web.UI.WebControls.LinkButton)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Új_házi_fuvarlevél_számaLabel");
            }
        }
        
        public System.Web.UI.WebControls.LinkButton Új_mért_súlyLabel {
            get {
                return (System.Web.UI.WebControls.LinkButton)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Új_mért_súlyLabel");
            }
        }
        
        public System.Web.UI.WebControls.LinkButton Új_súlyLabel {
            get {
                return (System.Web.UI.WebControls.LinkButton)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Új_súlyLabel");
            }
        }
        
#endregion

#region "Helper Functions"
        
        public override string ModifyRedirectUrl(string url, string arg, bool bEncrypt)
        {
            return this.Page.EvaluateExpressions(url, arg, bEncrypt, this);
        }
        
        public override string EvaluateExpressions(string url, string arg, bool bEncrypt)
        {
            bool needToProcess = AreAnyUrlParametersForMe(url, arg);
            if (needToProcess) {
                Import_logTableControlRow recCtl = this.GetSelectedRecordControl();
                if (recCtl == null && url.IndexOf("{") >= 0) {
                    // Localization.
                    throw new Exception(Page.GetResourceValue("Err:NoRecSelected", "Warehouse"));
                }

                Import_logRecord rec = null;
                if (recCtl != null) {
                    rec = recCtl.GetRecord();
                }
                return EvaluateExpressions(url, arg, rec, bEncrypt);
            }
            return url;
        }
          
        public virtual Import_logTableControlRow GetSelectedRecordControl()
        {
        
            return null;
          
        }

        public virtual Import_logTableControlRow[] GetSelectedRecordControls()
        {
        
            return (Import_logTableControlRow[])((new ArrayList()).ToArray(Type.GetType("Warehouse.UI.Controls.EditImport_itemPage.Import_logTableControlRow")));
          
        }

        public virtual void DeleteSelectedRecords(bool deferDeletion)
        {
            Import_logTableControlRow[] recList = this.GetSelectedRecordControls();
            if (recList.Length == 0) {
                // Localization.
                throw new Exception(Page.GetResourceValue("Err:NoRecSelected", "Warehouse"));
            }
            
            foreach (Import_logTableControlRow recCtl in recList)
            {
                if (deferDeletion) {
                    if (!recCtl.IsNewRecord) {
                
                        this.AddToDeletedRecordIds(recCtl);
                  
                    }
                    recCtl.Visible = false;
                
                } else {
                
                    recCtl.Delete();
					// Setting the DataChanged to True results in the page being refreshed with
					// the most recent data from the database.  This happens in PreRender event
					// based on the current sort, search and filter criteria.
                    this.DataChanged = true;
                    this.ResetData = true;
                  
                }
            }
        }

        public Import_logTableControlRow[] GetRecordControls()
        {
            ArrayList recList = new ArrayList();
            System.Web.UI.WebControls.Repeater rep = (System.Web.UI.WebControls.Repeater)this.FindControl("Import_logTableControlRepeater");
            if (rep == null){return null;}
            foreach (System.Web.UI.WebControls.RepeaterItem repItem in rep.Items)
            {
                Import_logTableControlRow recControl = (Import_logTableControlRow)repItem.FindControl("Import_logTableControlRow");
                recList.Add(recControl);
            }

            return (Import_logTableControlRow[])recList.ToArray(Type.GetType("Warehouse.UI.Controls.EditImport_itemPage.Import_logTableControlRow"));
        }

        public new BaseApplicationPage Page 
        {
            get {
                return ((BaseApplicationPage)base.Page);
            }
        }
#endregion

    

    }
  
// Base class for the Import_itemRecordControl control on the EditImport_itemPage page.
// Do not modify this class. Instead override any method in Import_itemRecordControl.
public class BaseImport_itemRecordControl : Warehouse.UI.BaseApplicationRecordControl
{
        public BaseImport_itemRecordControl()
        {
            this.Init += new EventHandler(Control_Init);
            this.Load += new EventHandler(Control_Load);
            this.PreRender += new EventHandler(Control_PreRender);
        }

        // To customize, override this method in Import_itemRecordControl.
        protected virtual void Control_Init(object sender, System.EventArgs e)
        {
        
            // Setup the filter and search events.
        
        }

        // To customize, override this method in Import_itemRecordControl.
        protected virtual void Control_Load(object sender, System.EventArgs e)
        {
        
		    // Setup the pagination events.	  
         
		    // Register the event handlers.
		  
              this.vámkezelés_mód_id.SelectedIndexChanged += new EventHandler(vámkezelés_mód_id_SelectedIndexChanged);
            	  
        }

        public virtual void LoadData()  
        {
            // Load the data from the database into the DataSource import_item record.
            // It is better to make changes to functions called by LoadData such as
            // CreateWhereClause, rather than making changes here.
        
            // The RecordUniqueId is set the first time a record is loaded, and is
            // used during a PostBack to load the record.
            if (this.RecordUniqueId != null && this.RecordUniqueId.Length > 0) {
                this.DataSource = Import_itemTable.GetRecord(this.RecordUniqueId, true);
                return;
            }
      
            // This is the first time a record is being retrieved from the database.
            // So create a Where Clause based on the staic Where clause specified
            // on the Query wizard and the dynamic part specified by the end user
            // on the search and filter controls (if any).
            WhereClause wc = this.CreateWhereClause();
            
            System.Web.UI.WebControls.Panel Panel = (System.Web.UI.WebControls.Panel)MiscUtils.FindControlRecursively(this, "Import_itemRecordControlPanel");
            if (Panel != null){
                Panel.Visible = true;
            }
            
            // If there is no Where clause, then simply create a new, blank record.
            if (wc == null || !(wc.RunQuery)) {
                this.DataSource = new Import_itemRecord();
              
                if (Panel != null){
                    Panel.Visible = false;
                }
              
                return;
            }
          
            // Retrieve the record from the database.  It is possible
            Import_itemRecord[] recList = Import_itemTable.GetRecords(wc, null, 0, 2);
            if (recList.Length == 0) {
                // There is no data for this Where clause.
                wc.RunQuery = false;
                
                if (Panel != null){
                    Panel.Visible = false;
                }
                
                return;
            }
              
            // Set DataSource based on record retrieved from the database.
            this.DataSource = Import_itemTable.GetRecord(recList[0].GetID().ToXmlString(), true);
                  
        }

        public override void DataBind()
        {
            // The DataBind method binds the user interface controls to the values
            // from the database record.  To do this, it calls the Set methods for 
            // each of the field displayed on the webpage.  It is better to make 
            // changes in the Set methods, rather than making changes here.
            
            base.DataBind();
            
            // Make sure that the DataSource is initialized.
            
            if (this.DataSource == null) {
                return;
            }
              

            // Call the Set methods for each of the user interface controls.
        
            SetAlapnyilvántartási_száma();
            SetBetárolás_dátuma();
            SetCímzett();
            SetCsomag_darab_száma();
            SetElintézés_dátuma();
            SetElintézési_száma();
            SetEV_pótsorok_száma();
            SetFeladó();
            SetFuvarlevél_száma();
            SetHázi_fuvarlevél_száma();
            SetMért_súly();
            SetNapló();
            SetPozíció_száma();
            SetRaktárban_van();
            SetRendszám();
            SetSérülések();
            SetSúly();
            SetSzemle();
            SetVámáru();
            Setvámkezelés_mód_id();
            SetVámzár_1();
            SetVámzár_2();
            SetVPID();

            this.IsNewRecord = true;
            if (this.DataSource.IsCreated) {
                this.IsNewRecord = false;
        
                this.RecordUniqueId = this.DataSource.GetID().ToXmlString();
            }

            

            // Now load data for each record and table child UI controls.
            // Ordering is important because child controls get 
            // their parent ids from their parent UI controls.
            bool shouldResetControl = false;
            if (shouldResetControl) { }; // prototype usage to void compiler warnings
            Import_logTableControl recImport_logTableControl = (Import_logTableControl)(MiscUtils.FindControlRecursively(this.Page, "Import_logTableControl"));
        
          if (shouldResetControl || this.Page.IsPageRefresh)
          {
             recImport_logTableControl.ResetControl();
          }
        
        recImport_logTableControl.LoadData();
        recImport_logTableControl.DataBind();
        
        }

        
        public virtual void SetAlapnyilvántartási_száma()
        {
            // Set the Alapnyilvántartási száma TextBox on the webpage with value from the
            // import_item database record.

            // this.DataSource is the import_item record retrieved from the database.
            // this.Alapnyilvántartási_száma is the ASP:TextBox on the webpage.
                  
            if (this.DataSource.Alapnyilvántartási_számaSpecified) {
                // If the Alapnyilvántartási száma is non-NULL, then format the value.
                // The Format method will use the Display Format
                string formattedValue = this.DataSource.Format(Import_itemTable.Alapnyilvántartási_száma);
                this.Alapnyilvántartási_száma.Text = formattedValue;
              
               
            } else {  
                // Alapnyilvántartási száma is NULL in the database, so use the Default Value.  
                // Default Value could also be NULL.
                this.Alapnyilvántartási_száma.Text = Import_itemTable.Alapnyilvántartási_száma.Format(Import_itemTable.Alapnyilvántartási_száma.DefaultValue);
                            
            }
                    
        }
                
        public virtual void SetBetárolás_dátuma()
        {
            // Set the Betárolás dátuma TextBox on the webpage with value from the
            // import_item database record.

            // this.DataSource is the import_item record retrieved from the database.
            // this.Betárolás_dátuma is the ASP:TextBox on the webpage.
                  
            if (this.DataSource.Betárolás_dátumaSpecified) {
                // If the Betárolás dátuma is non-NULL, then format the value.
                // The Format method will use the Display Format
                string formattedValue = this.DataSource.Format(Import_itemTable.Betárolás_dátuma, @"g");
                this.Betárolás_dátuma.Text = formattedValue;
              
               
            } else {  
                // Betárolás dátuma is NULL in the database, so use the Default Value.  
                // Default Value could also be NULL.
                this.Betárolás_dátuma.Text = Import_itemTable.Betárolás_dátuma.Format(Import_itemTable.Betárolás_dátuma.DefaultValue, @"g");
                            
            }
                    
        }
                
        public virtual void SetCímzett()
        {
            // Set the Címzett TextBox on the webpage with value from the
            // import_item database record.

            // this.DataSource is the import_item record retrieved from the database.
            // this.Címzett is the ASP:TextBox on the webpage.
                  
            if (this.DataSource.CímzettSpecified) {
                // If the Címzett is non-NULL, then format the value.
                // The Format method will use the Display Format
                string formattedValue = this.DataSource.Format(Import_itemTable.Címzett);
                this.Címzett.Text = formattedValue;
              
               
            } else {  
                // Címzett is NULL in the database, so use the Default Value.  
                // Default Value could also be NULL.
                this.Címzett.Text = Import_itemTable.Címzett.Format(Import_itemTable.Címzett.DefaultValue);
                            
            }
                    
        }
                
        public virtual void SetCsomag_darab_száma()
        {
            // Set the Csomag darab száma TextBox on the webpage with value from the
            // import_item database record.

            // this.DataSource is the import_item record retrieved from the database.
            // this.Csomag_darab_száma is the ASP:TextBox on the webpage.
                  
            if (this.DataSource.Csomag_darab_számaSpecified) {
                // If the Csomag darab száma is non-NULL, then format the value.
                // The Format method will use the Display Format
                string formattedValue = this.DataSource.Format(Import_itemTable.Csomag_darab_száma);
                this.Csomag_darab_száma.Text = formattedValue;
              
               
            } else {  
                // Csomag darab száma is NULL in the database, so use the Default Value.  
                // Default Value could also be NULL.
                this.Csomag_darab_száma.Text = Import_itemTable.Csomag_darab_száma.Format(Import_itemTable.Csomag_darab_száma.DefaultValue);
                            
            }
                    
        }
                
        public virtual void SetElintézés_dátuma()
        {
            // Set the Elintézés dátuma TextBox on the webpage with value from the
            // import_item database record.

            // this.DataSource is the import_item record retrieved from the database.
            // this.Elintézés_dátuma is the ASP:TextBox on the webpage.
                  
            if (this.DataSource.Elintézés_dátumaSpecified) {
                // If the Elintézés dátuma is non-NULL, then format the value.
                // The Format method will use the Display Format
                string formattedValue = this.DataSource.Format(Import_itemTable.Elintézés_dátuma, @"g");
                this.Elintézés_dátuma.Text = formattedValue;
              
               
            } else {  
                // Elintézés dátuma is NULL in the database, so use the Default Value.  
                // Default Value could also be NULL.
                this.Elintézés_dátuma.Text = Import_itemTable.Elintézés_dátuma.Format(Import_itemTable.Elintézés_dátuma.DefaultValue, @"g");
                            
            }
                    
        }
                
        public virtual void SetElintézési_száma()
        {
            // Set the Elintézési száma TextBox on the webpage with value from the
            // import_item database record.

            // this.DataSource is the import_item record retrieved from the database.
            // this.Elintézési_száma is the ASP:TextBox on the webpage.
                  
            if (this.DataSource.Elintézési_számaSpecified) {
                // If the Elintézési száma is non-NULL, then format the value.
                // The Format method will use the Display Format
                string formattedValue = this.DataSource.Format(Import_itemTable.Elintézési_száma);
                this.Elintézési_száma.Text = formattedValue;
              
               
            } else {  
                // Elintézési száma is NULL in the database, so use the Default Value.  
                // Default Value could also be NULL.
                this.Elintézési_száma.Text = Import_itemTable.Elintézési_száma.Format(Import_itemTable.Elintézési_száma.DefaultValue);
                            
            }
                    
        }
                
        public virtual void SetEV_pótsorok_száma()
        {
            // Set the EV pótsorok száma TextBox on the webpage with value from the
            // import_item database record.

            // this.DataSource is the import_item record retrieved from the database.
            // this.EV_pótsorok_száma is the ASP:TextBox on the webpage.
                  
            if (this.DataSource.EV_pótsorok_számaSpecified) {
                // If the EV pótsorok száma is non-NULL, then format the value.
                // The Format method will use the Display Format
                string formattedValue = this.DataSource.Format(Import_itemTable.EV_pótsorok_száma);
                this.EV_pótsorok_száma.Text = formattedValue;
              
               
            } else {  
                // EV pótsorok száma is NULL in the database, so use the Default Value.  
                // Default Value could also be NULL.
                this.EV_pótsorok_száma.Text = Import_itemTable.EV_pótsorok_száma.Format(Import_itemTable.EV_pótsorok_száma.DefaultValue);
                            
            }
                    
        }
                
        public virtual void SetFeladó()
        {
            // Set the Feladó TextBox on the webpage with value from the
            // import_item database record.

            // this.DataSource is the import_item record retrieved from the database.
            // this.Feladó is the ASP:TextBox on the webpage.
                  
            if (this.DataSource.FeladóSpecified) {
                // If the Feladó is non-NULL, then format the value.
                // The Format method will use the Display Format
                string formattedValue = this.DataSource.Format(Import_itemTable.Feladó);
                this.Feladó.Text = formattedValue;
              
               
            } else {  
                // Feladó is NULL in the database, so use the Default Value.  
                // Default Value could also be NULL.
                this.Feladó.Text = Import_itemTable.Feladó.Format(Import_itemTable.Feladó.DefaultValue);
                            
            }
                    
        }
                
        public virtual void SetFuvarlevél_száma()
        {
            // Set the Fuvarlevél száma TextBox on the webpage with value from the
            // import_item database record.

            // this.DataSource is the import_item record retrieved from the database.
            // this.Fuvarlevél_száma is the ASP:TextBox on the webpage.
                  
            if (this.DataSource.Fuvarlevél_számaSpecified) {
                // If the Fuvarlevél száma is non-NULL, then format the value.
                // The Format method will use the Display Format
                string formattedValue = this.DataSource.Format(Import_itemTable.Fuvarlevél_száma);
                this.Fuvarlevél_száma.Text = formattedValue;
              
               
            } else {  
                // Fuvarlevél száma is NULL in the database, so use the Default Value.  
                // Default Value could also be NULL.
                this.Fuvarlevél_száma.Text = Import_itemTable.Fuvarlevél_száma.Format(Import_itemTable.Fuvarlevél_száma.DefaultValue);
                            
            }
                    
        }
                
        public virtual void SetHázi_fuvarlevél_száma()
        {
            // Set the Házi fuvarlevél száma TextBox on the webpage with value from the
            // import_item database record.

            // this.DataSource is the import_item record retrieved from the database.
            // this.Házi_fuvarlevél_száma is the ASP:TextBox on the webpage.
                  
            if (this.DataSource.Házi_fuvarlevél_számaSpecified) {
                // If the Házi fuvarlevél száma is non-NULL, then format the value.
                // The Format method will use the Display Format
                string formattedValue = this.DataSource.Format(Import_itemTable.Házi_fuvarlevél_száma);
                this.Házi_fuvarlevél_száma.Text = formattedValue;
              
               
            } else {  
                // Házi fuvarlevél száma is NULL in the database, so use the Default Value.  
                // Default Value could also be NULL.
                this.Házi_fuvarlevél_száma.Text = Import_itemTable.Házi_fuvarlevél_száma.Format(Import_itemTable.Házi_fuvarlevél_száma.DefaultValue);
                            
            }
                    
        }
                
        public virtual void SetMért_súly()
        {
            // Set the Mért súly TextBox on the webpage with value from the
            // import_item database record.

            // this.DataSource is the import_item record retrieved from the database.
            // this.Mért_súly is the ASP:TextBox on the webpage.
                  
            if (this.DataSource.Mért_súlySpecified) {
                // If the Mért súly is non-NULL, then format the value.
                // The Format method will use the Display Format
                string formattedValue = this.DataSource.Format(Import_itemTable.Mért_súly);
                this.Mért_súly.Text = formattedValue;
              
               
            } else {  
                // Mért súly is NULL in the database, so use the Default Value.  
                // Default Value could also be NULL.
                this.Mért_súly.Text = Import_itemTable.Mért_súly.Format(Import_itemTable.Mért_súly.DefaultValue);
                            
            }
                    
        }
                
        public virtual void SetNapló()
        {
            // Set the Napló Literal on the webpage with value from the
            // import_item database record.

            // this.DataSource is the import_item record retrieved from the database.
            // this.Napló is the ASP:Literal on the webpage.
                  
            if (this.DataSource.NaplóSpecified) {
                // If the Napló is non-NULL, then format the value.
                // The Format method will use the Display Format
                string formattedValue = this.DataSource.Format(Import_itemTable.Napló);
                if(formattedValue != null){
                    int popupThreshold = (int)(100);
                              
                    int maxLength = formattedValue.Length;
                    if (maxLength > (int)(100)){
                        // Truncate based on FieldMaxLength on Properties.
                        maxLength = (int)(100);
                        
                        formattedValue = HttpUtility.HtmlEncode(formattedValue); 
                    }
                                
                    // For fields values larger than the PopupTheshold on Properties, display a popup.
                    if (formattedValue.Length >= popupThreshold) {
                         formattedValue = "<a onclick=\'gPersist=true;\' onmouseout=\'detailRolloverPopupClose();\' " +
                            "onmouseover=\'SaveMousePosition(event); delayRolloverPopup(\"PageMethods.GetRecordFieldValue(\\\"Warehouse.Business.Import_itemTable, App_Code\\\",\\\"" +
                              (HttpUtility.UrlEncode(this.DataSource.GetID().ToString())).Replace("\\","\\\\\\\\") + "\\\", \\\"Napló\\\", \\\"Napló\\\"," +
                            " false, 200," +
                            " 300, true, PopupDisplayWindowCallBackWith20);\", 500);'>" + NetUtils.EncodeStringForHtmlDisplay(formattedValue.Substring(0, maxLength));
                        if (maxLength == (int)(100))
                            {
                            formattedValue = formattedValue + "..." + "</a>";
                        }
                        else
                        {
                            formattedValue = formattedValue + "</a>";
                            
                            formattedValue = "<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr><td>" + formattedValue + "</td></tr></table>";
                        }
                    }
                    else{
                        if (maxLength == (int)(100)) {
                          formattedValue = NetUtils.EncodeStringForHtmlDisplay(formattedValue.Substring(0,maxLength));
                          formattedValue = formattedValue + "...";
                        }
                        else
                        {
                          formattedValue = "<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr><td>" + formattedValue + "</td></tr></table>";
                        }
                    }
                }
                
                this.Napló.Text = formattedValue;
              
               
            } else {  
                // Napló is NULL in the database, so use the Default Value.  
                // Default Value could also be NULL.
                this.Napló.Text = Import_itemTable.Napló.Format(Import_itemTable.Napló.DefaultValue);
                            
            }
                    
        }
                
        public virtual void SetPozíció_száma()
        {
            // Set the Pozíció száma TextBox on the webpage with value from the
            // import_item database record.

            // this.DataSource is the import_item record retrieved from the database.
            // this.Pozíció_száma is the ASP:TextBox on the webpage.
                  
            if (this.DataSource.Pozíció_számaSpecified) {
                // If the Pozíció száma is non-NULL, then format the value.
                // The Format method will use the Display Format
                string formattedValue = this.DataSource.Format(Import_itemTable.Pozíció_száma);
                this.Pozíció_száma.Text = formattedValue;
              
               
            } else {  
                // Pozíció száma is NULL in the database, so use the Default Value.  
                // Default Value could also be NULL.
                this.Pozíció_száma.Text = Import_itemTable.Pozíció_száma.Format(Import_itemTable.Pozíció_száma.DefaultValue);
                            
            }
                    
        }
                
        public virtual void SetRaktárban_van()
        {
            // Set the Raktárban van CheckBox on the webpage with value from the
            // import_item database record.

            // this.DataSource is the import_item record retrieved from the database.
            // this.Raktárban_van is the ASP:CheckBox on the webpage.
                  
            if (this.DataSource.Raktárban_vanSpecified) {
                // If the Raktárban van is non-NULL, then format the value.
                // The Format method will use the Display Format
                this.Raktárban_van.Checked = this.DataSource.Raktárban_van;
            } else {
                // Raktárban van is NULL in the database, so use the Default Value.  
                // Default Value could also be NULL.
                if (!this.DataSource.IsCreated) {
                    this.Raktárban_van.Checked = Import_itemTable.Raktárban_van.ParseValue(Import_itemTable.Raktárban_van.DefaultValue).ToBoolean();
                }
            }
                    
        }
                
        public virtual void SetRendszám()
        {
            // Set the Rendszám TextBox on the webpage with value from the
            // import_item database record.

            // this.DataSource is the import_item record retrieved from the database.
            // this.Rendszám is the ASP:TextBox on the webpage.
                  
            if (this.DataSource.RendszámSpecified) {
                // If the Rendszám is non-NULL, then format the value.
                // The Format method will use the Display Format
                string formattedValue = this.DataSource.Format(Import_itemTable.Rendszám);
                this.Rendszám.Text = formattedValue;
              
               
            } else {  
                // Rendszám is NULL in the database, so use the Default Value.  
                // Default Value could also be NULL.
                this.Rendszám.Text = Import_itemTable.Rendszám.Format(Import_itemTable.Rendszám.DefaultValue);
                            
            }
                    
        }
                
        public virtual void SetSérülések()
        {
            // Set the Sérülések TextBox on the webpage with value from the
            // import_item database record.

            // this.DataSource is the import_item record retrieved from the database.
            // this.Sérülések is the ASP:TextBox on the webpage.
                  
            if (this.DataSource.SérülésekSpecified) {
                // If the Sérülések is non-NULL, then format the value.
                // The Format method will use the Display Format
                string formattedValue = this.DataSource.Format(Import_itemTable.Sérülések);
                this.Sérülések.Text = formattedValue;
              
               
            } else {  
                // Sérülések is NULL in the database, so use the Default Value.  
                // Default Value could also be NULL.
                this.Sérülések.Text = Import_itemTable.Sérülések.Format(Import_itemTable.Sérülések.DefaultValue);
                            
            }
                    
        }
                
        public virtual void SetSúly()
        {
            // Set the Súly TextBox on the webpage with value from the
            // import_item database record.

            // this.DataSource is the import_item record retrieved from the database.
            // this.Súly is the ASP:TextBox on the webpage.
                  
            if (this.DataSource.SúlySpecified) {
                // If the Súly is non-NULL, then format the value.
                // The Format method will use the Display Format
                string formattedValue = this.DataSource.Format(Import_itemTable.Súly);
                this.Súly.Text = formattedValue;
              
               
            } else {  
                // Súly is NULL in the database, so use the Default Value.  
                // Default Value could also be NULL.
                this.Súly.Text = Import_itemTable.Súly.Format(Import_itemTable.Súly.DefaultValue);
                            
            }
                    
        }
                
        public virtual void SetSzemle()
        {
            // Set the Szemle CheckBox on the webpage with value from the
            // import_item database record.

            // this.DataSource is the import_item record retrieved from the database.
            // this.Szemle is the ASP:CheckBox on the webpage.
                  
            if (this.DataSource.SzemleSpecified) {
                // If the Szemle is non-NULL, then format the value.
                // The Format method will use the Display Format
                this.Szemle.Checked = this.DataSource.Szemle;
            } else {
                // Szemle is NULL in the database, so use the Default Value.  
                // Default Value could also be NULL.
                if (!this.DataSource.IsCreated) {
                    this.Szemle.Checked = Import_itemTable.Szemle.ParseValue(Import_itemTable.Szemle.DefaultValue).ToBoolean();
                }
            }
                    
        }
                
        public virtual void SetVámáru()
        {
            // Set the Vámáru CheckBox on the webpage with value from the
            // import_item database record.

            // this.DataSource is the import_item record retrieved from the database.
            // this.Vámáru is the ASP:CheckBox on the webpage.
                  
            if (this.DataSource.VámáruSpecified) {
                // If the Vámáru is non-NULL, then format the value.
                // The Format method will use the Display Format
                this.Vámáru.Checked = this.DataSource.Vámáru;
            } else {
                // Vámáru is NULL in the database, so use the Default Value.  
                // Default Value could also be NULL.
                if (!this.DataSource.IsCreated) {
                    this.Vámáru.Checked = Import_itemTable.Vámáru.ParseValue(Import_itemTable.Vámáru.DefaultValue).ToBoolean();
                }
            }
                    
        }
                
        public virtual void Setvámkezelés_mód_id()
        {
            // Set the vámkezelés mód id DropDownList on the webpage with value from the
            // import_item database record.
            
            // this.DataSource is the import_item record retrieved from the database.
            // this.vámkezelés_mód_id is the ASP:DropDownList on the webpage.
			
            // You can modify this method directly, or replace it with a call to
            //     base.Setvámkezelés_mód_id();
            // and add your own custom code before or after the call to the base function.

            if (this.DataSource.vámkezelés_mód_idSpecified) {
                // If the vámkezelés mód id is non-NULL, then format the value.
                // The Format method will return the Display Foreign Key As (DFKA) value
                this.Populatevámkezelés_mód_idDropDownList(this.DataSource.vámkezelés_mód_id.ToString(), 100);
            } else {
                // vámkezelés mód id is NULL in the database, so use the Default Value.  
                // Default Value could also be NULL.
                if (!this.DataSource.IsCreated) {
                    this.Populatevámkezelés_mód_idDropDownList(Import_itemTable.vámkezelés_mód_id.DefaultValue, 100);
                } else {
                this.Populatevámkezelés_mód_idDropDownList(null, 100);
                }
            }
        }
                
        public virtual void SetVámzár_1()
        {
            // Set the Vámzár 1 TextBox on the webpage with value from the
            // import_item database record.

            // this.DataSource is the import_item record retrieved from the database.
            // this.Vámzár_1 is the ASP:TextBox on the webpage.
                  
            if (this.DataSource.Vámzár_1Specified) {
                // If the Vámzár 1 is non-NULL, then format the value.
                // The Format method will use the Display Format
                string formattedValue = this.DataSource.Format(Import_itemTable.Vámzár_1);
                this.Vámzár_1.Text = formattedValue;
              
               
            } else {  
                // Vámzár 1 is NULL in the database, so use the Default Value.  
                // Default Value could also be NULL.
                this.Vámzár_1.Text = Import_itemTable.Vámzár_1.Format(Import_itemTable.Vámzár_1.DefaultValue);
                            
            }
                    
        }
                
        public virtual void SetVámzár_2()
        {
            // Set the Vámzár 2 TextBox on the webpage with value from the
            // import_item database record.

            // this.DataSource is the import_item record retrieved from the database.
            // this.Vámzár_2 is the ASP:TextBox on the webpage.
                  
            if (this.DataSource.Vámzár_2Specified) {
                // If the Vámzár 2 is non-NULL, then format the value.
                // The Format method will use the Display Format
                string formattedValue = this.DataSource.Format(Import_itemTable.Vámzár_2);
                this.Vámzár_2.Text = formattedValue;
              
               
            } else {  
                // Vámzár 2 is NULL in the database, so use the Default Value.  
                // Default Value could also be NULL.
                this.Vámzár_2.Text = Import_itemTable.Vámzár_2.Format(Import_itemTable.Vámzár_2.DefaultValue);
                            
            }
                    
        }
                
        public virtual void SetVPID()
        {
            // Set the VPID TextBox on the webpage with value from the
            // import_item database record.

            // this.DataSource is the import_item record retrieved from the database.
            // this.VPID is the ASP:TextBox on the webpage.
                  
            if (this.DataSource.VPIDSpecified) {
                // If the VPID is non-NULL, then format the value.
                // The Format method will use the Display Format
                string formattedValue = this.DataSource.Format(Import_itemTable.VPID);
                this.VPID.Text = formattedValue;
              
               
            } else {  
                // VPID is NULL in the database, so use the Default Value.  
                // Default Value could also be NULL.
                this.VPID.Text = Import_itemTable.VPID.Format(Import_itemTable.VPID.DefaultValue);
                            
            }
                    
        }
                
        public virtual void ResetControl()
        {
          
        }
        

        public virtual void RegisterPostback()
        {
            
        }
    
        

        public virtual void SaveData()
        {
            // Saves the associated record in the database.
            // SaveData calls Validate and Get methods - so it may be more appropriate to
			// customize those methods.

            // 1. Load the existing record from the database. Since we save the entire record, this ensures 
            // that fields that are not displayed are also properly initialized.
            this.LoadData();
        
            System.Web.UI.WebControls.Panel Panel = (System.Web.UI.WebControls.Panel)MiscUtils.FindControlRecursively(this, "Import_itemRecordControlPanel");
            if ( (Panel != null && !Panel.Visible) || this.DataSource == null){
                return;
            }
          
          
            // 2. Perform any custom validation.
            this.Validate();

            // 3. Set the values in the record with data from UI controls.
            // This calls the Get() method for each of the user interface controls.
            this.GetUIData();
   
            // 4. Save in the database.
            // We should not save the record if the data did not change. This
            // will save a database hit and avoid triggering any database triggers.
            if (this.DataSource.IsAnyValueChanged) {
                // Save record to database but do not commit yet.
                // Auto generated ids are available after saving for use by child (dependent) records.
                this.DataSource.Save();
    
            }
            // Setting the DataChanged to True results in the page being refreshed with
			// the most recent data from the database.  This happens in PreRender event
            // based on the current sort, search and filter criteria.
            this.DataChanged = true;
            this.ResetData = true;
            
            // For Master-Detail relationships, save data on the Detail table(s)
          Import_logTableControl recImport_logTableControl = (Import_logTableControl)(MiscUtils.FindControlRecursively(this.Page, "Import_logTableControl"));
        recImport_logTableControl.SaveData();
            
        }

        public virtual void GetUIData()
        {
            // The GetUIData method retrieves the updated values from the user interface 
            // controls into a database record in preparation for saving or updating.
            // To do this, it calls the Get methods for each of the field displayed on 
            // the webpage.  It is better to make changes in the Get methods, rather 
            // than making changes here.
        
      
            // Call the Get methods for each of the user interface controls.
        
            GetAlapnyilvántartási_száma();
            GetBetárolás_dátuma();
            GetCímzett();
            GetCsomag_darab_száma();
            GetElintézés_dátuma();
            GetElintézési_száma();
            GetEV_pótsorok_száma();
            GetFeladó();
            GetFuvarlevél_száma();
            GetHázi_fuvarlevél_száma();
            GetMért_súly();
            GetNapló();
            GetPozíció_száma();
            GetRaktárban_van();
            GetRendszám();
            GetSérülések();
            GetSúly();
            GetSzemle();
            GetVámáru();
            Getvámkezelés_mód_id();
            GetVámzár_1();
            GetVámzár_2();
            GetVPID();
        }
        
        
        public virtual void GetAlapnyilvántartási_száma()
        {
            // Retrieve the value entered by the user on the Alapnyilvántartási száma ASP:TextBox, and
            // save it into the Alapnyilvántartási száma field in DataSource import_item record.
            
            // Custom validation should be performed in Validate, not here.
                    
            this.DataSource.Parse(this.Alapnyilvántartási_száma.Text, Import_itemTable.Alapnyilvántartási_száma);
              
        }
                
        public virtual void GetBetárolás_dátuma()
        {
            // Retrieve the value entered by the user on the Betárolás dátuma ASP:TextBox, and
            // save it into the Betárolás dátuma field in DataSource import_item record.
            // Parse will also validate the date to ensure it is of the proper format
            // and a valid date.  The format is verified based on the current culture 
            // settings including the order of month, day and year and the separator character.
            // Parse throws an exception if the date is invalid.
            // Custom validation should be performed in Validate, not here.
                    
            this.DataSource.Parse(this.Betárolás_dátuma.Text, Import_itemTable.Betárolás_dátuma);
              
        }
                
        public virtual void GetCímzett()
        {
            // Retrieve the value entered by the user on the Címzett ASP:TextBox, and
            // save it into the Címzett field in DataSource import_item record.
            
            // Custom validation should be performed in Validate, not here.
                    
            this.DataSource.Parse(this.Címzett.Text, Import_itemTable.Címzett);
              
        }
                
        public virtual void GetCsomag_darab_száma()
        {
            // Retrieve the value entered by the user on the Csomag darab száma ASP:TextBox, and
            // save it into the Csomag darab száma field in DataSource import_item record.
            
            // Custom validation should be performed in Validate, not here.
                    
            this.DataSource.Parse(this.Csomag_darab_száma.Text, Import_itemTable.Csomag_darab_száma);
              
        }
                
        public virtual void GetElintézés_dátuma()
        {
            // Retrieve the value entered by the user on the Elintézés dátuma ASP:TextBox, and
            // save it into the Elintézés dátuma field in DataSource import_item record.
            // Parse will also validate the date to ensure it is of the proper format
            // and a valid date.  The format is verified based on the current culture 
            // settings including the order of month, day and year and the separator character.
            // Parse throws an exception if the date is invalid.
            // Custom validation should be performed in Validate, not here.
                    
            this.DataSource.Parse(this.Elintézés_dátuma.Text, Import_itemTable.Elintézés_dátuma);
              
        }
                
        public virtual void GetElintézési_száma()
        {
            // Retrieve the value entered by the user on the Elintézési száma ASP:TextBox, and
            // save it into the Elintézési száma field in DataSource import_item record.
            
            // Custom validation should be performed in Validate, not here.
                    
            this.DataSource.Parse(this.Elintézési_száma.Text, Import_itemTable.Elintézési_száma);
              
        }
                
        public virtual void GetEV_pótsorok_száma()
        {
            // Retrieve the value entered by the user on the EV pótsorok száma ASP:TextBox, and
            // save it into the EV pótsorok száma field in DataSource import_item record.
            
            // Custom validation should be performed in Validate, not here.
                    
            this.DataSource.Parse(this.EV_pótsorok_száma.Text, Import_itemTable.EV_pótsorok_száma);
              
        }
                
        public virtual void GetFeladó()
        {
            // Retrieve the value entered by the user on the Feladó ASP:TextBox, and
            // save it into the Feladó field in DataSource import_item record.
            
            // Custom validation should be performed in Validate, not here.
                    
            this.DataSource.Parse(this.Feladó.Text, Import_itemTable.Feladó);
              
        }
                
        public virtual void GetFuvarlevél_száma()
        {
            // Retrieve the value entered by the user on the Fuvarlevél száma ASP:TextBox, and
            // save it into the Fuvarlevél száma field in DataSource import_item record.
            
            // Custom validation should be performed in Validate, not here.
                    
            this.DataSource.Parse(this.Fuvarlevél_száma.Text, Import_itemTable.Fuvarlevél_száma);
              
        }
                
        public virtual void GetHázi_fuvarlevél_száma()
        {
            // Retrieve the value entered by the user on the Házi fuvarlevél száma ASP:TextBox, and
            // save it into the Házi fuvarlevél száma field in DataSource import_item record.
            
            // Custom validation should be performed in Validate, not here.
                    
            this.DataSource.Parse(this.Házi_fuvarlevél_száma.Text, Import_itemTable.Házi_fuvarlevél_száma);
              
        }
                
        public virtual void GetMért_súly()
        {
            // Retrieve the value entered by the user on the Mért súly ASP:TextBox, and
            // save it into the Mért súly field in DataSource import_item record.
            
            // Custom validation should be performed in Validate, not here.
                    
            this.DataSource.Parse(this.Mért_súly.Text, Import_itemTable.Mért_súly);
              
        }
                
        public virtual void GetNapló()
        {
            
        }
                
        public virtual void GetPozíció_száma()
        {
            // Retrieve the value entered by the user on the Pozíció száma ASP:TextBox, and
            // save it into the Pozíció száma field in DataSource import_item record.
            
            // Custom validation should be performed in Validate, not here.
                    
            this.DataSource.Parse(this.Pozíció_száma.Text, Import_itemTable.Pozíció_száma);
              
        }
                
        public virtual void GetRaktárban_van()
        {
            // Retrieve the value entered by the user on the Raktárban van ASP:CheckBox, and
            // save it into the Raktárban van field in DataSource import_item record.
            // Custom validation should be performed in Validate, not here.
                  
            this.DataSource.Raktárban_van = this.Raktárban_van.Checked;
                    
        }
                
        public virtual void GetRendszám()
        {
            // Retrieve the value entered by the user on the Rendszám ASP:TextBox, and
            // save it into the Rendszám field in DataSource import_item record.
            
            // Custom validation should be performed in Validate, not here.
                    
            this.DataSource.Parse(this.Rendszám.Text, Import_itemTable.Rendszám);
              
        }
                
        public virtual void GetSérülések()
        {
            // Retrieve the value entered by the user on the Sérülések ASP:TextBox, and
            // save it into the Sérülések field in DataSource import_item record.
            
            // Custom validation should be performed in Validate, not here.
                    
            this.DataSource.Parse(this.Sérülések.Text, Import_itemTable.Sérülések);
              
        }
                
        public virtual void GetSúly()
        {
            // Retrieve the value entered by the user on the Súly ASP:TextBox, and
            // save it into the Súly field in DataSource import_item record.
            
            // Custom validation should be performed in Validate, not here.
                    
            this.DataSource.Parse(this.Súly.Text, Import_itemTable.Súly);
              
        }
                
        public virtual void GetSzemle()
        {
            // Retrieve the value entered by the user on the Szemle ASP:CheckBox, and
            // save it into the Szemle field in DataSource import_item record.
            // Custom validation should be performed in Validate, not here.
                  
            this.DataSource.Szemle = this.Szemle.Checked;
                    
        }
                
        public virtual void GetVámáru()
        {
            // Retrieve the value entered by the user on the Vámáru ASP:CheckBox, and
            // save it into the Vámáru field in DataSource import_item record.
            // Custom validation should be performed in Validate, not here.
                  
            this.DataSource.Vámáru = this.Vámáru.Checked;
                    
        }
                
        public virtual void Getvámkezelés_mód_id()
        {
                  // Retrieve the value entered by the user on the vámkezelés mód id ASP:DropDownList, and
            // save it into the vámkezelés mód id field in DataSource import_item record.
            
            // Custom validation should be performed in Validate, not here.
            this.DataSource.Parse(MiscUtils.GetValueSelectedPageRequest(this.vámkezelés_mód_id), Import_itemTable.vámkezelés_mód_id);
                  
        }
                
        public virtual void GetVámzár_1()
        {
            // Retrieve the value entered by the user on the Vámzár 1 ASP:TextBox, and
            // save it into the Vámzár 1 field in DataSource import_item record.
            
            // Custom validation should be performed in Validate, not here.
                    
            this.DataSource.Parse(this.Vámzár_1.Text, Import_itemTable.Vámzár_1);
              
        }
                
        public virtual void GetVámzár_2()
        {
            // Retrieve the value entered by the user on the Vámzár 2 ASP:TextBox, and
            // save it into the Vámzár 2 field in DataSource import_item record.
            
            // Custom validation should be performed in Validate, not here.
                    
            this.DataSource.Parse(this.Vámzár_2.Text, Import_itemTable.Vámzár_2);
              
        }
                
        public virtual void GetVPID()
        {
            // Retrieve the value entered by the user on the VPID ASP:TextBox, and
            // save it into the VPID field in DataSource import_item record.
            
            // Custom validation should be performed in Validate, not here.
                    
            this.DataSource.Parse(this.VPID.Text, Import_itemTable.VPID);
              
        }
                

        public virtual WhereClause CreateWhereClause()
        {
        
            WhereClause wc;
            Import_itemTable.Instance.InnerFilter = null;
            wc = new WhereClause();
            // Compose the WHERE clause consiting of:
            // 1. Static clause defined at design time.
            // 2. User selected search criteria.
            // 3. User selected filter criteria.

              
            // Retrieve the record id from the URL parameter.
              
            string recId = this.Page.Request.QueryString["Import_item"];
                
            if (recId == null || recId.Length == 0) {
                // Get the error message from the application resource file.
                throw new Exception(Page.GetResourceValue("Err:UrlParamMissing", "Warehouse").Replace("{URL}", "Import_item"));
            }
            HttpContext.Current.Session["QueryString in EditImport_itemPage"] = recId;
                  
            if (KeyValue.IsXmlKey(recId)) {
                // Keys are typically passed as XML structures to handle composite keys.
                // If XML, then add a Where clause based on the Primary Key in the XML.
                KeyValue pkValue = KeyValue.XmlToKey(recId);
                
                wc.iAND(Import_itemTable.id0, BaseFilter.ComparisonOperator.EqualsTo, pkValue.GetColumnValue(Import_itemTable.id0).ToString());
        
            }
            else {
                // The URL parameter contains the actual value, not an XML structure.
                
                wc.iAND(Import_itemTable.id0, BaseFilter.ComparisonOperator.EqualsTo, recId);
        
            }
              
            return wc;
          
        }
        
        

        public virtual void Validate()
        {
            // Add custom validation for any control within this panel.
            // Example.  If you have a State ASP:Textbox control
            // If Me.State.Text <> "CA" Then
            //    Throw New Exception("State must be CA (California).")
            // End If

            // The Validate method is common across all controls within
            // this panel so you can validate multiple fields, but report
            // one error message.
        }

        public virtual void Delete()
        {
        
            if (this.IsNewRecord) {
                return;
            }

            KeyValue pkValue = KeyValue.XmlToKey(this.RecordUniqueId);
          Import_itemTable.DeleteRecord(pkValue);
          
        }

        protected virtual void Control_PreRender(object sender, System.EventArgs e)
        {
			// PreRender event is raised just before page is being displayed.
            try {
                DbUtils.StartTransaction();
                this.RegisterPostback();
                if (!this.Page.ErrorOnPage && (this.Page.IsPageRefresh || this.DataChanged || this.ResetData)) {
					// Re-load the data and update the web page if necessary.
					// This is typically done during a postback (filter, search button, sort, pagination button).
					// In each of the other click handlers, simply set DataChanged to True to reload the data.
                    this.LoadData();
                    this.DataBind();
                }
            } catch (Exception ex) {
                BaseClasses.Utils.MiscUtils.RegisterJScriptAlert(this, "BUTTON_CLICK_MESSAGE", ex.Message);
            } finally {
                DbUtils.EndTransaction();
            }
        }
        
        
                
        protected override void LoadViewState(object savedState)
        {
            base.LoadViewState(savedState);
            string isNewRecord = (string)ViewState["IsNewRecord"];
            if (isNewRecord != null && isNewRecord.Length > 0) {
                this.IsNewRecord = Boolean.Parse(isNewRecord);
            }
        
            string myCheckSum = (string)ViewState["CheckSum"];
            if (myCheckSum != null && myCheckSum.Length > 0) {
                this.CheckSum = myCheckSum;
            }
        
        }

        protected override object SaveViewState()
        {
            ViewState["IsNewRecord"] = this.IsNewRecord.ToString();
            ViewState["CheckSum"] = this.CheckSum;
        
            return base.SaveViewState();
        }

        
        // Generate the event handling functions for pagination events.
            
      
        // Generate the event handling functions for filter and search events.
            

        public virtual WhereClause CreateWhereClause_vámkezelés_mód_idDropDownList() {
			WhereClause wc = new WhereClause();
			// By default, we simply return a new WhereClause.
			// This WhereClause is for the customs_mode table.
			// Add additional where clauses to restrict the items shown in the dropdown list.
			// Examples:
			// wc.iAND(Customs_modeTable.Vámkezelés_módja, BaseFilter.ComparisonOperator.EqualsTo, "XYZ");
			// wc.iAND(Customs_modeTable.Active, BaseFilter.ComparisonOperator.EqualsTo, "1");
            return wc;
        }
                
        // Fill the vámkezelés_mód_id list.
        protected virtual void Populatevámkezelés_mód_idDropDownList
                (string selectedValue, int maxItems) {
                  
            // Populate the vámkezelés_mód_idDropDownList with the
			// foreign key values from the customs_mode table.

			// This is a four step process.
			// 1. Set up the WHERE and the ORDER BY clause to read from the customs_mode.
			// 2. Read a total of maxItems from the database and insert them into the vámkezelés_mód_idDropDownList.
			// 3. Set the selected value (insert if not already present).
			// 4. Insert the language specific "Please Select" item at the top.
			
			// 1. Set up the WHERE and the ORDER BY clause by calling the CreateWhereClause_vámkezelés_mód_idDropDownList function.
			// It is better to customize the where clause there.
            WhereClause wc = CreateWhereClause_vámkezelés_mód_idDropDownList();
            OrderBy orderBy = new OrderBy(false, true);
            orderBy.Add(Customs_modeTable.Vámkezelés_módja, OrderByItem.OrderDir.Asc);

			// 2. Read a total of maxItems from the database and insert them into the vámkezelés_mód_idDropDownList.
            this.vámkezelés_mód_id.Items.Clear();
            foreach (Customs_modeRecord itemValue in Customs_modeTable.GetRecords(wc, orderBy, 0, maxItems)) {
                // Create the item and add to the list.
                string cvalue = null;
                string fvalue = null;
                if (itemValue.vámkezelés_mód_idSpecified) {
                    cvalue = itemValue.vámkezelés_mód_id.ToString().ToString();
                    fvalue = itemValue.Format(Customs_modeTable.Vámkezelés_módja);
                }

                ListItem item = new ListItem(fvalue, cvalue);
                this.vámkezelés_mód_id.Items.Add(item);
            }
                    
            // 3. Set the selected value (insert if not already present).
            if (selectedValue != null &&
                selectedValue.Length > 0 &&
                !MiscUtils.SetSelectedValue(this.vámkezelés_mód_id, selectedValue) &&
                !MiscUtils.SetSelectedValue(this.vámkezelés_mód_id, Import_itemTable.vámkezelés_mód_id.Format(selectedValue))) {
                string fvalue = Import_itemTable.vámkezelés_mód_id.Format(selectedValue);
                ListItem item = new ListItem(fvalue, selectedValue);
                item.Selected = true;
                this.vámkezelés_mód_id.Items.Insert(0, item);
            }

                  
			// 4. Insert the language specific "Please Select" item at the top.
            this.vámkezelés_mód_id.Items.Insert(0, new ListItem(Page.GetResourceValue("Txt:PleaseSelect", "Warehouse"), "--PLEASE_SELECT--"));
                  
        }
                
        protected virtual void vámkezelés_mód_id_SelectedIndexChanged(object sender, EventArgs args)
        {
		    // If a large list selector or a Quick Add link is used, the dropdown list
			// will contain an item that was not in the original (smaller) list.  During postbacks,
			// this new item will not be in the list - since the list is based on the original values
			// read from the database. This function adds the value back if necessary.
            string selectedValue = MiscUtils.GetValueSelectedPageRequest(this.vámkezelés_mód_id);
            if (selectedValue != null &&
               selectedValue.Length > 0 &&
               !MiscUtils.SetSelectedValue(this.vámkezelés_mód_id, selectedValue) &&
               !MiscUtils.SetSelectedValue(this.vámkezelés_mód_id, Import_itemTable.vámkezelés_mód_id.Format(selectedValue))) 
		    {
                string fvalue = Import_itemTable.vámkezelés_mód_id.Format(selectedValue);
                ListItem item = new ListItem(fvalue, selectedValue);
                item.Selected = true;
                this.vámkezelés_mód_id.Items.Insert(0, item);
            }
        }
            
  
        private bool _IsNewRecord = true;
        public virtual bool IsNewRecord {
            get {
                return this._IsNewRecord;
            }
            set {
                this._IsNewRecord = value;
            }
        }

        private bool _DataChanged = false;
        public virtual bool DataChanged {
            get {
                return this._DataChanged;
            }
            set {
                this._DataChanged = value;
            }
        }

        private bool _ResetData = false;
        public virtual bool ResetData {
            get {
                return (this._ResetData);
            }
            set {
                this._ResetData = value;
            }
        }
        
        public String RecordUniqueId {
            get {
                return (string)this.ViewState["BaseImport_itemRecordControl_Rec"];
            }
            set {
                this.ViewState["BaseImport_itemRecordControl_Rec"] = value;
            }
        }
        
        private Import_itemRecord _DataSource;
        public Import_itemRecord DataSource {
            get {
                return (this._DataSource);
            }
            set {
                this._DataSource = value;
            }
        }

        private string _checkSum;
        public virtual string CheckSum {
            get {
                return (this._checkSum);
            }
            set {
                this._checkSum = value;
            }
        }
    
        private int _TotalPages;
        public virtual int TotalPages {
            get {
                return (this._TotalPages);
            }
            set {
                this._TotalPages = value;
            }
        }
        
        private int _PageIndex;
        public virtual int PageIndex {
            get {
                return (this._PageIndex);
            }
            set {
                this._PageIndex = value;
            }
        }
        
        private int _PageSize;
        public int PageSize {
          get {
            return this._PageSize;
          }
          set {
            this._PageSize = value;
          }
        }
      
        private int _TotalRecords;
        public int TotalRecords {
          get {
            return (this._TotalRecords);
          }
          set {
            if (this.PageSize > 0) {
              this.TotalPages = Convert.ToInt32(Math.Ceiling(Convert.ToDouble(value) / Convert.ToDouble(this.PageSize)));
            }
            this._TotalRecords = value;
          }
        }
        
        private bool _DisplayLastPage;
        public virtual bool DisplayLastPage {
            get {
                return (this._DisplayLastPage);
            }
            set {
                this._DisplayLastPage = value;
            }
        }
        
        
    
        private KeyValue selectedParentKeyValue;
        public KeyValue SelectedParentKeyValue
        {
            get
            {
                return this.selectedParentKeyValue;
            }
            set
            {
                this.selectedParentKeyValue = value;
            }
        }
       
#region "Helper Properties"
        
        public System.Web.UI.WebControls.TextBox Alapnyilvántartási_száma {
            get {
                return (System.Web.UI.WebControls.TextBox)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Alapnyilvántartási_száma");
            }
        }
            
        public System.Web.UI.WebControls.Literal Alapnyilvántartási_számaLabel {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Alapnyilvántartási_számaLabel");
            }
        }
        
        public System.Web.UI.WebControls.TextBox Betárolás_dátuma {
            get {
                return (System.Web.UI.WebControls.TextBox)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Betárolás_dátuma");
            }
        }
            
        public System.Web.UI.WebControls.Literal Betárolás_dátumaLabel {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Betárolás_dátumaLabel");
            }
        }
        
        public System.Web.UI.WebControls.TextBox Címzett {
            get {
                return (System.Web.UI.WebControls.TextBox)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Címzett");
            }
        }
            
        public System.Web.UI.WebControls.Literal CímzettLabel {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "CímzettLabel");
            }
        }
        
        public System.Web.UI.WebControls.TextBox Csomag_darab_száma {
            get {
                return (System.Web.UI.WebControls.TextBox)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Csomag_darab_száma");
            }
        }
            
        public System.Web.UI.WebControls.Literal Csomag_darab_számaLabel {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Csomag_darab_számaLabel");
            }
        }
        
        public System.Web.UI.WebControls.TextBox Elintézés_dátuma {
            get {
                return (System.Web.UI.WebControls.TextBox)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Elintézés_dátuma");
            }
        }
            
        public System.Web.UI.WebControls.Literal Elintézés_dátumaLabel {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Elintézés_dátumaLabel");
            }
        }
        
        public System.Web.UI.WebControls.TextBox Elintézési_száma {
            get {
                return (System.Web.UI.WebControls.TextBox)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Elintézési_száma");
            }
        }
            
        public System.Web.UI.WebControls.Literal Elintézési_számaLabel {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Elintézési_számaLabel");
            }
        }
        
        public System.Web.UI.WebControls.TextBox EV_pótsorok_száma {
            get {
                return (System.Web.UI.WebControls.TextBox)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "EV_pótsorok_száma");
            }
        }
            
        public System.Web.UI.WebControls.Literal EV_pótsorok_számaLabel {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "EV_pótsorok_számaLabel");
            }
        }
        
        public System.Web.UI.WebControls.TextBox Feladó {
            get {
                return (System.Web.UI.WebControls.TextBox)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Feladó");
            }
        }
            
        public System.Web.UI.WebControls.Literal FeladóLabel {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "FeladóLabel");
            }
        }
        
        public System.Web.UI.WebControls.TextBox Fuvarlevél_száma {
            get {
                return (System.Web.UI.WebControls.TextBox)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Fuvarlevél_száma");
            }
        }
            
        public System.Web.UI.WebControls.Literal Fuvarlevél_számaLabel {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Fuvarlevél_számaLabel");
            }
        }
        
        public System.Web.UI.WebControls.TextBox Házi_fuvarlevél_száma {
            get {
                return (System.Web.UI.WebControls.TextBox)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Házi_fuvarlevél_száma");
            }
        }
            
        public System.Web.UI.WebControls.Literal Házi_fuvarlevél_számaLabel {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Házi_fuvarlevél_számaLabel");
            }
        }
        
        public System.Web.UI.WebControls.Literal Import_itemTitle {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Import_itemTitle");
            }
        }
        
        public System.Web.UI.WebControls.TextBox Mért_súly {
            get {
                return (System.Web.UI.WebControls.TextBox)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Mért_súly");
            }
        }
            
        public System.Web.UI.WebControls.Literal Mért_súlyLabel {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Mért_súlyLabel");
            }
        }
        
        public System.Web.UI.WebControls.Literal Napló {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Napló");
            }
        }
            
        public System.Web.UI.WebControls.Literal NaplóLabel {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "NaplóLabel");
            }
        }
        
        public System.Web.UI.WebControls.TextBox Pozíció_száma {
            get {
                return (System.Web.UI.WebControls.TextBox)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Pozíció_száma");
            }
        }
            
        public System.Web.UI.WebControls.Literal Pozíció_számaLabel {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Pozíció_számaLabel");
            }
        }
        
        public System.Web.UI.WebControls.CheckBox Raktárban_van {
            get {
                return (System.Web.UI.WebControls.CheckBox)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Raktárban_van");
            }
        }
            
        public System.Web.UI.WebControls.Literal Raktárban_vanLabel {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Raktárban_vanLabel");
            }
        }
        
        public System.Web.UI.WebControls.TextBox Rendszám {
            get {
                return (System.Web.UI.WebControls.TextBox)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Rendszám");
            }
        }
            
        public System.Web.UI.WebControls.Literal RendszámLabel {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "RendszámLabel");
            }
        }
        
        public System.Web.UI.WebControls.TextBox Sérülések {
            get {
                return (System.Web.UI.WebControls.TextBox)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Sérülések");
            }
        }
            
        public System.Web.UI.WebControls.Literal SérülésekLabel {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "SérülésekLabel");
            }
        }
        
        public System.Web.UI.WebControls.TextBox Súly {
            get {
                return (System.Web.UI.WebControls.TextBox)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Súly");
            }
        }
            
        public System.Web.UI.WebControls.Literal SúlyLabel {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "SúlyLabel");
            }
        }
        
        public System.Web.UI.WebControls.CheckBox Szemle {
            get {
                return (System.Web.UI.WebControls.CheckBox)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Szemle");
            }
        }
            
        public System.Web.UI.WebControls.Literal SzemleLabel {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "SzemleLabel");
            }
        }
        
        public System.Web.UI.WebControls.CheckBox Vámáru {
            get {
                return (System.Web.UI.WebControls.CheckBox)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Vámáru");
            }
        }
            
        public System.Web.UI.WebControls.Literal VámáruLabel {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "VámáruLabel");
            }
        }
        
        public System.Web.UI.WebControls.DropDownList vámkezelés_mód_id {
            get {
                return (System.Web.UI.WebControls.DropDownList)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "vámkezelés_mód_id");
            }
        }
            
        public System.Web.UI.WebControls.Literal vámkezelés_mód_idLabel {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "vámkezelés_mód_idLabel");
            }
        }
        
        public System.Web.UI.WebControls.TextBox Vámzár_1 {
            get {
                return (System.Web.UI.WebControls.TextBox)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Vámzár_1");
            }
        }
            
        public System.Web.UI.WebControls.Literal Vámzár_1Label {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Vámzár_1Label");
            }
        }
        
        public System.Web.UI.WebControls.TextBox Vámzár_2 {
            get {
                return (System.Web.UI.WebControls.TextBox)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Vámzár_2");
            }
        }
            
        public System.Web.UI.WebControls.Literal Vámzár_2Label {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "Vámzár_2Label");
            }
        }
        
        public System.Web.UI.WebControls.TextBox VPID {
            get {
                return (System.Web.UI.WebControls.TextBox)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "VPID");
            }
        }
            
        public System.Web.UI.WebControls.Literal VPIDLabel {
            get {
                return (System.Web.UI.WebControls.Literal)BaseClasses.Utils.MiscUtils.FindControlRecursively(this, "VPIDLabel");
            }
        }
        
#endregion

#region "Helper Functions"
        public override string ModifyRedirectUrl(string url, string arg, bool bEncrypt)
        {
            return this.Page.EvaluateExpressions(url, arg, bEncrypt, this);
        }

        public override string EvaluateExpressions(string url, string arg, bool bEncrypt)
        {
            Import_itemRecord rec = null;
            try {
                rec = this.GetRecord();
            }
            catch (Exception ) {
                // Do Nothing
            }
            
            if (rec == null && url.IndexOf("{") >= 0) {
                // Localization.
                
                throw new Exception(Page.GetResourceValue("Err:RecDataSrcNotInitialized", "Warehouse"));
                    
            }
            return EvaluateExpressions(url, arg, rec, bEncrypt);
        }

        public virtual Import_itemRecord GetRecord()
        {
        
            if (this.DataSource != null) {
                return this.DataSource;
            }
            
            if (this.RecordUniqueId != null) {
                return Import_itemTable.GetRecord(this.RecordUniqueId, true);
            }
            
            // Localization.
            
            throw new Exception(Page.GetResourceValue("Err:RetrieveRec", "Warehouse"));
                
        }

        public new BaseApplicationPage Page
        {
            get {
                return ((BaseApplicationPage)base.Page);
            }
        }

#endregion

}

  

#endregion
    
  
}

  